/* Generated automatically by the program `genmatch' from
   a IL pattern matching and simplification description.  */

#include "gimple-match-head.c"

bool
gimple_nop_convert (tree t, tree *res_ops, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  switch (TREE_CODE (t))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, t))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  {
/* #line 82 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 82 "../../gcc/match.pd" */
		    if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
		      {
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:80, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			return true;
		      }
		  }
	          break;
	        }
	      case VIEW_CONVERT_EXPR:
	        {
		  tree op0 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (op0) == SSA_NAME
		       || is_gimple_min_invariant (op0)))
		    {
		      op0 = do_valueize (valueize, op0);
		      {
/* #line 85 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 85 "../../gcc/match.pd" */
			if (VECTOR_TYPE_P (type) && VECTOR_TYPE_P (TREE_TYPE (captures[0])) && known_eq (TYPE_VECTOR_SUBPARTS (type), TYPE_VECTOR_SUBPARTS (TREE_TYPE (captures[0]))) && tree_nop_conversion_p (TREE_TYPE (type), TREE_TYPE (TREE_TYPE (captures[0]))))
			  {
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:83, %s:%d\n", __FILE__, __LINE__);
			    res_ops[0] = captures[0];
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  {
/* #line 90 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { t };
    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:90, %s:%d\n", __FILE__, __LINE__);
    res_ops[0] = captures[0];
    return true;
  }
  return false;
}

bool
gimple_power_of_two_cand (tree t, tree *res_ops, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  switch (TREE_CODE (t))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, t))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LSHIFT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  switch (TREE_CODE (op0))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 484 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:484, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] = captures[0];
			  return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case INTEGER_CST:
      {
	{
/* #line 482 "../../gcc/match.pd" */
	  tree captures[1] ATTRIBUTE_UNUSED = { t };
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:482, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] = captures[0];
	  return true;
	}
        break;
      }
    default:;
    }
  return false;
}

bool
gimple_negate_expr_p (tree t, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  switch (TREE_CODE (t))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, t))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  {
/* #line 1014 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 1014 "../../gcc/match.pd" */
		    if (!TYPE_OVERFLOW_SANITIZED (type))
		      {
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1013, %s:%d\n", __FILE__, __LINE__);
			return true;
		      }
		  }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1025 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 1025 "../../gcc/match.pd" */
		    if ((ANY_INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_WRAPS (type)) || (FLOAT_TYPE_P (type) && !HONOR_SIGN_DEPENDENT_ROUNDING (type) && !HONOR_SIGNED_ZEROS (type)))
		      {
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1024, %s:%d\n", __FILE__, __LINE__);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case INTEGER_CST:
      {
	{
/* #line 1006 "../../gcc/match.pd" */
/* #line 1006 "../../gcc/match.pd" */
	  if ((INTEGRAL_TYPE_P (type) && TYPE_UNSIGNED (type)) || (!TYPE_OVERFLOW_SANITIZED (type) && may_negate_without_overflow_p (t)))
	    {
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1005, %s:%d\n", __FILE__, __LINE__);
	      return true;
	    }
	}
        break;
      }
    case FIXED_CST:
      {
	{
/* #line 1011 "../../gcc/match.pd" */
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1011, %s:%d\n", __FILE__, __LINE__);
	  return true;
	}
        break;
      }
    case REAL_CST:
      {
	{
/* #line 1017 "../../gcc/match.pd" */
/* #line 1017 "../../gcc/match.pd" */
	  if (REAL_VALUE_NEGATIVE (TREE_REAL_CST (t)))
	    {
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1016, %s:%d\n", __FILE__, __LINE__);
	      return true;
	    }
	}
        break;
      }
    case VECTOR_CST:
      {
	{
/* #line 1022 "../../gcc/match.pd" */
/* #line 1022 "../../gcc/match.pd" */
	  if (FLOAT_TYPE_P (TREE_TYPE (type)) || TYPE_OVERFLOW_WRAPS (type))
	    {
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1021, %s:%d\n", __FILE__, __LINE__);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

bool
gimple_truth_valued_p (tree t, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  {
/* #line 1138 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { t };
/* #line 1138 "../../gcc/match.pd" */
    if (INTEGRAL_TYPE_P (type) && TYPE_PRECISION (type) == 1)
      {
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1137, %s:%d\n", __FILE__, __LINE__);
	return true;
      }
  }
  switch (TREE_CODE (t))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, t))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case LE_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case EQ_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case NE_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case GE_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case GT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case UNORDERED_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case ORDERED_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case UNLT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case UNLE_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case UNGT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case UNGE_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case UNEQ_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case LTGT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case TRUTH_AND_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case TRUTH_ANDIF_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case TRUTH_OR_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case TRUTH_ORIF_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case TRUTH_XOR_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  {
/* #line 1141 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1141, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      case TRUTH_NOT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  {
/* #line 1143 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1143, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

bool
gimple_logical_inverted_value (tree t, tree *res_ops, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  switch (TREE_CODE (t))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, t))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case TRUTH_NOT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  {
/* #line 1145 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1145, %s:%d\n", __FILE__, __LINE__);
		    res_ops[0] = captures[0];
		    return true;
		  }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  if (gimple_truth_valued_p (op0, valueize))
		    {
		      {
/* #line 1147 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1147, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			return true;
		      }
		    }
	          break;
	        }
	      case EQ_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 1149 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1149, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			return true;
		      }
		    }
	          break;
	        }
	      case NE_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  if (gimple_truth_valued_p (op0, valueize))
		    {
		      if (integer_truep (op1))
			{
			  {
/* #line 1151 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1151, %s:%d\n", __FILE__, __LINE__);
			    res_ops[0] = captures[0];
			    return true;
			  }
		        }
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  if (gimple_truth_valued_p (op0, valueize))
		    {
		      if (integer_truep (op1))
			{
			  {
/* #line 1153 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1153, %s:%d\n", __FILE__, __LINE__);
			    res_ops[0] = captures[0];
			    return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

bool
gimple_with_possible_nonzero_bits (tree t, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  switch (TREE_CODE (t))
    {
    case INTEGER_CST:
      {
	{
/* #line 1476 "../../gcc/match.pd" */
	  tree captures[1] ATTRIBUTE_UNUSED = { t };
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1476, %s:%d\n", __FILE__, __LINE__);
	  return true;
	}
        break;
      }
    case SSA_NAME:
      {
	{
/* #line 1479 "../../gcc/match.pd" */
	  tree captures[1] ATTRIBUTE_UNUSED = { t };
/* #line 1479 "../../gcc/match.pd" */
	  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) || POINTER_TYPE_P (TREE_TYPE (captures[0])))
	    {
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1478, %s:%d\n", __FILE__, __LINE__);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

bool
gimple_with_possible_nonzero_bits2 (tree t, tree *res_ops, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  switch (TREE_CODE (t))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, t))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  if (gimple_with_possible_nonzero_bits (op0, valueize))
		    {
		      {
/* #line 1483 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1483, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			return true;
		      }
		    }
		  if (gimple_with_possible_nonzero_bits (op1, valueize))
		    {
		      {
/* #line 1483 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1483, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (gimple_with_possible_nonzero_bits (t, valueize))
  {
    {
/* #line 1481 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { t };
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1481, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      return true;
    }
  }
  return false;
}

bool
gimple_with_certain_nonzero_bits2 (tree t, tree *res_ops, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  switch (TREE_CODE (t))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, t))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_IOR_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  if (tree_swap_operands_p (op0, op1))
		    std::swap (op0, op1);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 1490 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1490, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] = captures[0];
			  return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case INTEGER_CST:
      {
	{
/* #line 1488 "../../gcc/match.pd" */
	  tree captures[1] ATTRIBUTE_UNUSED = { t };
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1488, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] = captures[0];
	  return true;
	}
        break;
      }
    default:;
    }
  return false;
}

bool
gimple_compositional_complex (tree t, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  switch (TREE_CODE (t))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, t))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  switch (TREE_CODE (op0))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op0))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case COMPLEX_EXPR:
			        {
				  tree o20 = gimple_assign_rhs1 (def);
				  o20 = do_valueize (valueize, o20);
				  tree o21 = gimple_assign_rhs2 (def);
				  o21 = do_valueize (valueize, o21);
				  {
/* #line 2593 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2593, %s:%d\n", __FILE__, __LINE__);
				    return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case COMPLEX_EXPR:
	        {
		  tree op0 = gimple_assign_rhs1 (def);
		  op0 = do_valueize (valueize, op0);
		  tree op1 = gimple_assign_rhs2 (def);
		  op1 = do_valueize (valueize, op1);
		  {
/* #line 2593 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2593, %s:%d\n", __FILE__, __LINE__);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

bool
gimple_double_value_p (tree t, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  {
/* #line 4277 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { t };
/* #line 4277 "../../gcc/match.pd" */
    if (TYPE_MAIN_VARIANT (TREE_TYPE (captures[0])) == double_type_node)
      {
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4276, %s:%d\n", __FILE__, __LINE__);
	return true;
      }
  }
  return false;
}

bool
gimple_float_value_p (tree t, tree (*valueize)(tree) ATTRIBUTE_UNUSED)
{
  const tree type = TREE_TYPE (t);
  {
/* #line 4298 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { t };
/* #line 4298 "../../gcc/match.pd" */
    if (TYPE_MAIN_VARIANT (TREE_TYPE (captures[0])) == float_type_node)
      {
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4297, %s:%d\n", __FILE__, __LINE__);
	return true;
      }
  }
  return false;
}

static bool
gimple_simplify_1 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (pows), const combined_fn ARG_UNUSED (exps), const combined_fn ARG_UNUSED (logs), const combined_fn ARG_UNUSED (exp2s), const combined_fn ARG_UNUSED (log2s))
{
/* #line 3897 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations)
    {
/* #line 4024 "../../gcc/match.pd" */
      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[0]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[0])) && canonicalize_math_after_vectorization_p ())
	{
	  {
/* #line 4033 "../../gcc/match.pd" */
 const REAL_VALUE_TYPE *const value = TREE_REAL_CST_PTR (captures[0]);
 bool use_exp2 = false;
 if (targetm.libc_has_function (function_c99_misc) && value->cl == rvc_normal) { REAL_VALUE_TYPE frac_rvt = *value;
 SET_REAL_EXP (&frac_rvt, 1);
 if (real_equal (&frac_rvt, &dconst1)) use_exp2 = true;
 }/* #line 4045 "../../gcc/match.pd" */
	      if (!use_exp2)
		{
/* #line 4046 "../../gcc/match.pd" */
		  if (optimize_pow_to_exp (captures[0], captures[1]))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4047, %s:%d\n", __FILE__, __LINE__);
		      *res_code = exps;
		      {
			tree ops1[2], res;
			{
			  tree ops2[1], res;
			  ops2[0] = captures[0];
			  code_helper tem_code = logs;
			  tree tem_ops[3] = { ops2[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			  if (!res) return false;
			  ops1[0] = res;
			}
			ops1[1] = captures[1];
			code_helper tem_code = MULT_EXPR;
			tree tem_ops[3] = { ops1[0], ops1[1] };
			gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			if (!res) return false;
			res_ops[0] = res;
		      }
		      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		}
	      else
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4048, %s:%d\n", __FILE__, __LINE__);
		  *res_code = exp2s;
		  {
		    tree ops1[2], res;
		    {
		      tree ops2[1], res;
		      ops2[0] = captures[0];
		      code_helper tem_code = log2s;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
		      if (!res) return false;
		      ops1[0] = res;
		    }
		    ops1[1] = captures[1];
		    code_helper tem_code = MULT_EXPR;
		    tree tem_ops[3] = { ops1[0], ops1[1] };
		    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		    if (!res) return false;
		    res_ops[0] = res;
		  }
		  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	  }
	}
    }
  return false;
}

static bool
gimple_simplify_2 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shiftrotate))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2169, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_3 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (mod))
{
/* #line 489 "../../gcc/match.pd" */
  if ((TYPE_UNSIGNED (type) || tree_expr_nonnegative_p (captures[0])) && tree_nop_conversion_p (type, TREE_TYPE (captures[1])) && integer_pow2p (captures[3]) && tree_int_cst_sgn (captures[3]) > 0)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:493, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_AND_EXPR;
      res_ops[0] = captures[0];
      {
	tree ops1[1], res;
	{
	  tree ops2[2], res;
	  ops2[0] = captures[2];
	  ops2[1] =  build_int_cst (TREE_TYPE (captures[2]), 1);
	  code_helper tem_code = MINUS_EXPR;
	  tree tem_ops[3] = { ops2[0], ops2[1] };
	  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[0] = res;
	}
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_4 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (FMIN_ALL))
{
/* #line 2078 "../../gcc/match.pd" */
  if (flag_finite_math_only)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2081, %s:%d\n", __FILE__, __LINE__);
      *res_code = MIN_EXPR;
      res_ops[0] = captures[0];
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_5 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (SIN), const combined_fn ARG_UNUSED (TAN), const combined_fn ARG_UNUSED (COS))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
/* #line 4169 "../../gcc/match.pd" */
      if (! HONOR_NANS (captures[1]) && ! HONOR_INFINITIES (captures[1]))
	{
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[2])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4171, %s:%d\n", __FILE__, __LINE__);
	  *res_code = COS;
	  res_ops[0] = captures[1];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_6 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (minmax))
{
/* #line 2059 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (type) && types_match (captures[1], type) && int_fits_type_p (captures[2], type) && TYPE_SIGN (TREE_TYPE (captures[0])) == TYPE_SIGN (type) && TYPE_PRECISION (TREE_TYPE (captures[0])) > TYPE_PRECISION (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2063, %s:%d\n", __FILE__, __LINE__);
      *res_code = minmax;
      res_ops[0] = captures[1];
      {
	tree ops1[1], res;
	ops1[0] = captures[2];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_7 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (out))
{
/* #line 3875 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[2])) && !VECTOR_TYPE_P (TREE_TYPE (captures[2])))
    {
      {
/* #line 3876 "../../gcc/match.pd" */
 tree t = TREE_TYPE (captures[2]), cpx = build_complex_type (t);
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3877, %s:%d\n", __FILE__, __LINE__);
	  *res_code = out;
	  {
	    tree ops1[1], res;
	    {
	      tree ops2[2], res;
	      ops2[0] = captures[2];
	      ops2[1] = captures[1];
	      code_helper tem_code = CFN_MUL_OVERFLOW;
	      tree tem_ops[3] = { ops2[0], ops2[1] };
	      gimple_resimplify2 (lseq, &tem_code, cpx, tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, cpx, tem_ops, lseq);
	      if (!res) return false;
	      ops1[0] = res;
	    }
	    code_helper tem_code = IMAGPART_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  res_ops[1] =  build_zero_cst (t);
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_8 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1613 "../../gcc/match.pd" */
  if (POINTER_TYPE_P (TREE_TYPE (captures[0])) && tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
    {
      {
/* #line 1615 "../../gcc/match.pd" */
 unsigned int align;
 unsigned HOST_WIDE_INT bitpos;
 get_pointer_alignment_1 (captures[0], &align, &bitpos);
/* #line 1621 "../../gcc/match.pd" */
	  if (wi::ltu_p (wi::to_wide (captures[1]), align / BITS_PER_UNIT))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1622, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  wide_int_to_tree (type, (wi::to_wide (captures[1]) & (bitpos / BITS_PER_UNIT)));
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_9 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (COPYSIGN_ALL))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4114, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_10 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bit_op), const enum tree_code ARG_UNUSED (shift))
{
/* #line 2344 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[2])))
    {
      {
/* #line 2345 "../../gcc/match.pd" */
 tree mask = int_const_binop (shift, fold_convert (type, captures[3]), captures[4]);
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[1])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2346, %s:%d\n", __FILE__, __LINE__);
	  *res_code = bit_op;
	  {
	    tree ops1[2], res;
	    {
	      tree ops2[1], res;
	      ops2[0] = captures[2];
	      if (type != TREE_TYPE (ops2[0])
	          && !useless_type_conversion_p (type, TREE_TYPE (ops2[0])))
		{
		  code_helper tem_code = NOP_EXPR;
		  tree tem_ops[3] = { ops2[0] };
		  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		  if (!res) return false;
	        }
	      else
	        res = ops2[0];
	      ops1[0] = res;
	    }
	    ops1[1] = captures[4];
	    code_helper tem_code = shift;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  res_ops[1] =  mask;
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_11 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1406 "../../gcc/match.pd" */
  if (!TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1407, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[3];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_12 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op), const enum tree_code ARG_UNUSED (rop))
{
/* #line 960 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[1])) && tree_nop_conversion_p (type, TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:962, %s:%d\n", __FILE__, __LINE__);
      *res_code = rop;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[0] = res;
      }
      {
	tree ops1[2], res;
	{
	  tree ops2[1], res;
	  ops2[0] = captures[1];
	  if (type != TREE_TYPE (ops2[0])
	      && !useless_type_conversion_p (type, TREE_TYPE (ops2[0])))
	    {
	      code_helper tem_code = NOP_EXPR;
	      tree tem_ops[3] = { ops2[0] };
	      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	      if (!res) return false;
	    }
	  else
	    res = ops2[0];
	  ops1[0] = res;
	}
	{
	  tree ops2[1], res;
	  ops2[0] = captures[2];
	  if (type != TREE_TYPE (ops2[0])
	      && !useless_type_conversion_p (type, TREE_TYPE (ops2[0])))
	    {
	      code_helper tem_code = NOP_EXPR;
	      tree tem_ops[3] = { ops2[0] };
	      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	      if (!res) return false;
	    }
	  else
	    res = ops2[0];
	  ops1[1] = res;
	}
	code_helper tem_code = op;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_13 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 927 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:928, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[1];
	{
	  tree ops2[1], res;
	  ops2[0] = captures[0];
	  code_helper tem_code = BIT_NOT_EXPR;
	  tree tem_ops[3] = { ops2[0] };
	  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[1] = res;
	}
	code_helper tem_code = BIT_AND_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_14 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (div))
{
/* #line 514 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_UNDEFINED (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:516, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_15 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (sq), const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3172 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && ! flag_errno_math)
    {
/* #line 3178 "../../gcc/match.pd" */
      if (REAL_VALUE_NEGATIVE (TREE_REAL_CST (captures[1])))
	{
/* #line 3181 "../../gcc/match.pd" */
	  if (cmp == EQ_EXPR || cmp == LT_EXPR || cmp == LE_EXPR)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3182, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  constant_boolean_node (false, type);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
/* #line 3185 "../../gcc/match.pd" */
	      if (cmp == NE_EXPR || !HONOR_NANS (captures[0]))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3186, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  constant_boolean_node (true, type);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3188, %s:%d\n", __FILE__, __LINE__);
		  *res_code = GE_EXPR;
		  res_ops[0] = captures[0];
		  res_ops[1] =  build_real (TREE_TYPE (captures[0]), dconst0);
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	    }
	}
      else
	{
/* #line 3189 "../../gcc/match.pd" */
	  if (real_equal (TREE_REAL_CST_PTR (captures[1]), &dconst0))
	    {
/* #line 3192 "../../gcc/match.pd" */
	      if (cmp == LT_EXPR)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3193, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  constant_boolean_node (false, type);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 3195 "../../gcc/match.pd" */
		  if (cmp == GE_EXPR && !HONOR_NANS (captures[0]))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3196, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  constant_boolean_node (true, type);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 3198 "../../gcc/match.pd" */
		      if (cmp == LE_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3199, %s:%d\n", __FILE__, __LINE__);
			  *res_code = EQ_EXPR;
			  res_ops[0] = captures[0];
			  res_ops[1] = captures[1];
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3207, %s:%d\n", __FILE__, __LINE__);
			  *res_code = cmp;
			  res_ops[0] = captures[0];
			  res_ops[1] = captures[1];
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		    }
		}
	    }
	  else
	    {
/* #line 3208 "../../gcc/match.pd" */
	      if (cmp == GT_EXPR || cmp == GE_EXPR)
		{
		  {
/* #line 3209 "../../gcc/match.pd" */
 REAL_VALUE_TYPE c2;
 real_arithmetic (&c2, MULT_EXPR, &TREE_REAL_CST (captures[1]), &TREE_REAL_CST (captures[1]));
 real_convert (&c2, TYPE_MODE (TREE_TYPE (captures[0])), &c2);
/* #line 3216 "../../gcc/match.pd" */
		      if (REAL_VALUE_ISINF (c2))
			{
/* #line 3218 "../../gcc/match.pd" */
			  if (HONOR_INFINITIES (captures[0]))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3219, %s:%d\n", __FILE__, __LINE__);
			      *res_code = EQ_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] =  build_real (TREE_TYPE (captures[0]), c2);
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3220, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  constant_boolean_node (false, type);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			}
		      else
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3222, %s:%d\n", __FILE__, __LINE__);
			  *res_code = cmp;
			  res_ops[0] = captures[0];
			  res_ops[1] =  build_real (TREE_TYPE (captures[0]), c2);
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		  }
		}
	      else
		{
/* #line 3223 "../../gcc/match.pd" */
		  if (cmp == LT_EXPR || cmp == LE_EXPR)
		    {
		      {
/* #line 3224 "../../gcc/match.pd" */
 REAL_VALUE_TYPE c2;
 real_arithmetic (&c2, MULT_EXPR, &TREE_REAL_CST (captures[1]), &TREE_REAL_CST (captures[1]));
 real_convert (&c2, TYPE_MODE (TREE_TYPE (captures[0])), &c2);
/* #line 3231 "../../gcc/match.pd" */
			  if (REAL_VALUE_ISINF (c2))
			    {
/* #line 3235 "../../gcc/match.pd" */
			      if (! HONOR_NANS (captures[0]) && ! HONOR_INFINITIES (captures[0]))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3236, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  constant_boolean_node (true, type);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			      else
				{
/* #line 3239 "../../gcc/match.pd" */
				  if (! HONOR_NANS (captures[0]))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3240, %s:%d\n", __FILE__, __LINE__);
				      *res_code = NE_EXPR;
				      res_ops[0] = captures[0];
				      res_ops[1] =  build_real (TREE_TYPE (captures[0]), c2);
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 3243 "../../gcc/match.pd" */
				      if (! HONOR_INFINITIES (captures[0]))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3244, %s:%d\n", __FILE__, __LINE__);
					  *res_code = GE_EXPR;
					  res_ops[0] = captures[0];
					  res_ops[1] =  build_real (TREE_TYPE (captures[0]), dconst0);
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 3246 "../../gcc/match.pd" */
					  if (0)
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3247, %s:%d\n", __FILE__, __LINE__);
					      *res_code = TRUTH_ANDIF_EXPR;
					      {
						tree ops1[2], res;
						ops1[0] = captures[0];
						ops1[1] =  build_real (TREE_TYPE (captures[0]), dconst0);
						code_helper tem_code = GE_EXPR;
						tree tem_ops[3] = { ops1[0], ops1[1] };
						gimple_resimplify2 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
						res_ops[0] = res;
					      }
					      {
						tree ops1[2], res;
						ops1[0] = captures[0];
						ops1[1] =  build_real (TREE_TYPE (captures[0]), c2);
						code_helper tem_code = NE_EXPR;
						tree tem_ops[3] = { ops1[0], ops1[1] };
						gimple_resimplify2 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  else
			    {
/* #line 3251 "../../gcc/match.pd" */
			      if (! HONOR_NANS (captures[0]))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3252, %s:%d\n", __FILE__, __LINE__);
				  *res_code = cmp;
				  res_ops[0] = captures[0];
				  res_ops[1] =  build_real (TREE_TYPE (captures[0]), c2);
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			      else
				{
/* #line 3254 "../../gcc/match.pd" */
				  if (0)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3255, %s:%d\n", __FILE__, __LINE__);
				      *res_code = TRUTH_ANDIF_EXPR;
				      {
					tree ops1[2], res;
					ops1[0] = captures[0];
					ops1[1] =  build_real (TREE_TYPE (captures[0]), dconst0);
					code_helper tem_code = GE_EXPR;
					tree tem_ops[3] = { ops1[0], ops1[1] };
					gimple_resimplify2 (lseq, &tem_code, type, tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					if (!res) return false;
					res_ops[0] = res;
				      }
				      {
					tree ops1[2], res;
					ops1[0] = captures[0];
					ops1[1] =  build_real (TREE_TYPE (captures[0]), c2);
					code_helper tem_code = cmp;
					tree tem_ops[3] = { ops1[0], ops1[1] };
					gimple_resimplify2 (lseq, &tem_code, type, tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					if (!res) return false;
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				}
			    }
		      }
		    }
		}
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shift))
{
/* #line 2257 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])) && TYPE_PRECISION (type) <= HOST_BITS_PER_WIDE_INT && tree_fits_uhwi_p (captures[4]) && tree_to_uhwi (captures[4]) > 0 && tree_to_uhwi (captures[4]) < TYPE_PRECISION (type))
    {
      {
/* #line 2262 "../../gcc/match.pd" */
 unsigned int shiftc = tree_to_uhwi (captures[4]);
 unsigned HOST_WIDE_INT mask = TREE_INT_CST_LOW (captures[5]);
 unsigned HOST_WIDE_INT newmask, zerobits = 0;
 tree shift_type = TREE_TYPE (captures[2]);
 unsigned int prec;
 if (shift == LSHIFT_EXPR) zerobits = ((HOST_WIDE_INT_1U << shiftc) - 1);
 else if (shift == RSHIFT_EXPR && type_has_mode_precision_p (shift_type)) { prec = TYPE_PRECISION (TREE_TYPE (captures[2]));
 tree arg00 = captures[3];
 if (captures[2] != captures[3] && TYPE_UNSIGNED (TREE_TYPE (captures[3]))) { tree inner_type = TREE_TYPE (captures[3]);
 if (type_has_mode_precision_p (inner_type) && TYPE_PRECISION (inner_type) < prec) { prec = TYPE_PRECISION (inner_type);
 if (shiftc < prec) shift_type = inner_type;
 } } zerobits = HOST_WIDE_INT_M1U;
 if (shiftc < prec) { zerobits >>= HOST_BITS_PER_WIDE_INT - shiftc;
 zerobits <<= prec - shiftc;
 } if (!TYPE_UNSIGNED (TREE_TYPE (captures[2])) && prec == TYPE_PRECISION (TREE_TYPE (captures[2]))) { if ((mask & zerobits) == 0) shift_type = unsigned_type_for (TREE_TYPE (captures[2]));
 else zerobits = 0;
 } }/* #line 2316 "../../gcc/match.pd" */
	  if ((mask & zerobits) == mask)
	    {
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])
	              || !single_use (captures[1])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2317, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_int_cst (type, 0);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
	      {
/* #line 2318 "../../gcc/match.pd" */
 newmask = mask | zerobits;
/* #line 2319 "../../gcc/match.pd" */
		  if (newmask != mask && (newmask & (newmask + 1)) == 0)
		    {
		      {
/* #line 2320 "../../gcc/match.pd" */
 for (prec = BITS_PER_UNIT;
 prec < HOST_BITS_PER_WIDE_INT;
 prec <<= 1) if (newmask == (HOST_WIDE_INT_1U << prec) - 1) break;
/* #line 2329 "../../gcc/match.pd" */
			  if (prec < HOST_BITS_PER_WIDE_INT || newmask == HOST_WIDE_INT_M1U)
			    {
			      {
/* #line 2331 "../../gcc/match.pd" */
 tree newmaskt = build_int_cst_type (TREE_TYPE (captures[5]), newmask);
/* #line 2333 "../../gcc/match.pd" */
				  if (!tree_int_cst_equal (newmaskt, captures[5]))
				    {
/* #line 2334 "../../gcc/match.pd" */
				      if (shift_type != TREE_TYPE (captures[2]))
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])
					          || !single_use (captures[1])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2335, %s:%d\n", __FILE__, __LINE__);
					  *res_code = BIT_AND_EXPR;
					  {
					    tree ops1[1], res;
					    {
					      tree ops2[2], res;
					      {
						tree ops3[1], res;
						ops3[0] = captures[2];
						if (shift_type != TREE_TYPE (ops3[0])
						    && !useless_type_conversion_p (shift_type, TREE_TYPE (ops3[0])))
						  {
						    code_helper tem_code = NOP_EXPR;
						    tree tem_ops[3] = { ops3[0] };
						    gimple_resimplify1 (lseq, &tem_code, shift_type, tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
						    if (!res) return false;
						  }
						else
						  res = ops3[0];
						ops2[0] = res;
					      }
					      ops2[1] = captures[4];
					      code_helper tem_code = shift;
					      tree tem_ops[3] = { ops2[0], ops2[1] };
					      gimple_resimplify2 (lseq, &tem_code, shift_type, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
					      if (!res) return false;
					      ops1[0] = res;
					    }
					    if (type != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[0] = res;
					  }
					  res_ops[1] =  newmaskt;
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])
					          || !single_use (captures[1])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2336, %s:%d\n", __FILE__, __LINE__);
					  *res_code = BIT_AND_EXPR;
					  res_ops[0] = captures[0];
					  res_ops[1] =  newmaskt;
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				    }
			      }
			    }
		      }
		    }
	      }
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_17 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 2585 "../../gcc/match.pd" */
  if (TREE_CODE (captures[3]) != INTEGER_CST && single_use (captures[0]) && !integer_zerop (captures[2]) && !integer_minus_onep (captures[2]))
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[0])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2588, %s:%d\n", __FILE__, __LINE__);
      *res_code = MULT_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[1];
	ops1[1] = captures[3];
	code_helper tem_code = MULT_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_18 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 1470 "../../gcc/match.pd" */
  if (TREE_INT_CST_LOW (captures[1]) & 1)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1471, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_19 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1634 "../../gcc/match.pd" */
      if (tree_nop_conversion_p (type, TREE_TYPE (captures[1])) && !TYPE_OVERFLOW_SANITIZED (type))
	{
	  {
/* #line 1636 "../../gcc/match.pd" */
 tree t1 = type;
 if (INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_WRAPS (type) != TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[1]))) t1 = TYPE_OVERFLOW_WRAPS (type) ? type : TREE_TYPE (captures[1]);
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1643, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NOP_EXPR;
	      {
		tree ops1[2], res;
		{
		  tree ops2[1], res;
		  ops2[0] = captures[0];
		  if (t1 != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (t1, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, t1, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, t1, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[0] = res;
		}
		{
		  tree ops2[1], res;
		  ops2[0] = captures[1];
		  if (t1 != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (t1, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, t1, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, t1, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[1] = res;
		}
		code_helper tem_code = MINUS_EXPR;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	  }
	}
    }
  return false;
}

static bool
gimple_simplify_20 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (copysigns))
{
/* #line 594 "../../gcc/match.pd" */
  if (REAL_VALUE_NEGATIVE (TREE_REAL_CST (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:595, %s:%d\n", __FILE__, __LINE__);
      *res_code = NEGATE_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = ABS_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  else
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:596, %s:%d\n", __FILE__, __LINE__);
      *res_code = ABS_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_21 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[0])
          || !single_use (captures[3])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:688, %s:%d\n", __FILE__, __LINE__);
  *res_code = MINUS_EXPR;
  {
    tree ops1[2], res;
    ops1[0] = captures[1];
    ops1[1] = captures[2];
    code_helper tem_code = BIT_XOR_EXPR;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[0] = res;
  }
  res_ops[1] = captures[2];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_22 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3557 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3558, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[1];
      {
	tree ops1[2], res;
	ops1[0] = captures[2];
	{
	  tree ops2[1], res;
	  ops2[0] = captures[3];
	  if (TREE_TYPE (res_ops[0]) != TREE_TYPE (ops2[0])
	      && !useless_type_conversion_p (TREE_TYPE (res_ops[0]), TREE_TYPE (ops2[0])))
	    {
	      code_helper tem_code = NOP_EXPR;
	      tree tem_ops[3] = { ops2[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (res_ops[0]), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (res_ops[0]), tem_ops, lseq);
	      if (!res) return false;
	    }
	  else
	    res = ops2[0];
	  ops1[1] = res;
	}
	code_helper tem_code = BIT_XOR_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_23 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop))
{
/* #line 1072 "../../gcc/match.pd" */
  if (((TREE_CODE (captures[1]) == INTEGER_CST && INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && int_fits_type_p (captures[1], TREE_TYPE (captures[0]))) || types_match (captures[0], captures[1])) && (bitop != BIT_AND_EXPR ||1) && ( TYPE_PRECISION (TREE_TYPE (captures[0])) < TYPE_PRECISION (type) || GET_MODE_CLASS (TYPE_MODE (type)) != MODE_INT || !type_has_mode_precision_p (type)))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1091, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	{
	  tree ops2[1], res;
	  ops2[0] = captures[1];
	  if (TREE_TYPE (ops1[0]) != TREE_TYPE (ops2[0])
	      && !useless_type_conversion_p (TREE_TYPE (ops1[0]), TREE_TYPE (ops2[0])))
	    {
	      code_helper tem_code = NOP_EXPR;
	      tree tem_ops[3] = { ops2[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	      if (!res) return false;
	    }
	  else
	    res = ops2[0];
	  ops1[1] = res;
	}
	code_helper tem_code = bitop;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_24 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 626 "../../gcc/match.pd" */
  if (! FLOAT_TYPE_P (type) && tree_nop_conversion_p (type, TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:628, %s:%d\n", __FILE__, __LINE__);
      *res_code = LSHIFT_EXPR;
      res_ops[0] = captures[0];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_25 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  {
/* #line 2209 "../../gcc/match.pd" */
 unsigned int prec = element_precision (type);
/* #line 2210 "../../gcc/match.pd" */
      if (wi::ge_p (wi::to_wide (captures[1]), 0, TYPE_SIGN (TREE_TYPE (captures[1]))) && wi::lt_p (wi::to_wide (captures[1]), prec, TYPE_SIGN (TREE_TYPE (captures[1]))) && wi::ge_p (wi::to_wide (captures[2]), 0, TYPE_SIGN (TREE_TYPE (captures[2]))) && wi::lt_p (wi::to_wide (captures[2]), prec, TYPE_SIGN (TREE_TYPE (captures[2]))))
	{
	  {
/* #line 2214 "../../gcc/match.pd" */
 unsigned int low = (tree_to_uhwi (captures[1]) + tree_to_uhwi (captures[2]));
/* #line 2218 "../../gcc/match.pd" */
	      if (low >= prec)
		{
/* #line 2219 "../../gcc/match.pd" */
		  if (op == LROTATE_EXPR || op == RROTATE_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2220, %s:%d\n", __FILE__, __LINE__);
		      *res_code = op;
		      res_ops[0] = captures[0];
		      res_ops[1] =  build_int_cst (TREE_TYPE (captures[1]), low % prec);
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		  else
		    {
/* #line 2221 "../../gcc/match.pd" */
		      if (TYPE_UNSIGNED (type) || op == LSHIFT_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2222, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] =  build_zero_cst (type);
			  *res_code = TREE_CODE (res_ops[0]);
			  return true;
			}
		      else
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2223, %s:%d\n", __FILE__, __LINE__);
			  *res_code = op;
			  res_ops[0] = captures[0];
			  res_ops[1] =  build_int_cst (TREE_TYPE (captures[1]), prec - 1);
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		    }
		}
	      else
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2224, %s:%d\n", __FILE__, __LINE__);
		  *res_code = op;
		  res_ops[0] = captures[0];
		  res_ops[1] =  build_int_cst (TREE_TYPE (captures[1]), low);
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	  }
	}
  }
  return false;
}

static bool
gimple_simplify_26 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:223, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_27 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3382, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[1];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_28 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (fns))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4094, %s:%d\n", __FILE__, __LINE__);
  *res_code = fns;
  res_ops[0] = captures[0];
  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_29 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (out))
{
/* #line 3857 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[1])) && types_match (TREE_TYPE (captures[1]), TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3859, %s:%d\n", __FILE__, __LINE__);
      *res_code = out;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = IMAGPART_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] =  build_zero_cst (TREE_TYPE (captures[1]));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_30 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op), const enum tree_code ARG_UNUSED (rop), const enum tree_code ARG_UNUSED (cmp))
{
/* #line 4545 "../../gcc/match.pd" */
  if (!TREE_OVERFLOW (captures[2]) && !TREE_OVERFLOW (captures[3]) && !TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[1])) && !TYPE_OVERFLOW_TRAPS (TREE_TYPE (captures[1])) && !TYPE_SATURATING (TREE_TYPE (captures[1])))
    {
      {
/* #line 4549 "../../gcc/match.pd" */
 tree res = int_const_binop (rop, captures[3], captures[2]);
/* #line 4550 "../../gcc/match.pd" */
	  if (TREE_OVERFLOW (res) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4552, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
/* #line 4553 "../../gcc/match.pd" */
	      if (single_use (captures[0]))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4554, %s:%d\n", __FILE__, __LINE__);
		  *res_code = cmp;
		  res_ops[0] = captures[1];
		  res_ops[1] =  TREE_OVERFLOW (res) ? drop_tree_overflow (res) : res;
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_31 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (out))
{
/* #line 3865 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[1])) && types_match (TREE_TYPE (captures[1]), TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3867, %s:%d\n", __FILE__, __LINE__);
      *res_code = out;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = IMAGPART_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] =  build_zero_cst (TREE_TYPE (captures[1]));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (froms), const combined_fn ARG_UNUSED (tos))
{
/* #line 4322 "../../gcc/match.pd" */
  if (optimize && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4325, %s:%d\n", __FILE__, __LINE__);
      *res_code = tos;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_33 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 706 "../../gcc/match.pd" */
  if (~wi::to_wide (captures[1]) == wi::to_wide (captures[2]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:707, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_XOR_EXPR;
      res_ops[0] = captures[0];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_34 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (COPYSIGN_ALL))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4119, %s:%d\n", __FILE__, __LINE__);
  *res_code = ABS_EXPR;
  res_ops[0] = captures[0];
  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_35 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1391 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1393, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[2];
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_36 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 980 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[3])) && tree_nop_conversion_p (type, TREE_TYPE (captures[6])))
    {
/* #line 982 "../../gcc/match.pd" */
      if (single_use (captures[4]) && single_use (captures[5]))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:983, %s:%d\n", __FILE__, __LINE__);
	  *res_code = op;
	  res_ops[0] = captures[0];
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[6];
	    if (type != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 984 "../../gcc/match.pd" */
	  if (single_use (captures[0]) && single_use (captures[1]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:985, %s:%d\n", __FILE__, __LINE__);
	      *res_code = op;
	      {
		tree ops1[1], res;
		ops1[0] = captures[3];
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[4];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_37 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:738, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_38 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3462 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && !(targetm.have_canonicalize_funcptr_for_compare () && POINTER_TYPE_P (TREE_TYPE (captures[1])) && FUNC_OR_METHOD_TYPE_P (TREE_TYPE (TREE_TYPE (captures[1])))) && single_use (captures[0]))
    {
/* #line 3469 "../../gcc/match.pd" */
      if (TYPE_PRECISION (TREE_TYPE (captures[1])) == TYPE_PRECISION (TREE_TYPE (captures[0])) && (TREE_CODE (captures[3]) == INTEGER_CST || captures[2] != captures[3]) && (TYPE_UNSIGNED (TREE_TYPE (captures[1])) == TYPE_UNSIGNED (TREE_TYPE (captures[0])) || cmp == NE_EXPR || cmp == EQ_EXPR) && !POINTER_TYPE_P (TREE_TYPE (captures[1])))
	{
/* #line 3479 "../../gcc/match.pd" */
	  if (TREE_CODE (captures[2]) == INTEGER_CST)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3480, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[1];
	      res_ops[1] =  force_fit_type (TREE_TYPE (captures[1]), wi::to_widest (captures[2]), 0, TREE_OVERFLOW (captures[2]));
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3482, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[1];
	      {
		tree ops1[1], res;
		ops1[0] = captures[2];
		if (TREE_TYPE (res_ops[0]) != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (TREE_TYPE (res_ops[0]), TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (res_ops[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (res_ops[0]), tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[1] = res;
	      }
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
      else
	{
/* #line 3484 "../../gcc/match.pd" */
	  if (TYPE_PRECISION (TREE_TYPE (captures[0])) > TYPE_PRECISION (TREE_TYPE (captures[1])))
	    {
/* #line 3486 "../../gcc/match.pd" */
	      if ((cmp == EQ_EXPR || cmp == NE_EXPR || TYPE_UNSIGNED (TREE_TYPE (captures[0])) == TYPE_UNSIGNED (TREE_TYPE (captures[1])) || (!TYPE_UNSIGNED (TREE_TYPE (captures[0])) && TYPE_UNSIGNED (TREE_TYPE (captures[1])))) && (types_match (TREE_TYPE (captures[3]), TREE_TYPE (captures[1])) || ((TYPE_PRECISION (TREE_TYPE (captures[1])) >= TYPE_PRECISION (TREE_TYPE (captures[3]))) && (TYPE_UNSIGNED (TREE_TYPE (captures[1])) == TYPE_UNSIGNED (TREE_TYPE (captures[3])))) || (TREE_CODE (captures[3]) == INTEGER_CST && INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && int_fits_type_p (captures[3], TREE_TYPE (captures[1])))))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3498, %s:%d\n", __FILE__, __LINE__);
		  *res_code = cmp;
		  res_ops[0] = captures[1];
		  {
		    tree ops1[1], res;
		    ops1[0] = captures[3];
		    if (TREE_TYPE (res_ops[0]) != TREE_TYPE (ops1[0])
		        && !useless_type_conversion_p (TREE_TYPE (res_ops[0]), TREE_TYPE (ops1[0])))
		      {
			code_helper tem_code = NOP_EXPR;
			tree tem_ops[3] = { ops1[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (res_ops[0]), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (res_ops[0]), tem_ops, lseq);
			if (!res) return false;
		      }
		    else
		      res = ops1[0];
		    res_ops[1] = res;
		  }
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	      else
		{
/* #line 3499 "../../gcc/match.pd" */
		  if (TREE_CODE (captures[3]) == INTEGER_CST && INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && !int_fits_type_p (captures[3], TREE_TYPE (captures[1])))
		    {
		      {
/* #line 3502 "../../gcc/match.pd" */
 tree min = lower_bound_in_type (TREE_TYPE (captures[3]), TREE_TYPE (captures[1]));
 tree max = upper_bound_in_type (TREE_TYPE (captures[3]), TREE_TYPE (captures[1]));
 bool above = integer_nonzerop (const_binop (LT_EXPR, type, max, captures[3]));
 bool below = integer_nonzerop (const_binop (LT_EXPR, type, captures[3], min));
/* #line 3509 "../../gcc/match.pd" */
			  if (above || below)
			    {
/* #line 3510 "../../gcc/match.pd" */
			      if (cmp == EQ_EXPR || cmp == NE_EXPR)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3511, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  constant_boolean_node (cmp == EQ_EXPR ? false : true, type);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			      else
				{
/* #line 3512 "../../gcc/match.pd" */
				  if (cmp == LT_EXPR || cmp == LE_EXPR)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3513, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] =  constant_boolean_node (above ? true : false, type);
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				  else
				    {
/* #line 3514 "../../gcc/match.pd" */
				      if (cmp == GT_EXPR || cmp == GE_EXPR)
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3515, %s:%d\n", __FILE__, __LINE__);
					  res_ops[0] =  constant_boolean_node (above ? false : true, type);
					  *res_code = TREE_CODE (res_ops[0]);
					  return true;
					}
				    }
				}
			    }
		      }
		    }
		}
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_39 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (minmax), const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (out))
{
/* #line 2108 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2109, %s:%d\n", __FILE__, __LINE__);
      *res_code = out;
      res_ops[0] = captures[0];
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_40 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shift))
{
/* #line 2257 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])) && TYPE_PRECISION (type) <= HOST_BITS_PER_WIDE_INT && tree_fits_uhwi_p (captures[4]) && tree_to_uhwi (captures[4]) > 0 && tree_to_uhwi (captures[4]) < TYPE_PRECISION (type))
    {
      {
/* #line 2262 "../../gcc/match.pd" */
 unsigned int shiftc = tree_to_uhwi (captures[4]);
 unsigned HOST_WIDE_INT mask = TREE_INT_CST_LOW (captures[5]);
 unsigned HOST_WIDE_INT newmask, zerobits = 0;
 tree shift_type = TREE_TYPE (captures[2]);
 unsigned int prec;
 if (shift == LSHIFT_EXPR) zerobits = ((HOST_WIDE_INT_1U << shiftc) - 1);
 else if (shift == RSHIFT_EXPR && type_has_mode_precision_p (shift_type)) { prec = TYPE_PRECISION (TREE_TYPE (captures[2]));
 tree arg00 = captures[3];
 if (captures[2] != captures[3] && TYPE_UNSIGNED (TREE_TYPE (captures[3]))) { tree inner_type = TREE_TYPE (captures[3]);
 if (type_has_mode_precision_p (inner_type) && TYPE_PRECISION (inner_type) < prec) { prec = TYPE_PRECISION (inner_type);
 if (shiftc < prec) shift_type = inner_type;
 } } zerobits = HOST_WIDE_INT_M1U;
 if (shiftc < prec) { zerobits >>= HOST_BITS_PER_WIDE_INT - shiftc;
 zerobits <<= prec - shiftc;
 } if (!TYPE_UNSIGNED (TREE_TYPE (captures[2])) && prec == TYPE_PRECISION (TREE_TYPE (captures[2]))) { if ((mask & zerobits) == 0) shift_type = unsigned_type_for (TREE_TYPE (captures[2]));
 else zerobits = 0;
 } }/* #line 2316 "../../gcc/match.pd" */
	  if ((mask & zerobits) == mask)
	    {
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])
	              || !single_use (captures[1])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2317, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_int_cst (type, 0);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
	      {
/* #line 2318 "../../gcc/match.pd" */
 newmask = mask | zerobits;
/* #line 2319 "../../gcc/match.pd" */
		  if (newmask != mask && (newmask & (newmask + 1)) == 0)
		    {
		      {
/* #line 2320 "../../gcc/match.pd" */
 for (prec = BITS_PER_UNIT;
 prec < HOST_BITS_PER_WIDE_INT;
 prec <<= 1) if (newmask == (HOST_WIDE_INT_1U << prec) - 1) break;
/* #line 2329 "../../gcc/match.pd" */
			  if (prec < HOST_BITS_PER_WIDE_INT || newmask == HOST_WIDE_INT_M1U)
			    {
			      {
/* #line 2331 "../../gcc/match.pd" */
 tree newmaskt = build_int_cst_type (TREE_TYPE (captures[5]), newmask);
/* #line 2333 "../../gcc/match.pd" */
				  if (!tree_int_cst_equal (newmaskt, captures[5]))
				    {
/* #line 2334 "../../gcc/match.pd" */
				      if (shift_type != TREE_TYPE (captures[2]))
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])
					          || !single_use (captures[1])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2335, %s:%d\n", __FILE__, __LINE__);
					  *res_code = BIT_AND_EXPR;
					  {
					    tree ops1[1], res;
					    {
					      tree ops2[2], res;
					      {
						tree ops3[1], res;
						ops3[0] = captures[2];
						if (shift_type != TREE_TYPE (ops3[0])
						    && !useless_type_conversion_p (shift_type, TREE_TYPE (ops3[0])))
						  {
						    code_helper tem_code = NOP_EXPR;
						    tree tem_ops[3] = { ops3[0] };
						    gimple_resimplify1 (lseq, &tem_code, shift_type, tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
						    if (!res) return false;
						  }
						else
						  res = ops3[0];
						ops2[0] = res;
					      }
					      ops2[1] = captures[4];
					      code_helper tem_code = shift;
					      tree tem_ops[3] = { ops2[0], ops2[1] };
					      gimple_resimplify2 (lseq, &tem_code, shift_type, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
					      if (!res) return false;
					      ops1[0] = res;
					    }
					    if (type != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[0] = res;
					  }
					  res_ops[1] =  newmaskt;
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])
					          || !single_use (captures[1])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2336, %s:%d\n", __FILE__, __LINE__);
					  *res_code = BIT_AND_EXPR;
					  res_ops[0] = captures[0];
					  res_ops[1] =  newmaskt;
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				    }
			      }
			    }
		      }
		    }
	      }
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_41 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 2124 "../../gcc/match.pd" */
  if (wi::gt_p (wi::to_wide (captures[1]), wi::to_wide (captures[2]), TYPE_SIGN (TREE_TYPE (captures[0]))))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2126, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  else
    {
/* #line 2127 "../../gcc/match.pd" */
      if (wi::lt_p (wi::to_wide (captures[1]), wi::to_wide (captures[2]), TYPE_SIGN (TREE_TYPE (captures[0]))))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2129, %s:%d\n", __FILE__, __LINE__);
	  *res_code = cmp;
	  res_ops[0] = captures[0];
	  res_ops[1] = captures[2];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_42 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 324 "../../gcc/match.pd" */
  if (FLOAT_TYPE_P (type) && ! HONOR_NANS (type) && ! HONOR_INFINITIES (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:327, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  build_minus_one_cst (type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_43 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3733 "../../gcc/match.pd" */
  if ((INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) || POINTER_TYPE_P (TREE_TYPE (captures[2]))) && tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])))
    {
      {
/* #line 3735 "../../gcc/match.pd" */
 tree arg1_type = TREE_TYPE (captures[2]);
 unsigned int prec = TYPE_PRECISION (arg1_type);
 wide_int max = wi::max_value (arg1_type);
 wide_int signed_max = wi::max_value (prec, SIGNED);
 wide_int min = wi::min_value (arg1_type);
/* #line 3744 "../../gcc/match.pd" */
	  if (wi::to_wide (captures[2]) == max)
	    {
/* #line 3746 "../../gcc/match.pd" */
	      if (cmp == GT_EXPR)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3747, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  constant_boolean_node (false, type);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 3748 "../../gcc/match.pd" */
		  if (cmp == GE_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3749, %s:%d\n", __FILE__, __LINE__);
		      *res_code = EQ_EXPR;
		      res_ops[0] = captures[0];
		      res_ops[1] = captures[2];
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		  else
		    {
/* #line 3750 "../../gcc/match.pd" */
		      if (cmp == LE_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3751, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] =  constant_boolean_node (true, type);
			  *res_code = TREE_CODE (res_ops[0]);
			  return true;
			}
		      else
			{
/* #line 3752 "../../gcc/match.pd" */
			  if (cmp == LT_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3753, %s:%d\n", __FILE__, __LINE__);
			      *res_code = NE_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[2];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		    }
		}
	    }
	  else
	    {
/* #line 3754 "../../gcc/match.pd" */
	      if (wi::to_wide (captures[2]) == min)
		{
/* #line 3756 "../../gcc/match.pd" */
		  if (cmp == LT_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3757, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  constant_boolean_node (false, type);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 3758 "../../gcc/match.pd" */
		      if (cmp == LE_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3759, %s:%d\n", __FILE__, __LINE__);
			  *res_code = EQ_EXPR;
			  res_ops[0] = captures[0];
			  res_ops[1] = captures[2];
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
/* #line 3760 "../../gcc/match.pd" */
			  if (cmp == GE_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3761, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  constant_boolean_node (true, type);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			  else
			    {
/* #line 3762 "../../gcc/match.pd" */
			      if (cmp == GT_EXPR)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3763, %s:%d\n", __FILE__, __LINE__);
				  *res_code = NE_EXPR;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[2];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			}
		    }
		}
	      else
		{
/* #line 3764 "../../gcc/match.pd" */
		  if (wi::to_wide (captures[2]) == max - 1)
		    {
/* #line 3766 "../../gcc/match.pd" */
		      if (cmp == GT_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3767, %s:%d\n", __FILE__, __LINE__);
			  *res_code = EQ_EXPR;
			  res_ops[0] = captures[0];
			  res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[2]), wi::to_wide (captures[2]) + 1);
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
/* #line 3768 "../../gcc/match.pd" */
			  if (cmp == LE_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3769, %s:%d\n", __FILE__, __LINE__);
			      *res_code = NE_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[2]), wi::to_wide (captures[2]) + 1);
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		    }
		  else
		    {
/* #line 3770 "../../gcc/match.pd" */
		      if (wi::to_wide (captures[2]) == min + 1)
			{
/* #line 3772 "../../gcc/match.pd" */
			  if (cmp == GE_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3773, %s:%d\n", __FILE__, __LINE__);
			      *res_code = NE_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[2]), wi::to_wide (captures[2]) - 1);
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
/* #line 3774 "../../gcc/match.pd" */
			      if (cmp == LT_EXPR)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3775, %s:%d\n", __FILE__, __LINE__);
				  *res_code = EQ_EXPR;
				  res_ops[0] = captures[0];
				  res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[2]), wi::to_wide (captures[2]) - 1);
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			}
		      else
			{
/* #line 3776 "../../gcc/match.pd" */
			  if (wi::to_wide (captures[2]) == signed_max && TYPE_UNSIGNED (arg1_type) && prec == GET_MODE_PRECISION (SCALAR_INT_TYPE_MODE (arg1_type)) && INTEGRAL_TYPE_P (arg1_type))
			    {
/* #line 3787 "../../gcc/match.pd" */
			      if (cmp == LE_EXPR || cmp == GT_EXPR)
				{
				  {
/* #line 3788 "../../gcc/match.pd" */
 tree st = signed_type_for (arg1_type);
/* #line 3789 "../../gcc/match.pd" */
				      if (cmp == LE_EXPR)
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3790, %s:%d\n", __FILE__, __LINE__);
					  *res_code = GE_EXPR;
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[1];
					    if (st != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (st, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, st, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, st, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[0] = res;
					  }
					  res_ops[1] =  build_zero_cst (st);
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3791, %s:%d\n", __FILE__, __LINE__);
					  *res_code = LT_EXPR;
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[1];
					    if (st != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (st, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, st, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, st, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[0] = res;
					  }
					  res_ops[1] =  build_zero_cst (st);
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				  }
				}
			    }
			}
		    }
		}
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_44 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 1262 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])))
    {
/* #line 1264 "../../gcc/match.pd" */
      if (tree_expr_nonnegative_p (captures[1]) && tree_expr_nonzero_p (captures[1]))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1265, %s:%d\n", __FILE__, __LINE__);
	  *res_code = cmp;
	  res_ops[0] = captures[0];
	  res_ops[1] = captures[2];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 1266 "../../gcc/match.pd" */
	  if (TREE_CODE (captures[1]) == INTEGER_CST && wi::neg_p (wi::to_wide (captures[1]), TYPE_SIGN (TREE_TYPE (captures[1]))))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1268, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[2];
	      res_ops[1] = captures[0];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_45 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shiftrotate))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2172, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_46 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shift))
{
/* #line 2188 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])))
    {
      {
/* #line 2189 "../../gcc/match.pd" */
 int width = ceil_log2 (element_precision (TREE_TYPE (captures[0])));
 int prec = TYPE_PRECISION (TREE_TYPE (captures[1]));
/* #line 2193 "../../gcc/match.pd" */
	  if ((get_nonzero_bits (captures[1]) & wi::mask (width, false, prec)) == 0)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2194, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_47 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3523 "../../gcc/match.pd" */
  if (SSA_NAME_IS_DEFAULT_DEF (captures[1]) && TREE_CODE (SSA_NAME_VAR (captures[1])) == PARM_DECL)
    {
      {
/* #line 3525 "../../gcc/match.pd" */
 tree base = get_base_address (TREE_OPERAND (captures[0], 0));
/* #line 3526 "../../gcc/match.pd" */
	  if (TREE_CODE (base) == VAR_DECL && auto_var_in_fn_p (base, current_function_decl))
	    {
/* #line 3528 "../../gcc/match.pd" */
	      if (cmp == NE_EXPR)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3529, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  constant_boolean_node (true, type);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3530, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  constant_boolean_node (false, type);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_48 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3797 "../../gcc/match.pd" */
  if (REAL_VALUE_ISNAN (TREE_REAL_CST (captures[1])) && (cmp != LTGT_EXPR || ! flag_trapping_math))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3799, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == ORDERED_EXPR || cmp == LTGT_EXPR ? false : true, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_49 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 2905 "../../gcc/match.pd" */
  if (VECTOR_TYPE_P (type) && known_eq (TYPE_VECTOR_SUBPARTS (type), TYPE_VECTOR_SUBPARTS (TREE_TYPE (captures[3]))) && (TYPE_MODE (TREE_TYPE (type)) == TYPE_MODE (TREE_TYPE (TREE_TYPE (captures[3])))))
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[1])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2910, %s:%d\n", __FILE__, __LINE__);
      *res_code = MINUS_EXPR;
      res_ops[0] = captures[0];
      {
	tree ops1[1], res;
	{
	  tree ops2[3], res;
	  ops2[0] = captures[2];
	  ops2[0] = unshare_expr (ops2[0]);
	  {
	    tree ops3[1], res;
	    ops3[0] = captures[3];
	    code_helper tem_code = NEGATE_EXPR;
	    tree tem_ops[3] = { ops3[0] };
	    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
	    if (!res) return false;
	    ops2[1] = res;
	  }
	  ops2[2] = captures[4];
	  code_helper tem_code = VEC_COND_EXPR;
	  tree tem_ops[3] = { ops2[0], ops2[1], ops2[2] };
	  gimple_resimplify3 (lseq, &tem_code, TREE_TYPE (ops2[1]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[1]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[0] = res;
	}
	code_helper tem_code = VIEW_CONVERT_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_50 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (COS), const combined_fn ARG_UNUSED (SIN), const combined_fn ARG_UNUSED (TAN))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[0])
              || !single_use (captures[2])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4164, %s:%d\n", __FILE__, __LINE__);
      *res_code = RDIV_EXPR;
      res_ops[0] =  build_one_cst (type);
      {
	tree ops1[1], res;
	ops1[0] = captures[1];
	code_helper tem_code = TAN;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_51 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (SIN), const combined_fn ARG_UNUSED (COS), const combined_fn ARG_UNUSED (TAN))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[0])
              || !single_use (captures[2])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4159, %s:%d\n", __FILE__, __LINE__);
      *res_code = TAN;
      res_ops[0] = captures[1];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_52 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (mod))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:436, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_53 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3845 "../../gcc/match.pd" */
  if (single_use (captures[0]) && ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_UNSIGNED (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3849, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[2];
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_54 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 768 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:769, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == GT_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_55 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1725, %s:%d\n", __FILE__, __LINE__);
	  *res_code = PLUS_EXPR;
	  res_ops[0] = captures[1];
	  res_ops[1] = captures[2];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_56 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (div))
{
/* #line 245 "../../gcc/match.pd" */
  if (!integer_zerop (captures[1]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:246, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_57 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1169, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] =  constant_boolean_node (op == NE_EXPR ? true : false, type);
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_58 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (op))
{
  {
/* #line 2778 "../../gcc/match.pd" */
 tree from_type = TREE_TYPE (captures[0]), to_type = TREE_TYPE (captures[1]);
/* #line 2779 "../../gcc/match.pd" */
      if (types_match (from_type, to_type) || (TYPE_UNSIGNED (from_type) && !TYPE_UNSIGNED (to_type) && TYPE_PRECISION (from_type) == TYPE_PRECISION (to_type) && integer_zerop (captures[1]) && (cmp == LT_EXPR || cmp == GE_EXPR)))
	{
	  {
/* #line 2786 "../../gcc/match.pd" */
 bool overflow = false;
 enum tree_code code, cmp_code = cmp;
 wide_int real_c1;
 wide_int c1 = wi::to_wide (captures[1]);
 wide_int c2 = wi::to_wide (captures[2]);
 wide_int c3 = wi::to_wide (captures[3]);
 signop sgn = TYPE_SIGN (from_type);
 if (!types_match (from_type, to_type)) { if (cmp_code == LT_EXPR) cmp_code = GT_EXPR;
 if (cmp_code == GE_EXPR) cmp_code = LE_EXPR;
 c1 = wi::max_value (to_type);
 } if (op == PLUS_EXPR) real_c1 = wi::sub (c3, c2, sgn, &overflow);
 else real_c1 = wi::add (c3, c2, sgn, &overflow);
 code = cmp_code;
 if (!overflow || !TYPE_OVERFLOW_UNDEFINED (from_type)) { if (!wi::cmp (wi::sub (real_c1, 1, sgn, &overflow), c1, sgn) && !overflow) { if (cmp_code == LE_EXPR) code = LT_EXPR;
 if (cmp_code == GT_EXPR) code = GE_EXPR;
 } if (!wi::cmp (wi::add (real_c1, 1, sgn, &overflow), c1, sgn) && !overflow) { if (cmp_code == LT_EXPR) code = LE_EXPR;
 if (cmp_code == GE_EXPR) code = GT_EXPR;
 } if (code != cmp_code || !wi::cmp (real_c1, c1, sgn)) { if (cmp_code == LT_EXPR || cmp_code == LE_EXPR) code = MIN_EXPR;
 if (cmp_code == GT_EXPR || cmp_code == GE_EXPR) code = MAX_EXPR;
 } }/* #line 2850 "../../gcc/match.pd" */
	      if (code == MAX_EXPR)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2851, %s:%d\n", __FILE__, __LINE__);
		  *res_code = op;
		  {
		    tree ops1[2], res;
		    ops1[0] = captures[0];
		    ops1[1] =  wide_int_to_tree (from_type, real_c1);
		    code_helper tem_code = MAX_EXPR;
		    tree tem_ops[3] = { ops1[0], ops1[1] };
		    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		    if (!res) return false;
		    res_ops[0] = res;
		  }
		  res_ops[1] =  wide_int_to_tree (from_type, c2);
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	      else
		{
/* #line 2853 "../../gcc/match.pd" */
		  if (code == MIN_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2854, %s:%d\n", __FILE__, __LINE__);
		      *res_code = op;
		      {
			tree ops1[2], res;
			ops1[0] = captures[0];
			ops1[1] =  wide_int_to_tree (from_type, real_c1);
			code_helper tem_code = MIN_EXPR;
			tree tem_ops[3] = { ops1[0], ops1[1] };
			gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			if (!res) return false;
			res_ops[0] = res;
		      }
		      res_ops[1] =  wide_int_to_tree (from_type, c2);
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		}
	  }
	}
  }
  return false;
}

static bool
gimple_simplify_59 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3718 "../../gcc/match.pd" */
  if (((POINTER_TYPE_P (TREE_TYPE (captures[0])) && !FUNC_OR_METHOD_TYPE_P (TREE_TYPE (TREE_TYPE (captures[0]))) && INTEGRAL_TYPE_P (TREE_TYPE (captures[1]))) || (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && POINTER_TYPE_P (TREE_TYPE (captures[1])) && !FUNC_OR_METHOD_TYPE_P (TREE_TYPE (TREE_TYPE (captures[1]))))) && TYPE_PRECISION (TREE_TYPE (captures[0])) == TYPE_PRECISION (TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3725, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[0];
      {
	tree ops1[1], res;
	ops1[0] = captures[1];
	if (TREE_TYPE (res_ops[0]) != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (TREE_TYPE (res_ops[0]), TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (res_ops[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (res_ops[0]), tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_60 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (rotate))
{
/* #line 2364 "../../gcc/match.pd" */
  if ((element_precision (TREE_TYPE (captures[2])) <= element_precision (TREE_TYPE (captures[3])) || !TYPE_UNSIGNED (TREE_TYPE (captures[3]))) && (element_precision (type) <= element_precision (TREE_TYPE (captures[2])) || !TYPE_UNSIGNED (TREE_TYPE (captures[2]))))
    {
      {
/* #line 2369 "../../gcc/match.pd" */
 tree rotate_type = TREE_TYPE (captures[2]);
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[1])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2371, %s:%d\n", __FILE__, __LINE__);
	  *res_code = NOP_EXPR;
	  {
	    tree ops1[2], res;
	    {
	      tree ops2[1], res;
	      ops2[0] = captures[3];
	      if (rotate_type != TREE_TYPE (ops2[0])
	          && !useless_type_conversion_p (rotate_type, TREE_TYPE (ops2[0])))
		{
		  code_helper tem_code = NOP_EXPR;
		  tree tem_ops[3] = { ops2[0] };
		  gimple_resimplify1 (lseq, &tem_code, rotate_type, tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, rotate_type, tem_ops, lseq);
		  if (!res) return false;
	        }
	      else
	        res = ops2[0];
	      ops1[0] = res;
	    }
	    ops1[1] = captures[4];
	    code_helper tem_code = rotate;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_61 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
/* #line 1794 "../../gcc/match.pd" */
	  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1795, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NEGATE_EXPR;
	      {
		tree ops1[1], res;
		ops1[0] = captures[0];
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_62 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (icmp))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2233, %s:%d\n", __FILE__, __LINE__);
  *res_code = icmp;
  res_ops[0] = captures[0];
  res_ops[1] =  build_zero_cst (TREE_TYPE (captures[0]));
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_63 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (SQRT_ALL))
{
/* #line 3897 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations)
    {
/* #line 3901 "../../gcc/match.pd" */
      if (!HONOR_SNANS (type))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3902, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] = captures[1];
	  *res_code = TREE_CODE (res_ops[0]);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 1249 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0])) && (TREE_INT_CST_LOW (captures[1]) & 1) != 0)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1252, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[0];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_65 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shiftrotate))
{
  {
/* #line 2178 "../../gcc/match.pd" */
 tree tem = uniform_vector_p (captures[1]);
/* #line 2179 "../../gcc/match.pd" */
      if (tem)
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2180, %s:%d\n", __FILE__, __LINE__);
	  *res_code = shiftrotate;
	  res_ops[0] = captures[0];
	  res_ops[1] =  tem;
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
  }
  return false;
}

static bool
gimple_simplify_66 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (plusminus))
{
/* #line 1950 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type) && (!FLOAT_TYPE_P (type) || flag_associative_math))
    {
/* #line 1955 "../../gcc/match.pd" */
      if ((!ANY_INTEGRAL_TYPE_P (type) || TYPE_OVERFLOW_WRAPS (type) || (INTEGRAL_TYPE_P (type) && tree_expr_nonzero_p (captures[1]) && expr_not_equal_to (captures[1], wi::minus_one (TYPE_PRECISION (type))))) && (single_use (captures[0]) || single_use (captures[3])))
	{
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[3])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1963, %s:%d\n", __FILE__, __LINE__);
	  *res_code = MULT_EXPR;
	  {
	    tree ops1[2], res;
	    ops1[0] = captures[2];
	    ops1[1] = captures[4];
	    code_helper tem_code = plusminus;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  res_ops[1] = captures[1];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_67 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (sq), const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3172 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && ! flag_errno_math)
    {
/* #line 3261 "../../gcc/match.pd" */
      if (! HONOR_NANS (captures[0]))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3262, %s:%d\n", __FILE__, __LINE__);
	  *res_code = cmp;
	  res_ops[0] = captures[0];
	  res_ops[1] = captures[1];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_68 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (mod))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:421, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] =  build_zero_cst (type);
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_69 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (out))
{
/* #line 3830 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[1])) && wi::to_wide (captures[2]) != 0 && single_use (captures[0]))
    {
      {
/* #line 3834 "../../gcc/match.pd" */
 unsigned int prec = TYPE_PRECISION (TREE_TYPE (captures[1]));
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3835, %s:%d\n", __FILE__, __LINE__);
	  *res_code = out;
	  res_ops[0] = captures[1];
	  res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[1]), wi::max_value (prec, UNSIGNED) - wi::to_wide (captures[2]));
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_70 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (acmp))
{
/* #line 2938 "../../gcc/match.pd" */
  if (tree_int_cst_sgn (captures[1]) == 1)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2939, %s:%d\n", __FILE__, __LINE__);
      *res_code = acmp;
      res_ops[0] = captures[0];
      res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[1]), wi::to_wide (captures[1]) - 1);
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_71 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:970, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_72 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (icmp), const enum tree_code ARG_UNUSED (ncmp))
{
  {
/* #line 2970 "../../gcc/match.pd" */
 enum tree_code ic = invert_tree_comparison (cmp, HONOR_NANS (captures[0]));
/* #line 2972 "../../gcc/match.pd" */
      if (ic == icmp)
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2973, %s:%d\n", __FILE__, __LINE__);
	  *res_code = icmp;
	  res_ops[0] = captures[0];
	  res_ops[1] = captures[1];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 2974 "../../gcc/match.pd" */
	  if (ic == ncmp)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2975, %s:%d\n", __FILE__, __LINE__);
	      *res_code = ncmp;
	      res_ops[0] = captures[0];
	      res_ops[1] = captures[1];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
  }
  return false;
}

static bool
gimple_simplify_73 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (COPYSIGN_ALL))
{
/* #line 204 "../../gcc/match.pd" */
  if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:205, %s:%d\n", __FILE__, __LINE__);
      *res_code = ABS_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_74 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3342 "../../gcc/match.pd" */
  if (!integer_zerop (captures[1]))
    {
/* #line 3343 "../../gcc/match.pd" */
      if (wi::to_wide (captures[2]) == 0)
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3344, %s:%d\n", __FILE__, __LINE__);
	  *res_code = cmp;
	  res_ops[0] = captures[0];
	  res_ops[1] = captures[2];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 3345 "../../gcc/match.pd" */
	  if (TREE_CODE (captures[1]) == INTEGER_CST)
	    {
	      {
/* #line 3346 "../../gcc/match.pd" */
 bool ovf;
 wide_int prod = wi::mul (wi::to_wide (captures[2]), wi::to_wide (captures[1]), TYPE_SIGN (TREE_TYPE (captures[1])), &ovf);
/* #line 3352 "../../gcc/match.pd" */
		  if (ovf)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3353, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3354, %s:%d\n", __FILE__, __LINE__);
		      *res_code = cmp;
		      res_ops[0] = captures[0];
		      res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[0]), prod);
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
	      }
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_75 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (div))
{
/* #line 262 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_UNDEFINED (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:264, %s:%d\n", __FILE__, __LINE__);
      *res_code = COND_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	ops1[1] =  build_zero_cst (type);
	code_helper tem_code = LT_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, boolean_type_node, tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, boolean_type_node, tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] =  build_minus_one_cst (type);
      res_ops[2] =  build_one_cst (type);
      gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_76 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 2986 "../../gcc/match.pd" */
  if (single_use (captures[0]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2987, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[1];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_77 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1446 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || ((op == EQ_EXPR || op == NE_EXPR) && TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0])))) && (CONSTANT_CLASS_P (captures[2]) || single_use (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1451, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[2];
      res_ops[1] =  build_zero_cst (TREE_TYPE (captures[2]));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_78 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1040 "../../gcc/match.pd" */
  if (!HONOR_SIGN_DEPENDENT_ROUNDING (element_mode (type)) && !HONOR_SIGNED_ZEROS (element_mode (type)))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1042, %s:%d\n", __FILE__, __LINE__);
      *res_code = MINUS_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[1];
	code_helper tem_code = NEGATE_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] = captures[0];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_79 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (scmp))
{
/* #line 3050 "../../gcc/match.pd" */
  if (single_use (captures[0]) && (TREE_CODE (captures[2]) == INTEGER_CST || TREE_CODE (captures[2]) == VECTOR_CST))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3052, %s:%d\n", __FILE__, __LINE__);
      *res_code = scmp;
      res_ops[0] = captures[1];
      {
	tree ops1[1], res;
	ops1[0] = captures[2];
	code_helper tem_code = BIT_NOT_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_80 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4129, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_81 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (opo), const enum tree_code ARG_UNUSED (opi))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:948, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_AND_EXPR;
  {
    tree ops1[1], res;
    ops1[0] = captures[0];
    code_helper tem_code = BIT_NOT_EXPR;
    tree tem_ops[3] = { ops1[0] };
    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[0] = res;
  }
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_82 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3385, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[1];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_83 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
/* #line 1897 "../../gcc/match.pd" */
	  if (INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_UNDEFINED (type) && element_precision (type) <= element_precision (TREE_TYPE (captures[1])) && element_precision (type) <= element_precision (TREE_TYPE (captures[2])))
	    {
	      {
/* #line 1901 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (type);
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1902, %s:%d\n", __FILE__, __LINE__);
		  *res_code = NOP_EXPR;
		  {
		    tree ops1[2], res;
		    {
		      tree ops2[1], res;
		      ops2[0] = captures[1];
		      if (utype != TREE_TYPE (ops2[0])
		          && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
			{
			  code_helper tem_code = NOP_EXPR;
			  tree tem_ops[3] = { ops2[0] };
			  gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
			  if (!res) return false;
		        }
		      else
		        res = ops2[0];
		      ops1[0] = res;
		    }
		    {
		      tree ops2[1], res;
		      ops2[0] = captures[2];
		      if (utype != TREE_TYPE (ops2[0])
		          && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
			{
			  code_helper tem_code = NOP_EXPR;
			  tree tem_ops[3] = { ops2[0] };
			  gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
			  if (!res) return false;
		        }
		      else
		        res = ops2[0];
		      ops1[1] = res;
		    }
		    code_helper tem_code = MINUS_EXPR;
		    tree tem_ops[3] = { ops1[0], ops1[1] };
		    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		    if (!res) return false;
		    res_ops[0] = res;
		  }
		  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		  return true;
	      }
	    }
	  else
	    {
/* #line 1903 "../../gcc/match.pd" */
	      if (((element_precision (type) <= element_precision (TREE_TYPE (captures[1]))) == (element_precision (type) <= element_precision (TREE_TYPE (captures[2])))) && (element_precision (type) <= element_precision (TREE_TYPE (captures[1])) || (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[2])))))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1917, %s:%d\n", __FILE__, __LINE__);
		  *res_code = MINUS_EXPR;
		  {
		    tree ops1[1], res;
		    ops1[0] = captures[1];
		    if (type != TREE_TYPE (ops1[0])
		        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		      {
			code_helper tem_code = NOP_EXPR;
			tree tem_ops[3] = { ops1[0] };
			gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			if (!res) return false;
		      }
		    else
		      res = ops1[0];
		    res_ops[0] = res;
		  }
		  {
		    tree ops1[1], res;
		    ops1[0] = captures[2];
		    if (type != TREE_TYPE (ops1[0])
		        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		      {
			code_helper tem_code = NOP_EXPR;
			tree tem_ops[3] = { ops1[0] };
			gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			if (!res) return false;
		      }
		    else
		      res = ops1[0];
		    res_ops[1] = res;
		  }
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_84 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (ncmp))
{
/* #line 3597 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && type_has_mode_precision_p (TREE_TYPE (captures[1])) && element_precision (captures[0]) >= element_precision (captures[1]) && wi::only_sign_bit_p (wi::to_wide (captures[2]), element_precision (captures[1])))
    {
      {
/* #line 3601 "../../gcc/match.pd" */
 tree stype = signed_type_for (TREE_TYPE (captures[1]));
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3602, %s:%d\n", __FILE__, __LINE__);
	  *res_code = ncmp;
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[1];
	    if (stype != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (stype, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, stype, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, stype, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[0] = res;
	  }
	  res_ops[1] =  build_zero_cst (stype);
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_85 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (rotate))
{
/* #line 2364 "../../gcc/match.pd" */
  if ((element_precision (TREE_TYPE (captures[2])) <= element_precision (TREE_TYPE (captures[3])) || !TYPE_UNSIGNED (TREE_TYPE (captures[3]))) && (element_precision (type) <= element_precision (TREE_TYPE (captures[2])) || !TYPE_UNSIGNED (TREE_TYPE (captures[2]))))
    {
      {
/* #line 2369 "../../gcc/match.pd" */
 tree rotate_type = TREE_TYPE (captures[2]);
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[1])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2371, %s:%d\n", __FILE__, __LINE__);
	  *res_code = NOP_EXPR;
	  {
	    tree ops1[2], res;
	    {
	      tree ops2[1], res;
	      ops2[0] = captures[3];
	      if (rotate_type != TREE_TYPE (ops2[0])
	          && !useless_type_conversion_p (rotate_type, TREE_TYPE (ops2[0])))
		{
		  code_helper tem_code = NOP_EXPR;
		  tree tem_ops[3] = { ops2[0] };
		  gimple_resimplify1 (lseq, &tem_code, rotate_type, tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, rotate_type, tem_ops, lseq);
		  if (!res) return false;
	        }
	      else
	        res = ops2[0];
	      ops1[0] = res;
	    }
	    ops1[1] = captures[4];
	    code_helper tem_code = rotate;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_86 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1203 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1204, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	{
	  tree ops2[1], res;
	  ops2[0] = captures[1];
	  code_helper tem_code = BIT_NOT_EXPR;
	  tree tem_ops[3] = { ops2[0] };
	  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[1] = res;
	}
	code_helper tem_code = BIT_XOR_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_87 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 980 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[3])) && tree_nop_conversion_p (type, TREE_TYPE (captures[6])))
    {
/* #line 982 "../../gcc/match.pd" */
      if (single_use (captures[4]) && single_use (captures[5]))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:983, %s:%d\n", __FILE__, __LINE__);
	  *res_code = op;
	  res_ops[0] = captures[0];
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[6];
	    if (type != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 984 "../../gcc/match.pd" */
	  if (single_use (captures[0]) && single_use (captures[1]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:985, %s:%d\n", __FILE__, __LINE__);
	      *res_code = op;
	      {
		tree ops1[1], res;
		ops1[0] = captures[3];
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[4];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_88 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop), const enum tree_code ARG_UNUSED (rbitop))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:842, %s:%d\n", __FILE__, __LINE__);
  *res_code = bitop;
  res_ops[0] = captures[1];
  res_ops[1] = captures[2];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_89 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
/* #line 1850 "../../gcc/match.pd" */
	  if (INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_UNDEFINED (type) && element_precision (type) <= element_precision (TREE_TYPE (captures[1])))
	    {
	      {
/* #line 1853 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (type);
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1854, %s:%d\n", __FILE__, __LINE__);
		  *res_code = NOP_EXPR;
		  {
		    tree ops1[1], res;
		    {
		      tree ops2[1], res;
		      ops2[0] = captures[1];
		      if (utype != TREE_TYPE (ops2[0])
		          && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
			{
			  code_helper tem_code = NOP_EXPR;
			  tree tem_ops[3] = { ops2[0] };
			  gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
			  if (!res) return false;
		        }
		      else
		        res = ops2[0];
		      ops1[0] = res;
		    }
		    code_helper tem_code = NEGATE_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		    if (!res) return false;
		    res_ops[0] = res;
		  }
		  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		  return true;
	      }
	    }
	  else
	    {
/* #line 1855 "../../gcc/match.pd" */
	      if (element_precision (type) <= element_precision (TREE_TYPE (captures[1])) || (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1865, %s:%d\n", __FILE__, __LINE__);
		  *res_code = NEGATE_EXPR;
		  {
		    tree ops1[1], res;
		    ops1[0] = captures[1];
		    if (type != TREE_TYPE (ops1[0])
		        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		      {
			code_helper tem_code = NOP_EXPR;
			tree tem_ops[3] = { ops1[0] };
			gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			if (!res) return false;
		      }
		    else
		      res = ops1[0];
		    res_ops[0] = res;
		  }
		  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_90 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 332 "../../gcc/match.pd" */
  if (SCALAR_FLOAT_TYPE_P (type) && ! HONOR_NANS (type) && ! HONOR_INFINITIES (type))
    {
/* #line 336 "../../gcc/match.pd" */
      if (types_match (type, float_type_node))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:337, %s:%d\n", __FILE__, __LINE__);
	  *res_code = CFN_BUILT_IN_COPYSIGNF;
	  res_ops[0] =  build_one_cst (type);
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[0];
	    if (type != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 338 "../../gcc/match.pd" */
	  if (types_match (type, double_type_node))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:339, %s:%d\n", __FILE__, __LINE__);
	      *res_code = CFN_BUILT_IN_COPYSIGN;
	      res_ops[0] =  build_one_cst (type);
	      {
		tree ops1[1], res;
		ops1[0] = captures[0];
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[1] = res;
	      }
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
/* #line 340 "../../gcc/match.pd" */
	      if (types_match (type, long_double_type_node))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:341, %s:%d\n", __FILE__, __LINE__);
		  *res_code = CFN_BUILT_IN_COPYSIGNL;
		  res_ops[0] =  build_one_cst (type);
		  {
		    tree ops1[1], res;
		    ops1[0] = captures[0];
		    if (type != TREE_TYPE (ops1[0])
		        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		      {
			code_helper tem_code = NOP_EXPR;
			tree tem_ops[3] = { ops1[0] };
			gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			if (!res) return false;
		      }
		    else
		      res = ops1[0];
		    res_ops[1] = res;
		  }
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_91 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:847, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_XOR_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_92 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (rotate))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2143, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_93 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[0])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:722, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_NOT_EXPR;
  {
    tree ops1[2], res;
    ops1[0] = captures[1];
    ops1[1] = captures[2];
    code_helper tem_code = BIT_AND_EXPR;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[0] = res;
  }
  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_94 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (COPYSIGN_ALL))
{
/* #line 216 "../../gcc/match.pd" */
  if (REAL_VALUE_NEGATIVE (TREE_REAL_CST (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:217, %s:%d\n", __FILE__, __LINE__);
      *res_code = COPYSIGN_ALL;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = NEGATE_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_95 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1702, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] = captures[0];
	  *res_code = TREE_CODE (res_ops[0]);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_96 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3455, %s:%d\n", __FILE__, __LINE__);
  *res_code = op;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_97 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (icmp), const enum tree_code ARG_UNUSED (ncmp))
{
/* #line 2956 "../../gcc/match.pd" */
  if (VECTOR_TYPE_P (type) || (INTEGRAL_TYPE_P (type) && TYPE_PRECISION (type) == 1))
    {
      {
/* #line 2962 "../../gcc/match.pd" */
 enum tree_code ic = invert_tree_comparison (cmp, HONOR_NANS (captures[0]));
/* #line 2964 "../../gcc/match.pd" */
	  if (ic == icmp)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2965, %s:%d\n", __FILE__, __LINE__);
	      *res_code = icmp;
	      res_ops[0] = captures[0];
	      res_ops[1] = captures[1];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
/* #line 2966 "../../gcc/match.pd" */
	      if (ic == ncmp)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2967, %s:%d\n", __FILE__, __LINE__);
		  *res_code = ncmp;
		  res_ops[0] = captures[0];
		  res_ops[1] = captures[1];
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_98 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (bswap))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2641, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_99 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1379 "../../gcc/match.pd" */
  if (!TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1380, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[1];
      res_ops[1] = captures[3];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_100 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1224 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])) && tree_nop_conversion_p (type, TREE_TYPE (captures[3])))
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[1])
              || !single_use (captures[2])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1226, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[2], res;
	{
	  tree ops2[1], res;
	  ops2[0] = captures[3];
	  code_helper tem_code = BIT_NOT_EXPR;
	  tree tem_ops[3] = { ops2[0] };
	  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[0] = res;
	}
	ops1[1] = captures[0];
	code_helper tem_code = BIT_AND_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_101 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (out))
{
/* #line 3875 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[2])) && !VECTOR_TYPE_P (TREE_TYPE (captures[2])))
    {
      {
/* #line 3876 "../../gcc/match.pd" */
 tree t = TREE_TYPE (captures[2]), cpx = build_complex_type (t);
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3877, %s:%d\n", __FILE__, __LINE__);
	  *res_code = out;
	  {
	    tree ops1[1], res;
	    {
	      tree ops2[2], res;
	      ops2[0] = captures[2];
	      ops2[1] = captures[1];
	      code_helper tem_code = CFN_MUL_OVERFLOW;
	      tree tem_ops[3] = { ops2[0], ops2[1] };
	      gimple_resimplify2 (lseq, &tem_code, cpx, tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, cpx, tem_ops, lseq);
	      if (!res) return false;
	      ops1[0] = res;
	    }
	    code_helper tem_code = IMAGPART_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  res_ops[1] =  build_zero_cst (t);
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_102 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1427 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[2])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[2]))) && (CONSTANT_CLASS_P (captures[2]) || (single_use (captures[1]) && single_use (captures[0]))) && tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[3])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1433, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[2];
      res_ops[1] =  build_zero_cst (TREE_TYPE (captures[2]));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_103 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (neeq))
{
/* #line 3705 "../../gcc/match.pd" */
  if (POINTER_TYPE_P (TREE_TYPE (captures[0])) && ptrs_compare_unequal (captures[0], captures[1]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3707, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (neeq != EQ_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_104 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 2351 "../../gcc/match.pd" */
  if (!TYPE_UNSIGNED (TREE_TYPE (captures[2])) && (element_precision (TREE_TYPE (captures[2])) <= element_precision (TREE_TYPE (captures[3])) || !TYPE_UNSIGNED (TREE_TYPE (captures[3]))))
    {
      {
/* #line 2355 "../../gcc/match.pd" */
 tree shift_type = TREE_TYPE (captures[2]);
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[1])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2357, %s:%d\n", __FILE__, __LINE__);
	  *res_code = NOP_EXPR;
	  {
	    tree ops1[2], res;
	    {
	      tree ops2[1], res;
	      ops2[0] = captures[3];
	      if (shift_type != TREE_TYPE (ops2[0])
	          && !useless_type_conversion_p (shift_type, TREE_TYPE (ops2[0])))
		{
		  code_helper tem_code = NOP_EXPR;
		  tree tem_ops[3] = { ops2[0] };
		  gimple_resimplify1 (lseq, &tem_code, shift_type, tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
		  if (!res) return false;
	        }
	      else
	        res = ops2[0];
	      ops1[0] = res;
	    }
	    ops1[1] = captures[4];
	    code_helper tem_code = RSHIFT_EXPR;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_105 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3562 "../../gcc/match.pd" */
  if (tree_single_nonzero_warnv_p (captures[0], NULL))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3563, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_106 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op), const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3148 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations)
    {
      {
/* #line 3152 "../../gcc/match.pd" */
 tree tem = const_binop (op == PLUS_EXPR ? MINUS_EXPR : PLUS_EXPR, TREE_TYPE (captures[1]), captures[2], captures[1]);
/* #line 3157 "../../gcc/match.pd" */
	  if (tem && !TREE_OVERFLOW (tem))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3158, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[0];
	      res_ops[1] =  tem;
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_107 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 3610 "../../gcc/match.pd" */
  if (integer_pow2p (captures[1]) && !TYPE_UNSIGNED (TREE_TYPE (captures[0])))
    {
      {
/* #line 3612 "../../gcc/match.pd" */
 int shift = element_precision (captures[0]) - wi::exact_log2 (wi::to_wide (captures[1])) - 1;
/* #line 3615 "../../gcc/match.pd" */
	  if (shift >= 0)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3616, %s:%d\n", __FILE__, __LINE__);
	      *res_code = BIT_AND_EXPR;
	      {
		tree ops1[1], res;
		{
		  tree ops2[2], res;
		  ops2[0] = captures[0];
		  ops2[1] =  build_int_cst (integer_type_node, shift);
		  code_helper tem_code = RSHIFT_EXPR;
		  tree tem_ops[3] = { ops2[0], ops2[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
		  if (!res) return false;
		  ops1[0] = res;
		}
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[1];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3621, %s:%d\n", __FILE__, __LINE__);
	      *res_code = BIT_AND_EXPR;
	      {
		tree ops1[1], res;
		ops1[0] = captures[0];
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[1];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_108 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (mod))
{
/* #line 440 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_UNDEFINED (type) && wi::multiple_of_p (wi::to_wide (captures[1]), wi::to_wide (captures[2]), TYPE_SIGN (type)))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:444, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  build_zero_cst (type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_109 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1348 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1350, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[0];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_110 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3164 "../../gcc/match.pd" */
  if (flag_associative_math)
    {
      {
/* #line 3167 "../../gcc/match.pd" */
 tree tem = const_binop (MINUS_EXPR, TREE_TYPE (captures[1]), captures[0], captures[2]);
/* #line 3168 "../../gcc/match.pd" */
	  if (tem && !TREE_OVERFLOW (tem))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3169, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] =  tem;
	      res_ops[1] = captures[1];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_111 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1364 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1366, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[0];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_112 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (out))
{
/* #line 3865 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[1])) && types_match (TREE_TYPE (captures[1]), TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3867, %s:%d\n", __FILE__, __LINE__);
      *res_code = out;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = IMAGPART_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] =  build_zero_cst (TREE_TYPE (captures[1]));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_113 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (eqcmp))
{
/* #line 3419 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])))
    {
      {
/* #line 3420 "../../gcc/match.pd" */
 tree ty = TREE_TYPE (captures[0]);
 unsigned prec = TYPE_PRECISION (ty);
 wide_int mask = wi::to_wide (captures[2], prec);
 wide_int rhs = wi::to_wide (captures[3], prec);
 signop sgn = TYPE_SIGN (ty);
/* #line 3428 "../../gcc/match.pd" */
	  if ((mask & (mask + 1)) == 0 && wi::gt_p (rhs, 0, sgn) && (rhs & (rhs + 1)) == 0 && wi::ge_p (mask, rhs, sgn))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3430, %s:%d\n", __FILE__, __LINE__);
	      *res_code = eqcmp;
	      {
		tree ops1[2], res;
		ops1[0] = captures[1];
		ops1[1] =  wide_int_to_tree (ty, mask - rhs);
		code_helper tem_code = BIT_AND_EXPR;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      res_ops[1] =  build_zero_cst (ty);
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_114 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:743, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[2];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_115 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (copysigns))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:602, %s:%d\n", __FILE__, __LINE__);
  *res_code = copysigns;
  res_ops[0] = captures[0];
  res_ops[1] = captures[2];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_116 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1714, %s:%d\n", __FILE__, __LINE__);
	  *res_code = PLUS_EXPR;
	  res_ops[0] = captures[2];
	  res_ops[1] = captures[1];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_117 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3021 "../../gcc/match.pd" */
  if (cmp != NE_EXPR || ! FLOAT_TYPE_P (TREE_TYPE (captures[0])) || ! HONOR_NANS (captures[0]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3024, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (false, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_118 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (copysigns))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:608, %s:%d\n", __FILE__, __LINE__);
  *res_code = MULT_EXPR;
  res_ops[0] = captures[1];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_119 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (ocmp))
{
/* #line 1460 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[0])) && TREE_CODE (TREE_TYPE (captures[0])) != COMPLEX_TYPE && (VECTOR_TYPE_P (type) || !VECTOR_TYPE_P (TREE_TYPE (captures[0]))))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1464, %s:%d\n", __FILE__, __LINE__);
      *res_code = ocmp;
      res_ops[0] = captures[0];
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_120 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:743, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[2];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_121 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 3579 "../../gcc/match.pd" */
  if (integer_pow2p (captures[2]))
    {
      {
/* #line 3580 "../../gcc/match.pd" */
 int shift = (wi::exact_log2 (wi::to_wide (captures[2])) - wi::exact_log2 (wi::to_wide (captures[1])));
/* #line 3584 "../../gcc/match.pd" */
	  if (shift > 0)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3585, %s:%d\n", __FILE__, __LINE__);
	      *res_code = BIT_AND_EXPR;
	      {
		tree ops1[2], res;
		{
		  tree ops2[1], res;
		  ops2[0] = captures[0];
		  if (type != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (type, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[0] = res;
		}
		ops1[1] =  build_int_cst (integer_type_node, shift);
		code_helper tem_code = LSHIFT_EXPR;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[2];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3587, %s:%d\n", __FILE__, __LINE__);
	      *res_code = BIT_AND_EXPR;
	      {
		tree ops1[1], res;
		{
		  tree ops2[2], res;
		  ops2[0] = captures[0];
		  ops2[1] =  build_int_cst (integer_type_node, -shift);
		  code_helper tem_code = RSHIFT_EXPR;
		  tree tem_ops[3] = { ops2[0], ops2[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
		  if (!res) return false;
		  ops1[0] = res;
		}
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[2];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_122 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 2002 "../../gcc/match.pd" */
  if (TREE_CODE (type) != COMPLEX_TYPE && (! ANY_INTEGRAL_TYPE_P (type) || TYPE_OVERFLOW_UNDEFINED (type)))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2005, %s:%d\n", __FILE__, __LINE__);
      *res_code = ABS_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_123 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (mod))
{
/* #line 425 "../../gcc/match.pd" */
  if (!TYPE_UNSIGNED (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:426, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  build_zero_cst (type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_124 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (inner_op), const enum tree_code ARG_UNUSED (neg_inner_op), const enum tree_code ARG_UNUSED (outer_op))
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
/* #line 1737 "../../gcc/match.pd" */
	  if (!ANY_INTEGRAL_TYPE_P (type) || TYPE_OVERFLOW_WRAPS (type))
	    {
/* #line 1740 "../../gcc/match.pd" */
	      if (!CONSTANT_CLASS_P (captures[0]))
		{
/* #line 1741 "../../gcc/match.pd" */
		  if (outer_op == PLUS_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1742, %s:%d\n", __FILE__, __LINE__);
		      *res_code = PLUS_EXPR;
		      {
			tree ops1[1], res;
			ops1[0] = captures[0];
			code_helper tem_code = VIEW_CONVERT_EXPR;
			tree tem_ops[3] = { ops1[0] };
			gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			if (!res) return false;
			res_ops[0] = res;
		      }
		      {
			tree ops1[2], res;
			ops1[0] = captures[2];
			{
			  tree ops2[1], res;
			  ops2[0] = captures[1];
			  code_helper tem_code = VIEW_CONVERT_EXPR;
			  tree tem_ops[3] = { ops2[0] };
			  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			  if (!res) return false;
			  ops1[1] = res;
			}
			code_helper tem_code = inner_op;
			tree tem_ops[3] = { ops1[0], ops1[1] };
			gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			if (!res) return false;
			res_ops[1] = res;
		      }
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		  else
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1743, %s:%d\n", __FILE__, __LINE__);
		      *res_code = MINUS_EXPR;
		      {
			tree ops1[1], res;
			ops1[0] = captures[0];
			code_helper tem_code = VIEW_CONVERT_EXPR;
			tree tem_ops[3] = { ops1[0] };
			gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			if (!res) return false;
			res_ops[0] = res;
		      }
		      {
			tree ops1[2], res;
			ops1[0] = captures[2];
			{
			  tree ops2[1], res;
			  ops2[0] = captures[1];
			  code_helper tem_code = VIEW_CONVERT_EXPR;
			  tree tem_ops[3] = { ops2[0] };
			  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			  if (!res) return false;
			  ops1[1] = res;
			}
			code_helper tem_code = neg_inner_op;
			tree tem_ops[3] = { ops1[0], ops1[1] };
			gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			if (!res) return false;
			res_ops[1] = res;
		      }
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		}
	    }
	  else
	    {
/* #line 1744 "../../gcc/match.pd" */
	      if (!ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0])))
		{
/* #line 1746 "../../gcc/match.pd" */
		  if (outer_op == PLUS_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1747, %s:%d\n", __FILE__, __LINE__);
		      *res_code = VIEW_CONVERT_EXPR;
		      {
			tree ops1[2], res;
			ops1[0] = captures[0];
			{
			  tree ops2[2], res;
			  {
			    tree ops3[1], res;
			    ops3[0] = captures[2];
			    code_helper tem_code = VIEW_CONVERT_EXPR;
			    tree tem_ops[3] = { ops3[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops2[0] = res;
			  }
			  ops2[1] = captures[1];
			  code_helper tem_code = inner_op;
			  tree tem_ops[3] = { ops2[0], ops2[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			  if (!res) return false;
			  ops1[1] = res;
			}
			code_helper tem_code = PLUS_EXPR;
			tree tem_ops[3] = { ops1[0], ops1[1] };
			gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			if (!res) return false;
			res_ops[0] = res;
		      }
		      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		  else
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1748, %s:%d\n", __FILE__, __LINE__);
		      *res_code = VIEW_CONVERT_EXPR;
		      {
			tree ops1[2], res;
			ops1[0] = captures[0];
			{
			  tree ops2[2], res;
			  {
			    tree ops3[1], res;
			    ops3[0] = captures[2];
			    code_helper tem_code = VIEW_CONVERT_EXPR;
			    tree tem_ops[3] = { ops3[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops2[0] = res;
			  }
			  ops2[1] = captures[1];
			  code_helper tem_code = neg_inner_op;
			  tree tem_ops[3] = { ops2[0], ops2[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			  if (!res) return false;
			  ops1[1] = res;
			}
			code_helper tem_code = MINUS_EXPR;
			tree tem_ops[3] = { ops1[0], ops1[1] };
			gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			if (!res) return false;
			res_ops[0] = res;
		      }
		      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		}
	      else
		{
/* #line 1752 "../../gcc/match.pd" */
		  if (types_match (type, captures[0]))
		    {
		      {
/* #line 1753 "../../gcc/match.pd" */
 tree cst = const_binop (outer_op == inner_op ? PLUS_EXPR : MINUS_EXPR, type, captures[1], captures[2]);
/* #line 1756 "../../gcc/match.pd" */
			  if (cst && !TREE_OVERFLOW (cst))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1757, %s:%d\n", __FILE__, __LINE__);
			      *res_code = inner_op;
			      res_ops[0] = captures[0];
			      res_ops[1] =  cst;
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
/* #line 1759 "../../gcc/match.pd" */
			      if (INTEGRAL_TYPE_P (type) && cst && wi::to_wide (cst) == wi::min_value (type))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1761, %s:%d\n", __FILE__, __LINE__);
				  *res_code = neg_inner_op;
				  res_ops[0] = captures[0];
				  res_ops[1] =  wide_int_to_tree (type, wi::to_wide (cst));
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			      else
				{
				  {
/* #line 1763 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (type);
/* #line 1764 "../../gcc/match.pd" */
				      if (utype)
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1765, %s:%d\n", __FILE__, __LINE__);
					  *res_code = VIEW_CONVERT_EXPR;
					  {
					    tree ops1[2], res;
					    {
					      tree ops2[1], res;
					      ops2[0] = captures[0];
					      code_helper tem_code = VIEW_CONVERT_EXPR;
					      tree tem_ops[3] = { ops2[0] };
					      gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
					      if (!res) return false;
					      ops1[0] = res;
					    }
					    {
					      tree ops2[1], res;
					      ops2[0] =  drop_tree_overflow (cst);
					      code_helper tem_code = VIEW_CONVERT_EXPR;
					      tree tem_ops[3] = { ops2[0] };
					      gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
					      if (!res) return false;
					      ops1[1] = res;
					    }
					    code_helper tem_code = inner_op;
					    tree tem_ops[3] = { ops1[0], ops1[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					    if (!res) return false;
					    res_ops[0] = res;
					  }
					  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				  }
				}
			    }
		      }
		    }
		}
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_125 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  {
/* #line 2241 "../../gcc/match.pd" */
 int cand = wi::ctz (wi::to_wide (captures[2])) - wi::ctz (wi::to_wide (captures[0]));
/* #line 2242 "../../gcc/match.pd" */
      if (cand < 0 || (!integer_zerop (captures[2]) && wi::lshift (wi::to_wide (captures[0]), cand) != wi::to_wide (captures[2])))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2245, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
	  *res_code = TREE_CODE (res_ops[0]);
	  return true;
	}
      else
	{
/* #line 2246 "../../gcc/match.pd" */
	  if (!integer_zerop (captures[2]) && wi::lshift (wi::to_wide (captures[0]), cand) == wi::to_wide (captures[2]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2248, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[1];
	      res_ops[1] =  build_int_cst (TREE_TYPE (captures[1]), cand);
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
  }
  return false;
}

static bool
gimple_simplify_126 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shift))
{
/* #line 2257 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])) && TYPE_PRECISION (type) <= HOST_BITS_PER_WIDE_INT && tree_fits_uhwi_p (captures[4]) && tree_to_uhwi (captures[4]) > 0 && tree_to_uhwi (captures[4]) < TYPE_PRECISION (type))
    {
      {
/* #line 2262 "../../gcc/match.pd" */
 unsigned int shiftc = tree_to_uhwi (captures[4]);
 unsigned HOST_WIDE_INT mask = TREE_INT_CST_LOW (captures[5]);
 unsigned HOST_WIDE_INT newmask, zerobits = 0;
 tree shift_type = TREE_TYPE (captures[2]);
 unsigned int prec;
 if (shift == LSHIFT_EXPR) zerobits = ((HOST_WIDE_INT_1U << shiftc) - 1);
 else if (shift == RSHIFT_EXPR && type_has_mode_precision_p (shift_type)) { prec = TYPE_PRECISION (TREE_TYPE (captures[2]));
 tree arg00 = captures[3];
 if (captures[2] != captures[3] && TYPE_UNSIGNED (TREE_TYPE (captures[3]))) { tree inner_type = TREE_TYPE (captures[3]);
 if (type_has_mode_precision_p (inner_type) && TYPE_PRECISION (inner_type) < prec) { prec = TYPE_PRECISION (inner_type);
 if (shiftc < prec) shift_type = inner_type;
 } } zerobits = HOST_WIDE_INT_M1U;
 if (shiftc < prec) { zerobits >>= HOST_BITS_PER_WIDE_INT - shiftc;
 zerobits <<= prec - shiftc;
 } if (!TYPE_UNSIGNED (TREE_TYPE (captures[2])) && prec == TYPE_PRECISION (TREE_TYPE (captures[2]))) { if ((mask & zerobits) == 0) shift_type = unsigned_type_for (TREE_TYPE (captures[2]));
 else zerobits = 0;
 } }/* #line 2316 "../../gcc/match.pd" */
	  if ((mask & zerobits) == mask)
	    {
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])
	              || !single_use (captures[1])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2317, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_int_cst (type, 0);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
	      {
/* #line 2318 "../../gcc/match.pd" */
 newmask = mask | zerobits;
/* #line 2319 "../../gcc/match.pd" */
		  if (newmask != mask && (newmask & (newmask + 1)) == 0)
		    {
		      {
/* #line 2320 "../../gcc/match.pd" */
 for (prec = BITS_PER_UNIT;
 prec < HOST_BITS_PER_WIDE_INT;
 prec <<= 1) if (newmask == (HOST_WIDE_INT_1U << prec) - 1) break;
/* #line 2329 "../../gcc/match.pd" */
			  if (prec < HOST_BITS_PER_WIDE_INT || newmask == HOST_WIDE_INT_M1U)
			    {
			      {
/* #line 2331 "../../gcc/match.pd" */
 tree newmaskt = build_int_cst_type (TREE_TYPE (captures[5]), newmask);
/* #line 2333 "../../gcc/match.pd" */
				  if (!tree_int_cst_equal (newmaskt, captures[5]))
				    {
/* #line 2334 "../../gcc/match.pd" */
				      if (shift_type != TREE_TYPE (captures[2]))
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])
					          || !single_use (captures[1])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2335, %s:%d\n", __FILE__, __LINE__);
					  *res_code = BIT_AND_EXPR;
					  {
					    tree ops1[1], res;
					    {
					      tree ops2[2], res;
					      {
						tree ops3[1], res;
						ops3[0] = captures[2];
						if (shift_type != TREE_TYPE (ops3[0])
						    && !useless_type_conversion_p (shift_type, TREE_TYPE (ops3[0])))
						  {
						    code_helper tem_code = NOP_EXPR;
						    tree tem_ops[3] = { ops3[0] };
						    gimple_resimplify1 (lseq, &tem_code, shift_type, tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
						    if (!res) return false;
						  }
						else
						  res = ops3[0];
						ops2[0] = res;
					      }
					      ops2[1] = captures[4];
					      code_helper tem_code = shift;
					      tree tem_ops[3] = { ops2[0], ops2[1] };
					      gimple_resimplify2 (lseq, &tem_code, shift_type, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
					      if (!res) return false;
					      ops1[0] = res;
					    }
					    if (type != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[0] = res;
					  }
					  res_ops[1] =  newmaskt;
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])
					          || !single_use (captures[1])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2336, %s:%d\n", __FILE__, __LINE__);
					  *res_code = BIT_AND_EXPR;
					  res_ops[0] = captures[0];
					  res_ops[1] =  newmaskt;
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				    }
			      }
			    }
		      }
		    }
	      }
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_127 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop), const enum tree_code ARG_UNUSED (cmp))
{
/* #line 680 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) && TYPE_PRECISION (TREE_TYPE (captures[0])) == TYPE_PRECISION (TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:683, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	{
	  tree ops2[1], res;
	  ops2[0] = captures[2];
	  if (TREE_TYPE (ops1[0]) != TREE_TYPE (ops2[0])
	      && !useless_type_conversion_p (TREE_TYPE (ops1[0]), TREE_TYPE (ops2[0])))
	    {
	      code_helper tem_code = NOP_EXPR;
	      tree tem_ops[3] = { ops2[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	      if (!res) return false;
	    }
	  else
	    res = ops2[0];
	  ops1[1] = res;
	}
	code_helper tem_code = BIT_AND_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 919 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[1])) && tree_nop_conversion_p (type, TREE_TYPE (captures[4])) && (wi::to_wide (captures[2]) & wi::to_wide (captures[5])) == 0)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:922, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_IOR_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[0] = res;
      }
      {
	tree ops1[1], res;
	ops1[0] = captures[3];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_129 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (div))
{
/* #line 250 "../../gcc/match.pd" */
  if (!TYPE_UNSIGNED (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:251, %s:%d\n", __FILE__, __LINE__);
      *res_code = NEGATE_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_130 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3462 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && !(targetm.have_canonicalize_funcptr_for_compare () && POINTER_TYPE_P (TREE_TYPE (captures[1])) && FUNC_OR_METHOD_TYPE_P (TREE_TYPE (TREE_TYPE (captures[1])))) && single_use (captures[0]))
    {
/* #line 3469 "../../gcc/match.pd" */
      if (TYPE_PRECISION (TREE_TYPE (captures[1])) == TYPE_PRECISION (TREE_TYPE (captures[0])) && (TREE_CODE (captures[3]) == INTEGER_CST || captures[2] != captures[3]) && (TYPE_UNSIGNED (TREE_TYPE (captures[1])) == TYPE_UNSIGNED (TREE_TYPE (captures[0])) || cmp == NE_EXPR || cmp == EQ_EXPR) && !POINTER_TYPE_P (TREE_TYPE (captures[1])))
	{
/* #line 3479 "../../gcc/match.pd" */
	  if (TREE_CODE (captures[2]) == INTEGER_CST)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3480, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[1];
	      res_ops[1] =  force_fit_type (TREE_TYPE (captures[1]), wi::to_widest (captures[2]), 0, TREE_OVERFLOW (captures[2]));
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3482, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[1];
	      {
		tree ops1[1], res;
		ops1[0] = captures[2];
		if (TREE_TYPE (res_ops[0]) != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (TREE_TYPE (res_ops[0]), TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (res_ops[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (res_ops[0]), tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[1] = res;
	      }
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
      else
	{
/* #line 3484 "../../gcc/match.pd" */
	  if (TYPE_PRECISION (TREE_TYPE (captures[0])) > TYPE_PRECISION (TREE_TYPE (captures[1])))
	    {
/* #line 3486 "../../gcc/match.pd" */
	      if ((cmp == EQ_EXPR || cmp == NE_EXPR || TYPE_UNSIGNED (TREE_TYPE (captures[0])) == TYPE_UNSIGNED (TREE_TYPE (captures[1])) || (!TYPE_UNSIGNED (TREE_TYPE (captures[0])) && TYPE_UNSIGNED (TREE_TYPE (captures[1])))) && (types_match (TREE_TYPE (captures[3]), TREE_TYPE (captures[1])) || ((TYPE_PRECISION (TREE_TYPE (captures[1])) >= TYPE_PRECISION (TREE_TYPE (captures[3]))) && (TYPE_UNSIGNED (TREE_TYPE (captures[1])) == TYPE_UNSIGNED (TREE_TYPE (captures[3])))) || (TREE_CODE (captures[3]) == INTEGER_CST && INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && int_fits_type_p (captures[3], TREE_TYPE (captures[1])))))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3498, %s:%d\n", __FILE__, __LINE__);
		  *res_code = cmp;
		  res_ops[0] = captures[1];
		  {
		    tree ops1[1], res;
		    ops1[0] = captures[3];
		    if (TREE_TYPE (res_ops[0]) != TREE_TYPE (ops1[0])
		        && !useless_type_conversion_p (TREE_TYPE (res_ops[0]), TREE_TYPE (ops1[0])))
		      {
			code_helper tem_code = NOP_EXPR;
			tree tem_ops[3] = { ops1[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (res_ops[0]), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (res_ops[0]), tem_ops, lseq);
			if (!res) return false;
		      }
		    else
		      res = ops1[0];
		    res_ops[1] = res;
		  }
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	      else
		{
/* #line 3499 "../../gcc/match.pd" */
		  if (TREE_CODE (captures[3]) == INTEGER_CST && INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && !int_fits_type_p (captures[3], TREE_TYPE (captures[1])))
		    {
		      {
/* #line 3502 "../../gcc/match.pd" */
 tree min = lower_bound_in_type (TREE_TYPE (captures[3]), TREE_TYPE (captures[1]));
 tree max = upper_bound_in_type (TREE_TYPE (captures[3]), TREE_TYPE (captures[1]));
 bool above = integer_nonzerop (const_binop (LT_EXPR, type, max, captures[3]));
 bool below = integer_nonzerop (const_binop (LT_EXPR, type, captures[3], min));
/* #line 3509 "../../gcc/match.pd" */
			  if (above || below)
			    {
/* #line 3510 "../../gcc/match.pd" */
			      if (cmp == EQ_EXPR || cmp == NE_EXPR)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3511, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  constant_boolean_node (cmp == EQ_EXPR ? false : true, type);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			      else
				{
/* #line 3512 "../../gcc/match.pd" */
				  if (cmp == LT_EXPR || cmp == LE_EXPR)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3513, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] =  constant_boolean_node (above ? true : false, type);
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				  else
				    {
/* #line 3514 "../../gcc/match.pd" */
				      if (cmp == GT_EXPR || cmp == GE_EXPR)
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3515, %s:%d\n", __FILE__, __LINE__);
					  res_ops[0] =  constant_boolean_node (above ? false : true, type);
					  *res_code = TREE_CODE (res_ops[0]);
					  return true;
					}
				    }
				}
			    }
		      }
		    }
		}
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_131 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (mod))
{
/* #line 489 "../../gcc/match.pd" */
  if ((TYPE_UNSIGNED (type) || tree_expr_nonnegative_p (captures[0])) && tree_nop_conversion_p (type, TREE_TYPE (captures[1])) && integer_pow2p (captures[3]) && tree_int_cst_sgn (captures[3]) > 0)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:493, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_AND_EXPR;
      res_ops[0] = captures[0];
      {
	tree ops1[1], res;
	{
	  tree ops2[2], res;
	  ops2[0] = captures[2];
	  ops2[1] =  build_int_cst (TREE_TYPE (captures[2]), 1);
	  code_helper tem_code = MINUS_EXPR;
	  tree tem_ops[3] = { ops2[0], ops2[1] };
	  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[0] = res;
	}
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_132 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (outer_op))
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
	  {
/* #line 1774 "../../gcc/match.pd" */
 tree cst = const_binop (outer_op, type, captures[0], captures[2]);
/* #line 1775 "../../gcc/match.pd" */
	      if (cst && !TREE_OVERFLOW (cst))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1776, %s:%d\n", __FILE__, __LINE__);
		  *res_code = MINUS_EXPR;
		  res_ops[0] =  cst;
		  res_ops[1] = captures[1];
		  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	  }
	}
    }
  return false;
}

static bool
gimple_simplify_133 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (bswap))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2644, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_NOT_EXPR;
  res_ops[0] = captures[0];
  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_134 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (fns))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4099, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_135 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3546, %s:%d\n", __FILE__, __LINE__);
  *res_code = cmp;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_136 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop), const combined_fn ARG_UNUSED (bswap))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2648, %s:%d\n", __FILE__, __LINE__);
  *res_code = bitop;
  res_ops[0] = captures[0];
  {
    tree ops1[1], res;
    ops1[0] = captures[1];
    code_helper tem_code = bswap;
    tree tem_ops[3] = { ops1[0] };
    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[1] = res;
  }
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_137 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3552, %s:%d\n", __FILE__, __LINE__);
  *res_code = cmp;
  res_ops[0] = captures[1];
  res_ops[1] =  build_zero_cst (TREE_TYPE (captures[1]));
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_138 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  {
/* #line 3630 "../../gcc/match.pd" */
 poly_int64 off0, off1;
 tree base0 = get_addr_base_and_unit_offset (TREE_OPERAND (captures[1], 0), &off0);
 tree base1 = get_addr_base_and_unit_offset (TREE_OPERAND (captures[2], 0), &off1);
 if (base0 && TREE_CODE (base0) == MEM_REF) { off0 += mem_ref_offset (base0).force_shwi ();
 base0 = TREE_OPERAND (base0, 0);
 } if (base1 && TREE_CODE (base1) == MEM_REF) { off1 += mem_ref_offset (base1).force_shwi ();
 base1 = TREE_OPERAND (base1, 0);
 }/* #line 3646 "../../gcc/match.pd" */
      if (base0 && base1)
	{
	  {
/* #line 3647 "../../gcc/match.pd" */
 int equal = 2;
 if (0 && ((VAR_P (base0) && DECL_HAS_VALUE_EXPR_P (base0)) || (VAR_P (base1) && DECL_HAS_VALUE_EXPR_P (base1)))) ;
 else if (decl_in_symtab_p (base0) && decl_in_symtab_p (base1)) equal = symtab_node::get_create (base0) ->equal_address_to (symtab_node::get_create (base1));
 else if ((DECL_P (base0) || TREE_CODE (base0) == SSA_NAME || TREE_CODE (base0) == STRING_CST) && (DECL_P (base1) || TREE_CODE (base1) == SSA_NAME || TREE_CODE (base1) == STRING_CST)) equal = (base0 == base1);
/* #line 3669 "../../gcc/match.pd" */
	      if (equal == 1 && (cmp == EQ_EXPR || cmp == NE_EXPR || known_eq (off0, off1) || TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])) || (POINTER_TYPE_P (TREE_TYPE (captures[0])) && (DECL_P (base0) || TREE_CODE (base0) == STRING_CST))))
		{
/* #line 3678 "../../gcc/match.pd" */
		  if (cmp == EQ_EXPR && (known_eq (off0, off1) || known_ne (off0, off1)))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3679, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  constant_boolean_node (known_eq (off0, off1), type);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 3680 "../../gcc/match.pd" */
		      if (cmp == NE_EXPR && (known_eq (off0, off1) || known_ne (off0, off1)))
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3681, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] =  constant_boolean_node (known_ne (off0, off1), type);
			  *res_code = TREE_CODE (res_ops[0]);
			  return true;
			}
		      else
			{
/* #line 3682 "../../gcc/match.pd" */
			  if (cmp == LT_EXPR && (known_lt (off0, off1) || known_ge (off0, off1)))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3683, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  constant_boolean_node (known_lt (off0, off1), type);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			  else
			    {
/* #line 3684 "../../gcc/match.pd" */
			      if (cmp == LE_EXPR && (known_le (off0, off1) || known_gt (off0, off1)))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3685, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  constant_boolean_node (known_le (off0, off1), type);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			      else
				{
/* #line 3686 "../../gcc/match.pd" */
				  if (cmp == GE_EXPR && (known_ge (off0, off1) || known_lt (off0, off1)))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3687, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] =  constant_boolean_node (known_ge (off0, off1), type);
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				  else
				    {
/* #line 3688 "../../gcc/match.pd" */
				      if (cmp == GT_EXPR && (known_gt (off0, off1) || known_le (off0, off1)))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3689, %s:%d\n", __FILE__, __LINE__);
					  res_ops[0] =  constant_boolean_node (known_gt (off0, off1), type);
					  *res_code = TREE_CODE (res_ops[0]);
					  return true;
					}
				    }
				}
			    }
			}
		    }
		}
	      else
		{
/* #line 3690 "../../gcc/match.pd" */
		  if (equal == 0 && DECL_P (base0) && DECL_P (base1) && (!INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) || known_eq (off0, off1)))
		    {
/* #line 3696 "../../gcc/match.pd" */
		      if (cmp == EQ_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3697, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] =  constant_boolean_node (false, type);
			  *res_code = TREE_CODE (res_ops[0]);
			  return true;
			}
		      else
			{
/* #line 3698 "../../gcc/match.pd" */
			  if (cmp == NE_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3699, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  constant_boolean_node (true, type);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			}
		    }
		}
	  }
	}
  }
  return false;
}

static bool
gimple_simplify_139 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shiftrotate))
{
  {
/* #line 2178 "../../gcc/match.pd" */
 tree tem = uniform_vector_p (captures[1]);
/* #line 2179 "../../gcc/match.pd" */
      if (tem)
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2180, %s:%d\n", __FILE__, __LINE__);
	  *res_code = shiftrotate;
	  res_ops[0] = captures[0];
	  res_ops[1] =  tem;
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
  }
  return false;
}

static bool
gimple_simplify_140 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 980 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[3])) && tree_nop_conversion_p (type, TREE_TYPE (captures[6])))
    {
/* #line 982 "../../gcc/match.pd" */
      if (single_use (captures[4]) && single_use (captures[5]))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:983, %s:%d\n", __FILE__, __LINE__);
	  *res_code = op;
	  res_ops[0] = captures[0];
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[6];
	    if (type != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 984 "../../gcc/match.pd" */
	  if (single_use (captures[0]) && single_use (captures[1]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:985, %s:%d\n", __FILE__, __LINE__);
	      *res_code = op;
	      {
		tree ops1[1], res;
		ops1[0] = captures[3];
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[4];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_141 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (icmp))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3571, %s:%d\n", __FILE__, __LINE__);
  *res_code = icmp;
  res_ops[0] = captures[0];
  res_ops[1] =  build_zero_cst (TREE_TYPE (captures[1]));
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_142 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[0])
          || !single_use (captures[3])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:697, %s:%d\n", __FILE__, __LINE__);
  *res_code = MINUS_EXPR;
  res_ops[0] = captures[2];
  {
    tree ops1[2], res;
    ops1[0] = captures[1];
    ops1[1] = captures[2];
    code_helper tem_code = BIT_XOR_EXPR;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[1] = res;
  }
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_143 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3733 "../../gcc/match.pd" */
  if ((INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) || POINTER_TYPE_P (TREE_TYPE (captures[2]))) && tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])))
    {
      {
/* #line 3735 "../../gcc/match.pd" */
 tree arg1_type = TREE_TYPE (captures[2]);
 unsigned int prec = TYPE_PRECISION (arg1_type);
 wide_int max = wi::max_value (arg1_type);
 wide_int signed_max = wi::max_value (prec, SIGNED);
 wide_int min = wi::min_value (arg1_type);
/* #line 3744 "../../gcc/match.pd" */
	  if (wi::to_wide (captures[2]) == max)
	    {
/* #line 3746 "../../gcc/match.pd" */
	      if (cmp == GT_EXPR)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3747, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  constant_boolean_node (false, type);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 3748 "../../gcc/match.pd" */
		  if (cmp == GE_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3749, %s:%d\n", __FILE__, __LINE__);
		      *res_code = EQ_EXPR;
		      res_ops[0] = captures[0];
		      res_ops[1] = captures[2];
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		  else
		    {
/* #line 3750 "../../gcc/match.pd" */
		      if (cmp == LE_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3751, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] =  constant_boolean_node (true, type);
			  *res_code = TREE_CODE (res_ops[0]);
			  return true;
			}
		      else
			{
/* #line 3752 "../../gcc/match.pd" */
			  if (cmp == LT_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3753, %s:%d\n", __FILE__, __LINE__);
			      *res_code = NE_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[2];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		    }
		}
	    }
	  else
	    {
/* #line 3754 "../../gcc/match.pd" */
	      if (wi::to_wide (captures[2]) == min)
		{
/* #line 3756 "../../gcc/match.pd" */
		  if (cmp == LT_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3757, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  constant_boolean_node (false, type);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 3758 "../../gcc/match.pd" */
		      if (cmp == LE_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3759, %s:%d\n", __FILE__, __LINE__);
			  *res_code = EQ_EXPR;
			  res_ops[0] = captures[0];
			  res_ops[1] = captures[2];
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
/* #line 3760 "../../gcc/match.pd" */
			  if (cmp == GE_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3761, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  constant_boolean_node (true, type);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			  else
			    {
/* #line 3762 "../../gcc/match.pd" */
			      if (cmp == GT_EXPR)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3763, %s:%d\n", __FILE__, __LINE__);
				  *res_code = NE_EXPR;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[2];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			}
		    }
		}
	      else
		{
/* #line 3764 "../../gcc/match.pd" */
		  if (wi::to_wide (captures[2]) == max - 1)
		    {
/* #line 3766 "../../gcc/match.pd" */
		      if (cmp == GT_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3767, %s:%d\n", __FILE__, __LINE__);
			  *res_code = EQ_EXPR;
			  res_ops[0] = captures[0];
			  res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[2]), wi::to_wide (captures[2]) + 1);
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
/* #line 3768 "../../gcc/match.pd" */
			  if (cmp == LE_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3769, %s:%d\n", __FILE__, __LINE__);
			      *res_code = NE_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[2]), wi::to_wide (captures[2]) + 1);
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		    }
		  else
		    {
/* #line 3770 "../../gcc/match.pd" */
		      if (wi::to_wide (captures[2]) == min + 1)
			{
/* #line 3772 "../../gcc/match.pd" */
			  if (cmp == GE_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3773, %s:%d\n", __FILE__, __LINE__);
			      *res_code = NE_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[2]), wi::to_wide (captures[2]) - 1);
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
/* #line 3774 "../../gcc/match.pd" */
			      if (cmp == LT_EXPR)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3775, %s:%d\n", __FILE__, __LINE__);
				  *res_code = EQ_EXPR;
				  res_ops[0] = captures[0];
				  res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[2]), wi::to_wide (captures[2]) - 1);
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			}
		      else
			{
/* #line 3776 "../../gcc/match.pd" */
			  if (wi::to_wide (captures[2]) == signed_max && TYPE_UNSIGNED (arg1_type) && prec == GET_MODE_PRECISION (SCALAR_INT_TYPE_MODE (arg1_type)) && INTEGRAL_TYPE_P (arg1_type))
			    {
/* #line 3787 "../../gcc/match.pd" */
			      if (cmp == LE_EXPR || cmp == GT_EXPR)
				{
				  {
/* #line 3788 "../../gcc/match.pd" */
 tree st = signed_type_for (arg1_type);
/* #line 3789 "../../gcc/match.pd" */
				      if (cmp == LE_EXPR)
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3790, %s:%d\n", __FILE__, __LINE__);
					  *res_code = GE_EXPR;
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[1];
					    if (st != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (st, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, st, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, st, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[0] = res;
					  }
					  res_ops[1] =  build_zero_cst (st);
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3791, %s:%d\n", __FILE__, __LINE__);
					  *res_code = LT_EXPR;
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[1];
					    if (st != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (st, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, st, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, st, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[0] = res;
					  }
					  res_ops[1] =  build_zero_cst (st);
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				  }
				}
			    }
			}
		    }
		}
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_144 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:703, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_XOR_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_145 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (tans), const combined_fn ARG_UNUSED (atans))
{
/* #line 3897 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4083, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_146 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op), const enum tree_code ARG_UNUSED (rop), const enum tree_code ARG_UNUSED (cmp))
{
/* #line 4561 "../../gcc/match.pd" */
  if (!TREE_OVERFLOW (captures[2]) && !TREE_OVERFLOW (captures[3]) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])))
    {
      {
/* #line 4563 "../../gcc/match.pd" */
 tree res = int_const_binop (rop, captures[3], captures[2]);
/* #line 4564 "../../gcc/match.pd" */
	  if (TREE_OVERFLOW (res))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4565, %s:%d\n", __FILE__, __LINE__);
 fold_overflow_warning (("assuming signed overflow does not occur " "when simplifying conditional to constant"), WARN_STRICT_OVERFLOW_CONDITIONAL);
 bool less = cmp == LE_EXPR || cmp == LT_EXPR;
 bool ovf_high = wi::lt_p (wi::to_wide (captures[2]), 0, TYPE_SIGN (TREE_TYPE (captures[2]))) != (op == MINUS_EXPR);
	      res_ops[0] =  constant_boolean_node (less == ovf_high, type);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
/* #line 4576 "../../gcc/match.pd" */
	      if (single_use (captures[0]))
		{
		  {
/* #line 4577 "../../gcc/match.pd" */
 fold_overflow_warning (("assuming signed overflow does not occur " "when changing X +- C1 cmp C2 to " "X cmp C2 -+ C1"), WARN_STRICT_OVERFLOW_COMPARISON);
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4584, %s:%d\n", __FILE__, __LINE__);
		      *res_code = cmp;
		      res_ops[0] = captures[1];
		      res_ops[1] =  res;
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		  }
		}
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_147 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:712, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_IOR_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_148 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (froms), const combined_fn ARG_UNUSED (tos))
{
/* #line 4313 "../../gcc/match.pd" */
  if (optimize && canonicalize_math_p () && targetm.libc_has_function (function_c99_misc))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4317, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = tos;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_149 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1159, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] =  build_zero_cst (type);
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_150 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:727, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_AND_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_151 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:717, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[2];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_152 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[1])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:732, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_IOR_EXPR;
  res_ops[0] = captures[0];
  {
    tree ops1[1], res;
    ops1[0] = captures[2];
    code_helper tem_code = BIT_NOT_EXPR;
    tree tem_ops[3] = { ops1[0] };
    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[1] = res;
  }
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_153 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1191 "../../gcc/match.pd" */
  if (element_precision (type) <= element_precision (TREE_TYPE (captures[0])) || !TYPE_UNSIGNED (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1193, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = NEGATE_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_154 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1207 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1208, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	ops1[1] = captures[1];
	code_helper tem_code = BIT_XOR_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_155 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (plusminus))
{
/* #line 1950 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type) && (!FLOAT_TYPE_P (type) || flag_associative_math))
    {
/* #line 1965 "../../gcc/match.pd" */
      if (!ALL_FRACT_MODE_P (TYPE_MODE (type)))
	{
/* #line 1968 "../../gcc/match.pd" */
	  if ((!ANY_INTEGRAL_TYPE_P (type) || TYPE_OVERFLOW_WRAPS (type) || (INTEGRAL_TYPE_P (type) && tree_expr_nonzero_p (captures[0]) && expr_not_equal_to (captures[0], wi::minus_one (TYPE_PRECISION (type))))) && single_use (captures[1]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1974, %s:%d\n", __FILE__, __LINE__);
	      *res_code = MULT_EXPR;
	      {
		tree ops1[2], res;
		ops1[0] =  build_one_cst (type);
		ops1[1] = captures[2];
		code_helper tem_code = plusminus;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[0];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_156 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 2115 "../../gcc/match.pd" */
  if (wi::lt_p (wi::to_wide (captures[1]), wi::to_wide (captures[2]), TYPE_SIGN (TREE_TYPE (captures[0]))))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2117, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  else
    {
/* #line 2118 "../../gcc/match.pd" */
      if (wi::gt_p (wi::to_wide (captures[1]), wi::to_wide (captures[2]), TYPE_SIGN (TREE_TYPE (captures[0]))))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2120, %s:%d\n", __FILE__, __LINE__);
	  *res_code = cmp;
	  res_ops[0] = captures[0];
	  res_ops[1] = captures[2];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_157 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[0])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:748, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_IOR_EXPR;
  res_ops[0] = captures[1];
  {
    tree ops1[1], res;
    ops1[0] = captures[2];
    code_helper tem_code = BIT_NOT_EXPR;
    tree tem_ops[3] = { ops1[0] };
    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[1] = res;
  }
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_158 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 1239 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) && tree_expr_nonzero_p (captures[1]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1242, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[0];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_159 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 1287 "../../gcc/match.pd" */
  if (wi::gt_p (wi::to_wide (captures[1]), 0, TYPE_SIGN (TREE_TYPE (captures[1]))))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1288, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[0];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_160 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1998, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[1];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_161 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  {
/* #line 3630 "../../gcc/match.pd" */
 poly_int64 off0, off1;
 tree base0 = get_addr_base_and_unit_offset (TREE_OPERAND (captures[1], 0), &off0);
 tree base1 = get_addr_base_and_unit_offset (TREE_OPERAND (captures[2], 0), &off1);
 if (base0 && TREE_CODE (base0) == MEM_REF) { off0 += mem_ref_offset (base0).force_shwi ();
 base0 = TREE_OPERAND (base0, 0);
 } if (base1 && TREE_CODE (base1) == MEM_REF) { off1 += mem_ref_offset (base1).force_shwi ();
 base1 = TREE_OPERAND (base1, 0);
 }/* #line 3646 "../../gcc/match.pd" */
      if (base0 && base1)
	{
	  {
/* #line 3647 "../../gcc/match.pd" */
 int equal = 2;
 if (0 && ((VAR_P (base0) && DECL_HAS_VALUE_EXPR_P (base0)) || (VAR_P (base1) && DECL_HAS_VALUE_EXPR_P (base1)))) ;
 else if (decl_in_symtab_p (base0) && decl_in_symtab_p (base1)) equal = symtab_node::get_create (base0) ->equal_address_to (symtab_node::get_create (base1));
 else if ((DECL_P (base0) || TREE_CODE (base0) == SSA_NAME || TREE_CODE (base0) == STRING_CST) && (DECL_P (base1) || TREE_CODE (base1) == SSA_NAME || TREE_CODE (base1) == STRING_CST)) equal = (base0 == base1);
/* #line 3669 "../../gcc/match.pd" */
	      if (equal == 1 && (cmp == EQ_EXPR || cmp == NE_EXPR || known_eq (off0, off1) || TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])) || (POINTER_TYPE_P (TREE_TYPE (captures[0])) && (DECL_P (base0) || TREE_CODE (base0) == STRING_CST))))
		{
/* #line 3678 "../../gcc/match.pd" */
		  if (cmp == EQ_EXPR && (known_eq (off0, off1) || known_ne (off0, off1)))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3679, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  constant_boolean_node (known_eq (off0, off1), type);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 3680 "../../gcc/match.pd" */
		      if (cmp == NE_EXPR && (known_eq (off0, off1) || known_ne (off0, off1)))
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3681, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] =  constant_boolean_node (known_ne (off0, off1), type);
			  *res_code = TREE_CODE (res_ops[0]);
			  return true;
			}
		      else
			{
/* #line 3682 "../../gcc/match.pd" */
			  if (cmp == LT_EXPR && (known_lt (off0, off1) || known_ge (off0, off1)))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3683, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  constant_boolean_node (known_lt (off0, off1), type);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			  else
			    {
/* #line 3684 "../../gcc/match.pd" */
			      if (cmp == LE_EXPR && (known_le (off0, off1) || known_gt (off0, off1)))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3685, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  constant_boolean_node (known_le (off0, off1), type);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			      else
				{
/* #line 3686 "../../gcc/match.pd" */
				  if (cmp == GE_EXPR && (known_ge (off0, off1) || known_lt (off0, off1)))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3687, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] =  constant_boolean_node (known_ge (off0, off1), type);
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				  else
				    {
/* #line 3688 "../../gcc/match.pd" */
				      if (cmp == GT_EXPR && (known_gt (off0, off1) || known_le (off0, off1)))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3689, %s:%d\n", __FILE__, __LINE__);
					  res_ops[0] =  constant_boolean_node (known_gt (off0, off1), type);
					  *res_code = TREE_CODE (res_ops[0]);
					  return true;
					}
				    }
				}
			    }
			}
		    }
		}
	      else
		{
/* #line 3690 "../../gcc/match.pd" */
		  if (equal == 0 && DECL_P (base0) && DECL_P (base1) && (!INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) || known_eq (off0, off1)))
		    {
/* #line 3696 "../../gcc/match.pd" */
		      if (cmp == EQ_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3697, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] =  constant_boolean_node (false, type);
			  *res_code = TREE_CODE (res_ops[0]);
			  return true;
			}
		      else
			{
/* #line 3698 "../../gcc/match.pd" */
			  if (cmp == NE_EXPR)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3699, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  constant_boolean_node (true, type);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			}
		    }
		}
	  }
	}
  }
  return false;
}

static bool
gimple_simplify_162 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1705, %s:%d\n", __FILE__, __LINE__);
	  *res_code = NEGATE_EXPR;
	  res_ops[0] = captures[1];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_163 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3358 "../../gcc/match.pd" */
  if (wi::gt_p (wi::to_wide (captures[1]), 0, TYPE_SIGN (TREE_TYPE (captures[1]))))
    {
      {
/* #line 3359 "../../gcc/match.pd" */
 bool ovf;
 wide_int prod = wi::mul (wi::to_wide (captures[2]), wi::to_wide (captures[1]), TYPE_SIGN (TREE_TYPE (captures[1])), &ovf);
/* #line 3365 "../../gcc/match.pd" */
	  if (ovf)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3366, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  constant_boolean_node (wi::lt_p (wi::to_wide (captures[2]), 0, TYPE_SIGN (TREE_TYPE (captures[2]))) != (cmp == LT_EXPR || cmp == LE_EXPR), type);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3369, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[0];
	      res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[0]), prod);
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_164 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (ncmp))
{
/* #line 3597 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && type_has_mode_precision_p (TREE_TYPE (captures[1])) && element_precision (captures[0]) >= element_precision (captures[1]) && wi::only_sign_bit_p (wi::to_wide (captures[2]), element_precision (captures[1])))
    {
      {
/* #line 3601 "../../gcc/match.pd" */
 tree stype = signed_type_for (TREE_TYPE (captures[1]));
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3602, %s:%d\n", __FILE__, __LINE__);
	  *res_code = ncmp;
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[1];
	    if (stype != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (stype, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, stype, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, stype, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[0] = res;
	  }
	  res_ops[1] =  build_zero_cst (stype);
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_165 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (COPYSIGN_ALL))
{
/* #line 204 "../../gcc/match.pd" */
  if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:205, %s:%d\n", __FILE__, __LINE__);
      *res_code = ABS_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_166 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:792, %s:%d\n", __FILE__, __LINE__);
  *res_code = NOP_EXPR;
  res_ops[0] =  build_all_ones_cst (TREE_TYPE (captures[0]));
  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_167 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (TAN), const combined_fn ARG_UNUSED (SIN), const combined_fn ARG_UNUSED (COS))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
/* #line 4176 "../../gcc/match.pd" */
      if (! HONOR_NANS (captures[1]) && ! HONOR_INFINITIES (captures[1]))
	{
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[2])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4178, %s:%d\n", __FILE__, __LINE__);
	  *res_code = RDIV_EXPR;
	  res_ops[0] =  build_one_cst (type);
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[1];
	    code_helper tem_code = COS;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_168 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (POW))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[0])
              || !single_use (captures[3])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4183, %s:%d\n", __FILE__, __LINE__);
      *res_code = POW;
      res_ops[0] = captures[1];
      {
	tree ops1[2], res;
	ops1[0] = captures[2];
	ops1[1] = captures[4];
	code_helper tem_code = PLUS_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_169 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 475 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (type) || VECTOR_INTEGER_TYPE_P (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:476, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	ops1[1] = captures[1];
	code_helper tem_code = TRUNC_MOD_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_170 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (scmp))
{
/* #line 3438 "../../gcc/match.pd" */
  if (FLOAT_TYPE_P (TREE_TYPE (captures[0])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0]))))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3441, %s:%d\n", __FILE__, __LINE__);
      *res_code = scmp;
      res_ops[0] = captures[0];
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_171 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
/* #line 1720 "../../gcc/match.pd" */
	  if (TYPE_OVERFLOW_UNDEFINED (type) && !TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1722, %s:%d\n", __FILE__, __LINE__);
	      *res_code = POINTER_DIFF_EXPR;
	      res_ops[0] = captures[2];
	      res_ops[1] = captures[1];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_172 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[1])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:827, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_AND_EXPR;
  {
    tree ops1[2], res;
    ops1[0] = captures[0];
    ops1[1] = captures[2];
    code_helper tem_code = PLUS_EXPR;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[0] = res;
  }
  {
    tree ops1[1], res;
    ops1[0] = captures[2];
    code_helper tem_code = BIT_NOT_EXPR;
    tree tem_ops[3] = { ops1[0] };
    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[1] = res;
  }
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_173 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (froms), const combined_fn ARG_UNUSED (tos))
{
/* #line 4291 "../../gcc/match.pd" */
  if (optimize && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4294, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = tos;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_174 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop))
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[1])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:834, %s:%d\n", __FILE__, __LINE__);
  *res_code = bitop;
  res_ops[0] = captures[0];
  {
    tree ops1[1], res;
    ops1[0] = captures[2];
    code_helper tem_code = BIT_NOT_EXPR;
    tree tem_ops[3] = { ops1[0] };
    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[1] = res;
  }
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_175 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:738, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_176 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1224 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])) && tree_nop_conversion_p (type, TREE_TYPE (captures[3])))
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[1])
              || !single_use (captures[2])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1226, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[2], res;
	{
	  tree ops2[1], res;
	  ops2[0] = captures[3];
	  code_helper tem_code = BIT_NOT_EXPR;
	  tree tem_ops[3] = { ops2[0] };
	  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[0] = res;
	}
	ops1[1] = captures[0];
	code_helper tem_code = BIT_AND_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_177 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (plusminus))
{
/* #line 1950 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type) && (!FLOAT_TYPE_P (type) || flag_associative_math))
    {
/* #line 1965 "../../gcc/match.pd" */
      if (!ALL_FRACT_MODE_P (TYPE_MODE (type)))
	{
/* #line 1977 "../../gcc/match.pd" */
	  if ((!ANY_INTEGRAL_TYPE_P (type) || TYPE_OVERFLOW_WRAPS (type) || (INTEGRAL_TYPE_P (type) && tree_expr_nonzero_p (captures[1]) && expr_not_equal_to (captures[1], wi::minus_one (TYPE_PRECISION (type))))) && single_use (captures[0]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1983, %s:%d\n", __FILE__, __LINE__);
	      *res_code = MULT_EXPR;
	      {
		tree ops1[2], res;
		ops1[0] = captures[2];
		ops1[1] =  build_one_cst (type);
		code_helper tem_code = plusminus;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[1];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_178 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop), const enum tree_code ARG_UNUSED (rbitop))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:842, %s:%d\n", __FILE__, __LINE__);
  *res_code = bitop;
  res_ops[0] = captures[1];
  res_ops[1] = captures[2];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_179 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (minmax))
{
/* #line 2070 "../../gcc/match.pd" */
  if (real_isnan (TREE_REAL_CST_PTR (captures[1])) && (!HONOR_SNANS (captures[1]) || !TREE_REAL_CST (captures[1]).signalling))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2072, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_180 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:852, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_AND_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_181 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1033 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])) && tree_nop_conversion_p (type, TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1035, %s:%d\n", __FILE__, __LINE__);
      *res_code = MULT_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[0] = res;
      }
      {
	tree ops1[1], res;
	{
	  tree ops2[1], res;
	  ops2[0] = captures[1];
	  code_helper tem_code = NEGATE_EXPR;
	  tree tem_ops[3] = { ops2[0] };
	  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[0] = res;
	}
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_182 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (FMAX_ALL))
{
/* #line 2078 "../../gcc/match.pd" */
  if (flag_finite_math_only)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2084, %s:%d\n", __FILE__, __LINE__);
      *res_code = MAX_EXPR;
      res_ops[0] = captures[0];
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_183 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:860, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_IOR_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_184 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3088 "../../gcc/match.pd" */
  if (REAL_VALUE_MINUS_ZERO (TREE_REAL_CST (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3089, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[0];
      res_ops[1] =  build_real (TREE_TYPE (captures[1]), dconst0);
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  else
    {
/* #line 3091 "../../gcc/match.pd" */
      if (REAL_VALUE_ISNAN (TREE_REAL_CST (captures[1])) && ! HONOR_SNANS (captures[1]))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3093, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
	  *res_code = TREE_CODE (res_ops[0]);
	  return true;
	}
      else
	{
/* #line 3095 "../../gcc/match.pd" */
	  if (REAL_VALUE_ISINF (TREE_REAL_CST (captures[1])) && MODE_HAS_INFINITIES (TYPE_MODE (TREE_TYPE (captures[1]))))
	    {
	      {
/* #line 3097 "../../gcc/match.pd" */
 REAL_VALUE_TYPE max;
 enum tree_code code = cmp;
 bool neg = REAL_VALUE_NEGATIVE (TREE_REAL_CST (captures[1]));
 if (neg) code = swap_tree_comparison (code);
/* #line 3107 "../../gcc/match.pd" */
		  if (code == GT_EXPR && !(HONOR_NANS (captures[0]) && flag_trapping_math))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3109, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  constant_boolean_node (false, type);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 3110 "../../gcc/match.pd" */
		      if (code == LE_EXPR)
			{
/* #line 3112 "../../gcc/match.pd" */
			  if (! HONOR_NANS (captures[0]))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3113, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  constant_boolean_node (true, type);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			  else
			    {
/* #line 3116 "../../gcc/match.pd" */
			      if (!flag_trapping_math)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3117, %s:%d\n", __FILE__, __LINE__);
				  *res_code = EQ_EXPR;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[0];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			}
		      else
			{
/* #line 3120 "../../gcc/match.pd" */
			  if ((code == EQ_EXPR && !(HONOR_NANS (captures[0]) && flag_trapping_math)) || code == GE_EXPR)
			    {
			      {
/* #line 3122 "../../gcc/match.pd" */
 real_maxval (&max, neg, TYPE_MODE (TREE_TYPE (captures[0])));
/* #line 3123 "../../gcc/match.pd" */
				  if (neg)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3124, %s:%d\n", __FILE__, __LINE__);
				      *res_code = LT_EXPR;
				      res_ops[0] = captures[0];
				      res_ops[1] =  build_real (TREE_TYPE (captures[0]), max);
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3125, %s:%d\n", __FILE__, __LINE__);
				      *res_code = GT_EXPR;
				      res_ops[0] = captures[0];
				      res_ops[1] =  build_real (TREE_TYPE (captures[0]), max);
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
			      }
			    }
			  else
			    {
/* #line 3127 "../../gcc/match.pd" */
			      if (code == LT_EXPR)
				{
				  {
/* #line 3128 "../../gcc/match.pd" */
 real_maxval (&max, neg, TYPE_MODE (TREE_TYPE (captures[0])));
/* #line 3129 "../../gcc/match.pd" */
				      if (neg)
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3130, %s:%d\n", __FILE__, __LINE__);
					  *res_code = GE_EXPR;
					  res_ops[0] = captures[0];
					  res_ops[1] =  build_real (TREE_TYPE (captures[0]), max);
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3131, %s:%d\n", __FILE__, __LINE__);
					  *res_code = LE_EXPR;
					  res_ops[0] = captures[0];
					  res_ops[1] =  build_real (TREE_TYPE (captures[0]), max);
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				  }
				}
			      else
				{
/* #line 3134 "../../gcc/match.pd" */
				  if (code == NE_EXPR)
				    {
				      {
/* #line 3135 "../../gcc/match.pd" */
 real_maxval (&max, neg, TYPE_MODE (TREE_TYPE (captures[0])));
/* #line 3136 "../../gcc/match.pd" */
					  if (! HONOR_NANS (captures[0]))
					    {
/* #line 3137 "../../gcc/match.pd" */
					      if (neg)
						{
						  gimple_seq *lseq = seq;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3138, %s:%d\n", __FILE__, __LINE__);
						  *res_code = GE_EXPR;
						  res_ops[0] = captures[0];
						  res_ops[1] =  build_real (TREE_TYPE (captures[0]), max);
						  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					      else
						{
						  gimple_seq *lseq = seq;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3139, %s:%d\n", __FILE__, __LINE__);
						  *res_code = LE_EXPR;
						  res_ops[0] = captures[0];
						  res_ops[1] =  build_real (TREE_TYPE (captures[0]), max);
						  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					  else
					    {
/* #line 3140 "../../gcc/match.pd" */
					      if (neg)
						{
						  gimple_seq *lseq = seq;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3141, %s:%d\n", __FILE__, __LINE__);
						  *res_code = UNGE_EXPR;
						  res_ops[0] = captures[0];
						  res_ops[1] =  build_real (TREE_TYPE (captures[0]), max);
						  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					      else
						{
						  gimple_seq *lseq = seq;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3142, %s:%d\n", __FILE__, __LINE__);
						  *res_code = UNLE_EXPR;
						  res_ops[0] = captures[0];
						  res_ops[1] =  build_real (TREE_TYPE (captures[0]), max);
						  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
				      }
				    }
				}
			    }
			}
		    }
	      }
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_185 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:865, %s:%d\n", __FILE__, __LINE__);
  *res_code = PLUS_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_186 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1696, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] = captures[1];
	  *res_code = TREE_CODE (res_ops[0]);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_187 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (floors), const combined_fn ARG_UNUSED (truncs))
{
/* #line 4267 "../../gcc/match.pd" */
  if (canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4273, %s:%d\n", __FILE__, __LINE__);
      *res_code = truncs;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_188 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (mod))
{
/* #line 431 "../../gcc/match.pd" */
  if (!integer_zerop (captures[0]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:432, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  build_zero_cst (type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_189 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 3897 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3909, %s:%d\n", __FILE__, __LINE__);
      *res_code = RDIV_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	ops1[1] = captures[2];
	code_helper tem_code = op;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_190 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:894, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_XOR_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_191 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 460 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (type) && !TYPE_UNSIGNED (type) && !TYPE_OVERFLOW_TRAPS (type) && tree_nop_conversion_p (type, TREE_TYPE (captures[1])) && (expr_not_equal_to (captures[0], wi::to_wide (TYPE_MIN_VALUE (type))) || expr_not_equal_to (captures[1], wi::minus_one (TYPE_PRECISION (TREE_TYPE (captures[1]))))))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:470, %s:%d\n", __FILE__, __LINE__);
      *res_code = TRUNC_MOD_EXPR;
      res_ops[0] = captures[0];
      {
	tree ops1[1], res;
	ops1[0] = captures[1];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_192 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:899, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_AND_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_193 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (div))
{
/* #line 269 "../../gcc/match.pd" */
  if ((INTEGRAL_TYPE_P (type) || VECTOR_INTEGER_TYPE_P (type)) && TYPE_OVERFLOW_UNDEFINED (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:271, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  build_minus_one_cst (type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_194 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:970, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_195 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 763 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:764, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == LT_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_196 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 2986 "../../gcc/match.pd" */
  if (single_use (captures[0]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2987, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[1];
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_197 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (shift))
{
/* #line 2257 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])) && TYPE_PRECISION (type) <= HOST_BITS_PER_WIDE_INT && tree_fits_uhwi_p (captures[4]) && tree_to_uhwi (captures[4]) > 0 && tree_to_uhwi (captures[4]) < TYPE_PRECISION (type))
    {
      {
/* #line 2262 "../../gcc/match.pd" */
 unsigned int shiftc = tree_to_uhwi (captures[4]);
 unsigned HOST_WIDE_INT mask = TREE_INT_CST_LOW (captures[5]);
 unsigned HOST_WIDE_INT newmask, zerobits = 0;
 tree shift_type = TREE_TYPE (captures[2]);
 unsigned int prec;
 if (shift == LSHIFT_EXPR) zerobits = ((HOST_WIDE_INT_1U << shiftc) - 1);
 else if (shift == RSHIFT_EXPR && type_has_mode_precision_p (shift_type)) { prec = TYPE_PRECISION (TREE_TYPE (captures[2]));
 tree arg00 = captures[3];
 if (captures[2] != captures[3] && TYPE_UNSIGNED (TREE_TYPE (captures[3]))) { tree inner_type = TREE_TYPE (captures[3]);
 if (type_has_mode_precision_p (inner_type) && TYPE_PRECISION (inner_type) < prec) { prec = TYPE_PRECISION (inner_type);
 if (shiftc < prec) shift_type = inner_type;
 } } zerobits = HOST_WIDE_INT_M1U;
 if (shiftc < prec) { zerobits >>= HOST_BITS_PER_WIDE_INT - shiftc;
 zerobits <<= prec - shiftc;
 } if (!TYPE_UNSIGNED (TREE_TYPE (captures[2])) && prec == TYPE_PRECISION (TREE_TYPE (captures[2]))) { if ((mask & zerobits) == 0) shift_type = unsigned_type_for (TREE_TYPE (captures[2]));
 else zerobits = 0;
 } }/* #line 2316 "../../gcc/match.pd" */
	  if ((mask & zerobits) == mask)
	    {
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])
	              || !single_use (captures[1])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2317, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_int_cst (type, 0);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
	      {
/* #line 2318 "../../gcc/match.pd" */
 newmask = mask | zerobits;
/* #line 2319 "../../gcc/match.pd" */
		  if (newmask != mask && (newmask & (newmask + 1)) == 0)
		    {
		      {
/* #line 2320 "../../gcc/match.pd" */
 for (prec = BITS_PER_UNIT;
 prec < HOST_BITS_PER_WIDE_INT;
 prec <<= 1) if (newmask == (HOST_WIDE_INT_1U << prec) - 1) break;
/* #line 2329 "../../gcc/match.pd" */
			  if (prec < HOST_BITS_PER_WIDE_INT || newmask == HOST_WIDE_INT_M1U)
			    {
			      {
/* #line 2331 "../../gcc/match.pd" */
 tree newmaskt = build_int_cst_type (TREE_TYPE (captures[5]), newmask);
/* #line 2333 "../../gcc/match.pd" */
				  if (!tree_int_cst_equal (newmaskt, captures[5]))
				    {
/* #line 2334 "../../gcc/match.pd" */
				      if (shift_type != TREE_TYPE (captures[2]))
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])
					          || !single_use (captures[1])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2335, %s:%d\n", __FILE__, __LINE__);
					  *res_code = BIT_AND_EXPR;
					  {
					    tree ops1[1], res;
					    {
					      tree ops2[2], res;
					      {
						tree ops3[1], res;
						ops3[0] = captures[2];
						if (shift_type != TREE_TYPE (ops3[0])
						    && !useless_type_conversion_p (shift_type, TREE_TYPE (ops3[0])))
						  {
						    code_helper tem_code = NOP_EXPR;
						    tree tem_ops[3] = { ops3[0] };
						    gimple_resimplify1 (lseq, &tem_code, shift_type, tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
						    if (!res) return false;
						  }
						else
						  res = ops3[0];
						ops2[0] = res;
					      }
					      ops2[1] = captures[4];
					      code_helper tem_code = shift;
					      tree tem_ops[3] = { ops2[0], ops2[1] };
					      gimple_resimplify2 (lseq, &tem_code, shift_type, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
					      if (!res) return false;
					      ops1[0] = res;
					    }
					    if (type != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[0] = res;
					  }
					  res_ops[1] =  newmaskt;
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])
					          || !single_use (captures[1])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2336, %s:%d\n", __FILE__, __LINE__);
					  *res_code = BIT_AND_EXPR;
					  res_ops[0] = captures[0];
					  res_ops[1] =  newmaskt;
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				    }
			      }
			    }
		      }
		    }
	      }
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_198 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 980 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[3])) && tree_nop_conversion_p (type, TREE_TYPE (captures[6])))
    {
/* #line 982 "../../gcc/match.pd" */
      if (single_use (captures[4]) && single_use (captures[5]))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:983, %s:%d\n", __FILE__, __LINE__);
	  *res_code = op;
	  res_ops[0] = captures[0];
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[6];
	    if (type != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 984 "../../gcc/match.pd" */
	  if (single_use (captures[0]) && single_use (captures[1]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:985, %s:%d\n", __FILE__, __LINE__);
	      *res_code = op;
	      {
		tree ops1[1], res;
		ops1[0] = captures[3];
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      res_ops[1] = captures[4];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_199 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1990, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_200 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op), const enum tree_code ARG_UNUSED (rop))
{
/* #line 907 "../../gcc/match.pd" */
  if (element_precision (type) <= element_precision (TREE_TYPE (captures[0])) && element_precision (type) <= element_precision (TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:909, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_NOT_EXPR;
      {
	tree ops1[2], res;
	{
	  tree ops2[1], res;
	  ops2[0] = captures[0];
	  if (type != TREE_TYPE (ops2[0])
	      && !useless_type_conversion_p (type, TREE_TYPE (ops2[0])))
	    {
	      code_helper tem_code = NOP_EXPR;
	      tree tem_ops[3] = { ops2[0] };
	      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	      if (!res) return false;
	    }
	  else
	    res = ops2[0];
	  ops1[0] = res;
	}
	{
	  tree ops2[1], res;
	  ops2[0] = captures[1];
	  if (type != TREE_TYPE (ops2[0])
	      && !useless_type_conversion_p (type, TREE_TYPE (ops2[0])))
	    {
	      code_helper tem_code = NOP_EXPR;
	      tree tem_ops[3] = { ops2[0] };
	      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	      if (!res) return false;
	    }
	  else
	    res = ops2[0];
	  ops1[1] = res;
	}
	code_helper tem_code = rop;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_201 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (POW))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4109, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_202 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (froms), const combined_fn ARG_UNUSED (tos))
{
/* #line 4332 "../../gcc/match.pd" */
  if (optimize && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4335, %s:%d\n", __FILE__, __LINE__);
      *res_code = tos;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_203 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4125, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_204 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (div))
{
  {
/* #line 286 "../../gcc/match.pd" */
 bool overflow_p;
 wide_int mul = wi::mul (wi::to_wide (captures[1]), wi::to_wide (captures[2]), TYPE_SIGN (type), &overflow_p);
/* #line 291 "../../gcc/match.pd" */
      if (!overflow_p)
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:292, %s:%d\n", __FILE__, __LINE__);
	  *res_code = div;
	  res_ops[0] = captures[0];
	  res_ops[1] =  wide_int_to_tree (type, mul);
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 293 "../../gcc/match.pd" */
	  if (TYPE_UNSIGNED (type) || mul != wi::min_value (TYPE_PRECISION (type), SIGNED))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:295, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_zero_cst (type);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
  }
  return false;
}

static bool
gimple_simplify_205 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:974, %s:%d\n", __FILE__, __LINE__);
  *res_code = NOP_EXPR;
  res_ops[0] = captures[0];
  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_206 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3042 "../../gcc/match.pd" */
  if (single_use (captures[0]) && single_use (captures[2]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3043, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[3];
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_207 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3058 "../../gcc/match.pd" */
  if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) && (DECIMAL_FLOAT_TYPE_P (TREE_TYPE (captures[0])) == DECIMAL_FLOAT_TYPE_P (TREE_TYPE (captures[1]))) && (DECIMAL_FLOAT_TYPE_P (TREE_TYPE (captures[0])) == DECIMAL_FLOAT_TYPE_P (TREE_TYPE (captures[2]))))
    {
      {
/* #line 3063 "../../gcc/match.pd" */
 tree type1 = TREE_TYPE (captures[2]);
 if (TREE_CODE (captures[2]) == REAL_CST && !DECIMAL_FLOAT_TYPE_P (type1)) { REAL_VALUE_TYPE orig = TREE_REAL_CST (captures[2]);
 if (TYPE_PRECISION (type1) > TYPE_PRECISION (float_type_node) && exact_real_truncate (TYPE_MODE (float_type_node), &orig)) type1 = float_type_node;
 if (TYPE_PRECISION (type1) > TYPE_PRECISION (double_type_node) && exact_real_truncate (TYPE_MODE (double_type_node), &orig)) type1 = double_type_node;
 } tree newtype = (TYPE_PRECISION (TREE_TYPE (captures[1])) > TYPE_PRECISION (type1) ? TREE_TYPE (captures[1]) : type1);
/* #line 3080 "../../gcc/match.pd" */
	  if (TYPE_PRECISION (TREE_TYPE (captures[0])) > TYPE_PRECISION (newtype))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3081, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      {
		tree ops1[1], res;
		ops1[0] = captures[1];
		if (newtype != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (newtype, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, newtype, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, newtype, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      {
		tree ops1[1], res;
		ops1[0] = captures[2];
		if (newtype != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (newtype, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, newtype, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, newtype, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[1] = res;
	      }
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_208 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 2628 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (TREE_TYPE (captures[0]), type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2629, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_209 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 1497 "../../gcc/match.pd" */
  if (wi::bit_and_not (wi::to_wide (captures[1]), get_nonzero_bits (captures[0])) != 0)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1498, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_210 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 4460 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (type) && INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) && INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && type_has_mode_precision_p (TREE_TYPE (captures[2])) && type_has_mode_precision_p (TREE_TYPE (captures[4])) && type_has_mode_precision_p (type) && TYPE_PRECISION (TREE_TYPE (captures[1])) > TYPE_PRECISION (TREE_TYPE (captures[2])) && types_match (captures[2], type) && (types_match (captures[2], captures[4]) || TREE_CODE (captures[4]) == INTEGER_CST))
    {
/* #line 4478 "../../gcc/match.pd" */
      if (TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[2])))
	{
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4479, %s:%d\n", __FILE__, __LINE__);
	  *res_code = op;
	  res_ops[0] = captures[2];
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[4];
	    if (type != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
	  {
/* #line 4480 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (TREE_TYPE (captures[2]));
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4481, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NOP_EXPR;
	      {
		tree ops1[2], res;
		{
		  tree ops2[1], res;
		  ops2[0] = captures[2];
		  if (utype != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[0] = res;
		}
		{
		  tree ops2[1], res;
		  ops2[0] = captures[4];
		  if (utype != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[1] = res;
		}
		code_helper tem_code = op;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	  }
	}
    }
  return false;
}

static bool
gimple_simplify_211 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1647 "../../gcc/match.pd" */
      if (tree_nop_conversion_p (type, TREE_TYPE (captures[1])) && !TYPE_OVERFLOW_SANITIZED (type))
	{
	  {
/* #line 1649 "../../gcc/match.pd" */
 tree t1 = type;
 if (INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_WRAPS (type) != TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[1]))) t1 = TYPE_OVERFLOW_WRAPS (type) ? type : TREE_TYPE (captures[1]);
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1656, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NOP_EXPR;
	      {
		tree ops1[2], res;
		{
		  tree ops2[1], res;
		  ops2[0] = captures[0];
		  if (t1 != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (t1, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, t1, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, t1, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[0] = res;
		}
		{
		  tree ops2[1], res;
		  ops2[0] = captures[1];
		  if (t1 != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (t1, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, t1, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, t1, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[1] = res;
		}
		code_helper tem_code = PLUS_EXPR;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	  }
	}
    }
  return false;
}

static bool
gimple_simplify_212 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3382, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[1];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_213 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 4492 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (type) && INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) && INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && type_has_mode_precision_p (TREE_TYPE (captures[2])) && type_has_mode_precision_p (TREE_TYPE (captures[4])) && type_has_mode_precision_p (type) && TYPE_PRECISION (TREE_TYPE (captures[1])) > TYPE_PRECISION (TREE_TYPE (captures[2])) && types_match (captures[2], captures[4]) && (tree_int_cst_min_precision (captures[5], TYPE_SIGN (TREE_TYPE (captures[2]))) <= TYPE_PRECISION (TREE_TYPE (captures[2]))) && (wi::to_wide (captures[5]) & wi::mask (TYPE_PRECISION (TREE_TYPE (captures[2])), true, TYPE_PRECISION (type))) == 0)
    {
/* #line 4511 "../../gcc/match.pd" */
      if (TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[2])))
	{
	  {
/* #line 4512 "../../gcc/match.pd" */
 tree ntype = TREE_TYPE (captures[2]);
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4513, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NOP_EXPR;
	      {
		tree ops1[2], res;
		{
		  tree ops2[2], res;
		  ops2[0] = captures[2];
		  ops2[1] = captures[4];
		  code_helper tem_code = op;
		  tree tem_ops[3] = { ops2[0], ops2[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
		  if (!res) return false;
		  ops1[0] = res;
		}
		{
		  tree ops2[1], res;
		  ops2[0] = captures[5];
		  if (ntype != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (ntype, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, ntype, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, ntype, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[1] = res;
		}
		code_helper tem_code = BIT_AND_EXPR;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	  }
	}
      else
	{
	  {
/* #line 4514 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (TREE_TYPE (captures[2]));
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4515, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NOP_EXPR;
	      {
		tree ops1[2], res;
		{
		  tree ops2[2], res;
		  {
		    tree ops3[1], res;
		    ops3[0] = captures[2];
		    if (utype != TREE_TYPE (ops3[0])
		        && !useless_type_conversion_p (utype, TREE_TYPE (ops3[0])))
		      {
			code_helper tem_code = NOP_EXPR;
			tree tem_ops[3] = { ops3[0] };
			gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
			if (!res) return false;
		      }
		    else
		      res = ops3[0];
		    ops2[0] = res;
		  }
		  {
		    tree ops3[1], res;
		    ops3[0] = captures[4];
		    if (utype != TREE_TYPE (ops3[0])
		        && !useless_type_conversion_p (utype, TREE_TYPE (ops3[0])))
		      {
			code_helper tem_code = NOP_EXPR;
			tree tem_ops[3] = { ops3[0] };
			gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
			if (!res) return false;
		      }
		    else
		      res = ops3[0];
		    ops2[1] = res;
		  }
		  code_helper tem_code = op;
		  tree tem_ops[3] = { ops2[0], ops2[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
		  if (!res) return false;
		  ops1[0] = res;
		}
		{
		  tree ops2[1], res;
		  ops2[0] = captures[5];
		  if (utype != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[1] = res;
		}
		code_helper tem_code = BIT_AND_EXPR;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	  }
	}
    }
  return false;
}

static bool
gimple_simplify_214 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop), const enum tree_code ARG_UNUSED (rbitop))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1099, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_215 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 2915 "../../gcc/match.pd" */
  if (VECTOR_TYPE_P (type) && known_eq (TYPE_VECTOR_SUBPARTS (type), TYPE_VECTOR_SUBPARTS (TREE_TYPE (captures[3]))) && (TYPE_MODE (TREE_TYPE (type)) == TYPE_MODE (TREE_TYPE (TREE_TYPE (captures[3])))))
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[1])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2920, %s:%d\n", __FILE__, __LINE__);
      *res_code = PLUS_EXPR;
      res_ops[0] = captures[0];
      {
	tree ops1[1], res;
	{
	  tree ops2[3], res;
	  ops2[0] = captures[2];
	  ops2[0] = unshare_expr (ops2[0]);
	  {
	    tree ops3[1], res;
	    ops3[0] = captures[3];
	    code_helper tem_code = NEGATE_EXPR;
	    tree tem_ops[3] = { ops3[0] };
	    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
	    if (!res) return false;
	    ops2[1] = res;
	  }
	  ops2[2] = captures[4];
	  code_helper tem_code = VEC_COND_EXPR;
	  tree tem_ops[3] = { ops2[0], ops2[1], ops2[2] };
	  gimple_resimplify3 (lseq, &tem_code, TREE_TYPE (ops2[1]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[1]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[0] = res;
	}
	code_helper tem_code = VIEW_CONVERT_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_216 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop))
{
/* #line 1115 "../../gcc/match.pd" */
  if (!CONSTANT_CLASS_P (captures[0]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1118, %s:%d\n", __FILE__, __LINE__);
      *res_code = bitop;
      res_ops[0] = captures[0];
      {
	tree ops1[2], res;
	ops1[0] = captures[1];
	ops1[1] = captures[2];
	code_helper tem_code = bitop;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  else
    {
      {
/* #line 1127 "../../gcc/match.pd" */
 tree cst1 = const_binop (bitop, type, captures[0], captures[2]);
/* #line 1128 "../../gcc/match.pd" */
	  if (cst1)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1129, %s:%d\n", __FILE__, __LINE__);
	      *res_code = bitop;
	      res_ops[0] = captures[1];
	      res_ops[1] =  cst1;
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
	      {
/* #line 1130 "../../gcc/match.pd" */
 tree cst2 = const_binop (bitop, type, captures[1], captures[2]);
/* #line 1131 "../../gcc/match.pd" */
		  if (cst2)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1132, %s:%d\n", __FILE__, __LINE__);
		      *res_code = bitop;
		      res_ops[0] = captures[0];
		      res_ops[1] =  cst2;
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
	      }
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_217 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op), const enum tree_code ARG_UNUSED (ext))
{
/* #line 4524 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TREE_CODE (captures[1]) != INTEGER_CST)
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[0])
              || !single_use (captures[3])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4526, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[1];
      {
	tree ops1[2], res;
	ops1[0] = captures[2];
	ops1[1] = captures[4];
	code_helper tem_code = ext;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_218 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (test1), const enum tree_code ARG_UNUSED (test2))
{
/* #line 3393 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) || VECTOR_INTEGER_TYPE_P (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3395, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (true, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_219 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 940 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:941, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_XOR_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[0] = res;
      }
      {
	tree ops1[1], res;
	ops1[0] = captures[1];
	code_helper tem_code = BIT_NOT_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_220 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:717, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[2];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_221 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1179 "../../gcc/match.pd" */
  if (element_precision (type) <= element_precision (TREE_TYPE (captures[0])) || !TYPE_UNSIGNED (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1181, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	ops1[1] =  build_each_one_cst (TREE_TYPE (captures[0]));
	code_helper tem_code = MINUS_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_222 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1418 "../../gcc/match.pd" */
  if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])) && !TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[1])) && (CONSTANT_CLASS_P (captures[1]) || single_use (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1422, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[1];
      res_ops[1] =  build_zero_cst (TREE_TYPE (captures[1]));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_223 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 933 "../../gcc/match.pd" */
  if (element_precision (type) <= element_precision (TREE_TYPE (captures[0])) && element_precision (type) <= element_precision (TREE_TYPE (captures[1])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:935, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_XOR_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[0] = res;
      }
      {
	tree ops1[1], res;
	ops1[0] = captures[1];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_224 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3385, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[1];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_225 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (POW))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
/* #line 4153 "../../gcc/match.pd" */
      if (!TREE_OVERFLOW (captures[2]))
	{
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[1])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4154, %s:%d\n", __FILE__, __LINE__);
	  *res_code = POW;
	  res_ops[0] = captures[0];
	  {
	    tree ops1[2], res;
	    ops1[0] = captures[2];
	    ops1[1] =  build_one_cst (type);
	    code_helper tem_code = PLUS_EXPR;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_226 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (TAN), const combined_fn ARG_UNUSED (COS), const combined_fn ARG_UNUSED (SIN))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[0])
              || !single_use (captures[2])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4148, %s:%d\n", __FILE__, __LINE__);
      *res_code = SIN;
      res_ops[0] = captures[1];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_227 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (POW))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
/* #line 4198 "../../gcc/match.pd" */
      if (!TREE_OVERFLOW (captures[2]))
	{
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4199, %s:%d\n", __FILE__, __LINE__);
	  *res_code = POW;
	  res_ops[0] = captures[1];
	  {
	    tree ops1[2], res;
	    ops1[0] = captures[2];
	    ops1[1] =  build_one_cst (type);
	    code_helper tem_code = MINUS_EXPR;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_228 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (test1), const enum tree_code ARG_UNUSED (test2))
{
/* #line 3401 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) || VECTOR_INTEGER_TYPE_P (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3403, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (false, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_229 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (icmp))
{
/* #line 1275 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && TYPE_UNSIGNED (TREE_TYPE (captures[0])) && TYPE_PRECISION (TREE_TYPE (captures[0])) > 1 && (wi::to_wide (captures[2]) == wi::max_value (TYPE_PRECISION (TREE_TYPE (captures[0])), SIGNED) - 1))
    {
      {
/* #line 1280 "../../gcc/match.pd" */
 tree stype = signed_type_for (TREE_TYPE (captures[0]));
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1281, %s:%d\n", __FILE__, __LINE__);
	  *res_code = icmp;
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[0];
	    if (stype != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (stype, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, stype, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, stype, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[0] = res;
	  }
	  res_ops[1] =  build_int_cst (stype, 0);
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_230 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
/* #line 1788 "../../gcc/match.pd" */
	  if (!TYPE_OVERFLOW_TRAPS (type))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1789, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_all_ones_cst (type);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_231 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (div))
{
/* #line 383 "../../gcc/match.pd" */
  if (integer_pow2p (captures[2]) && tree_int_cst_sgn (captures[2]) > 0 && tree_nop_conversion_p (type, TREE_TYPE (captures[0])) && wi::to_wide (captures[2]) + wi::to_wide (captures[1]) == 0)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:387, %s:%d\n", __FILE__, __LINE__);
      *res_code = RSHIFT_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[0] = res;
      }
      res_ops[1] =  build_int_cst (integer_type_node, wi::exact_log2 (wi::to_wide (captures[2])));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_232 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (acmp))
{
/* #line 2932 "../../gcc/match.pd" */
  if (tree_int_cst_sgn (captures[1]) == -1)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2933, %s:%d\n", __FILE__, __LINE__);
      *res_code = acmp;
      res_ops[0] = captures[0];
      res_ops[1] =  wide_int_to_tree (TREE_TYPE (captures[1]), wi::to_wide (captures[1]) + 1);
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_233 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 4460 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (type) && INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) && INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && type_has_mode_precision_p (TREE_TYPE (captures[2])) && type_has_mode_precision_p (TREE_TYPE (captures[4])) && type_has_mode_precision_p (type) && TYPE_PRECISION (TREE_TYPE (captures[1])) > TYPE_PRECISION (TREE_TYPE (captures[2])) && types_match (captures[2], type) && (types_match (captures[2], captures[4]) || TREE_CODE (captures[4]) == INTEGER_CST))
    {
/* #line 4478 "../../gcc/match.pd" */
      if (TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[2])))
	{
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4479, %s:%d\n", __FILE__, __LINE__);
	  *res_code = op;
	  res_ops[0] = captures[2];
	  {
	    tree ops1[1], res;
	    ops1[0] = captures[4];
	    if (type != TREE_TYPE (ops1[0])
	        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	      {
		code_helper tem_code = NOP_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		if (!res) return false;
	      }
	    else
	      res = ops1[0];
	    res_ops[1] = res;
	  }
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
	  {
/* #line 4480 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (TREE_TYPE (captures[2]));
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4481, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NOP_EXPR;
	      {
		tree ops1[2], res;
		{
		  tree ops2[1], res;
		  ops2[0] = captures[2];
		  if (utype != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[0] = res;
		}
		{
		  tree ops2[1], res;
		  ops2[0] = captures[4];
		  if (utype != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[1] = res;
		}
		code_helper tem_code = op;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	  }
	}
    }
  return false;
}

static bool
gimple_simplify_234 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1164, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] =  constant_boolean_node (true, type);
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_235 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop), const enum tree_code ARG_UNUSED (rbitop))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1104, %s:%d\n", __FILE__, __LINE__);
  *res_code = bitop;
  res_ops[0] = captures[0];
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_236 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3032, %s:%d\n", __FILE__, __LINE__);
  *res_code = UNORDERED_EXPR;
  res_ops[0] = captures[0];
  res_ops[1] = captures[0];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_237 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1196 "../../gcc/match.pd" */
  if (element_precision (type) <= element_precision (TREE_TYPE (captures[0])) || !TYPE_UNSIGNED (TREE_TYPE (captures[0])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1198, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = NEGATE_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_238 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 989 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[1])) && tree_nop_conversion_p (type, TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:991, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_XOR_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[1];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[0] = res;
      }
      {
	tree ops1[1], res;
	ops1[0] = captures[2];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_239 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3028, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] =  constant_boolean_node (true, type);
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_240 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
/* #line 1813 "../../gcc/match.pd" */
	  if (element_precision (type) <= element_precision (TREE_TYPE (captures[1])) || (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1823, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NOP_EXPR;
	      res_ops[0] = captures[1];
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_241 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2540, %s:%d\n", __FILE__, __LINE__);
  *res_code = NOP_EXPR;
  res_ops[0] = captures[0];
  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_242 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (inner_op), const enum tree_code ARG_UNUSED (outer_op))
{
  {
/* #line 1515 "../../gcc/match.pd" */
 bool fail = false;
 wide_int zero_mask_not;
 wide_int C0;
 wide_int cst_emit;
 if (TREE_CODE (captures[1]) == SSA_NAME) zero_mask_not = get_nonzero_bits (captures[1]);
 else fail = true;
 if (inner_op == BIT_XOR_EXPR) { C0 = wi::bit_and_not (wi::to_wide (captures[2]), wi::to_wide (captures[3]));
 cst_emit = C0 | wi::to_wide (captures[3]);
 } else { C0 = wi::to_wide (captures[2]);
 cst_emit = C0 ^ wi::to_wide (captures[3]);
 }/* #line 1538 "../../gcc/match.pd" */
      if (!fail && (C0 & zero_mask_not) == 0)
	{
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1539, %s:%d\n", __FILE__, __LINE__);
	  *res_code = outer_op;
	  res_ops[0] = captures[1];
	  res_ops[1] =  wide_int_to_tree (type, cst_emit);
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 1540 "../../gcc/match.pd" */
	  if (!fail && (wi::to_wide (captures[3]) & zero_mask_not) == 0)
	    {
	      gimple_seq *lseq = seq;
	      if (lseq
	          && (!single_use (captures[0])))
	        lseq = NULL;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1541, %s:%d\n", __FILE__, __LINE__);
	      *res_code = inner_op;
	      res_ops[0] = captures[1];
	      res_ops[1] =  wide_int_to_tree (type, cst_emit);
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
  }
  return false;
}

static bool
gimple_simplify_243 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop), const enum tree_code ARG_UNUSED (cmp))
{
/* #line 671 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && INTEGRAL_TYPE_P (TREE_TYPE (captures[2])) && TYPE_PRECISION (TREE_TYPE (captures[0])) == TYPE_PRECISION (TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:674, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      {
	tree ops1[2], res;
	ops1[0] = captures[0];
	{
	  tree ops2[1], res;
	  ops2[0] = captures[2];
	  if (TREE_TYPE (ops1[0]) != TREE_TYPE (ops2[0])
	      && !useless_type_conversion_p (TREE_TYPE (ops1[0]), TREE_TYPE (ops2[0])))
	    {
	      code_helper tem_code = NOP_EXPR;
	      tree tem_ops[3] = { ops2[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	      if (!res) return false;
	    }
	  else
	    res = ops2[0];
	  ops1[1] = res;
	}
	code_helper tem_code = BIT_IOR_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] = captures[1];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_244 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (minmax), const enum tree_code ARG_UNUSED (maxmin))
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[0])
          || !single_use (captures[2])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2100, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_NOT_EXPR;
  {
    tree ops1[2], res;
    ops1[0] = captures[1];
    ops1[1] = captures[3];
    code_helper tem_code = maxmin;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[0] = res;
  }
  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_245 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (mod))
{
/* #line 416 "../../gcc/match.pd" */
  if (!integer_zerop (captures[1]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:417, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_246 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 2009 "../../gcc/match.pd" */
  if (TREE_CODE (type) != COMPLEX_TYPE && (! ANY_INTEGRAL_TYPE_P (type) || TYPE_OVERFLOW_UNDEFINED (type)))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2012, %s:%d\n", __FILE__, __LINE__);
      *res_code = NEGATE_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = ABS_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_247 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (out))
{
/* #line 3857 "../../gcc/match.pd" */
  if (TYPE_UNSIGNED (TREE_TYPE (captures[1])) && types_match (TREE_TYPE (captures[1]), TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3859, %s:%d\n", __FILE__, __LINE__);
      *res_code = out;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = IMAGPART_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] =  build_zero_cst (TREE_TYPE (captures[1]));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_248 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1717, %s:%d\n", __FILE__, __LINE__);
	  *res_code = MINUS_EXPR;
	  res_ops[0] = captures[2];
	  res_ops[1] = captures[1];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_249 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (div))
{
/* #line 257 "../../gcc/match.pd" */
  if (!integer_zerop (captures[0]) && !ALL_FRACT_MODE_P (TYPE_MODE (type)))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:258, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  build_one_cst (type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_250 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bitop))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:813, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_251 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1627 "../../gcc/match.pd" */
  if (!TYPE_SATURATING (type))
    {
/* #line 1685 "../../gcc/match.pd" */
      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	{
/* #line 1800 "../../gcc/match.pd" */
	  if (!TYPE_OVERFLOW_TRAPS (type) && tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1802, %s:%d\n", __FILE__, __LINE__);
	      *res_code = BIT_NOT_EXPR;
	      {
		tree ops1[1], res;
		ops1[0] = captures[0];
		if (type != TREE_TYPE (ops1[0])
		    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
		  {
		    code_helper tem_code = NOP_EXPR;
		    tree tem_ops[3] = { ops1[0] };
		    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		    if (!res) return false;
		  }
		else
		  res = ops1[0];
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_252 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 2351 "../../gcc/match.pd" */
  if (!TYPE_UNSIGNED (TREE_TYPE (captures[2])) && (element_precision (TREE_TYPE (captures[2])) <= element_precision (TREE_TYPE (captures[3])) || !TYPE_UNSIGNED (TREE_TYPE (captures[3]))))
    {
      {
/* #line 2355 "../../gcc/match.pd" */
 tree shift_type = TREE_TYPE (captures[2]);
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[1])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2357, %s:%d\n", __FILE__, __LINE__);
	  *res_code = NOP_EXPR;
	  {
	    tree ops1[2], res;
	    {
	      tree ops2[1], res;
	      ops2[0] = captures[3];
	      if (shift_type != TREE_TYPE (ops2[0])
	          && !useless_type_conversion_p (shift_type, TREE_TYPE (ops2[0])))
		{
		  code_helper tem_code = NOP_EXPR;
		  tree tem_ops[3] = { ops2[0] };
		  gimple_resimplify1 (lseq, &tem_code, shift_type, tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, shift_type, tem_ops, lseq);
		  if (!res) return false;
	        }
	      else
	        res = ops2[0];
	      ops1[0] = res;
	    }
	    ops1[1] = captures[4];
	    code_helper tem_code = RSHIFT_EXPR;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_253 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (POW))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[1])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4204, %s:%d\n", __FILE__, __LINE__);
      *res_code = MULT_EXPR;
      res_ops[0] = captures[0];
      {
	tree ops1[2], res;
	ops1[0] = captures[2];
	{
	  tree ops2[1], res;
	  ops2[0] = captures[3];
	  code_helper tem_code = NEGATE_EXPR;
	  tree tem_ops[3] = { ops2[0] };
	  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
	  if (!res) return false;
	  ops1[1] = res;
	}
	code_helper tem_code = POW;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_254 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3013 "../../gcc/match.pd" */
  if (! FLOAT_TYPE_P (TREE_TYPE (captures[0])) || ! HONOR_NANS (captures[0]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3015, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (true, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  else
    {
/* #line 3016 "../../gcc/match.pd" */
      if (cmp != EQ_EXPR)
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3017, %s:%d\n", __FILE__, __LINE__);
	  *res_code = EQ_EXPR;
	  res_ops[0] = captures[0];
	  res_ops[1] = captures[0];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  return false;
}

static bool
gimple_simplify_255 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (POW))
{
/* #line 4144 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations && canonicalize_math_p ())
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[0])
              || !single_use (captures[3])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4188, %s:%d\n", __FILE__, __LINE__);
      *res_code = POW;
      {
	tree ops1[2], res;
	ops1[0] = captures[1];
	ops1[1] = captures[4];
	code_helper tem_code = MULT_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      res_ops[1] = captures[2];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_256 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 1213 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[2])))
    {
      gimple_seq *lseq = seq;
      if (lseq
          && (!single_use (captures[0])
              || !single_use (captures[1])))
        lseq = NULL;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1214, %s:%d\n", __FILE__, __LINE__);
      *res_code = BIT_NOT_EXPR;
      {
	tree ops1[2], res;
	{
	  tree ops2[1], res;
	  ops2[0] = captures[2];
	  code_helper tem_code = VIEW_CONVERT_EXPR;
	  tree tem_ops[3] = { ops2[0] };
	  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	  if (!res) return false;
	  ops1[0] = res;
	}
	ops1[1] = captures[3];
	code_helper tem_code = BIT_XOR_EXPR;
	tree tem_ops[3] = { ops1[0], ops1[1] };
	gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_257 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (bit_op), const enum tree_code ARG_UNUSED (shift))
{
/* #line 2344 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (type, TREE_TYPE (captures[2])))
    {
      {
/* #line 2345 "../../gcc/match.pd" */
 tree mask = int_const_binop (shift, fold_convert (type, captures[3]), captures[4]);
	  gimple_seq *lseq = seq;
	  if (lseq
	      && (!single_use (captures[0])
	          || !single_use (captures[1])))
	    lseq = NULL;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2346, %s:%d\n", __FILE__, __LINE__);
	  *res_code = bit_op;
	  {
	    tree ops1[2], res;
	    {
	      tree ops2[1], res;
	      ops2[0] = captures[2];
	      if (type != TREE_TYPE (ops2[0])
	          && !useless_type_conversion_p (type, TREE_TYPE (ops2[0])))
		{
		  code_helper tem_code = NOP_EXPR;
		  tree tem_ops[3] = { ops2[0] };
		  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		  if (!res) return false;
	        }
	      else
	        res = ops2[0];
	      ops1[0] = res;
	    }
	    ops1[1] = captures[4];
	    code_helper tem_code = shift;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  res_ops[1] =  mask;
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_258 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4431, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[0];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_259 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 3539 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[1])) && wi::bit_and_not (wi::to_wide (captures[2]), wi::to_wide (captures[3])) != 0)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3541, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_260 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (pows), const combined_fn ARG_UNUSED (copysigns))
{
  {
/* #line 568 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 569 "../../gcc/match.pd" */
      if (real_isinteger (&TREE_REAL_CST (captures[2]), &n) && (n & 1) == 0)
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:570, %s:%d\n", __FILE__, __LINE__);
	  *res_code = pows;
	  res_ops[0] = captures[0];
	  res_ops[1] = captures[2];
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
  }
  return false;
}

static bool
gimple_simplify_261 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (minmax), const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (comb))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2136, %s:%d\n", __FILE__, __LINE__);
  *res_code = comb;
  {
    tree ops1[2], res;
    ops1[0] = captures[0];
    ops1[1] = captures[2];
    code_helper tem_code = cmp;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, type, tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
    if (!res) return false;
    res_ops[0] = res;
  }
  {
    tree ops1[2], res;
    ops1[0] = captures[1];
    ops1[1] = captures[2];
    code_helper tem_code = cmp;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, type, tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
    if (!res) return false;
    res_ops[1] = res;
  }
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_262 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1994, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] = captures[1];
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_263 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (lseq
      && (!single_use (captures[0])
          || !single_use (captures[3])))
    lseq = NULL;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1219, %s:%d\n", __FILE__, __LINE__);
  *res_code = BIT_XOR_EXPR;
  {
    tree ops1[2], res;
    {
      tree ops2[2], res;
      ops2[0] = captures[1];
      ops2[1] = captures[4];
      code_helper tem_code = BIT_XOR_EXPR;
      tree tem_ops[3] = { ops2[0], ops2[1] };
      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
      if (!res) return false;
      ops1[0] = res;
    }
    ops1[1] = captures[2];
    code_helper tem_code = BIT_AND_EXPR;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
    if (!res) return false;
    res_ops[0] = res;
  }
  res_ops[1] = captures[1];
  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_264 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  {
/* #line 2695 "../../gcc/match.pd" */
 tree from_type = TREE_TYPE (captures[0]);
 tree c1_type = TREE_TYPE (captures[1]), c2_type = TREE_TYPE (captures[2]);
 enum tree_code code = ERROR_MARK;
 if (INTEGRAL_TYPE_P (from_type) && int_fits_type_p (captures[2], from_type) && (types_match (c1_type, from_type) || (TYPE_PRECISION (c1_type) > TYPE_PRECISION (from_type) && (TYPE_UNSIGNED (from_type) || TYPE_SIGN (c1_type) == TYPE_SIGN (from_type)))) && (types_match (c2_type, from_type) || (TYPE_PRECISION (c2_type) > TYPE_PRECISION (from_type) && (TYPE_UNSIGNED (from_type) || TYPE_SIGN (c2_type) == TYPE_SIGN (from_type))))) { if (cmp != EQ_EXPR) { if (wi::to_widest (captures[1]) == (wi::to_widest (captures[2]) - 1)) { if (cmp == LE_EXPR) code = LT_EXPR;
 if (cmp == GT_EXPR) code = GE_EXPR;
 } if (wi::to_widest (captures[1]) == (wi::to_widest (captures[2]) + 1)) { if (cmp == LT_EXPR) code = LE_EXPR;
 if (cmp == GE_EXPR) code = GT_EXPR;
 } if (code != ERROR_MARK || wi::to_widest (captures[2]) == wi::to_widest (captures[1])) { if (cmp == LT_EXPR || cmp == LE_EXPR) code = MIN_EXPR;
 if (cmp == GT_EXPR || cmp == GE_EXPR) code = MAX_EXPR;
 } } else if (int_fits_type_p (captures[1], from_type)) code = EQ_EXPR;
 }/* #line 2746 "../../gcc/match.pd" */
      if (code == MAX_EXPR)
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2747, %s:%d\n", __FILE__, __LINE__);
	  *res_code = NOP_EXPR;
	  {
	    tree ops1[2], res;
	    ops1[0] = captures[0];
	    {
	      tree ops2[1], res;
	      ops2[0] = captures[2];
	      if (TREE_TYPE (ops1[0]) != TREE_TYPE (ops2[0])
	          && !useless_type_conversion_p (TREE_TYPE (ops1[0]), TREE_TYPE (ops2[0])))
		{
		  code_helper tem_code = NOP_EXPR;
		  tree tem_ops[3] = { ops2[0] };
		  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		  if (!res) return false;
	        }
	      else
	        res = ops2[0];
	      ops1[1] = res;
	    }
	    code_helper tem_code = MAX_EXPR;
	    tree tem_ops[3] = { ops1[0], ops1[1] };
	    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	    if (!res) return false;
	    res_ops[0] = res;
	  }
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
      else
	{
/* #line 2748 "../../gcc/match.pd" */
	  if (code == MIN_EXPR)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2749, %s:%d\n", __FILE__, __LINE__);
	      *res_code = NOP_EXPR;
	      {
		tree ops1[2], res;
		ops1[0] = captures[0];
		{
		  tree ops2[1], res;
		  ops2[0] = captures[2];
		  if (TREE_TYPE (ops1[0]) != TREE_TYPE (ops2[0])
		      && !useless_type_conversion_p (TREE_TYPE (ops1[0]), TREE_TYPE (ops2[0])))
		    {
		      code_helper tem_code = NOP_EXPR;
		      tree tem_ops[3] = { ops2[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		    }
		  else
		    res = ops2[0];
		  ops1[1] = res;
		}
		code_helper tem_code = MIN_EXPR;
		tree tem_ops[3] = { ops1[0], ops1[1] };
		gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[0] = res;
	      }
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
/* #line 2750 "../../gcc/match.pd" */
	      if (code == EQ_EXPR)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2751, %s:%d\n", __FILE__, __LINE__);
		  *res_code = NOP_EXPR;
		  {
		    tree ops1[3], res;
		    {
		      tree ops2[2], res;
		      ops2[0] = captures[0];
		      {
			tree ops3[1], res;
			ops3[0] = captures[1];
			if (TREE_TYPE (ops2[0]) != TREE_TYPE (ops3[0])
			    && !useless_type_conversion_p (TREE_TYPE (ops2[0]), TREE_TYPE (ops3[0])))
			  {
			    code_helper tem_code = NOP_EXPR;
			    tree tem_ops[3] = { ops3[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			  }
			else
			  res = ops3[0];
			ops2[1] = res;
		      }
		      code_helper tem_code = EQ_EXPR;
		      tree tem_ops[3] = { ops2[0], ops2[1] };
		      gimple_resimplify2 (lseq, &tem_code, boolean_type_node, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, boolean_type_node, tem_ops, lseq);
		      if (!res) return false;
		      ops1[0] = res;
		    }
		    {
		      tree ops2[1], res;
		      ops2[0] = captures[1];
		      if (from_type != TREE_TYPE (ops2[0])
		          && !useless_type_conversion_p (from_type, TREE_TYPE (ops2[0])))
			{
			  code_helper tem_code = NOP_EXPR;
			  tree tem_ops[3] = { ops2[0] };
			  gimple_resimplify1 (lseq, &tem_code, from_type, tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, from_type, tem_ops, lseq);
			  if (!res) return false;
		        }
		      else
		        res = ops2[0];
		      ops1[1] = res;
		    }
		    {
		      tree ops2[1], res;
		      ops2[0] = captures[2];
		      if (from_type != TREE_TYPE (ops2[0])
		          && !useless_type_conversion_p (from_type, TREE_TYPE (ops2[0])))
			{
			  code_helper tem_code = NOP_EXPR;
			  tree tem_ops[3] = { ops2[0] };
			  gimple_resimplify1 (lseq, &tem_code, from_type, tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, from_type, tem_ops, lseq);
			  if (!res) return false;
		        }
		      else
		        res = ops2[0];
		      ops1[2] = res;
		    }
		    code_helper tem_code = COND_EXPR;
		    tree tem_ops[3] = { ops1[0], ops1[1], ops1[2] };
		    gimple_resimplify3 (lseq, &tem_code, TREE_TYPE (ops1[1]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[1]), tem_ops, lseq);
		    if (!res) return false;
		    res_ops[0] = res;
		  }
		  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		  return true;
		}
	    }
	}
  }
  return false;
}

static bool
gimple_simplify_265 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (COPYSIGN_ALL))
{
/* #line 210 "../../gcc/match.pd" */
  if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:211, %s:%d\n", __FILE__, __LINE__);
      *res_code = NEGATE_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = ABS_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_266 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (logs), const combined_fn ARG_UNUSED (pows))
{
/* #line 3897 "../../gcc/match.pd" */
  if (flag_unsafe_math_optimizations)
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4011, %s:%d\n", __FILE__, __LINE__);
      *res_code = MULT_EXPR;
      res_ops[0] = captures[1];
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = logs;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[1] = res;
      }
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_267 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1232, %s:%d\n", __FILE__, __LINE__);
  *res_code = COND_EXPR;
  {
    tree ops1[2], res;
    ops1[0] = captures[0];
    ops1[1] = captures[1];
    code_helper tem_code = cmp;
    tree tem_ops[3] = { ops1[0], ops1[1] };
    gimple_resimplify2 (lseq, &tem_code, boolean_type_node, tem_ops, valueize);
    res = maybe_push_res_to_seq (tem_code, boolean_type_node, tem_ops, lseq);
    if (!res) return false;
    res_ops[0] = res;
  }
  res_ops[1] = captures[2];
  res_ops[2] =  build_zero_cst (type);
  gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
  return true;
  return false;
}

static bool
gimple_simplify_268 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (scmp))
{
/* #line 3444 "../../gcc/match.pd" */
  if (FLOAT_TYPE_P (TREE_TYPE (captures[0])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0]))))
    {
      {
/* #line 3447 "../../gcc/match.pd" */
 tree tem = const_unop (NEGATE_EXPR, TREE_TYPE (captures[0]), captures[1]);
/* #line 3448 "../../gcc/match.pd" */
	  if (tem && !TREE_OVERFLOW (tem))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3449, %s:%d\n", __FILE__, __LINE__);
	      *res_code = scmp;
	      res_ops[0] = captures[0];
	      res_ops[1] =  tem;
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_269 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const combined_fn ARG_UNUSED (COPYSIGN_ALL))
{
/* #line 210 "../../gcc/match.pd" */
  if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:211, %s:%d\n", __FILE__, __LINE__);
      *res_code = NEGATE_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	code_helper tem_code = ABS_EXPR;
	tree tem_ops[3] = { ops1[0] };
	gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	if (!res) return false;
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_270 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (scmp))
{
/* #line 2998 "../../gcc/match.pd" */
  if (integer_zerop (captures[2]))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2999, %s:%d\n", __FILE__, __LINE__);
      *res_code = cmp;
      res_ops[0] = captures[2];
      res_ops[1] = captures[3];
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  else
    {
/* #line 3000 "../../gcc/match.pd" */
      if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])) && single_use (captures[0]))
	{
/* #line 3004 "../../gcc/match.pd" */
	  if (tree_int_cst_sgn (captures[2]) < 0)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3005, %s:%d\n", __FILE__, __LINE__);
	      *res_code = scmp;
	      res_ops[0] = captures[1];
	      res_ops[1] = captures[3];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  else
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3006, %s:%d\n", __FILE__, __LINE__);
	      *res_code = cmp;
	      res_ops[0] = captures[1];
	      res_ops[1] = captures[3];
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  return false;
}

static bool
gimple_simplify_271 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (op))
{
/* #line 1436 "../../gcc/match.pd" */
  if (tree_nop_conversion_p (TREE_TYPE (captures[1]), TREE_TYPE (captures[2])) && tree_nop_conversion_p (TREE_TYPE (captures[0]), TREE_TYPE (captures[2])) && (CONSTANT_CLASS_P (captures[3]) || (single_use (captures[1]) && single_use (captures[0]))))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1439, %s:%d\n", __FILE__, __LINE__);
      *res_code = op;
      res_ops[0] = captures[3];
      res_ops[1] =  build_zero_cst (TREE_TYPE (captures[3]));
      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  return false;
}

static bool
gimple_simplify_272 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp), const enum tree_code ARG_UNUSED (icmp))
{
/* #line 3269 "../../gcc/match.pd" */
  if (SCALAR_FLOAT_TYPE_P (TREE_TYPE (captures[1])) && ! DECIMAL_FLOAT_TYPE_P (TREE_TYPE (captures[1])))
    {
      {
/* #line 3271 "../../gcc/match.pd" */
 tree itype = TREE_TYPE (captures[0]);
 signop isign = TYPE_SIGN (itype);
 format_helper fmt (REAL_MODE_FORMAT (TYPE_MODE (TREE_TYPE (captures[1]))));
 const REAL_VALUE_TYPE *cst = TREE_REAL_CST_PTR (captures[1]);
 bool exception_p = real_isnan (cst) && (cst->signalling || (cmp != EQ_EXPR && cmp != NE_EXPR));
 bool signed_p = isign == SIGNED;
 bool itype_fits_ftype_p = TYPE_PRECISION (itype) - signed_p <= significand_size (fmt);
/* #line 3292 "../../gcc/match.pd" */
	  if (itype_fits_ftype_p && ! exception_p)
	    {
	      {
/* #line 3293 "../../gcc/match.pd" */
 REAL_VALUE_TYPE imin, imax;
 real_from_integer (&imin, fmt, wi::min_value (itype), isign);
 real_from_integer (&imax, fmt, wi::max_value (itype), isign);
 REAL_VALUE_TYPE icst;
 if (cmp == GT_EXPR || cmp == GE_EXPR) real_ceil (&icst, fmt, cst);
 else if (cmp == LT_EXPR || cmp == LE_EXPR) real_floor (&icst, fmt, cst);
 else real_trunc (&icst, fmt, cst);
 bool cst_int_p = !real_isnan (cst) && real_identical (&icst, cst);
 bool overflow_p = false;
 wide_int icst_val = real_to_integer (&icst, &overflow_p, TYPE_PRECISION (itype));
/* #line 3315 "../../gcc/match.pd" */
		  if (real_compare (LT_EXPR, cst, &imin))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3316, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  constant_boolean_node (cmp == GT_EXPR || cmp == GE_EXPR || cmp == NE_EXPR, type);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 3318 "../../gcc/match.pd" */
		      if (real_compare (GT_EXPR, cst, &imax))
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3319, %s:%d\n", __FILE__, __LINE__);
			  res_ops[0] =  constant_boolean_node (cmp == LT_EXPR || cmp == LE_EXPR || cmp == NE_EXPR, type);
			  *res_code = TREE_CODE (res_ops[0]);
			  return true;
			}
		      else
			{
/* #line 3322 "../../gcc/match.pd" */
			  if (cst_int_p)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3323, %s:%d\n", __FILE__, __LINE__);
			      *res_code = cmp;
			      res_ops[0] = captures[0];
 gcc_assert (!overflow_p);
			      res_ops[1] =  wide_int_to_tree (itype, icst_val);
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
/* #line 3329 "../../gcc/match.pd" */
			      if (cmp == EQ_EXPR || cmp == NE_EXPR)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3330, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  constant_boolean_node (cmp == NE_EXPR, type);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			      else
				{
				  {
/* #line 3332 "../../gcc/match.pd" */
 gcc_checking_assert (!overflow_p);
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3336, %s:%d\n", __FILE__, __LINE__);
				      *res_code = icmp;
				      res_ops[0] = captures[0];
				      res_ops[1] =  wide_int_to_tree (itype, icst_val);
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				  }
				}
			    }
			}
		    }
	      }
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_273 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
/* #line 115 "../../gcc/match.pd" */
  if (fold_real_zero_addition_p (type, captures[1], 0))
    {
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:116, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  return false;
}

static bool
gimple_simplify_274 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
)
{
  gimple_seq *lseq = seq;
  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:656, %s:%d\n", __FILE__, __LINE__);
  res_ops[0] =  build_zero_cst (type);
  *res_code = TREE_CODE (res_ops[0]);
  return true;
  return false;
}

static bool
gimple_simplify_275 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 const tree ARG_UNUSED (type), tree *ARG_UNUSED (captures)
, const enum tree_code ARG_UNUSED (cmp))
{
/* #line 1294 "../../gcc/match.pd" */
  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && integer_nonzerop (captures[2]) && !TREE_OVERFLOW (captures[2]) && !TREE_OVERFLOW (captures[3]))
    {
      {
/* #line 1298 "../../gcc/match.pd" */
 tree lo, hi;
 bool neg_overflow;
 enum tree_code code = fold_div_compare (cmp, captures[2], captures[3], &lo, &hi, &neg_overflow);
/* #line 1302 "../../gcc/match.pd" */
	  if (code == LT_EXPR || code == GE_EXPR)
	    {
/* #line 1303 "../../gcc/match.pd" */
	      if (TREE_OVERFLOW (lo))
		{
		  gimple_seq *lseq = seq;
		  if (lseq
		      && (!single_use (captures[0])))
		    lseq = NULL;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1304, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  build_int_cst (type, (code == LT_EXPR) ^ neg_overflow);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 1305 "../../gcc/match.pd" */
		  if (code == LT_EXPR)
		    {
		      gimple_seq *lseq = seq;
		      if (lseq
		          && (!single_use (captures[0])))
		        lseq = NULL;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1306, %s:%d\n", __FILE__, __LINE__);
		      *res_code = LT_EXPR;
		      res_ops[0] = captures[1];
		      res_ops[1] =  lo;
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		  else
		    {
		      gimple_seq *lseq = seq;
		      if (lseq
		          && (!single_use (captures[0])))
		        lseq = NULL;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1307, %s:%d\n", __FILE__, __LINE__);
		      *res_code = GE_EXPR;
		      res_ops[0] = captures[1];
		      res_ops[1] =  lo;
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		}
	    }
	  else
	    {
/* #line 1308 "../../gcc/match.pd" */
	      if (code == LE_EXPR || code == GT_EXPR)
		{
/* #line 1309 "../../gcc/match.pd" */
		  if (TREE_OVERFLOW (hi))
		    {
		      gimple_seq *lseq = seq;
		      if (lseq
		          && (!single_use (captures[0])))
		        lseq = NULL;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1310, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  build_int_cst (type, (code == LE_EXPR) ^ neg_overflow);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 1311 "../../gcc/match.pd" */
		      if (code == LE_EXPR)
			{
			  gimple_seq *lseq = seq;
			  if (lseq
			      && (!single_use (captures[0])))
			    lseq = NULL;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1312, %s:%d\n", __FILE__, __LINE__);
			  *res_code = LE_EXPR;
			  res_ops[0] = captures[1];
			  res_ops[1] =  hi;
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
			  gimple_seq *lseq = seq;
			  if (lseq
			      && (!single_use (captures[0])))
			    lseq = NULL;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1313, %s:%d\n", __FILE__, __LINE__);
			  *res_code = GT_EXPR;
			  res_ops[0] = captures[1];
			  res_ops[1] =  hi;
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		    }
		}
	      else
		{
/* #line 1314 "../../gcc/match.pd" */
		  if (!lo && !hi)
		    {
		      gimple_seq *lseq = seq;
		      if (lseq
		          && (!single_use (captures[0])))
		        lseq = NULL;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1315, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  build_int_cst (type, code == NE_EXPR);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 1316 "../../gcc/match.pd" */
		      if (code == EQ_EXPR && !hi)
			{
			  gimple_seq *lseq = seq;
			  if (lseq
			      && (!single_use (captures[0])))
			    lseq = NULL;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1317, %s:%d\n", __FILE__, __LINE__);
			  *res_code = GE_EXPR;
			  res_ops[0] = captures[1];
			  res_ops[1] =  lo;
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
/* #line 1318 "../../gcc/match.pd" */
			  if (code == EQ_EXPR && !lo)
			    {
			      gimple_seq *lseq = seq;
			      if (lseq
			          && (!single_use (captures[0])))
			        lseq = NULL;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1319, %s:%d\n", __FILE__, __LINE__);
			      *res_code = LE_EXPR;
			      res_ops[0] = captures[1];
			      res_ops[1] =  hi;
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
/* #line 1320 "../../gcc/match.pd" */
			      if (code == NE_EXPR && !hi)
				{
				  gimple_seq *lseq = seq;
				  if (lseq
				      && (!single_use (captures[0])))
				    lseq = NULL;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1321, %s:%d\n", __FILE__, __LINE__);
				  *res_code = LT_EXPR;
				  res_ops[0] = captures[1];
				  res_ops[1] =  lo;
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			      else
				{
/* #line 1322 "../../gcc/match.pd" */
				  if (code == NE_EXPR && !lo)
				    {
				      gimple_seq *lseq = seq;
				      if (lseq
				          && (!single_use (captures[0])))
				        lseq = NULL;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1323, %s:%d\n", __FILE__, __LINE__);
				      *res_code = GT_EXPR;
				      res_ops[0] = captures[1];
				      res_ops[1] =  hi;
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 1324 "../../gcc/match.pd" */
				      if (0)
					{
					  gimple_seq *lseq = seq;
					  if (lseq
					      && (!single_use (captures[0])))
					    lseq = NULL;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1325, %s:%d\n", __FILE__, __LINE__);
					  res_ops[0] =  build_range_check (UNKNOWN_LOCATION, type, captures[1], code == EQ_EXPR, lo, hi);
					  *res_code = TREE_CODE (res_ops[0]);
					  return true;
					}
				      else
					{
					  {
/* #line 1327 "../../gcc/match.pd" */
 tree etype = range_check_type (TREE_TYPE (captures[1]));
 if (etype) { if (! TYPE_UNSIGNED (etype)) etype = unsigned_type_for (etype);
 hi = fold_convert (etype, hi);
 lo = fold_convert (etype, lo);
 hi = const_binop (MINUS_EXPR, etype, hi, lo);
 }/* #line 1339 "../../gcc/match.pd" */
					      if (etype && hi && !TREE_OVERFLOW (hi))
						{
/* #line 1340 "../../gcc/match.pd" */
						  if (code == EQ_EXPR)
						    {
						      gimple_seq *lseq = seq;
						      if (lseq
						          && (!single_use (captures[0])))
						        lseq = NULL;
						      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1341, %s:%d\n", __FILE__, __LINE__);
						      *res_code = LE_EXPR;
						      {
							tree ops1[2], res;
							{
							  tree ops2[1], res;
							  ops2[0] = captures[1];
							  if (etype != TREE_TYPE (ops2[0])
							      && !useless_type_conversion_p (etype, TREE_TYPE (ops2[0])))
							    {
							      code_helper tem_code = NOP_EXPR;
							      tree tem_ops[3] = { ops2[0] };
							      gimple_resimplify1 (lseq, &tem_code, etype, tem_ops, valueize);
							      res = maybe_push_res_to_seq (tem_code, etype, tem_ops, lseq);
							      if (!res) return false;
							    }
							  else
							    res = ops2[0];
							  ops1[0] = res;
							}
							ops1[1] =  lo;
							code_helper tem_code = MINUS_EXPR;
							tree tem_ops[3] = { ops1[0], ops1[1] };
							gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
							if (!res) return false;
							res_ops[0] = res;
						      }
						      res_ops[1] =  hi;
						      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						      return true;
						    }
						  else
						    {
						      gimple_seq *lseq = seq;
						      if (lseq
						          && (!single_use (captures[0])))
						        lseq = NULL;
						      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1342, %s:%d\n", __FILE__, __LINE__);
						      *res_code = GT_EXPR;
						      {
							tree ops1[2], res;
							{
							  tree ops2[1], res;
							  ops2[0] = captures[1];
							  if (etype != TREE_TYPE (ops2[0])
							      && !useless_type_conversion_p (etype, TREE_TYPE (ops2[0])))
							    {
							      code_helper tem_code = NOP_EXPR;
							      tree tem_ops[3] = { ops2[0] };
							      gimple_resimplify1 (lseq, &tem_code, etype, tem_ops, valueize);
							      res = maybe_push_res_to_seq (tem_code, etype, tem_ops, lseq);
							      if (!res) return false;
							    }
							  else
							    res = ops2[0];
							  ops1[0] = res;
							}
							ops1[1] =  lo;
							code_helper tem_code = MINUS_EXPR;
							tree tem_ops[3] = { ops1[0], ops1[1] };
							gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
							if (!res) return false;
							res_ops[0] = res;
						      }
						      res_ops[1] =  hi;
						      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						      return true;
						    }
						}
					  }
					}
				    }
				}
			    }
			}
		    }
		}
	    }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COSF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 561 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:561, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COS (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 561 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:561, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COSL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 561 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:561, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_COS (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_COS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_COS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 561 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:561, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_COS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COSHF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSHF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSHF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 561 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:561, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSHF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COSH (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSH;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSH;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 561 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:561, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSH;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COSHL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSHL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 523 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:523, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSHL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 561 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:561, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_COSHL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CCOSF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 614 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:614, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CCOSF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CCOS (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 614 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:614, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CCOS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CCOSL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 614 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:614, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CCOSL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CCOSHF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 614 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:614, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CCOSHF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CCOSH (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 614 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:614, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CCOSH;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CCOSHL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 614 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:614, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CCOSHL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CABSF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CONJ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 621 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:621, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CABSF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 621 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:621, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CABSF;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (real_zerop (o21))
		    {
		      {
/* #line 4088 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4088, %s:%d\n", __FILE__, __LINE__);
			*res_code = ABS_EXPR;
			res_ops[0] = captures[0];
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
		  if (real_zerop (o20))
		    {
		      {
/* #line 4088 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4088, %s:%d\n", __FILE__, __LINE__);
			*res_code = ABS_EXPR;
			res_ops[0] = captures[0];
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
		  if ((o21 == o20 && ! TREE_SIDE_EFFECTS (o21)) || (operand_equal_p (o21, o20, 0) && types_match (o21, o20)))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4249, %s:%d\n", __FILE__, __LINE__);
			    *res_code = MULT_EXPR;
			    {
			      tree ops1[1], res;
			      ops1[0] = captures[0];
			      code_helper tem_code = ABS_EXPR;
			      tree tem_ops[3] = { ops1[0] };
			      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[0] = res;
			    }
			    res_ops[1] =  build_real_truncate (type, dconst_sqrt2 ());
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CABS (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CONJ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 621 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:621, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CABS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 621 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:621, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CABS;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (real_zerop (o21))
		    {
		      {
/* #line 4088 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4088, %s:%d\n", __FILE__, __LINE__);
			*res_code = ABS_EXPR;
			res_ops[0] = captures[0];
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
		  if (real_zerop (o20))
		    {
		      {
/* #line 4088 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4088, %s:%d\n", __FILE__, __LINE__);
			*res_code = ABS_EXPR;
			res_ops[0] = captures[0];
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
		  if ((o21 == o20 && ! TREE_SIDE_EFFECTS (o21)) || (operand_equal_p (o21, o20, 0) && types_match (o21, o20)))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4249, %s:%d\n", __FILE__, __LINE__);
			    *res_code = MULT_EXPR;
			    {
			      tree ops1[1], res;
			      ops1[0] = captures[0];
			      code_helper tem_code = ABS_EXPR;
			      tree tem_ops[3] = { ops1[0] };
			      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[0] = res;
			    }
			    res_ops[1] =  build_real_truncate (type, dconst_sqrt2 ());
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CABSL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CONJ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 621 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:621, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CABSL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 621 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:621, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_CABSL;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (real_zerop (o21))
		    {
		      {
/* #line 4088 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4088, %s:%d\n", __FILE__, __LINE__);
			*res_code = ABS_EXPR;
			res_ops[0] = captures[0];
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
		  if (real_zerop (o20))
		    {
		      {
/* #line 4088 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4088, %s:%d\n", __FILE__, __LINE__);
			*res_code = ABS_EXPR;
			res_ops[0] = captures[0];
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
		  if ((o21 == o20 && ! TREE_SIDE_EFFECTS (o21)) || (operand_equal_p (o21, o20, 0) && types_match (o21, o20)))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4249, %s:%d\n", __FILE__, __LINE__);
			    *res_code = MULT_EXPR;
			    {
			      tree ops1[1], res;
			      ops1[0] = captures[0];
			      code_helper tem_code = ABS_EXPR;
			      tree tem_ops[3] = { ops1[0] };
			      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[0] = res;
			    }
			    res_ops[1] =  build_real_truncate (type, dconst_sqrt2 ());
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_BIT_NOT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 748 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o21 };
				    if (gimple_simplify_157 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 748 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o40, o20 };
				    if (gimple_simplify_157 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 1174 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1174, %s:%d\n", __FILE__, __LINE__);
		    res_ops[0] = captures[0];
		    *res_code = TREE_CODE (res_ops[0]);
		    return true;
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 1179 "../../gcc/match.pd" */
				    tree captures[1] ATTRIBUTE_UNUSED = { o30 };
				    if (gimple_simplify_221 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      case MINUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (integer_each_onep (o31))
				    {
				      {
/* #line 1191 "../../gcc/match.pd" */
					tree captures[1] ATTRIBUTE_UNUSED = { o30 };
					if (gimple_simplify_153 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      case PLUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  if (integer_all_onesp (o31))
				    {
				      {
/* #line 1196 "../../gcc/match.pd" */
					tree captures[1] ATTRIBUTE_UNUSED = { o30 };
					if (gimple_simplify_237 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					{
/* #line 1203 "../../gcc/match.pd" */
					  tree captures[2] ATTRIBUTE_UNUSED = { o30, o31 };
					  if (gimple_simplify_86 (res_code, res_ops, seq, valueize, type, captures))
					    return true;
					}
				        break;
				      }
				    default:;
				    }
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  {
/* #line 1207 "../../gcc/match.pd" */
						    tree captures[2] ATTRIBUTE_UNUSED = { o40, o31 };
						    if (gimple_simplify_154 (res_code, res_ops, seq, valueize, type, captures))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o31))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o31))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 1207 "../../gcc/match.pd" */
						    tree captures[2] ATTRIBUTE_UNUSED = { o50, o30 };
						    if (gimple_simplify_154 (res_code, res_ops, seq, valueize, type, captures))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case RSHIFT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  switch (TREE_CODE (o40))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o40))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o50 = gimple_assign_rhs1 (def);
								  o50 = do_valueize (valueize, o50);
								  {
/* #line 2351 "../../gcc/match.pd" */
								    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o50, o31 };
								    if (gimple_simplify_252 (res_code, res_ops, seq, valueize, type, captures))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_NOT_EXPR:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  {
/* #line 2351 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o40, o31 };
						    if (gimple_simplify_252 (res_code, res_ops, seq, valueize, type, captures))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case LROTATE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  switch (TREE_CODE (o40))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o40))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o50 = gimple_assign_rhs1 (def);
								  o50 = do_valueize (valueize, o50);
								  {
/* #line 2364 "../../gcc/match.pd" */
								    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o50, o31 };
								    if (gimple_simplify_85 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_NOT_EXPR:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  {
/* #line 2364 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o40, o31 };
						    if (gimple_simplify_85 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case RROTATE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  switch (TREE_CODE (o40))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o40))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o50 = gimple_assign_rhs1 (def);
								  o50 = do_valueize (valueize, o50);
								  {
/* #line 2364 "../../gcc/match.pd" */
								    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o50, o31 };
								    if (gimple_simplify_85 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_NOT_EXPR:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  {
/* #line 2364 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o40, o31 };
						    if (gimple_simplify_85 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 1179 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_221 (res_code, res_ops, seq, valueize, type, captures))
		      return true;
		  }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_each_onep (o21))
		    {
		      {
/* #line 1191 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_153 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_all_onesp (o21))
		    {
		      {
/* #line 1196 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_237 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 1203 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			  if (gimple_simplify_86 (res_code, res_ops, seq, valueize, type, captures))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 1207 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_154 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 1207 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_154 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case RSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  {
/* #line 2351 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o40, o21 };
						    if (gimple_simplify_104 (res_code, res_ops, seq, valueize, type, captures))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2351 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o30, o21 };
				    if (gimple_simplify_104 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LROTATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  {
/* #line 2364 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o40, o21 };
						    if (gimple_simplify_60 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2364 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o30, o21 };
				    if (gimple_simplify_60 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case RROTATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  {
/* #line 2364 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o40, o21 };
						    if (gimple_simplify_60 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2364 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o30, o21 };
				    if (gimple_simplify_60 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GE_EXPR, UNGE_EXPR))
		      return true;
		  }
	          break;
	        }
	      case LE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR, UNGT_EXPR))
		      return true;
		  }
	          break;
	        }
	      case EQ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, NE_EXPR, NE_EXPR))
		      return true;
		  }
	          break;
	        }
	      case NE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, EQ_EXPR, EQ_EXPR))
		      return true;
		  }
	          break;
	        }
	      case GE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, LT_EXPR, UNLT_EXPR))
		      return true;
		  }
	          break;
	        }
	      case GT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LE_EXPR, UNLE_EXPR))
		      return true;
		  }
	          break;
	        }
	      case UNORDERED_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, UNORDERED_EXPR, ORDERED_EXPR, ORDERED_EXPR))
		      return true;
		  }
	          break;
	        }
	      case ORDERED_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, ORDERED_EXPR, UNORDERED_EXPR, UNORDERED_EXPR))
		      return true;
		  }
	          break;
	        }
	      case UNLT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, UNLT_EXPR, GE_EXPR, GE_EXPR))
		      return true;
		  }
	          break;
	        }
	      case UNLE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, UNLE_EXPR, GT_EXPR, GT_EXPR))
		      return true;
		  }
	          break;
	        }
	      case UNGT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, UNGT_EXPR, LE_EXPR, LE_EXPR))
		      return true;
		  }
	          break;
	        }
	      case UNGE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, UNGE_EXPR, LT_EXPR, LT_EXPR))
		      return true;
		  }
	          break;
	        }
	      case UNEQ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, UNEQ_EXPR, LTGT_EXPR, LTGT_EXPR))
		      return true;
		  }
	          break;
	        }
	      case LTGT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  {
/* #line 2956 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_97 (res_code, res_ops, seq, valueize, type, captures, LTGT_EXPR, UNEQ_EXPR, UNEQ_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_ABS_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 995 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:995, %s:%d\n", __FILE__, __LINE__);
		    res_ops[0] = captures[0];
		    *res_code = TREE_CODE (res_ops[0]);
		    return true;
		  }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 998 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:998, %s:%d\n", __FILE__, __LINE__);
		    *res_code = ABS_EXPR;
		    res_ops[0] = captures[0];
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 1001 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1001, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  }
  return false;
}

static bool
gimple_simplify_NEGATE_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (gimple_negate_expr_p (o21, valueize))
		    {
		      {
/* #line 1040 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_78 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if (gimple_negate_expr_p (o20, valueize))
		    {
		      {
/* #line 1040 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_78 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 1047 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 1047 "../../gcc/match.pd" */
		    if ((ANY_INTEGRAL_TYPE_P (type) && !TYPE_OVERFLOW_SANITIZED (type)) || (FLOAT_TYPE_P (type) && !HONOR_SIGN_DEPENDENT_ROUNDING (type) && !HONOR_SIGNED_ZEROS (type)))
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1051, %s:%d\n", __FILE__, __LINE__);
			*res_code = MINUS_EXPR;
			res_ops[0] = captures[1];
			res_ops[1] = captures[0];
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 1054 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 1054 "../../gcc/match.pd" */
		    if (TYPE_OVERFLOW_UNDEFINED (type))
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1055, %s:%d\n", __FILE__, __LINE__);
			*res_code = POINTER_DIFF_EXPR;
			res_ops[0] = captures[1];
			res_ops[1] = captures[0];
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 1627 "../../gcc/match.pd" */
				    tree captures[1] ATTRIBUTE_UNUSED = { o30 };
/* #line 1627 "../../gcc/match.pd" */
				    if (!TYPE_SATURATING (type))
				      {
/* #line 1662 "../../gcc/match.pd" */
					if (INTEGRAL_TYPE_P (type) && (TYPE_PRECISION (type) <= TYPE_PRECISION (TREE_TYPE (captures[0])) || (!TYPE_UNSIGNED (TREE_TYPE (captures[0])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])))) && !TYPE_OVERFLOW_SANITIZED (type) && !TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[0])))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1668, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NOP_EXPR;
					    res_ops[0] = captures[0];
					    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (gimple_negate_expr_p (o20, valueize))
		  {
		    {
/* #line 1627 "../../gcc/match.pd" */
		      tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 1627 "../../gcc/match.pd" */
		      if (!TYPE_SATURATING (type))
			{
/* #line 1671 "../../gcc/match.pd" */
			  if (SCALAR_FLOAT_TYPE_P (type) && ((DECIMAL_FLOAT_TYPE_P (type) == DECIMAL_FLOAT_TYPE_P (TREE_TYPE (captures[0])) && TYPE_PRECISION (type) >= TYPE_PRECISION (TREE_TYPE (captures[0]))) || !HONOR_SIGN_DEPENDENT_ROUNDING (type)))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1676, %s:%d\n", __FILE__, __LINE__);
			      *res_code = NOP_EXPR;
			      {
				tree ops1[1], res;
				ops1[0] = captures[0];
				code_helper tem_code = NEGATE_EXPR;
				tree tem_ops[3] = { ops1[0] };
				gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				if (!res) return false;
				res_ops[0] = res;
			      }
			      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_nop_convert (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      switch (TREE_CODE (o20))
        {
	case SSA_NAME:
	  if (gimple *def_stmt = get_def (valueize, o20))
	    {
	      if (gassign *def = dyn_cast <gassign *> (def_stmt))
	        switch (gimple_assign_rhs_code (def))
		  {
		  case BIT_NOT_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      {
/* #line 1186 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o30 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1186, %s:%d\n", __FILE__, __LINE__);
			*res_code = PLUS_EXPR;
			{
			  tree ops1[1], res;
			  ops1[0] = captures[0];
			  code_helper tem_code = VIEW_CONVERT_EXPR;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			res_ops[1] =  build_each_one_cst (type);
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		      break;
		    }
		  case NEGATE_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o30 };
/* #line 1627 "../../gcc/match.pd" */
			if (!TYPE_SATURATING (type))
			  {
/* #line 1679 "../../gcc/match.pd" */
			    if (!TYPE_OVERFLOW_SANITIZED (type) && !TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[0])))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1681, %s:%d\n", __FILE__, __LINE__);
				*res_code = VIEW_CONVERT_EXPR;
				res_ops[0] = captures[0];
				gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			  }
		      }
		      break;
		    }
		  default:;
		  }
	    }
	  break;
        default:;
        }
}
}
  return false;
}

static bool
gimple_simplify_CONVERT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MIN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					{
/* #line 2059 "../../gcc/match.pd" */
					  tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o21 };
					  if (gimple_simplify_6 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR))
					    return true;
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					{
/* #line 2059 "../../gcc/match.pd" */
					  tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o21 };
					  if (gimple_simplify_6 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR))
					    return true;
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  {
/* #line 2379 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 2379 "../../gcc/match.pd" */
    if ((1 && useless_type_conversion_p (type, TREE_TYPE (captures[0]))) || (0 && type == TREE_TYPE (captures[0])))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2381, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2423 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
		    {
/* #line 2423 "../../gcc/match.pd" */
 tree inside_type = TREE_TYPE (captures[1]);
 tree inter_type = TREE_TYPE (captures[0]);
 int inside_int = INTEGRAL_TYPE_P (inside_type);
 int inside_ptr = POINTER_TYPE_P (inside_type);
 int inside_float = FLOAT_TYPE_P (inside_type);
 int inside_vec = VECTOR_TYPE_P (inside_type);
 unsigned int inside_prec = TYPE_PRECISION (inside_type);
 int inside_unsignedp = TYPE_UNSIGNED (inside_type);
 int inter_int = INTEGRAL_TYPE_P (inter_type);
 int inter_ptr = POINTER_TYPE_P (inter_type);
 int inter_float = FLOAT_TYPE_P (inter_type);
 int inter_vec = VECTOR_TYPE_P (inter_type);
 unsigned int inter_prec = TYPE_PRECISION (inter_type);
 int inter_unsignedp = TYPE_UNSIGNED (inter_type);
 int final_int = INTEGRAL_TYPE_P (type);
 int final_ptr = POINTER_TYPE_P (type);
 int final_float = FLOAT_TYPE_P (type);
 int final_vec = VECTOR_TYPE_P (type);
 unsigned int final_prec = TYPE_PRECISION (type);
 int final_unsignedp = TYPE_UNSIGNED (type);
/* #line 2451 "../../gcc/match.pd" */
			if (((1 && useless_type_conversion_p (type, inside_type)) || (0 && TYPE_MAIN_VARIANT (type) == TYPE_MAIN_VARIANT (inside_type))) && (((inter_int || inter_ptr) && final_int) || (inter_float && final_float)) && inter_prec >= final_prec)
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2457, %s:%d\n", __FILE__, __LINE__);
			    *res_code = NOP_EXPR;
			    res_ops[0] = captures[1];
			    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
			else
			  {
/* #line 2464 "../../gcc/match.pd" */
			    if (((inter_int && inside_int) || (inter_float && inside_float)) && (final_int || final_float) && inter_prec >= inside_prec && (inter_float || inter_unsignedp == inside_unsignedp))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2468, %s:%d\n", __FILE__, __LINE__);
				*res_code = NOP_EXPR;
				res_ops[0] = captures[1];
				gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			    else
			      {
/* #line 2474 "../../gcc/match.pd" */
				if (inside_int && inter_int && final_int && ((inside_prec < inter_prec && inter_prec < final_prec && inside_unsignedp && !inter_unsignedp) || final_prec == inter_prec))
				  {
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2478, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    res_ops[0] = captures[1];
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
				else
				  {
/* #line 2491 "../../gcc/match.pd" */
				    if (! inside_float && ! inter_float && ! final_float && ! inside_vec && ! inter_vec && ! final_vec && (inter_prec >= inside_prec || inter_prec >= final_prec) && ! (inside_int && inter_int && inter_unsignedp != inside_unsignedp && inter_prec < final_prec) && ((inter_unsignedp && inter_prec > inside_prec) == (final_unsignedp && final_prec > inter_prec)) && ! (inside_ptr && inter_prec != final_prec) && ! (final_ptr && inside_prec != inter_prec))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2501, %s:%d\n", __FILE__, __LINE__);
					*res_code = NOP_EXPR;
					res_ops[0] = captures[1];
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 2505 "../../gcc/match.pd" */
					if (1 && final_int && inter_int && inside_int && final_prec == inside_prec && final_prec > inter_prec && inter_unsignedp)
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2510, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NOP_EXPR;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] =  wide_int_to_tree (inside_type, wi::mask (inter_prec, false, TYPE_PRECISION (inside_type)));
					      code_helper tem_code = BIT_AND_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 2518 "../../gcc/match.pd" */
					    if (1 && inside_int && inter_float && final_int && (unsigned) significand_size (TYPE_MODE (inter_type)) >= inside_prec - !inside_unsignedp)
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2522, %s:%d\n", __FILE__, __LINE__);
						*res_code = NOP_EXPR;
						res_ops[0] = captures[1];
						gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			  }
		    }
		  }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2423 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
		    {
/* #line 2423 "../../gcc/match.pd" */
 tree inside_type = TREE_TYPE (captures[1]);
 tree inter_type = TREE_TYPE (captures[0]);
 int inside_int = INTEGRAL_TYPE_P (inside_type);
 int inside_ptr = POINTER_TYPE_P (inside_type);
 int inside_float = FLOAT_TYPE_P (inside_type);
 int inside_vec = VECTOR_TYPE_P (inside_type);
 unsigned int inside_prec = TYPE_PRECISION (inside_type);
 int inside_unsignedp = TYPE_UNSIGNED (inside_type);
 int inter_int = INTEGRAL_TYPE_P (inter_type);
 int inter_ptr = POINTER_TYPE_P (inter_type);
 int inter_float = FLOAT_TYPE_P (inter_type);
 int inter_vec = VECTOR_TYPE_P (inter_type);
 unsigned int inter_prec = TYPE_PRECISION (inter_type);
 int inter_unsignedp = TYPE_UNSIGNED (inter_type);
 int final_int = INTEGRAL_TYPE_P (type);
 int final_ptr = POINTER_TYPE_P (type);
 int final_float = FLOAT_TYPE_P (type);
 int final_vec = VECTOR_TYPE_P (type);
 unsigned int final_prec = TYPE_PRECISION (type);
 int final_unsignedp = TYPE_UNSIGNED (type);
/* #line 2451 "../../gcc/match.pd" */
			if (((1 && useless_type_conversion_p (type, inside_type)) || (0 && TYPE_MAIN_VARIANT (type) == TYPE_MAIN_VARIANT (inside_type))) && (((inter_int || inter_ptr) && final_int) || (inter_float && final_float)) && inter_prec >= final_prec)
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2457, %s:%d\n", __FILE__, __LINE__);
			    *res_code = NOP_EXPR;
			    res_ops[0] = captures[1];
			    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
			else
			  {
/* #line 2464 "../../gcc/match.pd" */
			    if (((inter_int && inside_int) || (inter_float && inside_float)) && (final_int || final_float) && inter_prec >= inside_prec && (inter_float || inter_unsignedp == inside_unsignedp))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2468, %s:%d\n", __FILE__, __LINE__);
				*res_code = NOP_EXPR;
				res_ops[0] = captures[1];
				gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			    else
			      {
/* #line 2474 "../../gcc/match.pd" */
				if (inside_int && inter_int && final_int && ((inside_prec < inter_prec && inter_prec < final_prec && inside_unsignedp && !inter_unsignedp) || final_prec == inter_prec))
				  {
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2478, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    res_ops[0] = captures[1];
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
				else
				  {
/* #line 2491 "../../gcc/match.pd" */
				    if (! inside_float && ! inter_float && ! final_float && ! inside_vec && ! inter_vec && ! final_vec && (inter_prec >= inside_prec || inter_prec >= final_prec) && ! (inside_int && inter_int && inter_unsignedp != inside_unsignedp && inter_prec < final_prec) && ((inter_unsignedp && inter_prec > inside_prec) == (final_unsignedp && final_prec > inter_prec)) && ! (inside_ptr && inter_prec != final_prec) && ! (final_ptr && inside_prec != inter_prec))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2501, %s:%d\n", __FILE__, __LINE__);
					*res_code = NOP_EXPR;
					res_ops[0] = captures[1];
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 2505 "../../gcc/match.pd" */
					if (1 && final_int && inter_int && inside_int && final_prec == inside_prec && final_prec > inter_prec && inter_unsignedp)
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2510, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NOP_EXPR;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] =  wide_int_to_tree (inside_type, wi::mask (inter_prec, false, TYPE_PRECISION (inside_type)));
					      code_helper tem_code = BIT_AND_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 2518 "../../gcc/match.pd" */
					    if (1 && inside_int && inter_float && final_int && (unsigned) significand_size (TYPE_MODE (inter_type)) >= inside_prec - !inside_unsignedp)
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2522, %s:%d\n", __FILE__, __LINE__);
						*res_code = NOP_EXPR;
						res_ops[0] = captures[1];
						gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			  }
		    }
		  }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 2529 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 2529 "../../gcc/match.pd" */
			  if (INTEGRAL_TYPE_P (type) && INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && TYPE_PRECISION (type) <= TYPE_PRECISION (TREE_TYPE (captures[0])) && operand_equal_p (captures[1], build_low_bits_mask (TREE_TYPE (captures[1]), TYPE_PRECISION (type)), 0))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2534, %s:%d\n", __FILE__, __LINE__);
			      *res_code = NOP_EXPR;
			      res_ops[0] = captures[0];
			      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o21))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 4460 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o21, o50 };
						    if (gimple_simplify_233 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  {
/* #line 4460 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o21, o21 };
				    if (gimple_simplify_210 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o21))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 4460 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o21, o50 };
						    if (gimple_simplify_233 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  {
/* #line 4460 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o21, o21 };
				    if (gimple_simplify_210 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_VIEW_CONVERT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  {
/* #line 2379 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 2379 "../../gcc/match.pd" */
    if ((1 && useless_type_conversion_p (type, TREE_TYPE (captures[0]))) || (0 && type == TREE_TYPE (captures[0])))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2381, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VIEW_CONVERT_EXPR:
	        {
		  tree o20 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o20) == SSA_NAME
		       || is_gimple_min_invariant (o20)))
		    {
		      o20 = do_valueize (valueize, o20);
		      {
/* #line 2386 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2386, %s:%d\n", __FILE__, __LINE__);
			*res_code = VIEW_CONVERT_EXPR;
			res_ops[0] = captures[0];
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  {
/* #line 2392 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 2392 "../../gcc/match.pd" */
    if ((INTEGRAL_TYPE_P (type) || POINTER_TYPE_P (type)) && (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) || POINTER_TYPE_P (TREE_TYPE (captures[0]))) && TYPE_PRECISION (type) == TYPE_PRECISION (TREE_TYPE (captures[0])))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2395, %s:%d\n", __FILE__, __LINE__);
	*res_code = NOP_EXPR;
	res_ops[0] = captures[0];
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2401 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
/* #line 2401 "../../gcc/match.pd" */
		    if ((INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) || POINTER_TYPE_P (TREE_TYPE (captures[0]))) && (INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) || POINTER_TYPE_P (TREE_TYPE (captures[1]))) && TYPE_SIZE (TREE_TYPE (captures[0])) == TYPE_SIZE (TREE_TYPE (captures[1])) && (TYPE_PRECISION (TREE_TYPE (captures[0])) == TYPE_PRECISION (TREE_TYPE (captures[1])) || (TYPE_PRECISION (TREE_TYPE (captures[0])) > TYPE_PRECISION (TREE_TYPE (captures[1])) && TYPE_UNSIGNED (TREE_TYPE (captures[1])))))
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2407, %s:%d\n", __FILE__, __LINE__);
			*res_code = VIEW_CONVERT_EXPR;
			res_ops[0] = captures[1];
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_FLOAT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  {
/* #line 2379 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 2379 "../../gcc/match.pd" */
    if ((1 && useless_type_conversion_p (type, TREE_TYPE (captures[0]))) || (0 && type == TREE_TYPE (captures[0])))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2381, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2423 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
		    {
/* #line 2423 "../../gcc/match.pd" */
 tree inside_type = TREE_TYPE (captures[1]);
 tree inter_type = TREE_TYPE (captures[0]);
 int inside_int = INTEGRAL_TYPE_P (inside_type);
 int inside_ptr = POINTER_TYPE_P (inside_type);
 int inside_float = FLOAT_TYPE_P (inside_type);
 int inside_vec = VECTOR_TYPE_P (inside_type);
 unsigned int inside_prec = TYPE_PRECISION (inside_type);
 int inside_unsignedp = TYPE_UNSIGNED (inside_type);
 int inter_int = INTEGRAL_TYPE_P (inter_type);
 int inter_ptr = POINTER_TYPE_P (inter_type);
 int inter_float = FLOAT_TYPE_P (inter_type);
 int inter_vec = VECTOR_TYPE_P (inter_type);
 unsigned int inter_prec = TYPE_PRECISION (inter_type);
 int inter_unsignedp = TYPE_UNSIGNED (inter_type);
 int final_int = INTEGRAL_TYPE_P (type);
 int final_ptr = POINTER_TYPE_P (type);
 int final_float = FLOAT_TYPE_P (type);
 int final_vec = VECTOR_TYPE_P (type);
 unsigned int final_prec = TYPE_PRECISION (type);
 int final_unsignedp = TYPE_UNSIGNED (type);
/* #line 2451 "../../gcc/match.pd" */
			if (((1 && useless_type_conversion_p (type, inside_type)) || (0 && TYPE_MAIN_VARIANT (type) == TYPE_MAIN_VARIANT (inside_type))) && (((inter_int || inter_ptr) && final_int) || (inter_float && final_float)) && inter_prec >= final_prec)
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2457, %s:%d\n", __FILE__, __LINE__);
			    *res_code = FLOAT_EXPR;
			    res_ops[0] = captures[1];
			    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
			else
			  {
/* #line 2464 "../../gcc/match.pd" */
			    if (((inter_int && inside_int) || (inter_float && inside_float)) && (final_int || final_float) && inter_prec >= inside_prec && (inter_float || inter_unsignedp == inside_unsignedp))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2468, %s:%d\n", __FILE__, __LINE__);
				*res_code = FLOAT_EXPR;
				res_ops[0] = captures[1];
				gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			    else
			      {
/* #line 2474 "../../gcc/match.pd" */
				if (inside_int && inter_int && final_int && ((inside_prec < inter_prec && inter_prec < final_prec && inside_unsignedp && !inter_unsignedp) || final_prec == inter_prec))
				  {
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2478, %s:%d\n", __FILE__, __LINE__);
				    *res_code = FLOAT_EXPR;
				    res_ops[0] = captures[1];
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
				else
				  {
/* #line 2491 "../../gcc/match.pd" */
				    if (! inside_float && ! inter_float && ! final_float && ! inside_vec && ! inter_vec && ! final_vec && (inter_prec >= inside_prec || inter_prec >= final_prec) && ! (inside_int && inter_int && inter_unsignedp != inside_unsignedp && inter_prec < final_prec) && ((inter_unsignedp && inter_prec > inside_prec) == (final_unsignedp && final_prec > inter_prec)) && ! (inside_ptr && inter_prec != final_prec) && ! (final_ptr && inside_prec != inter_prec))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2501, %s:%d\n", __FILE__, __LINE__);
					*res_code = FLOAT_EXPR;
					res_ops[0] = captures[1];
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 2505 "../../gcc/match.pd" */
					if (1 && final_int && inter_int && inside_int && final_prec == inside_prec && final_prec > inter_prec && inter_unsignedp)
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2510, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NOP_EXPR;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] =  wide_int_to_tree (inside_type, wi::mask (inter_prec, false, TYPE_PRECISION (inside_type)));
					      code_helper tem_code = BIT_AND_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 2518 "../../gcc/match.pd" */
					    if (1 && inside_int && inter_float && final_int && (unsigned) significand_size (TYPE_MODE (inter_type)) >= inside_prec - !inside_unsignedp)
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2522, %s:%d\n", __FILE__, __LINE__);
						*res_code = NOP_EXPR;
						res_ops[0] = captures[1];
						gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			  }
		    }
		  }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2423 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
		    {
/* #line 2423 "../../gcc/match.pd" */
 tree inside_type = TREE_TYPE (captures[1]);
 tree inter_type = TREE_TYPE (captures[0]);
 int inside_int = INTEGRAL_TYPE_P (inside_type);
 int inside_ptr = POINTER_TYPE_P (inside_type);
 int inside_float = FLOAT_TYPE_P (inside_type);
 int inside_vec = VECTOR_TYPE_P (inside_type);
 unsigned int inside_prec = TYPE_PRECISION (inside_type);
 int inside_unsignedp = TYPE_UNSIGNED (inside_type);
 int inter_int = INTEGRAL_TYPE_P (inter_type);
 int inter_ptr = POINTER_TYPE_P (inter_type);
 int inter_float = FLOAT_TYPE_P (inter_type);
 int inter_vec = VECTOR_TYPE_P (inter_type);
 unsigned int inter_prec = TYPE_PRECISION (inter_type);
 int inter_unsignedp = TYPE_UNSIGNED (inter_type);
 int final_int = INTEGRAL_TYPE_P (type);
 int final_ptr = POINTER_TYPE_P (type);
 int final_float = FLOAT_TYPE_P (type);
 int final_vec = VECTOR_TYPE_P (type);
 unsigned int final_prec = TYPE_PRECISION (type);
 int final_unsignedp = TYPE_UNSIGNED (type);
/* #line 2451 "../../gcc/match.pd" */
			if (((1 && useless_type_conversion_p (type, inside_type)) || (0 && TYPE_MAIN_VARIANT (type) == TYPE_MAIN_VARIANT (inside_type))) && (((inter_int || inter_ptr) && final_int) || (inter_float && final_float)) && inter_prec >= final_prec)
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2457, %s:%d\n", __FILE__, __LINE__);
			    *res_code = FLOAT_EXPR;
			    res_ops[0] = captures[1];
			    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
			else
			  {
/* #line 2464 "../../gcc/match.pd" */
			    if (((inter_int && inside_int) || (inter_float && inside_float)) && (final_int || final_float) && inter_prec >= inside_prec && (inter_float || inter_unsignedp == inside_unsignedp))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2468, %s:%d\n", __FILE__, __LINE__);
				*res_code = FLOAT_EXPR;
				res_ops[0] = captures[1];
				gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			    else
			      {
/* #line 2474 "../../gcc/match.pd" */
				if (inside_int && inter_int && final_int && ((inside_prec < inter_prec && inter_prec < final_prec && inside_unsignedp && !inter_unsignedp) || final_prec == inter_prec))
				  {
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2478, %s:%d\n", __FILE__, __LINE__);
				    *res_code = FLOAT_EXPR;
				    res_ops[0] = captures[1];
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
				else
				  {
/* #line 2491 "../../gcc/match.pd" */
				    if (! inside_float && ! inter_float && ! final_float && ! inside_vec && ! inter_vec && ! final_vec && (inter_prec >= inside_prec || inter_prec >= final_prec) && ! (inside_int && inter_int && inter_unsignedp != inside_unsignedp && inter_prec < final_prec) && ((inter_unsignedp && inter_prec > inside_prec) == (final_unsignedp && final_prec > inter_prec)) && ! (inside_ptr && inter_prec != final_prec) && ! (final_ptr && inside_prec != inter_prec))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2501, %s:%d\n", __FILE__, __LINE__);
					*res_code = FLOAT_EXPR;
					res_ops[0] = captures[1];
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 2505 "../../gcc/match.pd" */
					if (1 && final_int && inter_int && inside_int && final_prec == inside_prec && final_prec > inter_prec && inter_unsignedp)
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2510, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NOP_EXPR;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] =  wide_int_to_tree (inside_type, wi::mask (inter_prec, false, TYPE_PRECISION (inside_type)));
					      code_helper tem_code = BIT_AND_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 2518 "../../gcc/match.pd" */
					    if (1 && inside_int && inter_float && final_int && (unsigned) significand_size (TYPE_MODE (inter_type)) >= inside_prec - !inside_unsignedp)
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2522, %s:%d\n", __FILE__, __LINE__);
						*res_code = NOP_EXPR;
						res_ops[0] = captures[1];
						gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			  }
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_FIX_TRUNC_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  {
/* #line 2379 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 2379 "../../gcc/match.pd" */
    if ((1 && useless_type_conversion_p (type, TREE_TYPE (captures[0]))) || (0 && type == TREE_TYPE (captures[0])))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2381, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2423 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
		    {
/* #line 2423 "../../gcc/match.pd" */
 tree inside_type = TREE_TYPE (captures[1]);
 tree inter_type = TREE_TYPE (captures[0]);
 int inside_int = INTEGRAL_TYPE_P (inside_type);
 int inside_ptr = POINTER_TYPE_P (inside_type);
 int inside_float = FLOAT_TYPE_P (inside_type);
 int inside_vec = VECTOR_TYPE_P (inside_type);
 unsigned int inside_prec = TYPE_PRECISION (inside_type);
 int inside_unsignedp = TYPE_UNSIGNED (inside_type);
 int inter_int = INTEGRAL_TYPE_P (inter_type);
 int inter_ptr = POINTER_TYPE_P (inter_type);
 int inter_float = FLOAT_TYPE_P (inter_type);
 int inter_vec = VECTOR_TYPE_P (inter_type);
 unsigned int inter_prec = TYPE_PRECISION (inter_type);
 int inter_unsignedp = TYPE_UNSIGNED (inter_type);
 int final_int = INTEGRAL_TYPE_P (type);
 int final_ptr = POINTER_TYPE_P (type);
 int final_float = FLOAT_TYPE_P (type);
 int final_vec = VECTOR_TYPE_P (type);
 unsigned int final_prec = TYPE_PRECISION (type);
 int final_unsignedp = TYPE_UNSIGNED (type);
/* #line 2451 "../../gcc/match.pd" */
			if (((1 && useless_type_conversion_p (type, inside_type)) || (0 && TYPE_MAIN_VARIANT (type) == TYPE_MAIN_VARIANT (inside_type))) && (((inter_int || inter_ptr) && final_int) || (inter_float && final_float)) && inter_prec >= final_prec)
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2457, %s:%d\n", __FILE__, __LINE__);
			    *res_code = FIX_TRUNC_EXPR;
			    res_ops[0] = captures[1];
			    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
			else
			  {
/* #line 2464 "../../gcc/match.pd" */
			    if (((inter_int && inside_int) || (inter_float && inside_float)) && (final_int || final_float) && inter_prec >= inside_prec && (inter_float || inter_unsignedp == inside_unsignedp))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2468, %s:%d\n", __FILE__, __LINE__);
				*res_code = FIX_TRUNC_EXPR;
				res_ops[0] = captures[1];
				gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			    else
			      {
/* #line 2474 "../../gcc/match.pd" */
				if (inside_int && inter_int && final_int && ((inside_prec < inter_prec && inter_prec < final_prec && inside_unsignedp && !inter_unsignedp) || final_prec == inter_prec))
				  {
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2478, %s:%d\n", __FILE__, __LINE__);
				    *res_code = FIX_TRUNC_EXPR;
				    res_ops[0] = captures[1];
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
				else
				  {
/* #line 2491 "../../gcc/match.pd" */
				    if (! inside_float && ! inter_float && ! final_float && ! inside_vec && ! inter_vec && ! final_vec && (inter_prec >= inside_prec || inter_prec >= final_prec) && ! (inside_int && inter_int && inter_unsignedp != inside_unsignedp && inter_prec < final_prec) && ((inter_unsignedp && inter_prec > inside_prec) == (final_unsignedp && final_prec > inter_prec)) && ! (inside_ptr && inter_prec != final_prec) && ! (final_ptr && inside_prec != inter_prec))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2501, %s:%d\n", __FILE__, __LINE__);
					*res_code = FIX_TRUNC_EXPR;
					res_ops[0] = captures[1];
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 2505 "../../gcc/match.pd" */
					if (1 && final_int && inter_int && inside_int && final_prec == inside_prec && final_prec > inter_prec && inter_unsignedp)
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2510, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NOP_EXPR;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] =  wide_int_to_tree (inside_type, wi::mask (inter_prec, false, TYPE_PRECISION (inside_type)));
					      code_helper tem_code = BIT_AND_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 2518 "../../gcc/match.pd" */
					    if (1 && inside_int && inter_float && final_int && (unsigned) significand_size (TYPE_MODE (inter_type)) >= inside_prec - !inside_unsignedp)
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2522, %s:%d\n", __FILE__, __LINE__);
						*res_code = NOP_EXPR;
						res_ops[0] = captures[1];
						gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			  }
		    }
		  }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2423 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
		    {
/* #line 2423 "../../gcc/match.pd" */
 tree inside_type = TREE_TYPE (captures[1]);
 tree inter_type = TREE_TYPE (captures[0]);
 int inside_int = INTEGRAL_TYPE_P (inside_type);
 int inside_ptr = POINTER_TYPE_P (inside_type);
 int inside_float = FLOAT_TYPE_P (inside_type);
 int inside_vec = VECTOR_TYPE_P (inside_type);
 unsigned int inside_prec = TYPE_PRECISION (inside_type);
 int inside_unsignedp = TYPE_UNSIGNED (inside_type);
 int inter_int = INTEGRAL_TYPE_P (inter_type);
 int inter_ptr = POINTER_TYPE_P (inter_type);
 int inter_float = FLOAT_TYPE_P (inter_type);
 int inter_vec = VECTOR_TYPE_P (inter_type);
 unsigned int inter_prec = TYPE_PRECISION (inter_type);
 int inter_unsignedp = TYPE_UNSIGNED (inter_type);
 int final_int = INTEGRAL_TYPE_P (type);
 int final_ptr = POINTER_TYPE_P (type);
 int final_float = FLOAT_TYPE_P (type);
 int final_vec = VECTOR_TYPE_P (type);
 unsigned int final_prec = TYPE_PRECISION (type);
 int final_unsignedp = TYPE_UNSIGNED (type);
/* #line 2451 "../../gcc/match.pd" */
			if (((1 && useless_type_conversion_p (type, inside_type)) || (0 && TYPE_MAIN_VARIANT (type) == TYPE_MAIN_VARIANT (inside_type))) && (((inter_int || inter_ptr) && final_int) || (inter_float && final_float)) && inter_prec >= final_prec)
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2457, %s:%d\n", __FILE__, __LINE__);
			    *res_code = FIX_TRUNC_EXPR;
			    res_ops[0] = captures[1];
			    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
			else
			  {
/* #line 2464 "../../gcc/match.pd" */
			    if (((inter_int && inside_int) || (inter_float && inside_float)) && (final_int || final_float) && inter_prec >= inside_prec && (inter_float || inter_unsignedp == inside_unsignedp))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2468, %s:%d\n", __FILE__, __LINE__);
				*res_code = FIX_TRUNC_EXPR;
				res_ops[0] = captures[1];
				gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			    else
			      {
/* #line 2474 "../../gcc/match.pd" */
				if (inside_int && inter_int && final_int && ((inside_prec < inter_prec && inter_prec < final_prec && inside_unsignedp && !inter_unsignedp) || final_prec == inter_prec))
				  {
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2478, %s:%d\n", __FILE__, __LINE__);
				    *res_code = FIX_TRUNC_EXPR;
				    res_ops[0] = captures[1];
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
				else
				  {
/* #line 2491 "../../gcc/match.pd" */
				    if (! inside_float && ! inter_float && ! final_float && ! inside_vec && ! inter_vec && ! final_vec && (inter_prec >= inside_prec || inter_prec >= final_prec) && ! (inside_int && inter_int && inter_unsignedp != inside_unsignedp && inter_prec < final_prec) && ((inter_unsignedp && inter_prec > inside_prec) == (final_unsignedp && final_prec > inter_prec)) && ! (inside_ptr && inter_prec != final_prec) && ! (final_ptr && inside_prec != inter_prec))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2501, %s:%d\n", __FILE__, __LINE__);
					*res_code = FIX_TRUNC_EXPR;
					res_ops[0] = captures[1];
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 2505 "../../gcc/match.pd" */
					if (1 && final_int && inter_int && inside_int && final_prec == inside_prec && final_prec > inter_prec && inter_unsignedp)
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2510, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NOP_EXPR;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] =  wide_int_to_tree (inside_type, wi::mask (inter_prec, false, TYPE_PRECISION (inside_type)));
					      code_helper tem_code = BIT_AND_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 2518 "../../gcc/match.pd" */
					    if (1 && inside_int && inter_float && final_int && (unsigned) significand_size (TYPE_MODE (inter_type)) >= inside_prec - !inside_unsignedp)
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2522, %s:%d\n", __FILE__, __LINE__);
						*res_code = NOP_EXPR;
						res_ops[0] = captures[1];
						gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			  }
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_PAREN_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PAREN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2416 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2416, %s:%d\n", __FILE__, __LINE__);
		    res_ops[0] = captures[0];
		    *res_code = TREE_CODE (res_ops[0]);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (CONSTANT_CLASS_P (op0))
  {
    {
/* #line 2413 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2413, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[0];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  }
  return false;
}

static bool
gimple_simplify_REALPART_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2601 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2601, %s:%d\n", __FILE__, __LINE__);
		    res_ops[0] = captures[0];
		    *res_code = TREE_CODE (res_ops[0]);
		    return true;
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case CONJ_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2609 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o30 };
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2609, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      ops1[0] = captures[2];
				      code_helper tem_code = REALPART_EXPR;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      case PLUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  {
/* #line 2617 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
				    const enum tree_code op = PLUS_EXPR;
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2617, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[2], res;
				      {
					tree ops2[1], res;
					ops2[0] = captures[2];
					code_helper tem_code = REALPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[0] = res;
				      }
				      {
					tree ops2[1], res;
					ops2[0] = captures[3];
					code_helper tem_code = REALPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[1] = res;
				      }
				      code_helper tem_code = op;
				      tree tem_ops[3] = { ops1[0], ops1[1] };
				      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      case MINUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  {
/* #line 2617 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
				    const enum tree_code op = MINUS_EXPR;
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2617, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[2], res;
				      {
					tree ops2[1], res;
					ops2[0] = captures[2];
					code_helper tem_code = REALPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[0] = res;
				      }
				      {
					tree ops2[1], res;
					ops2[0] = captures[3];
					code_helper tem_code = REALPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[1] = res;
				      }
				      code_helper tem_code = op;
				      tree tem_ops[3] = { ops1[0], ops1[1] };
				      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      default:;
			      }
			  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_CEXPIF:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2620 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o30 };
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2620, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      ops1[0] = captures[2];
				      code_helper tem_code = CFN_BUILT_IN_COSF;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      case CFN_BUILT_IN_CEXPI:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2620 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o30 };
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2620, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      ops1[0] = captures[2];
				      code_helper tem_code = CFN_BUILT_IN_COS;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      case CFN_BUILT_IN_CEXPIL:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2620 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o30 };
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2620, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      ops1[0] = captures[2];
				      code_helper tem_code = CFN_BUILT_IN_COSL;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CONJ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2609 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o20 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2609, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[1], res;
		      ops1[0] = captures[2];
		      code_helper tem_code = REALPART_EXPR;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  {
/* #line 2617 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, o20, o21 };
		    const enum tree_code op = PLUS_EXPR;
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2617, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[2], res;
		      {
			tree ops2[1], res;
			ops2[0] = captures[2];
			code_helper tem_code = REALPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[0] = res;
		      }
		      {
			tree ops2[1], res;
			ops2[0] = captures[3];
			code_helper tem_code = REALPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[1] = res;
		      }
		      code_helper tem_code = op;
		      tree tem_ops[3] = { ops1[0], ops1[1] };
		      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2617 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, o20, o21 };
		    const enum tree_code op = MINUS_EXPR;
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2617, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[2], res;
		      {
			tree ops2[1], res;
			ops2[0] = captures[2];
			code_helper tem_code = REALPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[0] = res;
		      }
		      {
			tree ops2[1], res;
			ops2[0] = captures[3];
			code_helper tem_code = REALPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[1] = res;
		      }
		      code_helper tem_code = op;
		      tree tem_ops[3] = { ops1[0], ops1[1] };
		      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEXPIF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2620 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o20 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2620, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[1], res;
		      ops1[0] = captures[2];
		      code_helper tem_code = CFN_BUILT_IN_COSF;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CEXPI:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2620 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o20 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2620, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[1], res;
		      ops1[0] = captures[2];
		      code_helper tem_code = CFN_BUILT_IN_COS;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CEXPIL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2620 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o20 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2620, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[1], res;
		      ops1[0] = captures[2];
		      code_helper tem_code = CFN_BUILT_IN_COSL;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_IMAGPART_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2604 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2604, %s:%d\n", __FILE__, __LINE__);
		    res_ops[0] = captures[1];
		    *res_code = TREE_CODE (res_ops[0]);
		    return true;
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case CONJ_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2612 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o30 };
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2612, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      {
					tree ops2[1], res;
					ops2[0] = captures[2];
					code_helper tem_code = IMAGPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[0] = res;
				      }
				      code_helper tem_code = NEGATE_EXPR;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      case PLUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  {
/* #line 2617 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
				    const enum tree_code op = PLUS_EXPR;
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2617, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[2], res;
				      {
					tree ops2[1], res;
					ops2[0] = captures[2];
					code_helper tem_code = IMAGPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[0] = res;
				      }
				      {
					tree ops2[1], res;
					ops2[0] = captures[3];
					code_helper tem_code = IMAGPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[1] = res;
				      }
				      code_helper tem_code = op;
				      tree tem_ops[3] = { ops1[0], ops1[1] };
				      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      case MINUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  {
/* #line 2617 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
				    const enum tree_code op = MINUS_EXPR;
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2617, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[2], res;
				      {
					tree ops2[1], res;
					ops2[0] = captures[2];
					code_helper tem_code = IMAGPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[0] = res;
				      }
				      {
					tree ops2[1], res;
					ops2[0] = captures[3];
					code_helper tem_code = IMAGPART_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
					if (!res) return false;
					ops1[1] = res;
				      }
				      code_helper tem_code = op;
				      tree tem_ops[3] = { ops1[0], ops1[1] };
				      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      default:;
			      }
			  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_CEXPIF:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2623 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o30 };
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2623, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      ops1[0] = captures[2];
				      code_helper tem_code = CFN_BUILT_IN_SINF;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      case CFN_BUILT_IN_CEXPI:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2623 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o30 };
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2623, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      ops1[0] = captures[2];
				      code_helper tem_code = CFN_BUILT_IN_SIN;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      case CFN_BUILT_IN_CEXPIL:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2623 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o30 };
				    gimple_seq *lseq = seq;
				    if (lseq
				        && (!single_use (captures[0])
				            || !single_use (captures[1])))
				      lseq = NULL;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2623, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      ops1[0] = captures[2];
				      code_helper tem_code = CFN_BUILT_IN_SINL;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CONJ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2612 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o20 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2612, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[1], res;
		      {
			tree ops2[1], res;
			ops2[0] = captures[2];
			code_helper tem_code = IMAGPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[0] = res;
		      }
		      code_helper tem_code = NEGATE_EXPR;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  {
/* #line 2617 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, o20, o21 };
		    const enum tree_code op = PLUS_EXPR;
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2617, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[2], res;
		      {
			tree ops2[1], res;
			ops2[0] = captures[2];
			code_helper tem_code = IMAGPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[0] = res;
		      }
		      {
			tree ops2[1], res;
			ops2[0] = captures[3];
			code_helper tem_code = IMAGPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[1] = res;
		      }
		      code_helper tem_code = op;
		      tree tem_ops[3] = { ops1[0], ops1[1] };
		      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2617 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, o20, o21 };
		    const enum tree_code op = MINUS_EXPR;
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2617, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[2], res;
		      {
			tree ops2[1], res;
			ops2[0] = captures[2];
			code_helper tem_code = IMAGPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[0] = res;
		      }
		      {
			tree ops2[1], res;
			ops2[0] = captures[3];
			code_helper tem_code = IMAGPART_EXPR;
			tree tem_ops[3] = { ops2[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
			if (!res) return false;
			ops1[1] = res;
		      }
		      code_helper tem_code = op;
		      tree tem_ops[3] = { ops1[0], ops1[1] };
		      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEXPIF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2623 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o20 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2623, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[1], res;
		      ops1[0] = captures[2];
		      code_helper tem_code = CFN_BUILT_IN_SINF;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CEXPI:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2623 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o20 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2623, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[1], res;
		      ops1[0] = captures[2];
		      code_helper tem_code = CFN_BUILT_IN_SIN;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CEXPIL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2623 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o20 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])
		            || !single_use (captures[1])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2623, %s:%d\n", __FILE__, __LINE__);
		    *res_code = NOP_EXPR;
		    {
		      tree ops1[1], res;
		      ops1[0] = captures[2];
		      code_helper tem_code = CFN_BUILT_IN_SINL;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CONJ_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case CONJ_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2628 "../../gcc/match.pd" */
				    tree captures[1] ATTRIBUTE_UNUSED = { o30 };
				    if (gimple_simplify_208 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      case COMPLEX_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  {
/* #line 2634 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
				    {
/* #line 2634 "../../gcc/match.pd" */
 tree itype = TREE_TYPE (type);
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[1])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2635, %s:%d\n", __FILE__, __LINE__);
					*res_code = COMPLEX_EXPR;
					{
					  tree ops1[1], res;
					  ops1[0] = captures[2];
					  if (itype != TREE_TYPE (ops1[0])
					      && !useless_type_conversion_p (itype, TREE_TYPE (ops1[0])))
					    {
					      code_helper tem_code = NOP_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, itype, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, itype, tem_ops, lseq);
					      if (!res) return false;
					    }
					  else
					    res = ops1[0];
					  res_ops[0] = res;
					}
					{
					  tree ops1[1], res;
					  {
					    tree ops2[1], res;
					    ops2[0] = captures[3];
					    if (itype != TREE_TYPE (ops2[0])
					        && !useless_type_conversion_p (itype, TREE_TYPE (ops2[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops2[0] };
						gimple_resimplify1 (lseq, &tem_code, itype, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, itype, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops2[0];
					    ops1[0] = res;
					  }
					  code_helper tem_code = NEGATE_EXPR;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				    }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CONJ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2628 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_208 (res_code, res_ops, seq, valueize, type, captures))
		      return true;
		  }
	          break;
	        }
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 2634 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, o20, o21 };
		    {
/* #line 2634 "../../gcc/match.pd" */
 tree itype = TREE_TYPE (type);
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[0])
			        || !single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2635, %s:%d\n", __FILE__, __LINE__);
			*res_code = COMPLEX_EXPR;
			{
			  tree ops1[1], res;
			  ops1[0] = captures[2];
			  if (itype != TREE_TYPE (ops1[0])
			      && !useless_type_conversion_p (itype, TREE_TYPE (ops1[0])))
			    {
			      code_helper tem_code = NOP_EXPR;
			      tree tem_ops[3] = { ops1[0] };
			      gimple_resimplify1 (lseq, &tem_code, itype, tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, itype, tem_ops, lseq);
			      if (!res) return false;
			    }
			  else
			    res = ops1[0];
			  res_ops[0] = res;
			}
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[3];
			    if (itype != TREE_TYPE (ops2[0])
			        && !useless_type_conversion_p (itype, TREE_TYPE (ops2[0])))
			      {
				code_helper tem_code = NOP_EXPR;
				tree tem_ops[3] = { ops2[0] };
				gimple_resimplify1 (lseq, &tem_code, itype, tem_ops, valueize);
				res = maybe_push_res_to_seq (tem_code, itype, tem_ops, lseq);
				if (!res) return false;
			      }
			    else
			      res = ops2[0];
			    ops1[0] = res;
			  }
			  code_helper tem_code = NEGATE_EXPR;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_BSWAP16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP16:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2644 "../../gcc/match.pd" */
				    tree captures[1] ATTRIBUTE_UNUSED = { o30 };
				    if (gimple_simplify_133 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_BSWAP16))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP16:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, CFN_BUILT_IN_BSWAP16))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP16:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, CFN_BUILT_IN_BSWAP16))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP16:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, CFN_BUILT_IN_BSWAP16))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP16:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, CFN_BUILT_IN_BSWAP16))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP16:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, CFN_BUILT_IN_BSWAP16))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP16:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, CFN_BUILT_IN_BSWAP16))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_BSWAP16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2641 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_98 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_BSWAP16))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_BSWAP32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP32:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2644 "../../gcc/match.pd" */
				    tree captures[1] ATTRIBUTE_UNUSED = { o30 };
				    if (gimple_simplify_133 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_BSWAP32))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP32:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, CFN_BUILT_IN_BSWAP32))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP32:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, CFN_BUILT_IN_BSWAP32))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP32:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, CFN_BUILT_IN_BSWAP32))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP32:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, CFN_BUILT_IN_BSWAP32))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP32:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, CFN_BUILT_IN_BSWAP32))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP32:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, CFN_BUILT_IN_BSWAP32))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_BSWAP32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2641 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_98 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_BSWAP32))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_BSWAP64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP64:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2644 "../../gcc/match.pd" */
				    tree captures[1] ATTRIBUTE_UNUSED = { o30 };
				    if (gimple_simplify_133 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_BSWAP64))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP64:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, CFN_BUILT_IN_BSWAP64))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP64:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, CFN_BUILT_IN_BSWAP64))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP64:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, CFN_BUILT_IN_BSWAP64))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP64:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, CFN_BUILT_IN_BSWAP64))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP64:
			        {
				  tree o30 = gimple_call_arg (def, 0);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, CFN_BUILT_IN_BSWAP64))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_BSWAP64:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2648 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				    if (gimple_simplify_136 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, CFN_BUILT_IN_BSWAP64))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_BSWAP64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 2641 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_98 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_BSWAP64))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOGF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXPF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP2F) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOGF;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP10F) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOGF;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_POW10F) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOGF;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRTF) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOGF;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRTF) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOGF;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOGF, CFN_BUILT_IN_POWF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOG (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP2) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP10) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_POW10) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOG, CFN_BUILT_IN_POW))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOGL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXPL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP2L) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOGL;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP10L) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOGL;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_POW10L) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOGL;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRTL) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOGL;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRTL) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOGL;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOGL, CFN_BUILT_IN_POWL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_LOG (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_EXP2) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_LOG;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_EXP10) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_LOG;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_SQRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_LOG;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_LOG, CFN_POW))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOG2F (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP2F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXPF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXPF) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP10F) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_POW10F) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRTF) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG2F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRTF) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG2F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOG2F, CFN_BUILT_IN_POWF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOG2 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP10) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_POW10) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG2;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG2;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOG2, CFN_BUILT_IN_POW))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOG2L (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP2L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXPL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXPL) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP10L) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_POW10L) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG2L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRTL) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG2L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRTL) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG2L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOG2L, CFN_BUILT_IN_POWL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_LOG2 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_EXP) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_LOG2;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_EXP10) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_LOG2;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_SQRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_LOG2;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_LOG2, CFN_POW))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOG10F (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXPF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXPF) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG10F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP2F) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG10F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRTF) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG10F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRTF) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG10F;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOG10F, CFN_BUILT_IN_POWF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOG10 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG10;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP2) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG10;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG10;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG10;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOG10, CFN_BUILT_IN_POW))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LOG10L (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXPL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXPL) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG10L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_EXP2L) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_BUILT_IN_LOG10L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_SQRTL) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG10L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_BUILT_IN_CBRTL) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_BUILT_IN_LOG10L;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LOG10L, CFN_BUILT_IN_POWL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_LOG10 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3940, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_EXP) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_LOG10;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3953 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3954 "../../gcc/match.pd" */
 tree x;
 switch (CFN_EXP2) { CASE_CFN_EXP: x = build_real_truncate (type, dconst_e ());
 break;
 CASE_CFN_EXP2: x = build_real (type, dconst2);
 break;
 CASE_CFN_EXP10: CASE_CFN_POW10: { REAL_VALUE_TYPE dconst10;
 real_from_integer (&dconst10, VOIDmode, 10, SIGNED);
 x = build_real (type, dconst10);
 } break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3979, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				{
				  tree ops1[1], res;
				  ops1[0] =  x;
				  code_helper tem_code = CFN_LOG10;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[0] = res;
				}
				res_ops[1] = captures[0];
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
/* #line 3987 "../../gcc/match.pd" */
			if (SCALAR_FLOAT_TYPE_P (type))
			  {
			    {
/* #line 3988 "../../gcc/match.pd" */
 tree x;
 switch (CFN_SQRT) { CASE_CFN_SQRT: x = build_real (type, dconsthalf);
 break;
 CASE_CFN_CBRT: x = build_real_truncate (type, dconst_third ());
 break;
 default: gcc_unreachable ();
 }				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4004, %s:%d\n", __FILE__, __LINE__);
				*res_code = MULT_EXPR;
				res_ops[0] =  x;
				{
				  tree ops1[1], res;
				  ops1[0] = captures[0];
				  code_helper tem_code = CFN_LOG10;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			    }
			  }
		      }
		  }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
		    if (gimple_simplify_266 (res_code, res_ops, seq, valueize, type, captures, CFN_LOG10, CFN_POW))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXPF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOGF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXP (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXPL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOGL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_EXP (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_LOG:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXP2F (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG2F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXP2 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXP2L (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG2L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_EXP2 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_LOG2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXP10F (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXP10 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_EXP10L (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_EXP10 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_LOG10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POW10F (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POW10 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POW10L (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_LOG10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3944, %s:%d\n", __FILE__, __LINE__);
			res_ops[0] = captures[0];
			*res_code = TREE_CODE (res_ops[0]);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SQRTF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXPF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXPF;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4212, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWF;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real (type, dconst_quarter ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4216, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWF;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real_truncate (type, dconst_sixth ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4228, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWF;
			{
			  tree ops1[1], res;
			  ops1[0] = captures[0];
			  code_helper tem_code = ABS_EXPR;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			{
			  tree ops1[2], res;
			  ops1[0] = captures[1];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SQRT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4212, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real (type, dconst_quarter ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4216, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real_truncate (type, dconst_sixth ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4228, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW;
			{
			  tree ops1[1], res;
			  ops1[0] = captures[0];
			  code_helper tem_code = ABS_EXPR;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			{
			  tree ops1[2], res;
			  ops1[0] = captures[1];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SQRTL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXPL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXPL;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4212, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWL;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real (type, dconst_quarter ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4216, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWL;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real_truncate (type, dconst_sixth ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4228, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWL;
			{
			  tree ops1[1], res;
			  ops1[0] = captures[0];
			  code_helper tem_code = ABS_EXPR;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			{
			  tree ops1[2], res;
			  ops1[0] = captures[1];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_SQRT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_EXP;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_EXP2;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4068, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_EXP10;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4212, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_POW;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real (type, dconst_quarter ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4228, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_POW;
			{
			  tree ops1[1], res;
			  ops1[0] = captures[0];
			  code_helper tem_code = ABS_EXPR;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			{
			  tree ops1[2], res;
			  ops1[0] = captures[1];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CBRTF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXPF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXPF;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4220, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWF;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real_truncate (type, dconst_sixth ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4224, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POWF;
			    res_ops[0] = captures[0];
			    res_ops[1] =  build_real_truncate (type, dconst_ninth ());
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4232, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POWF;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] =  build_real_truncate (type, dconst_third ());
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CBRT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4220, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real_truncate (type, dconst_sixth ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4224, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POW;
			    res_ops[0] = captures[0];
			    res_ops[1] =  build_real_truncate (type, dconst_ninth ());
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4232, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POW;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] =  build_real_truncate (type, dconst_third ());
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CBRTL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_EXPL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXPL;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4072, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] =  build_real_truncate (type, dconst_third ());
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4220, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWL;
			res_ops[0] = captures[0];
			res_ops[1] =  build_real_truncate (type, dconst_sixth ());
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4224, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POWL;
			    res_ops[0] = captures[0];
			    res_ops[1] =  build_real_truncate (type, dconst_ninth ());
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4232, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POWL;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] =  build_real_truncate (type, dconst_third ());
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TANF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ATANF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_145 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TANF, CFN_BUILT_IN_ATANF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TAN (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ATAN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_145 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TAN, CFN_BUILT_IN_ATAN))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TANL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ATANL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_145 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TANL, CFN_BUILT_IN_ATANL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_TAN (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_ATAN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_145 (res_code, res_ops, seq, valueize, type, captures, CFN_TAN, CFN_ATAN))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNC (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNC, CFN_BUILT_IN_TRUNCF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNC:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNC))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNC))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4291 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_173 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCL, CFN_BUILT_IN_TRUNC))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCL, CFN_BUILT_IN_TRUNCF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCL))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF16))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF16))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF32))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF32))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF64))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF64))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF128))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF128))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF32X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF32X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF64X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF64X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_TRUNCF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_TRUNCF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF128X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TRUNCF128X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_TRUNC (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_TRUNC:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_TRUNC))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_TRUNC))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF, CFN_BUILT_IN_TRUNCF))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOOR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOOR, CFN_BUILT_IN_FLOORF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOOR:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOOR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOOR))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOOR, CFN_BUILT_IN_TRUNC))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4291 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_173 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORL, CFN_BUILT_IN_FLOOR))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORL, CFN_BUILT_IN_FLOORF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORL))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORL, CFN_BUILT_IN_TRUNCL))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF16))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF16))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF16, CFN_BUILT_IN_TRUNCF16))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF32))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF32))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF32, CFN_BUILT_IN_TRUNCF32))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF64))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF64))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF64, CFN_BUILT_IN_TRUNCF64))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF128))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF128))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF128, CFN_BUILT_IN_TRUNCF128))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF32X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF32X))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF32X, CFN_BUILT_IN_TRUNCF32X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF64X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF64X))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF64X, CFN_BUILT_IN_TRUNCF64X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FLOORF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_FLOORF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF128X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF128X))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FLOORF128X, CFN_BUILT_IN_TRUNCF128X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_FLOOR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_FLOOR:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_FLOOR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_FLOOR))
        return true;
    }
  }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4267 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_187 (res_code, res_ops, seq, valueize, type, captures, CFN_FLOOR, CFN_TRUNC))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEIL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEIL, CFN_BUILT_IN_CEILF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEIL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEIL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEIL))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4291 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_173 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILL, CFN_BUILT_IN_CEIL))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILL, CFN_BUILT_IN_CEILF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILL))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF16))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF16))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF32))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF32))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF64))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF64))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF128))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF128))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF32X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF32X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF64X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF64X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEILF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_CEILF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF128X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_CEILF128X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_CEIL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_CEIL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_CEIL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_CEIL))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUND (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUND, CFN_BUILT_IN_ROUNDF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUND:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUND))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUND))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4291 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_173 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDL, CFN_BUILT_IN_ROUND))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDL, CFN_BUILT_IN_ROUNDF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDL))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF16))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF16))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF32))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF32))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF64))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF64))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF128))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF128))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF32X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF32X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF64X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF64X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ROUNDF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_ROUNDF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF128X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ROUNDF128X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_ROUND (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_ROUND:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_ROUND))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_ROUND))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINT, CFN_BUILT_IN_NEARBYINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINT))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINT))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4291 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_173 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTL, CFN_BUILT_IN_NEARBYINT))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTL, CFN_BUILT_IN_NEARBYINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTL))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF16))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF16))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF32))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF32))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF64))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF64))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF128))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF128))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF32X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF32X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF64X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF64X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_NEARBYINTF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_NEARBYINTF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF128X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_NEARBYINTF128X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_NEARBYINT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_NEARBYINT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_NEARBYINT))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_NEARBYINT))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINT, CFN_BUILT_IN_RINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINT))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINT))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4291 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_173 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTL, CFN_BUILT_IN_RINT))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4313 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_148 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTL, CFN_BUILT_IN_RINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTL))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF16))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF16))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF32))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF32))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF64))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF64))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF128))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF128))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF32X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF32X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF64X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF64X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_RINTF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_RINTF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF128X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_RINTF128X))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_RINT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_RINT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4094 "../../gcc/match.pd" */
		    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		    if (gimple_simplify_28 (res_code, res_ops, seq, valueize, type, captures, CFN_RINT))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4099 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_134 (res_code, res_ops, seq, valueize, type, captures, CFN_RINT))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEXPF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (gimple_compositional_complex (op0, valueize))
    {
      {
/* #line 4144 "../../gcc/match.pd" */
	tree captures[3] ATTRIBUTE_UNUSED = { op0 };
/* #line 4144 "../../gcc/match.pd" */
	if (flag_unsafe_math_optimizations && canonicalize_math_p ())
	  {
/* #line 4262 "../../gcc/match.pd" */
	    if (targetm.libc_has_function (function_c99_math_complex))
	      {
		gimple_seq *lseq = seq;
		if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4263, %s:%d\n", __FILE__, __LINE__);
		*res_code = COMPLEX_EXPR;
		{
		  tree ops1[2], res;
		  {
		    tree ops2[1], res;
		    {
		      tree ops3[1], res;
		      ops3[0] = captures[0];
		      code_helper tem_code = REALPART_EXPR;
		      tree tem_ops[3] = { ops3[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops3[0])), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops3[0])), tem_ops, lseq);
		      if (!res) return false;
		      ops2[0] = res;
		    }
		    code_helper tem_code = CFN_BUILT_IN_EXPF;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
		    if (!res) return false;
		    captures[1] = res;
		  }
		  ops1[0] = captures[1];
		  {
		    tree ops2[1], res;
		    {
		      tree ops3[1], res;
		      {
			tree ops4[1], res;
			ops4[0] = captures[0];
			code_helper tem_code = IMAGPART_EXPR;
			tree tem_ops[3] = { ops4[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops4[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops4[0])), tem_ops, lseq);
			if (!res) return false;
			ops3[0] = res;
		      }
		      code_helper tem_code = CFN_BUILT_IN_CEXPIF;
		      tree tem_ops[3] = { ops3[0] };
		      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		      if (!res) return false;
		      captures[2] = res;
		    }
		    ops2[0] = captures[2];
		    code_helper tem_code = REALPART_EXPR;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
		    if (!res) return false;
		    ops1[1] = res;
		  }
		  code_helper tem_code = MULT_EXPR;
		  tree tem_ops[3] = { ops1[0], ops1[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		  if (!res) return false;
		  res_ops[0] = res;
		}
		{
		  tree ops1[2], res;
		  ops1[0] = captures[1];
		  {
		    tree ops2[1], res;
		    ops2[0] = captures[2];
		    code_helper tem_code = IMAGPART_EXPR;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
		    if (!res) return false;
		    ops1[1] = res;
		  }
		  code_helper tem_code = MULT_EXPR;
		  tree tem_ops[3] = { ops1[0], ops1[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		  if (!res) return false;
		  res_ops[1] = res;
		}
		gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		return true;
	      }
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEXP (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (gimple_compositional_complex (op0, valueize))
    {
      {
/* #line 4144 "../../gcc/match.pd" */
	tree captures[3] ATTRIBUTE_UNUSED = { op0 };
/* #line 4144 "../../gcc/match.pd" */
	if (flag_unsafe_math_optimizations && canonicalize_math_p ())
	  {
/* #line 4262 "../../gcc/match.pd" */
	    if (targetm.libc_has_function (function_c99_math_complex))
	      {
		gimple_seq *lseq = seq;
		if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4263, %s:%d\n", __FILE__, __LINE__);
		*res_code = COMPLEX_EXPR;
		{
		  tree ops1[2], res;
		  {
		    tree ops2[1], res;
		    {
		      tree ops3[1], res;
		      ops3[0] = captures[0];
		      code_helper tem_code = REALPART_EXPR;
		      tree tem_ops[3] = { ops3[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops3[0])), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops3[0])), tem_ops, lseq);
		      if (!res) return false;
		      ops2[0] = res;
		    }
		    code_helper tem_code = CFN_BUILT_IN_EXP;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
		    if (!res) return false;
		    captures[1] = res;
		  }
		  ops1[0] = captures[1];
		  {
		    tree ops2[1], res;
		    {
		      tree ops3[1], res;
		      {
			tree ops4[1], res;
			ops4[0] = captures[0];
			code_helper tem_code = IMAGPART_EXPR;
			tree tem_ops[3] = { ops4[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops4[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops4[0])), tem_ops, lseq);
			if (!res) return false;
			ops3[0] = res;
		      }
		      code_helper tem_code = CFN_BUILT_IN_CEXPI;
		      tree tem_ops[3] = { ops3[0] };
		      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		      if (!res) return false;
		      captures[2] = res;
		    }
		    ops2[0] = captures[2];
		    code_helper tem_code = REALPART_EXPR;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
		    if (!res) return false;
		    ops1[1] = res;
		  }
		  code_helper tem_code = MULT_EXPR;
		  tree tem_ops[3] = { ops1[0], ops1[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		  if (!res) return false;
		  res_ops[0] = res;
		}
		{
		  tree ops1[2], res;
		  ops1[0] = captures[1];
		  {
		    tree ops2[1], res;
		    ops2[0] = captures[2];
		    code_helper tem_code = IMAGPART_EXPR;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
		    if (!res) return false;
		    ops1[1] = res;
		  }
		  code_helper tem_code = MULT_EXPR;
		  tree tem_ops[3] = { ops1[0], ops1[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		  if (!res) return false;
		  res_ops[1] = res;
		}
		gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		return true;
	      }
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CEXPL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (gimple_compositional_complex (op0, valueize))
    {
      {
/* #line 4144 "../../gcc/match.pd" */
	tree captures[3] ATTRIBUTE_UNUSED = { op0 };
/* #line 4144 "../../gcc/match.pd" */
	if (flag_unsafe_math_optimizations && canonicalize_math_p ())
	  {
/* #line 4262 "../../gcc/match.pd" */
	    if (targetm.libc_has_function (function_c99_math_complex))
	      {
		gimple_seq *lseq = seq;
		if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4263, %s:%d\n", __FILE__, __LINE__);
		*res_code = COMPLEX_EXPR;
		{
		  tree ops1[2], res;
		  {
		    tree ops2[1], res;
		    {
		      tree ops3[1], res;
		      ops3[0] = captures[0];
		      code_helper tem_code = REALPART_EXPR;
		      tree tem_ops[3] = { ops3[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops3[0])), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops3[0])), tem_ops, lseq);
		      if (!res) return false;
		      ops2[0] = res;
		    }
		    code_helper tem_code = CFN_BUILT_IN_EXPL;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
		    if (!res) return false;
		    captures[1] = res;
		  }
		  ops1[0] = captures[1];
		  {
		    tree ops2[1], res;
		    {
		      tree ops3[1], res;
		      {
			tree ops4[1], res;
			ops4[0] = captures[0];
			code_helper tem_code = IMAGPART_EXPR;
			tree tem_ops[3] = { ops4[0] };
			gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops4[0])), tem_ops, valueize);
			res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops4[0])), tem_ops, lseq);
			if (!res) return false;
			ops3[0] = res;
		      }
		      code_helper tem_code = CFN_BUILT_IN_CEXPIL;
		      tree tem_ops[3] = { ops3[0] };
		      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
		      if (!res) return false;
		      captures[2] = res;
		    }
		    ops2[0] = captures[2];
		    code_helper tem_code = REALPART_EXPR;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
		    if (!res) return false;
		    ops1[1] = res;
		  }
		  code_helper tem_code = MULT_EXPR;
		  tree tem_ops[3] = { ops1[0], ops1[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		  if (!res) return false;
		  res_ops[0] = res;
		}
		{
		  tree ops1[2], res;
		  ops1[0] = captures[1];
		  {
		    tree ops2[1], res;
		    ops2[0] = captures[2];
		    code_helper tem_code = IMAGPART_EXPR;
		    tree tem_ops[3] = { ops2[0] };
		    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, valueize);
		    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops2[0])), tem_ops, lseq);
		    if (!res) return false;
		    ops1[1] = res;
		  }
		  code_helper tem_code = MULT_EXPR;
		  tree tem_ops[3] = { ops1[0], ops1[1] };
		  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		  if (!res) return false;
		  res_ops[1] = res;
		}
		gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		return true;
	      }
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IFLOORL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IFLOORL, CFN_BUILT_IN_IFLOOR))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IFLOORL, CFN_BUILT_IN_IFLOORF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4337 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LFLOORL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LFLOORL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LFLOORL, CFN_BUILT_IN_LFLOOR))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LFLOORL, CFN_BUILT_IN_LFLOORF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4337 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLFLOORL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLFLOORL, CFN_BUILT_IN_LLFLOOR))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLFLOORL, CFN_BUILT_IN_LLFLOORF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4337 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LFLOORL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ICEILL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ICEILL, CFN_BUILT_IN_ICEIL))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ICEILL, CFN_BUILT_IN_ICEILF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LCEILL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LCEILL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LCEILL, CFN_BUILT_IN_LCEIL))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LCEILL, CFN_BUILT_IN_LCEILF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLCEILL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLCEILL, CFN_BUILT_IN_LLCEIL))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLCEILL, CFN_BUILT_IN_LLCEILF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LCEILL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IROUNDL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IROUNDL, CFN_BUILT_IN_IROUND))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IROUNDL, CFN_BUILT_IN_IROUNDF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LROUNDL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LROUNDL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LROUNDL, CFN_BUILT_IN_LROUND))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LROUNDL, CFN_BUILT_IN_LROUNDF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLROUNDL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLROUNDL, CFN_BUILT_IN_LLROUND))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLROUNDL, CFN_BUILT_IN_LLROUNDF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LROUNDL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IRINTL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IRINTL, CFN_BUILT_IN_IRINT))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IRINTL, CFN_BUILT_IN_IRINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
/* #line 4352 "../../gcc/match.pd" */
	  if (!flag_errno_math)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
	      *res_code = FIX_TRUNC_EXPR;
	      res_ops[0] = captures[0];
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LRINTL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LRINTL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LRINTL, CFN_BUILT_IN_LRINT))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LRINTL, CFN_BUILT_IN_LRINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
/* #line 4352 "../../gcc/match.pd" */
	  if (!flag_errno_math)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
	      *res_code = FIX_TRUNC_EXPR;
	      res_ops[0] = captures[0];
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLRINTL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_double_value_p (o20, valueize))
		    {
		      {
/* #line 4322 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_32 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLRINTL, CFN_BUILT_IN_LLRINT))
			  return true;
		      }
		    }
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLRINTL, CFN_BUILT_IN_LLRINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
/* #line 4352 "../../gcc/match.pd" */
	  if (!flag_errno_math)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
	      *res_code = FIX_TRUNC_EXPR;
	      res_ops[0] = captures[0];
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LRINTL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IFLOOR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IFLOOR, CFN_BUILT_IN_IFLOORF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4337 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LFLOOR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LFLOOR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LFLOOR, CFN_BUILT_IN_LFLOORF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4337 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLFLOOR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLFLOOR, CFN_BUILT_IN_LLFLOORF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (tree_expr_nonnegative_p (op0))
  {
    {
/* #line 4337 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LFLOOR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ICEIL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_ICEIL, CFN_BUILT_IN_ICEILF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LCEIL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LCEIL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LCEIL, CFN_BUILT_IN_LCEILF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLCEIL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLCEIL, CFN_BUILT_IN_LLCEILF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LCEIL;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IROUND (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IROUND, CFN_BUILT_IN_IROUNDF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LROUND;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LROUND (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LROUND, CFN_BUILT_IN_LROUNDF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLROUND (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLROUND, CFN_BUILT_IN_LLROUNDF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	  *res_code = FIX_TRUNC_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LROUND;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IRINT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_IRINT, CFN_BUILT_IN_IRINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
/* #line 4352 "../../gcc/match.pd" */
	  if (!flag_errno_math)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
	      *res_code = FIX_TRUNC_EXPR;
	      res_ops[0] = captures[0];
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LRINT;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LRINT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LRINT, CFN_BUILT_IN_LRINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
/* #line 4352 "../../gcc/match.pd" */
	  if (!flag_errno_math)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
	      *res_code = FIX_TRUNC_EXPR;
	      res_ops[0] = captures[0];
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLRINT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (gimple_float_value_p (o20, valueize))
		    {
		      {
/* #line 4332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_202 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_LLRINT, CFN_BUILT_IN_LLRINTF))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_valued_real_p (op0))
  {
    {
/* #line 4344 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
      if (canonicalize_math_p ())
	{
/* #line 4352 "../../gcc/match.pd" */
	  if (!flag_errno_math)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
	      *res_code = FIX_TRUNC_EXPR;
	      res_ops[0] = captures[0];
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LRINT;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IFLOORF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (tree_expr_nonnegative_p (op0))
    {
      {
/* #line 4337 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LFLOORF;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LFLOORF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (tree_expr_nonnegative_p (op0))
    {
      {
/* #line 4337 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLFLOORF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (tree_expr_nonnegative_p (op0))
    {
      {
/* #line 4337 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4337 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4342, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LFLOORF;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_ICEILF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LCEILF;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LCEILF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLCEILF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LCEILF;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IROUNDF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LROUNDF;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LROUNDF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLROUNDF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4351, %s:%d\n", __FILE__, __LINE__);
	    *res_code = FIX_TRUNC_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LROUNDF;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_IRINTF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
/* #line 4352 "../../gcc/match.pd" */
	    if (!flag_errno_math)
	      {
		gimple_seq *lseq = seq;
		if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
		*res_code = FIX_TRUNC_EXPR;
		res_ops[0] = captures[0];
		gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		return true;
	      }
	  }
      }
    }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4365 "../../gcc/match.pd" */
	if (TYPE_PRECISION (integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4369, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LRINTF;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LRINTF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
/* #line 4352 "../../gcc/match.pd" */
	    if (!flag_errno_math)
	      {
		gimple_seq *lseq = seq;
		if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
		*res_code = FIX_TRUNC_EXPR;
		res_ops[0] = captures[0];
		gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		return true;
	      }
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LLRINTF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (integer_valued_real_p (op0))
    {
      {
/* #line 4344 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4344 "../../gcc/match.pd" */
	if (canonicalize_math_p ())
	  {
/* #line 4352 "../../gcc/match.pd" */
	    if (!flag_errno_math)
	      {
		gimple_seq *lseq = seq;
		if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4357, %s:%d\n", __FILE__, __LINE__);
		*res_code = FIX_TRUNC_EXPR;
		res_ops[0] = captures[0];
		gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		return true;
	      }
	  }
      }
    }
  {
/* #line 4359 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4359 "../../gcc/match.pd" */
    if (canonicalize_math_p ())
      {
/* #line 4372 "../../gcc/match.pd" */
	if (TYPE_PRECISION (long_long_integer_type_node) == TYPE_PRECISION (long_integer_type_node))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4376, %s:%d\n", __FILE__, __LINE__);
	    *res_code = CFN_BUILT_IN_LRINTF;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CPROJF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  {
/* #line 4381 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4381 "../../gcc/match.pd" */
    if (!HONOR_INFINITIES (type))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4382, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			if (tree_expr_nonnegative_p (o21))
			  {
			    {
/* #line 4388 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4388 "../../gcc/match.pd" */
			      if (real_isinf (TREE_REAL_CST_PTR (captures[0])))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4389, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  build_complex_inf (type, false);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			    }
			  }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			{
/* #line 4394 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4394 "../../gcc/match.pd" */
			  if (real_isinf (TREE_REAL_CST_PTR (captures[1])))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4395, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  build_complex_inf (type, TREE_REAL_CST_PTR (captures[1])->sign);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CPROJ (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  {
/* #line 4381 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4381 "../../gcc/match.pd" */
    if (!HONOR_INFINITIES (type))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4382, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			if (tree_expr_nonnegative_p (o21))
			  {
			    {
/* #line 4388 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4388 "../../gcc/match.pd" */
			      if (real_isinf (TREE_REAL_CST_PTR (captures[0])))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4389, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  build_complex_inf (type, false);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			    }
			  }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			{
/* #line 4394 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4394 "../../gcc/match.pd" */
			  if (real_isinf (TREE_REAL_CST_PTR (captures[1])))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4395, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  build_complex_inf (type, TREE_REAL_CST_PTR (captures[1])->sign);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_CPROJL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  {
/* #line 4381 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4381 "../../gcc/match.pd" */
    if (!HONOR_INFINITIES (type))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4382, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case COMPLEX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			if (tree_expr_nonnegative_p (o21))
			  {
			    {
/* #line 4388 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4388 "../../gcc/match.pd" */
			      if (real_isinf (TREE_REAL_CST_PTR (captures[0])))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4389, %s:%d\n", __FILE__, __LINE__);
				  res_ops[0] =  build_complex_inf (type, false);
				  *res_code = TREE_CODE (res_ops[0]);
				  return true;
				}
			    }
			  }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			{
/* #line 4394 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 4394 "../../gcc/match.pd" */
			  if (real_isinf (TREE_REAL_CST_PTR (captures[1])))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4395, %s:%d\n", __FILE__, __LINE__);
			      res_ops[0] =  build_complex_inf (type, TREE_REAL_CST_PTR (captures[1])->sign);
			      *res_code = TREE_CODE (res_ops[0]);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SIGNBITF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (tree_expr_nonnegative_p (op0))
    {
      {
/* #line 4531 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4531, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] =  integer_zero_node;
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  {
/* #line 4536 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4536 "../../gcc/match.pd" */
    if (!HONOR_SIGNED_ZEROS (captures[0]))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4537, %s:%d\n", __FILE__, __LINE__);
	*res_code = NOP_EXPR;
	{
	  tree ops1[2], res;
	  ops1[0] = captures[0];
	  ops1[1] =  build_real (TREE_TYPE (captures[0]), dconst0);
	  code_helper tem_code = LT_EXPR;
	  tree tem_ops[3] = { ops1[0], ops1[1] };
	  gimple_resimplify2 (lseq, &tem_code, boolean_type_node, tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, boolean_type_node, tem_ops, lseq);
	  if (!res) return false;
	  res_ops[0] = res;
	}
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SIGNBIT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (tree_expr_nonnegative_p (op0))
    {
      {
/* #line 4531 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4531, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] =  integer_zero_node;
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  {
/* #line 4536 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4536 "../../gcc/match.pd" */
    if (!HONOR_SIGNED_ZEROS (captures[0]))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4537, %s:%d\n", __FILE__, __LINE__);
	*res_code = NOP_EXPR;
	{
	  tree ops1[2], res;
	  ops1[0] = captures[0];
	  ops1[1] =  build_real (TREE_TYPE (captures[0]), dconst0);
	  code_helper tem_code = LT_EXPR;
	  tree tem_ops[3] = { ops1[0], ops1[1] };
	  gimple_resimplify2 (lseq, &tem_code, boolean_type_node, tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, boolean_type_node, tem_ops, lseq);
	  if (!res) return false;
	  res_ops[0] = res;
	}
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SIGNBITL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0)
{
  if (tree_expr_nonnegative_p (op0))
    {
      {
/* #line 4531 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4531, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] =  integer_zero_node;
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  {
/* #line 4536 "../../gcc/match.pd" */
    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4536 "../../gcc/match.pd" */
    if (!HONOR_SIGNED_ZEROS (captures[0]))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4537, %s:%d\n", __FILE__, __LINE__);
	*res_code = NOP_EXPR;
	{
	  tree ops1[2], res;
	  ops1[0] = captures[0];
	  ops1[1] =  build_real (TREE_TYPE (captures[0]), dconst0);
	  code_helper tem_code = LT_EXPR;
	  tree tem_ops[3] = { ops1[0], ops1[1] };
	  gimple_resimplify2 (lseq, &tem_code, boolean_type_node, tem_ops, valueize);
	  res = maybe_push_res_to_seq (tem_code, boolean_type_node, tem_ops, lseq);
	  if (!res) return false;
	  res_ops[0] = res;
	}
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
  }
  return false;
}

static bool
gimple_simplify (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree),
                 code_helper code, const tree type, tree op0)
{
  switch (code.get_rep())
    {
    case -CFN_BUILT_IN_COSF:
      return gimple_simplify_CFN_BUILT_IN_COSF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_COS:
      return gimple_simplify_CFN_BUILT_IN_COS (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_COSL:
      return gimple_simplify_CFN_BUILT_IN_COSL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_COS:
      return gimple_simplify_CFN_COS (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_COSHF:
      return gimple_simplify_CFN_BUILT_IN_COSHF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_COSH:
      return gimple_simplify_CFN_BUILT_IN_COSH (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_COSHL:
      return gimple_simplify_CFN_BUILT_IN_COSHL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CCOSF:
      return gimple_simplify_CFN_BUILT_IN_CCOSF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CCOS:
      return gimple_simplify_CFN_BUILT_IN_CCOS (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CCOSL:
      return gimple_simplify_CFN_BUILT_IN_CCOSL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CCOSHF:
      return gimple_simplify_CFN_BUILT_IN_CCOSHF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CCOSH:
      return gimple_simplify_CFN_BUILT_IN_CCOSH (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CCOSHL:
      return gimple_simplify_CFN_BUILT_IN_CCOSHL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CABSF:
      return gimple_simplify_CFN_BUILT_IN_CABSF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CABS:
      return gimple_simplify_CFN_BUILT_IN_CABS (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CABSL:
      return gimple_simplify_CFN_BUILT_IN_CABSL (res_code, res_ops, seq, valueize, code, type, op0);
    case BIT_NOT_EXPR:
      return gimple_simplify_BIT_NOT_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case ABS_EXPR:
      return gimple_simplify_ABS_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case NEGATE_EXPR:
      return gimple_simplify_NEGATE_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    CASE_CONVERT:
      return gimple_simplify_CONVERT_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case VIEW_CONVERT_EXPR:
      return gimple_simplify_VIEW_CONVERT_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case FLOAT_EXPR:
      return gimple_simplify_FLOAT_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case FIX_TRUNC_EXPR:
      return gimple_simplify_FIX_TRUNC_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case PAREN_EXPR:
      return gimple_simplify_PAREN_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case REALPART_EXPR:
      return gimple_simplify_REALPART_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case IMAGPART_EXPR:
      return gimple_simplify_IMAGPART_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case CONJ_EXPR:
      return gimple_simplify_CONJ_EXPR (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_BSWAP16:
      return gimple_simplify_CFN_BUILT_IN_BSWAP16 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_BSWAP32:
      return gimple_simplify_CFN_BUILT_IN_BSWAP32 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_BSWAP64:
      return gimple_simplify_CFN_BUILT_IN_BSWAP64 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOGF:
      return gimple_simplify_CFN_BUILT_IN_LOGF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOG:
      return gimple_simplify_CFN_BUILT_IN_LOG (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOGL:
      return gimple_simplify_CFN_BUILT_IN_LOGL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_LOG:
      return gimple_simplify_CFN_LOG (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOG2F:
      return gimple_simplify_CFN_BUILT_IN_LOG2F (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOG2:
      return gimple_simplify_CFN_BUILT_IN_LOG2 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOG2L:
      return gimple_simplify_CFN_BUILT_IN_LOG2L (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_LOG2:
      return gimple_simplify_CFN_LOG2 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOG10F:
      return gimple_simplify_CFN_BUILT_IN_LOG10F (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOG10:
      return gimple_simplify_CFN_BUILT_IN_LOG10 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LOG10L:
      return gimple_simplify_CFN_BUILT_IN_LOG10L (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_LOG10:
      return gimple_simplify_CFN_LOG10 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXPF:
      return gimple_simplify_CFN_BUILT_IN_EXPF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXP:
      return gimple_simplify_CFN_BUILT_IN_EXP (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXPL:
      return gimple_simplify_CFN_BUILT_IN_EXPL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_EXP:
      return gimple_simplify_CFN_EXP (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXP2F:
      return gimple_simplify_CFN_BUILT_IN_EXP2F (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXP2:
      return gimple_simplify_CFN_BUILT_IN_EXP2 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXP2L:
      return gimple_simplify_CFN_BUILT_IN_EXP2L (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_EXP2:
      return gimple_simplify_CFN_EXP2 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXP10F:
      return gimple_simplify_CFN_BUILT_IN_EXP10F (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXP10:
      return gimple_simplify_CFN_BUILT_IN_EXP10 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_EXP10L:
      return gimple_simplify_CFN_BUILT_IN_EXP10L (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_EXP10:
      return gimple_simplify_CFN_EXP10 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_POW10F:
      return gimple_simplify_CFN_BUILT_IN_POW10F (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_POW10:
      return gimple_simplify_CFN_BUILT_IN_POW10 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_POW10L:
      return gimple_simplify_CFN_BUILT_IN_POW10L (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_SQRTF:
      return gimple_simplify_CFN_BUILT_IN_SQRTF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_SQRT:
      return gimple_simplify_CFN_BUILT_IN_SQRT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_SQRTL:
      return gimple_simplify_CFN_BUILT_IN_SQRTL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_SQRT:
      return gimple_simplify_CFN_SQRT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CBRTF:
      return gimple_simplify_CFN_BUILT_IN_CBRTF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CBRT:
      return gimple_simplify_CFN_BUILT_IN_CBRT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CBRTL:
      return gimple_simplify_CFN_BUILT_IN_CBRTL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TANF:
      return gimple_simplify_CFN_BUILT_IN_TANF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TAN:
      return gimple_simplify_CFN_BUILT_IN_TAN (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TANL:
      return gimple_simplify_CFN_BUILT_IN_TANL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_TAN:
      return gimple_simplify_CFN_TAN (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCF:
      return gimple_simplify_CFN_BUILT_IN_TRUNCF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNC:
      return gimple_simplify_CFN_BUILT_IN_TRUNC (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCL:
      return gimple_simplify_CFN_BUILT_IN_TRUNCL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCF16:
      return gimple_simplify_CFN_BUILT_IN_TRUNCF16 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCF32:
      return gimple_simplify_CFN_BUILT_IN_TRUNCF32 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCF64:
      return gimple_simplify_CFN_BUILT_IN_TRUNCF64 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCF128:
      return gimple_simplify_CFN_BUILT_IN_TRUNCF128 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCF32X:
      return gimple_simplify_CFN_BUILT_IN_TRUNCF32X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCF64X:
      return gimple_simplify_CFN_BUILT_IN_TRUNCF64X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_TRUNCF128X:
      return gimple_simplify_CFN_BUILT_IN_TRUNCF128X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_TRUNC:
      return gimple_simplify_CFN_TRUNC (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORF:
      return gimple_simplify_CFN_BUILT_IN_FLOORF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOOR:
      return gimple_simplify_CFN_BUILT_IN_FLOOR (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORL:
      return gimple_simplify_CFN_BUILT_IN_FLOORL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORF16:
      return gimple_simplify_CFN_BUILT_IN_FLOORF16 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORF32:
      return gimple_simplify_CFN_BUILT_IN_FLOORF32 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORF64:
      return gimple_simplify_CFN_BUILT_IN_FLOORF64 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORF128:
      return gimple_simplify_CFN_BUILT_IN_FLOORF128 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORF32X:
      return gimple_simplify_CFN_BUILT_IN_FLOORF32X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORF64X:
      return gimple_simplify_CFN_BUILT_IN_FLOORF64X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_FLOORF128X:
      return gimple_simplify_CFN_BUILT_IN_FLOORF128X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_FLOOR:
      return gimple_simplify_CFN_FLOOR (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILF:
      return gimple_simplify_CFN_BUILT_IN_CEILF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEIL:
      return gimple_simplify_CFN_BUILT_IN_CEIL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILL:
      return gimple_simplify_CFN_BUILT_IN_CEILL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILF16:
      return gimple_simplify_CFN_BUILT_IN_CEILF16 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILF32:
      return gimple_simplify_CFN_BUILT_IN_CEILF32 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILF64:
      return gimple_simplify_CFN_BUILT_IN_CEILF64 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILF128:
      return gimple_simplify_CFN_BUILT_IN_CEILF128 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILF32X:
      return gimple_simplify_CFN_BUILT_IN_CEILF32X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILF64X:
      return gimple_simplify_CFN_BUILT_IN_CEILF64X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEILF128X:
      return gimple_simplify_CFN_BUILT_IN_CEILF128X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_CEIL:
      return gimple_simplify_CFN_CEIL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDF:
      return gimple_simplify_CFN_BUILT_IN_ROUNDF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUND:
      return gimple_simplify_CFN_BUILT_IN_ROUND (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDL:
      return gimple_simplify_CFN_BUILT_IN_ROUNDL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDF16:
      return gimple_simplify_CFN_BUILT_IN_ROUNDF16 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDF32:
      return gimple_simplify_CFN_BUILT_IN_ROUNDF32 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDF64:
      return gimple_simplify_CFN_BUILT_IN_ROUNDF64 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDF128:
      return gimple_simplify_CFN_BUILT_IN_ROUNDF128 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDF32X:
      return gimple_simplify_CFN_BUILT_IN_ROUNDF32X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDF64X:
      return gimple_simplify_CFN_BUILT_IN_ROUNDF64X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ROUNDF128X:
      return gimple_simplify_CFN_BUILT_IN_ROUNDF128X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_ROUND:
      return gimple_simplify_CFN_ROUND (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTF:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINT:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTL:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTF16:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTF16 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTF32:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTF32 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTF64:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTF64 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTF128:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTF128 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTF32X:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTF32X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTF64X:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTF64X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_NEARBYINTF128X:
      return gimple_simplify_CFN_BUILT_IN_NEARBYINTF128X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_NEARBYINT:
      return gimple_simplify_CFN_NEARBYINT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTF:
      return gimple_simplify_CFN_BUILT_IN_RINTF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINT:
      return gimple_simplify_CFN_BUILT_IN_RINT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTL:
      return gimple_simplify_CFN_BUILT_IN_RINTL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTF16:
      return gimple_simplify_CFN_BUILT_IN_RINTF16 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTF32:
      return gimple_simplify_CFN_BUILT_IN_RINTF32 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTF64:
      return gimple_simplify_CFN_BUILT_IN_RINTF64 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTF128:
      return gimple_simplify_CFN_BUILT_IN_RINTF128 (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTF32X:
      return gimple_simplify_CFN_BUILT_IN_RINTF32X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTF64X:
      return gimple_simplify_CFN_BUILT_IN_RINTF64X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_RINTF128X:
      return gimple_simplify_CFN_BUILT_IN_RINTF128X (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_RINT:
      return gimple_simplify_CFN_RINT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEXPF:
      return gimple_simplify_CFN_BUILT_IN_CEXPF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEXP:
      return gimple_simplify_CFN_BUILT_IN_CEXP (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CEXPL:
      return gimple_simplify_CFN_BUILT_IN_CEXPL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IFLOORL:
      return gimple_simplify_CFN_BUILT_IN_IFLOORL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LFLOORL:
      return gimple_simplify_CFN_BUILT_IN_LFLOORL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLFLOORL:
      return gimple_simplify_CFN_BUILT_IN_LLFLOORL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ICEILL:
      return gimple_simplify_CFN_BUILT_IN_ICEILL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LCEILL:
      return gimple_simplify_CFN_BUILT_IN_LCEILL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLCEILL:
      return gimple_simplify_CFN_BUILT_IN_LLCEILL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IROUNDL:
      return gimple_simplify_CFN_BUILT_IN_IROUNDL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LROUNDL:
      return gimple_simplify_CFN_BUILT_IN_LROUNDL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLROUNDL:
      return gimple_simplify_CFN_BUILT_IN_LLROUNDL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IRINTL:
      return gimple_simplify_CFN_BUILT_IN_IRINTL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LRINTL:
      return gimple_simplify_CFN_BUILT_IN_LRINTL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLRINTL:
      return gimple_simplify_CFN_BUILT_IN_LLRINTL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IFLOOR:
      return gimple_simplify_CFN_BUILT_IN_IFLOOR (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LFLOOR:
      return gimple_simplify_CFN_BUILT_IN_LFLOOR (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLFLOOR:
      return gimple_simplify_CFN_BUILT_IN_LLFLOOR (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ICEIL:
      return gimple_simplify_CFN_BUILT_IN_ICEIL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LCEIL:
      return gimple_simplify_CFN_BUILT_IN_LCEIL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLCEIL:
      return gimple_simplify_CFN_BUILT_IN_LLCEIL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IROUND:
      return gimple_simplify_CFN_BUILT_IN_IROUND (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LROUND:
      return gimple_simplify_CFN_BUILT_IN_LROUND (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLROUND:
      return gimple_simplify_CFN_BUILT_IN_LLROUND (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IRINT:
      return gimple_simplify_CFN_BUILT_IN_IRINT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LRINT:
      return gimple_simplify_CFN_BUILT_IN_LRINT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLRINT:
      return gimple_simplify_CFN_BUILT_IN_LLRINT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IFLOORF:
      return gimple_simplify_CFN_BUILT_IN_IFLOORF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LFLOORF:
      return gimple_simplify_CFN_BUILT_IN_LFLOORF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLFLOORF:
      return gimple_simplify_CFN_BUILT_IN_LLFLOORF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_ICEILF:
      return gimple_simplify_CFN_BUILT_IN_ICEILF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LCEILF:
      return gimple_simplify_CFN_BUILT_IN_LCEILF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLCEILF:
      return gimple_simplify_CFN_BUILT_IN_LLCEILF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IROUNDF:
      return gimple_simplify_CFN_BUILT_IN_IROUNDF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LROUNDF:
      return gimple_simplify_CFN_BUILT_IN_LROUNDF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLROUNDF:
      return gimple_simplify_CFN_BUILT_IN_LLROUNDF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_IRINTF:
      return gimple_simplify_CFN_BUILT_IN_IRINTF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LRINTF:
      return gimple_simplify_CFN_BUILT_IN_LRINTF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_LLRINTF:
      return gimple_simplify_CFN_BUILT_IN_LLRINTF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CPROJF:
      return gimple_simplify_CFN_BUILT_IN_CPROJF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CPROJ:
      return gimple_simplify_CFN_BUILT_IN_CPROJ (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_CPROJL:
      return gimple_simplify_CFN_BUILT_IN_CPROJL (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_SIGNBITF:
      return gimple_simplify_CFN_BUILT_IN_SIGNBITF (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_SIGNBIT:
      return gimple_simplify_CFN_BUILT_IN_SIGNBIT (res_code, res_ops, seq, valueize, code, type, op0);
    case -CFN_BUILT_IN_SIGNBITL:
      return gimple_simplify_CFN_BUILT_IN_SIGNBITL (res_code, res_ops, seq, valueize, code, type, op0);
    default:;
    }
  return false;
}

static bool
gimple_simplify_PLUS_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op1))
    {
      {
/* #line 99 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:99, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  if (real_zerop (op1))
    {
      {
/* #line 115 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_273 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
								    {
								      if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o40, 0) && types_match (o61, o40)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
									      return true;
									  }
								        }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
						  if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
						    {
						      switch (TREE_CODE (o61))
						        {
							case SSA_NAME:
							  if (gimple *def_stmt = get_def (valueize, o61))
							    {
							      if (gassign *def = dyn_cast <gassign *> (def_stmt))
							        switch (gimple_assign_rhs_code (def))
								  {
								  case BIT_NOT_EXPR:
								    {
								      tree o80 = gimple_assign_rhs1 (def);
								      o80 = do_valueize (valueize, o80);
								      if ((o80 == o20 && ! TREE_SIDE_EFFECTS (o80)) || (operand_equal_p (o80, o20, 0) && types_match (o80, o20)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
									      return true;
									  }
								        }
								      break;
								    }
								  default:;
								  }
							    }
							  break;
						        default:;
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  if ((o70 == o21 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o21, 0) && types_match (o70, o21)))
								    {
								      if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o21, o30 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
									      return true;
									  }
								        }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      switch (TREE_CODE (o61))
						        {
							case SSA_NAME:
							  if (gimple *def_stmt = get_def (valueize, o61))
							    {
							      if (gassign *def = dyn_cast <gassign *> (def_stmt))
							        switch (gimple_assign_rhs_code (def))
								  {
								  case BIT_NOT_EXPR:
								    {
								      tree o80 = gimple_assign_rhs1 (def);
								      o80 = do_valueize (valueize, o80);
								      if ((o80 == o21 && ! TREE_SIDE_EFFECTS (o80)) || (operand_equal_p (o80, o21, 0) && types_match (o80, o21)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o21, o30 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
									      return true;
									  }
								        }
								      break;
								    }
								  default:;
								  }
							    }
							  break;
						        default:;
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case BIT_AND_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 706 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o30, o61, o21 };
								    if (gimple_simplify_33 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case BIT_AND_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					switch (TREE_CODE (o50))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o50))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case BIT_NOT_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							  {
							    switch (TREE_CODE (o51))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 706 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
								    if (gimple_simplify_33 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		if (integer_onep (o21))
		  {
		    if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		      {
			{
/* #line 827 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			  if (gimple_simplify_172 (res_code, res_ops, seq, valueize, type, captures))
			    return true;
			}
		      }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
						    {
						      {
/* #line 792 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o20 };
							if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o30 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o30, 0) && types_match (o50, o30)))
						    {
						      {
/* #line 792 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o30 };
							if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (real_zerop (op0))
  {
    {
/* #line 115 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
      if (gimple_simplify_273 (res_code, res_ops, seq, valueize, type, captures))
        return true;
    }
  }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 792 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 792 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      if (integer_onep (o31))
			{
			  {
/* #line 827 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			    if (gimple_simplify_172 (res_code, res_ops, seq, valueize, type, captures))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 860 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_183 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case BIT_IOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 865 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_185 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					switch (TREE_CODE (o50))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o50))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case BIT_AND_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							switch (TREE_CODE (o61))
							  {
							  case INTEGER_CST:
							    {
							      {
/* #line 919 "../../gcc/match.pd" */
								tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o21, o50, o60, o61 };
								if (gimple_simplify_128 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
								  return true;
							      }
							      break;
							    }
						          default:;
						          }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    case BIT_AND_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					switch (TREE_CODE (o51))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 919 "../../gcc/match.pd" */
						tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50, o51 };
						if (gimple_simplify_128 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 860 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_183 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 865 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_185 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							switch (TREE_CODE (o60))
							  {
							  case SSA_NAME:
							    if (gimple *def_stmt = get_def (valueize, o60))
							      {
								if (gassign *def = dyn_cast <gassign *> (def_stmt))
								  switch (gimple_assign_rhs_code (def))
								    {
								    case BIT_AND_EXPR:
								      {
									tree o70 = gimple_assign_rhs1 (def);
									o70 = do_valueize (valueize, o70);
									tree o71 = gimple_assign_rhs2 (def);
									o71 = do_valueize (valueize, o71);
									if (tree_swap_operands_p (o70, o71))
									  std::swap (o70, o71);
									switch (TREE_CODE (o71))
									  {
									  case INTEGER_CST:
									    {
									      {
/* #line 919 "../../gcc/match.pd" */
										tree captures[6] ATTRIBUTE_UNUSED = { o20, o30, o31, o60, o70, o71 };
										if (gimple_simplify_128 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
										  return true;
									      }
									      break;
									    }
								          default:;
								          }
								        break;
								      }
								    default:;
								    }
							      }
							    break;
						          default:;
						          }
						        break;
						      }
						    case BIT_AND_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							switch (TREE_CODE (o61))
							  {
							  case INTEGER_CST:
							    {
							      {
/* #line 919 "../../gcc/match.pd" */
								tree captures[6] ATTRIBUTE_UNUSED = { o20, o30, o31, op1, o60, o61 };
								if (gimple_simplify_128 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
								  return true;
							      }
							      break;
							    }
						          default:;
						          }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      case NEGATE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  {
/* #line 1627 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { op1, o30 };
				    if (gimple_simplify_19 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 1627 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { op0, o40 };
				    if (gimple_simplify_19 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 1627 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    if (gimple_simplify_19 (res_code, res_ops, seq, valueize, type, captures))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 1627 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op1, o20 };
		    if (gimple_simplify_19 (res_code, res_ops, seq, valueize, type, captures))
		      return true;
		  }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_95 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o51, o20 };
					if (gimple_simplify_116 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o50, o20 };
					if (gimple_simplify_116 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_248 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o51, o20 };
					if (gimple_simplify_248 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if (CONSTANT_CLASS_P (o20))
		    {
		      if (CONSTANT_CLASS_P (op1))
			{
			  {
/* #line 1627 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			    if (gimple_simplify_132 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o30, op0 };
			if (gimple_simplify_95 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_116 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_116 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_DIFF_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_171 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o51, o20 };
					if (gimple_simplify_171 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_230 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if (integer_each_onep (op1))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_61 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_nop_convert (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      switch (TREE_CODE (o20))
        {
	case SSA_NAME:
	  if (gimple *def_stmt = get_def (valueize, o20))
	    {
	      if (gassign *def = dyn_cast <gassign *> (def_stmt))
	        switch (gimple_assign_rhs_code (def))
		  {
		  case PLUS_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      tree o31 = gimple_assign_rhs2 (def);
		      o31 = do_valueize (valueize, o31);
		      if (tree_swap_operands_p (o30, o31))
		        std::swap (o30, o31);
		      if (CONSTANT_CLASS_P (o31))
			{
			  if (CONSTANT_CLASS_P (op1))
			    {
			      {
/* #line 1627 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
				if (gimple_simplify_124 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, MINUS_EXPR, PLUS_EXPR))
				  return true;
			      }
			    }
		        }
		      break;
		    }
		  case MINUS_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      tree o31 = gimple_assign_rhs2 (def);
		      o31 = do_valueize (valueize, o31);
		      if (CONSTANT_CLASS_P (o31))
			{
			  if (CONSTANT_CLASS_P (op1))
			    {
			      {
/* #line 1627 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
				if (gimple_simplify_124 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, PLUS_EXPR, PLUS_EXPR))
				  return true;
			      }
			    }
		        }
		      break;
		    }
		  default:;
		  }
	    }
	  break;
        default:;
        }
}
}
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_230 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  if (integer_each_onep (op1))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[1] ATTRIBUTE_UNUSED = { o30 };
					if (gimple_simplify_61 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1950 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_66 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1950 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_66 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1950 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o51 };
					if (gimple_simplify_66 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1950 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o50 };
					if (gimple_simplify_66 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1950 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			if (gimple_simplify_155 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1950 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
			if (gimple_simplify_155 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1950 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_177 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1950 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, o20 };
			if (gimple_simplify_177 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2547 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 2547 "../../gcc/match.pd" */
	  if (REAL_VALUE_NEGATIVE (TREE_REAL_CST (captures[1])))
	    {
	      {
/* #line 2548 "../../gcc/match.pd" */
 tree tem = const_unop (NEGATE_EXPR, type, captures[1]);
/* #line 2549 "../../gcc/match.pd" */
		  if (!TREE_OVERFLOW (tem) || !flag_trapping_math)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2550, %s:%d\n", __FILE__, __LINE__);
		      *res_code = MINUS_EXPR;
		      res_ops[0] = captures[0];
		      res_ops[1] =  tem;
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
	      }
	    }
	}
        break;
      }
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 2555 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 2555 "../../gcc/match.pd" */
	if (SCALAR_FLOAT_TYPE_P (type))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2556, %s:%d\n", __FILE__, __LINE__);
	    *res_code = MULT_EXPR;
	    res_ops[0] = captures[0];
	    res_ops[1] =  build_real (type, dconst2);
	    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
	else
	  {
/* #line 2557 "../../gcc/match.pd" */
	    if (INTEGRAL_TYPE_P (type))
	      {
		gimple_seq *lseq = seq;
		if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2558, %s:%d\n", __FILE__, __LINE__);
		*res_code = MULT_EXPR;
		res_ops[0] = captures[0];
		res_ops[1] =  build_int_cst (type, 2);
		gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		return true;
	      }
	  }
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VIEW_CONVERT_EXPR:
	        {
		  tree o30 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o30) == SSA_NAME
		       || is_gimple_min_invariant (o30)))
		    {
		      o30 = do_valueize (valueize, o30);
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case VEC_COND_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      tree o41 = gimple_assign_rhs2 (def);
				      o41 = do_valueize (valueize, o41);
				      tree o42 = gimple_assign_rhs3 (def);
				      o42 = do_valueize (valueize, o42);
				      if (integer_each_onep (o41))
					{
					  if (integer_zerop (o42))
					    {
					      {
/* #line 2905 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op0, o30, o40, o41, o42 };
						if (gimple_simplify_49 (res_code, res_ops, seq, valueize, type, captures))
						  return true;
					      }
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VIEW_CONVERT_EXPR:
	        {
		  tree o20 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o20) == SSA_NAME
		       || is_gimple_min_invariant (o20)))
		    {
		      o20 = do_valueize (valueize, o20);
		      switch (TREE_CODE (o20))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o20))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case VEC_COND_EXPR:
				    {
				      tree o30 = gimple_assign_rhs1 (def);
				      o30 = do_valueize (valueize, o30);
				      tree o31 = gimple_assign_rhs2 (def);
				      o31 = do_valueize (valueize, o31);
				      tree o32 = gimple_assign_rhs3 (def);
				      o32 = do_valueize (valueize, o32);
				      if (integer_each_onep (o31))
					{
					  if (integer_zerop (o32))
					    {
					      {
/* #line 2905 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op1, o20, o30, o31, o32 };
						if (gimple_simplify_49 (res_code, res_ops, seq, valueize, type, captures))
						  return true;
					      }
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VEC_COND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  tree o32 = gimple_assign_rhs3 (def);
		  o32 = do_valueize (valueize, o32);
		  if (integer_each_onep (o31))
		    {
		      if (integer_zerop (o32))
			{
			  {
/* #line 2905 "../../gcc/match.pd" */
			    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o31, o32 };
			    if (gimple_simplify_49 (res_code, res_ops, seq, valueize, type, captures))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VEC_COND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  tree o22 = gimple_assign_rhs3 (def);
		  o22 = do_valueize (valueize, o22);
		  if (integer_each_onep (o21))
		    {
		      if (integer_zerop (o22))
			{
			  {
/* #line 2905 "../../gcc/match.pd" */
			    tree captures[5] ATTRIBUTE_UNUSED = { op1, op0, o20, o21, o22 };
			    if (gimple_simplify_49 (res_code, res_ops, seq, valueize, type, captures))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case RDIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 3897 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_189 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_POINTER_PLUS_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op1))
    {
      {
/* #line 99 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:99, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case POINTER_PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 1546 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
		    gimple_seq *lseq = seq;
		    if (lseq
		        && (!single_use (captures[0])))
		      lseq = NULL;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1546, %s:%d\n", __FILE__, __LINE__);
		    *res_code = POINTER_PLUS_EXPR;
		    res_ops[0] = captures[1];
		    {
		      tree ops1[2], res;
		      ops1[0] = captures[2];
		      ops1[1] = captures[3];
		      code_helper tem_code = PLUS_EXPR;
		      tree tem_ops[3] = { ops1[0], ops1[1] };
		      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[1] = res;
		    }
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_zerop (op0))
  {
    {
/* #line 104 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op1 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:104, %s:%d\n", __FILE__, __LINE__);
      *res_code = NOP_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  switch (TREE_CODE (o41))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o41))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      CASE_CONVERT:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  if ((o70 == op0 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, op0, 0) && types_match (o70, op0)))
								    {
								      {
/* #line 1559 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o50 };
/* #line 1559 "../../gcc/match.pd" */
									if (TYPE_PRECISION (TREE_TYPE (captures[1])) == TYPE_PRECISION (TREE_TYPE (captures[2])) && ((1 && useless_type_conversion_p (type, TREE_TYPE (captures[3]))) || (0 && type == TREE_TYPE (captures[3]))))
									  {
									    gimple_seq *lseq = seq;
									    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1562, %s:%d\n", __FILE__, __LINE__);
									    res_ops[0] = captures[3];
									    *res_code = TREE_CODE (res_ops[0]);
									    return true;
									  }
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case POINTER_DIFF_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, op0, 0))
				    {
				      {
/* #line 1565 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { o41, op1, o30, o40, op0 };
/* #line 1565 "../../gcc/match.pd" */
					if (TYPE_PRECISION (TREE_TYPE (captures[1])) >= TYPE_PRECISION (TREE_TYPE (captures[2])))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1566, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NOP_EXPR;
					    res_ops[0] = captures[3];
					    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o31))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o31))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == op0 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, op0, 0) && types_match (o60, op0)))
						    {
						      {
/* #line 1559 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, op1, o40 };
/* #line 1559 "../../gcc/match.pd" */
							if (TYPE_PRECISION (TREE_TYPE (captures[1])) == TYPE_PRECISION (TREE_TYPE (captures[2])) && ((1 && useless_type_conversion_p (type, TREE_TYPE (captures[3]))) || (0 && type == TREE_TYPE (captures[3]))))
							  {
							    gimple_seq *lseq = seq;
							    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1562, %s:%d\n", __FILE__, __LINE__);
							    res_ops[0] = captures[3];
							    *res_code = TREE_CODE (res_ops[0]);
							    return true;
							  }
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || operand_equal_p (o31, op0, 0))
		    {
		      {
/* #line 1565 "../../gcc/match.pd" */
			tree captures[5] ATTRIBUTE_UNUSED = { o31, op1, op1, o30, op0 };
/* #line 1565 "../../gcc/match.pd" */
			if (TYPE_PRECISION (TREE_TYPE (captures[1])) >= TYPE_PRECISION (TREE_TYPE (captures[2])))
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1566, %s:%d\n", __FILE__, __LINE__);
			    *res_code = NOP_EXPR;
			    res_ops[0] = captures[3];
			    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
						    {
						      switch (TREE_CODE (o41))
						        {
							case INTEGER_CST:
							  {
							    {
/* #line 1577 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { op0, o41 };
							      {
/* #line 1577 "../../gcc/match.pd" */
 tree algn = wide_int_to_tree (TREE_TYPE (captures[0]), ~wi::to_wide (captures[1]));
								  gimple_seq *lseq = seq;
								  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1578, %s:%d\n", __FILE__, __LINE__);
								  *res_code = BIT_AND_EXPR;
								  res_ops[0] = captures[0];
								  res_ops[1] =  algn;
								  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
								  return true;
							      }
							    }
							    break;
							  }
						        default:;
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_MINUS_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op1))
    {
      {
/* #line 99 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:99, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  if (real_zerop (op1))
    {
      {
/* #line 121 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 121 "../../gcc/match.pd" */
	if (fold_real_zero_addition_p (type, captures[1], 1))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:122, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] = captures[0];
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 131 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 131 "../../gcc/match.pd" */
	if (!FLOAT_TYPE_P (type) || !HONOR_NANS (type))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:132, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] =  build_zero_cst (type);
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case MULT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if (tree_swap_operands_p (o50, o51))
						    std::swap (o50, o51);
						  switch (TREE_CODE (o50))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o50))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case TRUNC_DIV_EXPR:
							        {
								  tree o60 = gimple_assign_rhs1 (def);
								  o60 = do_valueize (valueize, o60);
								  tree o61 = gimple_assign_rhs2 (def);
								  o61 = do_valueize (valueize, o61);
								  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o20, 0))
								    {
								      if ((o51 == o61 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o61, 0))
									{
									  {
/* #line 475 "../../gcc/match.pd" */
									    tree captures[4] ATTRIBUTE_UNUSED = { o60, o61, o20, o61 };
									    if (gimple_simplify_169 (res_code, res_ops, seq, valueize, type, captures))
									      return true;
									  }
								        }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
						  switch (TREE_CODE (o51))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o51))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case TRUNC_DIV_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o20, 0))
								    {
								      if ((o71 == o50 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o50, 0))
									{
									  {
/* #line 475 "../../gcc/match.pd" */
									    tree captures[4] ATTRIBUTE_UNUSED = { o70, o71, o20, o50 };
									    if (gimple_simplify_169 (res_code, res_ops, seq, valueize, type, captures))
									      return true;
									  }
								        }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case MULT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case TRUNC_DIV_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
						    {
						      if ((o41 == o51 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, o51, 0))
							{
							  {
/* #line 475 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { o50, o51, o20, o51 };
							    if (gimple_simplify_169 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o41))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o41))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case TRUNC_DIV_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o20, 0))
						    {
						      if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || operand_equal_p (o61, o40, 0))
							{
							  {
/* #line 475 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { o60, o61, o20, o40 };
							    if (gimple_simplify_169 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case TRUNC_DIV_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, op0, 0))
						    {
						      if ((o41 == o51 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, o51, 0))
							{
							  {
/* #line 475 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { o50, o51, op0, o51 };
							    if (gimple_simplify_169 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o41))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o41))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case TRUNC_DIV_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if ((o60 == op0 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, op0, 0))
						    {
						      if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || operand_equal_p (o61, o40, 0))
							{
							  {
/* #line 475 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { o60, o61, op0, o40 };
							    if (gimple_simplify_169 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case TRUNC_DIV_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, op0, 0))
				    {
				      if ((o31 == o41 && ! TREE_SIDE_EFFECTS (o31)) || operand_equal_p (o31, o41, 0))
					{
					  {
/* #line 475 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { o40, o41, op0, o41 };
					    if (gimple_simplify_169 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o31))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o31))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case TRUNC_DIV_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, op0, 0))
				    {
				      if ((o51 == o30 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o30, 0))
					{
					  {
/* #line 475 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { o50, o51, op0, o30 };
					    if (gimple_simplify_169 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o40, 0) && types_match (o61, o40)))
							{
							  {
/* #line 688 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o40, op1 };
							    if (gimple_simplify_21 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
						    {
						      if ((o61 == o20 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o20, 0) && types_match (o61, o20)))
							{
							  {
/* #line 688 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o40, op1 };
							    if (gimple_simplify_21 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
							{
							  {
/* #line 688 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o21, o30, op1 };
							    if (gimple_simplify_21 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
							{
							  {
/* #line 688 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o21, o30, op1 };
							    if (gimple_simplify_21 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case BIT_AND_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 691 "../../gcc/match.pd" */
						    tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
/* #line 691 "../../gcc/match.pd" */
						    if (~wi::to_wide (captures[2]) == wi::to_wide (captures[4]))
						      {
							gimple_seq *lseq = seq;
							if (lseq
							    && (!single_use (captures[0])
							        || !single_use (captures[3])))
							  lseq = NULL;
							if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:692, %s:%d\n", __FILE__, __LINE__);
							*res_code = MINUS_EXPR;
							{
							  tree ops1[2], res;
							  ops1[0] = captures[1];
							  ops1[1] = captures[4];
							  code_helper tem_code = BIT_XOR_EXPR;
							  tree tem_ops[3] = { ops1[0], ops1[1] };
							  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
							  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
							  if (!res) return false;
							  res_ops[0] = res;
							}
							res_ops[1] = captures[4];
							gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
							return true;
						      }
						  }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      switch (TREE_CODE (o51))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o51))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case BIT_NOT_EXPR:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o21 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o21, 0) && types_match (o70, o21)))
							{
							  {
/* #line 697 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
							    if (gimple_simplify_142 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				    }
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
							{
							  {
/* #line 697 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
							    if (gimple_simplify_142 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
							{
							  {
/* #line 697 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o21, o20, op1 };
							    if (gimple_simplify_142 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      switch (TREE_CODE (o51))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o51))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case BIT_NOT_EXPR:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
							{
							  {
/* #line 697 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o21, o20, op1 };
							    if (gimple_simplify_142 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 870 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 870 "../../gcc/match.pd" */
					    if (!TYPE_OVERFLOW_SANITIZED (type) && !TYPE_OVERFLOW_TRAPS (type) && !TYPE_SATURATING (type))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:872, %s:%d\n", __FILE__, __LINE__);
						*res_code = BIT_AND_EXPR;
						res_ops[0] = captures[0];
						res_ops[1] = captures[1];
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				        }
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 877 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 877 "../../gcc/match.pd" */
					    if (!TYPE_OVERFLOW_SANITIZED (type) && !TYPE_OVERFLOW_TRAPS (type) && !TYPE_SATURATING (type))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:879, %s:%d\n", __FILE__, __LINE__);
						*res_code = BIT_IOR_EXPR;
						res_ops[0] = captures[0];
						res_ops[1] = captures[1];
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 884 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:884, %s:%d\n", __FILE__, __LINE__);
					    *res_code = BIT_AND_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[1];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				        }
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 889 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:889, %s:%d\n", __FILE__, __LINE__);
					    *res_code = BIT_XOR_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[1];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if (gimple_negate_expr_p (op1, valueize))
    {
      {
/* #line 1060 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 1060 "../../gcc/match.pd" */
	if (!FIXED_POINT_TYPE_P (type))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1061, %s:%d\n", __FILE__, __LINE__);
	    *res_code = PLUS_EXPR;
	    res_ops[0] = captures[0];
	    {
	      tree ops1[1], res;
	      ops1[0] = captures[1];
	      code_helper tem_code = NEGATE_EXPR;
	      tree tem_ops[3] = { ops1[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	      if (!res) return false;
	      res_ops[1] = res;
	    }
	    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if (tree_swap_operands_p (o50, o51))
						    std::swap (o50, o51);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
						    {
						      {
/* #line 1224 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { o50, op1, o40, o51, o20 };
							if (gimple_simplify_100 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
						    {
						      {
/* #line 1224 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { o51, op1, o40, o50, o20 };
							if (gimple_simplify_100 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, o20, 0))
				    {
				      {
/* #line 1224 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { o40, op1, op1, o41, o20 };
					if (gimple_simplify_176 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, o20, 0))
				    {
				      {
/* #line 1224 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { o41, op1, op1, o40, o20 };
					if (gimple_simplify_176 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case ADDR_EXPR:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					{
/* #line 1583 "../../gcc/match.pd" */
					  tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
/* #line 1583 "../../gcc/match.pd" */
					  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
					    {
					      {
/* #line 1584 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1585 "../../gcc/match.pd" */
						  if (ptr_difference_const (captures[0], captures[1], &diff))
						    {
						      gimple_seq *lseq = seq;
						      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1586, %s:%d\n", __FILE__, __LINE__);
						      res_ops[0] =  build_int_cst_type (type, diff);
						      *res_code = TREE_CODE (res_ops[0]);
						      return true;
						    }
					      }
					    }
					}
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case ADDR_EXPR:
				      {
					{
/* #line 1589 "../../gcc/match.pd" */
					  tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
/* #line 1589 "../../gcc/match.pd" */
					  if (tree_nop_conversion_p (type, TREE_TYPE (captures[0])))
					    {
					      {
/* #line 1590 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1591 "../../gcc/match.pd" */
						  if (ptr_difference_const (captures[0], captures[1], &diff))
						    {
						      gimple_seq *lseq = seq;
						      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1592, %s:%d\n", __FILE__, __LINE__);
						      res_ops[0] =  build_int_cst_type (type, diff);
						      *res_code = TREE_CODE (res_ops[0]);
						      return true;
						    }
					      }
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, op0, 0))
				    {
				      {
/* #line 1224 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { o40, op1, o30, o41, op0 };
					if (gimple_simplify_100 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, op0, 0))
				    {
				      {
/* #line 1224 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { o41, op1, o30, o40, op0 };
					if (gimple_simplify_100 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || operand_equal_p (o30, op0, 0))
		    {
		      {
/* #line 1224 "../../gcc/match.pd" */
			tree captures[5] ATTRIBUTE_UNUSED = { o30, op1, op1, o31, op0 };
			if (gimple_simplify_176 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || operand_equal_p (o31, op0, 0))
		    {
		      {
/* #line 1224 "../../gcc/match.pd" */
			tree captures[5] ATTRIBUTE_UNUSED = { o31, op1, op1, o30, op0 };
			if (gimple_simplify_176 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = MINUS_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = MINUS_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = MINUS_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = MINUS_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1371 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
/* #line 1371 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1374, %s:%d\n", __FILE__, __LINE__);
					    *res_code = MINUS_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1398 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
/* #line 1398 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[1]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1401, %s:%d\n", __FILE__, __LINE__);
					    *res_code = MINUS_EXPR;
					    res_ops[0] = captures[2];
					    res_ops[1] = captures[1];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_DIFF_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1383 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o50 };
/* #line 1383 "../../gcc/match.pd" */
					if (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) && !TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[2])))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1385, %s:%d\n", __FILE__, __LINE__);
					    *res_code = POINTER_DIFF_EXPR;
					    res_ops[0] = captures[1];
					    res_ops[1] = captures[3];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1410 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o51 };
/* #line 1410 "../../gcc/match.pd" */
					if (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) && !TYPE_OVERFLOW_SANITIZED (TREE_TYPE (captures[1])))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1412, %s:%d\n", __FILE__, __LINE__);
					    *res_code = POINTER_DIFF_EXPR;
					    res_ops[0] = captures[3];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 1627 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { op0, o40 };
				    if (gimple_simplify_211 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 1627 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    if (gimple_simplify_211 (res_code, res_ops, seq, valueize, type, captures))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_186 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_186 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 1627 "../../gcc/match.pd" */
			if (!TYPE_SATURATING (type))
			  {
/* #line 1685 "../../gcc/match.pd" */
			    if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1699, %s:%d\n", __FILE__, __LINE__);
				*res_code = NEGATE_EXPR;
				res_ops[0] = captures[1];
				gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_162 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_162 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
/* #line 1627 "../../gcc/match.pd" */
			if (!TYPE_SATURATING (type))
			  {
/* #line 1685 "../../gcc/match.pd" */
			    if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1708, %s:%d\n", __FILE__, __LINE__);
				res_ops[0] = captures[1];
				*res_code = TREE_CODE (res_ops[0]);
				return true;
			      }
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_55 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_55 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (CONSTANT_CLASS_P (o20))
		    {
		      if (CONSTANT_CLASS_P (op1))
			{
			  {
/* #line 1627 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			    if (gimple_simplify_132 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  if (integer_each_onep (op1))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[1] ATTRIBUTE_UNUSED = { o30 };
					if (gimple_simplify_251 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      case PLUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o30, 0))
						    {
						      {
/* #line 1627 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o30 };
							if (gimple_simplify_240 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o31, 0))
						    {
						      {
/* #line 1627 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o31 };
							if (gimple_simplify_240 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o30, 0))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o30 };
					if (gimple_simplify_240 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o31, 0))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o31 };
					if (gimple_simplify_240 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      case POINTER_PLUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o30, 0))
						    {
						      {
/* #line 1627 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o30 };
/* #line 1627 "../../gcc/match.pd" */
							if (!TYPE_SATURATING (type))
							  {
/* #line 1685 "../../gcc/match.pd" */
							    if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
							      {
/* #line 1827 "../../gcc/match.pd" */
								if (element_precision (type) <= element_precision (TREE_TYPE (captures[1])) || (POINTER_TYPE_P (TREE_TYPE (captures[0])) && TREE_CODE (captures[1]) == INTEGER_CST && tree_int_cst_sign_bit (captures[1]) == 0))
								  {
								    gimple_seq *lseq = seq;
								    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1835, %s:%d\n", __FILE__, __LINE__);
								    *res_code = NOP_EXPR;
								    res_ops[0] = captures[1];
								    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
								    return true;
								  }
							      }
							  }
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case PLUS_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if (tree_swap_operands_p (o50, o51))
						    std::swap (o50, o51);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
						    {
						      {
/* #line 1627 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o50, o51, o20 };
							if (gimple_simplify_89 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
						    {
						      {
/* #line 1627 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o51, o50, o20 };
							if (gimple_simplify_89 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (integer_each_onep (op1))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_251 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_nop_convert (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      switch (TREE_CODE (o20))
        {
	case SSA_NAME:
	  if (gimple *def_stmt = get_def (valueize, o20))
	    {
	      if (gassign *def = dyn_cast <gassign *> (def_stmt))
	        switch (gimple_assign_rhs_code (def))
		  {
		  case PLUS_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      tree o31 = gimple_assign_rhs2 (def);
		      o31 = do_valueize (valueize, o31);
		      if (tree_swap_operands_p (o30, o31))
		        std::swap (o30, o31);
		      if (CONSTANT_CLASS_P (o31))
			{
			  if (CONSTANT_CLASS_P (op1))
			    {
			      {
/* #line 1627 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
				if (gimple_simplify_124 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, MINUS_EXPR, MINUS_EXPR))
				  return true;
			      }
			    }
		        }
		      break;
		    }
		  case MINUS_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      tree o31 = gimple_assign_rhs2 (def);
		      o31 = do_valueize (valueize, o31);
		      if (CONSTANT_CLASS_P (o31))
			{
			  if (CONSTANT_CLASS_P (op1))
			    {
			      {
/* #line 1627 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
				if (gimple_simplify_124 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, PLUS_EXPR, MINUS_EXPR))
				  return true;
			      }
			    }
		        }
		      break;
		    }
		  default:;
		  }
	    }
	  break;
        default:;
        }
}
}
if (CONSTANT_CLASS_P (op0))
  {
    switch (TREE_CODE (op1))
      {
      case SSA_NAME:
        if (gimple *def_stmt = get_def (valueize, op1))
          {
	    if (gassign *def = dyn_cast <gassign *> (def_stmt))
	      switch (gimple_assign_rhs_code (def))
		{
		case MINUS_EXPR:
		  {
		    tree o30 = gimple_assign_rhs1 (def);
		    o30 = do_valueize (valueize, o30);
		    tree o31 = gimple_assign_rhs2 (def);
		    o31 = do_valueize (valueize, o31);
		    if (CONSTANT_CLASS_P (o30))
		      {
			{
/* #line 1627 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o31 };
/* #line 1627 "../../gcc/match.pd" */
			  if (!TYPE_SATURATING (type))
			    {
/* #line 1685 "../../gcc/match.pd" */
			      if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
				{
				  {
/* #line 1781 "../../gcc/match.pd" */
 tree cst = const_binop (MINUS_EXPR, type, captures[0], captures[1]);
/* #line 1782 "../../gcc/match.pd" */
				      if (cst && !TREE_OVERFLOW (cst))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1783, %s:%d\n", __FILE__, __LINE__);
					  *res_code = PLUS_EXPR;
					  res_ops[0] =  cst;
					  res_ops[1] = captures[2];
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				  }
				}
			    }
			}
		      }
		    break;
		  }
		default:;
		}
          }
        break;
      default:;
      }
  }
if (integer_all_onesp (op0))
  {
    {
/* #line 1627 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op1 };
/* #line 1627 "../../gcc/match.pd" */
      if (!TYPE_SATURATING (type))
	{
/* #line 1685 "../../gcc/match.pd" */
	  if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1807, %s:%d\n", __FILE__, __LINE__);
	      *res_code = BIT_NOT_EXPR;
	      res_ops[0] = captures[0];
	      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
    }
  }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, op0, 0))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o40, o41, op0 };
					if (gimple_simplify_89 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, op0, 0))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o41, o40, op0 };
					if (gimple_simplify_89 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case POINTER_PLUS_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
						    {
						      {
/* #line 1627 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o50, o51, o20 };
/* #line 1627 "../../gcc/match.pd" */
							if (!TYPE_SATURATING (type))
							  {
/* #line 1685 "../../gcc/match.pd" */
							    if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
							      {
/* #line 1869 "../../gcc/match.pd" */
								if (INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_UNDEFINED (type) && element_precision (type) <= element_precision (TREE_TYPE (captures[1])))
								  {
								    {
/* #line 1872 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (type);
									gimple_seq *lseq = seq;
									if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1873, %s:%d\n", __FILE__, __LINE__);
									*res_code = NOP_EXPR;
									{
									  tree ops1[1], res;
									  {
									    tree ops2[1], res;
									    ops2[0] = captures[1];
									    if (utype != TREE_TYPE (ops2[0])
									        && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
									      {
										code_helper tem_code = NOP_EXPR;
										tree tem_ops[3] = { ops2[0] };
										gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
										res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
										if (!res) return false;
									      }
									    else
									      res = ops2[0];
									    ops1[0] = res;
									  }
									  code_helper tem_code = NEGATE_EXPR;
									  tree tem_ops[3] = { ops1[0] };
									  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
									  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
									  if (!res) return false;
									  res_ops[0] = res;
									}
									gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
									return true;
								    }
								  }
								else
								  {
/* #line 1874 "../../gcc/match.pd" */
								    if (element_precision (type) <= element_precision (TREE_TYPE (captures[1])) || (POINTER_TYPE_P (TREE_TYPE (captures[0])) && TREE_CODE (captures[1]) == INTEGER_CST && tree_int_cst_sign_bit (captures[1]) == 0))
								      {
									gimple_seq *lseq = seq;
									if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1882, %s:%d\n", __FILE__, __LINE__);
									*res_code = NEGATE_EXPR;
									{
									  tree ops1[1], res;
									  ops1[0] = captures[1];
									  if (type != TREE_TYPE (ops1[0])
									      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
									    {
									      code_helper tem_code = NOP_EXPR;
									      tree tem_ops[3] = { ops1[0] };
									      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
									      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
									      if (!res) return false;
									    }
									  else
									    res = ops1[0];
									  res_ops[0] = res;
									}
									gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
									return true;
								      }
								  }
							      }
							  }
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case PLUS_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if (tree_swap_operands_p (o70, o71))
								    std::swap (o70, o71);
								  if ((o70 == o30 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o30, 0))
								    {
								      {
/* #line 1627 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o71, o30 };
									if (gimple_simplify_83 (res_code, res_ops, seq, valueize, type, captures))
									  return true;
								      }
								    }
								  if ((o71 == o30 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o30, 0))
								    {
								      {
/* #line 1627 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o70, o30 };
									if (gimple_simplify_83 (res_code, res_ops, seq, valueize, type, captures))
									  return true;
								      }
								    }
								  if ((o70 == o31 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o31, 0))
								    {
								      {
/* #line 1627 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o31, o30, o71, o31 };
									if (gimple_simplify_83 (res_code, res_ops, seq, valueize, type, captures))
									  return true;
								      }
								    }
								  if ((o71 == o31 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o31, 0))
								    {
								      {
/* #line 1627 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o31, o30, o70, o31 };
									if (gimple_simplify_83 (res_code, res_ops, seq, valueize, type, captures))
									  return true;
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case POINTER_PLUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case POINTER_PLUS_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if ((o70 == o30 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o30, 0))
								    {
								      {
/* #line 1627 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o71, o30 };
/* #line 1627 "../../gcc/match.pd" */
									if (!TYPE_SATURATING (type))
									  {
/* #line 1685 "../../gcc/match.pd" */
									    if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
									      {
/* #line 1921 "../../gcc/match.pd" */
										if (INTEGRAL_TYPE_P (type) && TYPE_OVERFLOW_UNDEFINED (type) && element_precision (type) <= element_precision (TREE_TYPE (captures[1])))
										  {
										    {
/* #line 1924 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (type);
											gimple_seq *lseq = seq;
											if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1925, %s:%d\n", __FILE__, __LINE__);
											*res_code = NOP_EXPR;
											{
											  tree ops1[2], res;
											  {
											    tree ops2[1], res;
											    ops2[0] = captures[1];
											    if (utype != TREE_TYPE (ops2[0])
											        && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
											      {
												code_helper tem_code = NOP_EXPR;
												tree tem_ops[3] = { ops2[0] };
												gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
												res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
												if (!res) return false;
											      }
											    else
											      res = ops2[0];
											    ops1[0] = res;
											  }
											  {
											    tree ops2[1], res;
											    ops2[0] = captures[2];
											    if (utype != TREE_TYPE (ops2[0])
											        && !useless_type_conversion_p (utype, TREE_TYPE (ops2[0])))
											      {
												code_helper tem_code = NOP_EXPR;
												tree tem_ops[3] = { ops2[0] };
												gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
												res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
												if (!res) return false;
											      }
											    else
											      res = ops2[0];
											    ops1[1] = res;
											  }
											  code_helper tem_code = MINUS_EXPR;
											  tree tem_ops[3] = { ops1[0], ops1[1] };
											  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
											  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
											  if (!res) return false;
											  res_ops[0] = res;
											}
											gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
											return true;
										    }
										  }
										else
										  {
/* #line 1926 "../../gcc/match.pd" */
										    if (element_precision (type) <= element_precision (TREE_TYPE (captures[1])) || (POINTER_TYPE_P (TREE_TYPE (captures[0])) && TREE_CODE (captures[1]) == INTEGER_CST && tree_int_cst_sign_bit (captures[1]) == 0 && TREE_CODE (captures[2]) == INTEGER_CST && tree_int_cst_sign_bit (captures[2]) == 0))
										      {
											gimple_seq *lseq = seq;
											if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1936, %s:%d\n", __FILE__, __LINE__);
											*res_code = MINUS_EXPR;
											{
											  tree ops1[1], res;
											  ops1[0] = captures[1];
											  if (type != TREE_TYPE (ops1[0])
											      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
											    {
											      code_helper tem_code = NOP_EXPR;
											      tree tem_ops[3] = { ops1[0] };
											      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
											      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
											      if (!res) return false;
											    }
											  else
											    res = ops1[0];
											  res_ops[0] = res;
											}
											{
											  tree ops1[1], res;
											  ops1[0] = captures[2];
											  if (type != TREE_TYPE (ops1[0])
											      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
											    {
											      code_helper tem_code = NOP_EXPR;
											      tree tem_ops[3] = { ops1[0] };
											      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
											      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
											      if (!res) return false;
											    }
											  else
											    res = ops1[0];
											  res_ops[1] = res;
											}
											gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
											return true;
										      }
										  }
									      }
									  }
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1950 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_66 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1950 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_66 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1950 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o51 };
					if (gimple_simplify_66 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1950 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o50 };
					if (gimple_simplify_66 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1950 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			if (gimple_simplify_155 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1950 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
			if (gimple_simplify_155 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1950 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_177 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1950 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, o20 };
			if (gimple_simplify_177 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_zerop (op0))
  {
    {
/* #line 2563 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op1 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2563, %s:%d\n", __FILE__, __LINE__);
      *res_code = NEGATE_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  }
if (real_zerop (op0))
  {
    {
/* #line 2573 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 2573 "../../gcc/match.pd" */
      if (fold_real_zero_addition_p (type, captures[0], 0))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2574, %s:%d\n", __FILE__, __LINE__);
	  *res_code = NEGATE_EXPR;
	  res_ops[0] = captures[1];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VIEW_CONVERT_EXPR:
	        {
		  tree o30 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o30) == SSA_NAME
		       || is_gimple_min_invariant (o30)))
		    {
		      o30 = do_valueize (valueize, o30);
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case VEC_COND_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      tree o41 = gimple_assign_rhs2 (def);
				      o41 = do_valueize (valueize, o41);
				      tree o42 = gimple_assign_rhs3 (def);
				      o42 = do_valueize (valueize, o42);
				      if (integer_each_onep (o41))
					{
					  if (integer_zerop (o42))
					    {
					      {
/* #line 2915 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op0, o30, o40, o41, o42 };
						if (gimple_simplify_215 (res_code, res_ops, seq, valueize, type, captures))
						  return true;
					      }
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case VEC_COND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  tree o32 = gimple_assign_rhs3 (def);
		  o32 = do_valueize (valueize, o32);
		  if (integer_each_onep (o31))
		    {
		      if (integer_zerop (o32))
			{
			  {
/* #line 2915 "../../gcc/match.pd" */
			    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o31, o32 };
			    if (gimple_simplify_215 (res_code, res_ops, seq, valueize, type, captures))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case RDIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 3897 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_189 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_BIT_IOR_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op1))
    {
      {
/* #line 99 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:99, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_zerop (o21))
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if (integer_zerop (o51))
					{
					  {
/* #line 671 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					    if (gimple_simplify_243 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
		  if (integer_all_onesp (o21))
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if (integer_all_onesp (o51))
					{
					  {
/* #line 680 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					    if (gimple_simplify_127 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
								    {
								      if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o40, 0) && types_match (o61, o40)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
									      return true;
									  }
								        }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
						  if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
						    {
						      switch (TREE_CODE (o61))
						        {
							case SSA_NAME:
							  if (gimple *def_stmt = get_def (valueize, o61))
							    {
							      if (gassign *def = dyn_cast <gassign *> (def_stmt))
							        switch (gimple_assign_rhs_code (def))
								  {
								  case BIT_NOT_EXPR:
								    {
								      tree o80 = gimple_assign_rhs1 (def);
								      o80 = do_valueize (valueize, o80);
								      if ((o80 == o20 && ! TREE_SIDE_EFFECTS (o80)) || (operand_equal_p (o80, o20, 0) && types_match (o80, o20)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
									      return true;
									  }
								        }
								      break;
								    }
								  default:;
								  }
							    }
							  break;
						        default:;
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  if ((o70 == o21 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o21, 0) && types_match (o70, o21)))
								    {
								      if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o21, o30 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
									      return true;
									  }
								        }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      switch (TREE_CODE (o61))
						        {
							case SSA_NAME:
							  if (gimple *def_stmt = get_def (valueize, o61))
							    {
							      if (gassign *def = dyn_cast <gassign *> (def_stmt))
							        switch (gimple_assign_rhs_code (def))
								  {
								  case BIT_NOT_EXPR:
								    {
								      tree o80 = gimple_assign_rhs1 (def);
								      o80 = do_valueize (valueize, o80);
								      if ((o80 == o21 && ! TREE_SIDE_EFFECTS (o80)) || (operand_equal_p (o80, o21, 0) && types_match (o80, o21)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o21, o30 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
									      return true;
									  }
								        }
								      break;
								    }
								  default:;
								  }
							    }
							  break;
						        default:;
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case BIT_AND_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 706 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o30, o61, o21 };
								    if (gimple_simplify_33 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case BIT_AND_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					switch (TREE_CODE (o50))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o50))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case BIT_NOT_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							  {
							    switch (TREE_CODE (o51))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 706 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
								    if (gimple_simplify_33 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 712 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_147 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 712 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_147 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      switch (TREE_CODE (o51))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o51))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case BIT_NOT_EXPR:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o21 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o21, 0) && types_match (o70, o21)))
							{
							  {
/* #line 717 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op0 };
							    if (gimple_simplify_220 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      switch (TREE_CODE (o51))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o51))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case BIT_NOT_EXPR:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
							{
							  {
/* #line 717 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, op0 };
							    if (gimple_simplify_220 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				    }
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
							{
							  {
/* #line 717 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op0 };
							    if (gimple_simplify_220 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
							{
							  {
/* #line 717 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, op0 };
							    if (gimple_simplify_220 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_XOR_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 712 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_147 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 712 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_147 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_XOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o40, 0) && types_match (o61, o40)))
							{
							  {
/* #line 717 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o20, o40, op1 };
							    if (gimple_simplify_151 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
						    {
						      if ((o61 == o20 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o20, 0) && types_match (o61, o20)))
							{
							  {
/* #line 717 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o20, o40, op1 };
							    if (gimple_simplify_151 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_XOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
							{
							  {
/* #line 717 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o21, o30, op1 };
							    if (gimple_simplify_151 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
							{
							  {
/* #line 717 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o21, o30, op1 };
							    if (gimple_simplify_151 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
				    {
				      {
/* #line 732 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o41 };
					if (gimple_simplify_152 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
				    {
				      {
/* #line 732 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o40 };
					if (gimple_simplify_152 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
				    {
				      {
/* #line 732 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o30, op0, o31 };
					if (gimple_simplify_152 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
				    {
				      {
/* #line 732 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o31, op0, o30 };
					if (gimple_simplify_152 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      if ((o61 == o31 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o31, 0) && types_match (o61, o31)))
							{
							  {
/* #line 743 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op0 };
							    if (gimple_simplify_114 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
						    {
						      if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
							{
							  {
/* #line 743 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op0 };
							    if (gimple_simplify_114 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 792 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 738 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
					    if (gimple_simplify_37 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					      return true;
					  }
				        }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 738 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
					    if (gimple_simplify_37 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 738 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
					    if (gimple_simplify_37 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
					      return true;
					  }
				        }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 738 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
					    if (gimple_simplify_37 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      CASE_CONVERT:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o21, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o21 };
					if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o21, o20, o20 };
					if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o21, 0))
		    {
		      {
/* #line 970 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o21 };
			if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o20, 0))
		    {
		      {
/* #line 970 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, o21, o20, o20 };
			if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 738 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, o21 };
					    if (gimple_simplify_175 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					      return true;
					  }
				        }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 738 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { op1, o21, o20 };
					    if (gimple_simplify_175 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case BIT_NOT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_XOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
							{
							  {
/* #line 743 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
							    if (gimple_simplify_120 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      if ((o61 == o20 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o20, 0) && types_match (o61, o20)))
							{
							  {
/* #line 743 "../../gcc/match.pd" */
							    tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, op1 };
							    if (gimple_simplify_120 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 738 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, o21 };
					    if (gimple_simplify_175 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
					      return true;
					  }
				        }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 738 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { op1, o21, o20 };
					    if (gimple_simplify_175 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if (integer_all_onesp (op1))
    {
      {
/* #line 774 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:774, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[1];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 779 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:779, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
						    {
						      {
/* #line 792 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o20 };
							if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o30 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o30, 0) && types_match (o50, o30)))
						    {
						      {
/* #line 792 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o30 };
							if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  switch (TREE_CODE (o50))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o50))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o60 = gimple_assign_rhs1 (def);
								  o60 = do_valueize (valueize, o60);
								  {
/* #line 907 "../../gcc/match.pd" */
								    tree captures[2] ATTRIBUTE_UNUSED = { o30, o60 };
								    if (gimple_simplify_200 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 907 "../../gcc/match.pd" */
						    tree captures[2] ATTRIBUTE_UNUSED = { o30, o50 };
						    if (gimple_simplify_200 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_AND_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if (tree_swap_operands_p (o70, o71))
								    std::swap (o70, o71);
								  if ((o70 == o30 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o30, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o71, o30 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o30 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o30, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o70, o30 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o70 == o31 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o31, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o31, o30, o71, o31 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o31 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o31, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o31, o30, o70, o31 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
									  return true;
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o31, 0))
						    {
						      {
/* #line 970 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op0, o30, o31, o31 };
							if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o30, 0))
						    {
						      {
/* #line 970 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op0, o31, o30, o30 };
							if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o31, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o30, o31, o31 };
					if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o30, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o31, o30, o30 };
					if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_IOR_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if (tree_swap_operands_p (o50, o51))
						    std::swap (o50, o51);
						  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
						    {
						      {
/* #line 970 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op1, o50, o51, o20 };
							if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
						    {
						      {
/* #line 970 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op1, o51, o50, o20 };
							if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_IOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, o20, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o41, o20 };
					if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, o20, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op1, o41, o40, o20 };
					if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 792 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
				    {
				      {
/* #line 834 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o41 };
					if (gimple_simplify_174 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
				    {
				      {
/* #line 834 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o40 };
					if (gimple_simplify_174 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 813 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_250 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
				    {
				      {
/* #line 834 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o30, o20, o31 };
					if (gimple_simplify_174 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
				    {
				      {
/* #line 834 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o31, o20, o30 };
					if (gimple_simplify_174 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 842 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o41, op0 };
					if (gimple_simplify_88 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, o20, 0) && types_match (o41, o20)))
				    {
				      {
/* #line 842 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o40, op0 };
					if (gimple_simplify_88 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 907 "../../gcc/match.pd" */
						    tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
						    if (gimple_simplify_200 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 907 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_200 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 842 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
					if (gimple_simplify_178 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 842 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, op1 };
					if (gimple_simplify_178 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 860 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_183 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, o20 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o50, o20 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o21, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o21, o20, o51, o21 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o21, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o21, o20, o50, o21 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 860 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_183 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, op0, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o41, op0 };
					if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, op0, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op1, o41, o40, op0 };
					if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || operand_equal_p (o31, op0, 0))
		    {
		      {
/* #line 970 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o31, op0 };
			if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || operand_equal_p (o30, op0, 0))
		    {
		      {
/* #line 970 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op1, o31, o30, op0 };
			if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_IOR_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if (tree_swap_operands_p (o70, o71))
								    std::swap (o70, o71);
								  if ((o70 == o30 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o30, 0) && types_match (o70, o30)))
								    {
								      {
/* #line 980 "../../gcc/match.pd" */
									tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1, o60, o71 };
									if (gimple_simplify_140 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o30 && ! TREE_SIDE_EFFECTS (o71)) || (operand_equal_p (o71, o30, 0) && types_match (o71, o30)))
								    {
								      {
/* #line 980 "../../gcc/match.pd" */
									tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1, o60, o70 };
									if (gimple_simplify_140 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
									  return true;
								      }
								    }
								  if ((o70 == o31 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o31, 0) && types_match (o70, o31)))
								    {
								      {
/* #line 980 "../../gcc/match.pd" */
									tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o31, o30, op1, o60, o71 };
									if (gimple_simplify_140 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o31 && ! TREE_SIDE_EFFECTS (o71)) || (operand_equal_p (o71, o31, 0) && types_match (o71, o31)))
								    {
								      {
/* #line 980 "../../gcc/match.pd" */
									tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o31, o30, op1, o60, o70 };
									if (gimple_simplify_140 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
									  return true;
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_IOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1, op1, o61 };
							if (gimple_simplify_87 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1, op1, o60 };
							if (gimple_simplify_87 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o31, o30, op1, op1, o61 };
							if (gimple_simplify_87 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  if ((o61 == o31 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o31, 0) && types_match (o61, o31)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o31, o30, op1, op1, o60 };
							if (gimple_simplify_87 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 1072 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_23 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 1072 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    if (gimple_simplify_23 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
		      return true;
		  }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_IOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1, o50, o61 };
							if (gimple_simplify_36 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  if ((o61 == o20 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o20, 0) && types_match (o61, o20)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1, o50, o60 };
							if (gimple_simplify_36 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o21, o20, op1, o50, o61 };
							if (gimple_simplify_36 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
						  if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o21, o20, op1, o50, o60 };
							if (gimple_simplify_36 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_IOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 980 "../../gcc/match.pd" */
					tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1, op1, o51 };
					if (gimple_simplify_198 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 980 "../../gcc/match.pd" */
					tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1, op1, o50 };
					if (gimple_simplify_198 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 980 "../../gcc/match.pd" */
					tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o21, o20, op1, op1, o51 };
					if (gimple_simplify_198 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 980 "../../gcc/match.pd" */
					tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o21, o20, op1, op1, o50 };
					if (gimple_simplify_198 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1099 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_214 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1099 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_214 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
				    {
				      {
/* #line 1104 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
					if (gimple_simplify_235 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
						    {
						      {
/* #line 1219 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o30, op1, o60 };
							if (gimple_simplify_263 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      {
/* #line 1219 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o30, op1, o61 };
							if (gimple_simplify_263 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
				    {
				      {
/* #line 1104 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
					if (gimple_simplify_235 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o40, 0) && types_match (o61, o40)))
						    {
						      {
/* #line 1219 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o40, op1, o60 };
							if (gimple_simplify_263 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
						    {
						      {
/* #line 1219 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o40, op1, o61 };
							if (gimple_simplify_263 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  switch (TREE_CODE (o51))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o51))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o70 = gimple_assign_rhs1 (def);
						  o70 = do_valueize (valueize, o70);
						  if ((o70 == o21 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o21, 0) && types_match (o70, o21)))
						    {
						      {
/* #line 1219 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { op1, o50, o21, op0, o20 };
							if (gimple_simplify_263 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
						    {
						      {
/* #line 1219 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { op1, o50, o20, op0, o21 };
							if (gimple_simplify_263 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      {
/* #line 1219 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { op1, o51, o21, op0, o20 };
							if (gimple_simplify_263 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      {
/* #line 1219 "../../gcc/match.pd" */
							tree captures[5] ATTRIBUTE_UNUSED = { op1, o51, o20, op0, o21 };
							if (gimple_simplify_263 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1099 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_214 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1099 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_214 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
				    {
				      {
/* #line 1104 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
					if (gimple_simplify_235 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o31))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o31))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
				    {
				      {
/* #line 1104 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
					if (gimple_simplify_235 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (CONSTANT_CLASS_P (o21))
		    {
		      if (CONSTANT_CLASS_P (op1))
			{
			  {
/* #line 1115 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			    if (gimple_simplify_216 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 1515 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_242 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_IOR_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case UNORDERED_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((o21 == o20 && ! TREE_SIDE_EFFECTS (o21)) || (operand_equal_p (o21, o20, 0) && types_match (o21, o20)))
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case UNORDERED_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if ((o51 == o50 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o50, 0) && types_match (o51, o50)))
					{
					  {
/* #line 3374 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
/* #line 3374 "../../gcc/match.pd" */
					    if (types_match (captures[0], captures[1]))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3375, %s:%d\n", __FILE__, __LINE__);
						*res_code = UNORDERED_EXPR;
						res_ops[0] = captures[0];
						res_ops[1] = captures[1];
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				        }
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  {
/* #line 3382 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, op1, o51 };
					    if (gimple_simplify_27 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 3382 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, op1, o50 };
					    if (gimple_simplify_27 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case UNORDERED_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 3382 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
					    if (gimple_simplify_212 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3382 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o21, op0, o20 };
					    if (gimple_simplify_212 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case GE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case GT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case GE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case NE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case NE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case EQ_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case LE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case GE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case GE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case LT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case LE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case GT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case EQ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3393 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_218 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_logical_inverted_value (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
	{
	  if (gimple_truth_valued_p (op1, valueize))
	    {
	      {
/* #line 1164 "../../gcc/match.pd" */
		tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		if (gimple_simplify_234 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
		  return true;
	      }
	    }
        }
}
}
if (gimple_truth_valued_p (op0, valueize))
  {
    {
      tree op1_pops[1];
      if (gimple_logical_inverted_value (op1, op1_pops, valueize))
        {
	  tree o30 = op1_pops[0];
	  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
	    {
	      {
/* #line 1164 "../../gcc/match.pd" */
		tree captures[1] ATTRIBUTE_UNUSED = { op0 };
		if (gimple_simplify_234 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR))
		  return true;
	      }
	    }
}
    }
  }
  return false;
}

static bool
gimple_simplify_BIT_XOR_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op1))
    {
      {
/* #line 99 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:99, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
								    {
								      if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o40, 0) && types_match (o61, o40)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
									      return true;
									  }
								        }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
						  if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
						    {
						      switch (TREE_CODE (o61))
						        {
							case SSA_NAME:
							  if (gimple *def_stmt = get_def (valueize, o61))
							    {
							      if (gassign *def = dyn_cast <gassign *> (def_stmt))
							        switch (gimple_assign_rhs_code (def))
								  {
								  case BIT_NOT_EXPR:
								    {
								      tree o80 = gimple_assign_rhs1 (def);
								      o80 = do_valueize (valueize, o80);
								      if ((o80 == o20 && ! TREE_SIDE_EFFECTS (o80)) || (operand_equal_p (o80, o20, 0) && types_match (o80, o20)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
									      return true;
									  }
								        }
								      break;
								    }
								  default:;
								  }
							    }
							  break;
						        default:;
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  if ((o70 == o21 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o21, 0) && types_match (o70, o21)))
								    {
								      if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o21, o30 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
									      return true;
									  }
								        }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      switch (TREE_CODE (o61))
						        {
							case SSA_NAME:
							  if (gimple *def_stmt = get_def (valueize, o61))
							    {
							      if (gassign *def = dyn_cast <gassign *> (def_stmt))
							        switch (gimple_assign_rhs_code (def))
								  {
								  case BIT_NOT_EXPR:
								    {
								      tree o80 = gimple_assign_rhs1 (def);
								      o80 = do_valueize (valueize, o80);
								      if ((o80 == o21 && ! TREE_SIDE_EFFECTS (o80)) || (operand_equal_p (o80, o21, 0) && types_match (o80, o21)))
									{
									  {
/* #line 703 "../../gcc/match.pd" */
									    tree captures[2] ATTRIBUTE_UNUSED = { o21, o30 };
									    if (gimple_simplify_144 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
									      return true;
									  }
								        }
								      break;
								    }
								  default:;
								  }
							    }
							  break;
						        default:;
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case BIT_AND_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 706 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o30, o61, o21 };
								    if (gimple_simplify_33 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      {
/* #line 722 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
							if (gimple_simplify_93 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case BIT_AND_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					switch (TREE_CODE (o50))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o50))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case BIT_NOT_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							  {
							    switch (TREE_CODE (o51))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 706 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
								    if (gimple_simplify_33 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      {
/* #line 722 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, o30 };
							if (gimple_simplify_93 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      switch (TREE_CODE (o41))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o41))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case BIT_NOT_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      {
/* #line 722 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, o60 };
							if (gimple_simplify_93 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				    }
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, o20, 0) && types_match (o41, o20)))
						    {
						      {
/* #line 722 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, o50 };
							if (gimple_simplify_93 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 792 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
						    {
						      {
/* #line 792 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o20 };
							if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o30 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o30, 0) && types_match (o50, o30)))
						    {
						      {
/* #line 792 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o30 };
							if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							switch (TREE_CODE (o60))
							  {
							  case SSA_NAME:
							    if (gimple *def_stmt = get_def (valueize, o60))
							      {
								if (gassign *def = dyn_cast <gassign *> (def_stmt))
								  switch (gimple_assign_rhs_code (def))
								    {
								    case BIT_AND_EXPR:
								      {
									tree o70 = gimple_assign_rhs1 (def);
									o70 = do_valueize (valueize, o70);
									tree o71 = gimple_assign_rhs2 (def);
									o71 = do_valueize (valueize, o71);
									if (tree_swap_operands_p (o70, o71))
									  std::swap (o70, o71);
									switch (TREE_CODE (o71))
									  {
									  case INTEGER_CST:
									    {
									      {
/* #line 919 "../../gcc/match.pd" */
										tree captures[6] ATTRIBUTE_UNUSED = { o20, o30, o31, o60, o70, o71 };
										if (gimple_simplify_128 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
										  return true;
									      }
									      break;
									    }
								          default:;
								          }
								        break;
								      }
								    default:;
								    }
							      }
							    break;
						          default:;
						          }
						        break;
						      }
						    case BIT_AND_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							switch (TREE_CODE (o61))
							  {
							  case INTEGER_CST:
							    {
							      {
/* #line 919 "../../gcc/match.pd" */
								tree captures[6] ATTRIBUTE_UNUSED = { o20, o30, o31, op1, o60, o61 };
								if (gimple_simplify_128 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
								  return true;
							      }
							      break;
							    }
						          default:;
						          }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o30, 0))
						    {
						      {
/* #line 927 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o30 };
							if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o31, 0))
						    {
						      {
/* #line 927 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o31 };
							if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o30, 0))
				    {
				      {
/* #line 927 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o30 };
					if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o31, 0))
				    {
				      {
/* #line 927 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o31 };
					if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_IOR_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if (tree_swap_operands_p (o50, o51))
						    std::swap (o50, o51);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
						    {
						      {
/* #line 927 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o50, o51, o20 };
							if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
						    {
						      {
/* #line 927 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o51, o50, o20 };
							if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_IOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, o20, 0))
				    {
				      {
/* #line 927 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o40, o41, o20 };
					if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, o20, 0))
				    {
				      {
/* #line 927 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o41, o40, o20 };
					if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 792 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_166 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 797 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:797, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] =  build_zero_cst (type);
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  if (integer_all_onesp (op1))
    {
      {
/* #line 802 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:802, %s:%d\n", __FILE__, __LINE__);
	*res_code = BIT_NOT_EXPR;
	res_ops[0] = captures[0];
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 847 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_91 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 860 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_183 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					switch (TREE_CODE (o50))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o50))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case BIT_AND_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							switch (TREE_CODE (o61))
							  {
							  case INTEGER_CST:
							    {
							      {
/* #line 919 "../../gcc/match.pd" */
								tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o21, o50, o60, o61 };
								if (gimple_simplify_128 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
								  return true;
							      }
							      break;
							    }
						          default:;
						          }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    case BIT_AND_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					switch (TREE_CODE (o51))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 919 "../../gcc/match.pd" */
						tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50, o51 };
						if (gimple_simplify_128 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 847 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_91 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 852 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_180 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      CASE_CONVERT:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
				    {
				      {
/* #line 927 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o20 };
					if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o21, 0))
				    {
				      {
/* #line 927 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o21 };
					if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o20, 0))
		    {
		      {
/* #line 927 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o20 };
			if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o21, 0))
		    {
		      {
/* #line 927 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o21 };
			if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 852 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_180 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 860 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_183 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      CASE_CONVERT:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o21, 0))
				    {
				      {
/* #line 974 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o21 };
					if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
				    {
				      {
/* #line 974 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o20 };
					if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o21, 0))
		    {
		      {
/* #line 974 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o21 };
			if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o20, 0))
		    {
		      {
/* #line 974 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o20 };
			if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, op0, 0))
				    {
				      {
/* #line 927 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o40, o41, op0 };
					if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, op0, 0))
				    {
				      {
/* #line 927 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o41, o40, op0 };
					if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || operand_equal_p (o30, op0, 0))
		    {
		      {
/* #line 927 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op0 };
			if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || operand_equal_p (o31, op0, 0))
		    {
		      {
/* #line 927 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, op0 };
			if (gimple_simplify_13 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  switch (TREE_CODE (o50))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o50))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o60 = gimple_assign_rhs1 (def);
								  o60 = do_valueize (valueize, o60);
								  {
/* #line 933 "../../gcc/match.pd" */
								    tree captures[2] ATTRIBUTE_UNUSED = { o30, o60 };
								    if (gimple_simplify_223 (res_code, res_ops, seq, valueize, type, captures))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 933 "../../gcc/match.pd" */
						    tree captures[2] ATTRIBUTE_UNUSED = { o30, o50 };
						    if (gimple_simplify_223 (res_code, res_ops, seq, valueize, type, captures))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    case INTEGER_CST:
				      {
					{
/* #line 940 "../../gcc/match.pd" */
					  tree captures[2] ATTRIBUTE_UNUSED = { o30, op1 };
					  if (gimple_simplify_219 (res_code, res_ops, seq, valueize, type, captures))
					    return true;
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 933 "../../gcc/match.pd" */
						    tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
						    if (gimple_simplify_223 (res_code, res_ops, seq, valueize, type, captures))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 933 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_223 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case INTEGER_CST:
		      {
			{
/* #line 940 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_219 (res_code, res_ops, seq, valueize, type, captures))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 948 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_81 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 948 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_81 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, o20 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o50, o20 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o21, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o21, o20, o51, o21 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o21, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o21, o20, o50, o21 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 948 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o30, op0 };
			if (gimple_simplify_81 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 948 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o31, op0 };
			if (gimple_simplify_81 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_AND_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if (tree_swap_operands_p (o70, o71))
								    std::swap (o70, o71);
								  if ((o70 == o30 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o30, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o71, o30 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o30 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o30, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o70, o30 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o70 == o31 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o31, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o31, o30, o71, o31 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o31 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o31, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o31, o30, o70, o31 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, BIT_AND_EXPR))
									  return true;
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o31, 0))
						    {
						      {
/* #line 974 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o31 };
							if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o30, 0))
						    {
						      {
/* #line 974 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o30 };
							if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o31, 0))
				    {
				      {
/* #line 974 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o31 };
					if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o30, 0))
				    {
				      {
/* #line 974 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o30 };
					if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_XOR_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if (tree_swap_operands_p (o50, o51))
						    std::swap (o50, o51);
						  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
						    {
						      {
/* #line 974 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o50, o51, o20 };
							if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
						    {
						      {
/* #line 974 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o51, o50, o20 };
							if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, o20, 0))
				    {
				      {
/* #line 974 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o40, o41, o20 };
					if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, o20, 0))
				    {
				      {
/* #line 974 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o41, o40, o20 };
					if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, op0, 0))
				    {
				      {
/* #line 974 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o40, o41, op0 };
					if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, op0, 0))
				    {
				      {
/* #line 974 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o41, o40, op0 };
					if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || operand_equal_p (o31, op0, 0))
		    {
		      {
/* #line 974 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op0 };
			if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || operand_equal_p (o30, op0, 0))
		    {
		      {
/* #line 974 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, op0 };
			if (gimple_simplify_205 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_XOR_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if (tree_swap_operands_p (o70, o71))
								    std::swap (o70, o71);
								  if ((o70 == o30 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o30, 0) && types_match (o70, o30)))
								    {
								      {
/* #line 989 "../../gcc/match.pd" */
									tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o71 };
									if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
									  return true;
								      }
								    }
								  if ((o71 == o30 && ! TREE_SIDE_EFFECTS (o71)) || (operand_equal_p (o71, o30, 0) && types_match (o71, o30)))
								    {
								      {
/* #line 989 "../../gcc/match.pd" */
									tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o70 };
									if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
									  return true;
								      }
								    }
								  if ((o70 == o31 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o31, 0) && types_match (o70, o31)))
								    {
								      {
/* #line 989 "../../gcc/match.pd" */
									tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o71 };
									if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
									  return true;
								      }
								    }
								  if ((o71 == o31 && ! TREE_SIDE_EFFECTS (o71)) || (operand_equal_p (o71, o31, 0) && types_match (o71, o31)))
								    {
								      {
/* #line 989 "../../gcc/match.pd" */
									tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o70 };
									if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
									  return true;
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_XOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      {
/* #line 989 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o61 };
							if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
						    {
						      {
/* #line 989 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o60 };
							if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
						    {
						      {
/* #line 989 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o61 };
							if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o61 == o31 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o31, 0) && types_match (o61, o31)))
						    {
						      {
/* #line 989 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o31, o30, o60 };
							if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 1072 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_23 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 1072 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    if (gimple_simplify_23 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
		      return true;
		  }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_XOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      {
/* #line 989 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o61 };
							if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o61 == o20 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o20, 0) && types_match (o61, o20)))
						    {
						      {
/* #line 989 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o60 };
							if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      {
/* #line 989 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o61 };
							if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
						  if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
						    {
						      {
/* #line 989 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o60 };
							if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 989 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 989 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 989 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 989 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_238 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if (CONSTANT_CLASS_P (o21))
		    {
		      if (CONSTANT_CLASS_P (op1))
			{
			  {
/* #line 1115 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			    if (gimple_simplify_216 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_logical_inverted_value (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
	{
	  if (gimple_truth_valued_p (op1, valueize))
	    {
	      {
/* #line 1164 "../../gcc/match.pd" */
		tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		if (gimple_simplify_234 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
		  return true;
	      }
	    }
        }
}
}
{
  tree op0_pops[1];
  if (gimple_nop_convert (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      switch (TREE_CODE (o20))
        {
	case SSA_NAME:
	  if (gimple *def_stmt = get_def (valueize, o20))
	    {
	      if (gassign *def = dyn_cast <gassign *> (def_stmt))
	        switch (gimple_assign_rhs_code (def))
		  {
		  case BIT_NOT_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      {
/* #line 1213 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, op1 };
			if (gimple_simplify_256 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		      break;
		    }
		  default:;
		  }
	    }
	  break;
        default:;
        }
}
}
if (gimple_truth_valued_p (op0, valueize))
  {
    {
      tree op1_pops[1];
      if (gimple_logical_inverted_value (op1, op1_pops, valueize))
        {
	  tree o30 = op1_pops[0];
	  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
	    {
	      {
/* #line 1164 "../../gcc/match.pd" */
		tree captures[1] ATTRIBUTE_UNUSED = { op0 };
		if (gimple_simplify_234 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR))
		  return true;
	      }
	    }
}
    }
  }
  {
    tree op1_pops[1];
    if (gimple_nop_convert (op1, op1_pops, valueize))
      {
	tree o30 = op1_pops[0];
	switch (TREE_CODE (o30))
	  {
	  case SSA_NAME:
	    if (gimple *def_stmt = get_def (valueize, o30))
	      {
		if (gassign *def = dyn_cast <gassign *> (def_stmt))
		  switch (gimple_assign_rhs_code (def))
		    {
		    case BIT_NOT_EXPR:
		      {
			tree o40 = gimple_assign_rhs1 (def);
			o40 = do_valueize (valueize, o40);
			{
/* #line 1213 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o40, op0 };
			  if (gimple_simplify_256 (res_code, res_ops, seq, valueize, type, captures))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	      }
	    break;
          default:;
          }
}
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 1515 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_242 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, BIT_XOR_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case LT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GE_EXPR, UNGE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case LE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR, UNGT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case EQ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, NE_EXPR, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case NE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, EQ_EXPR, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case GE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, LT_EXPR, UNLT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case GT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LE_EXPR, UNLE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case UNORDERED_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, UNORDERED_EXPR, ORDERED_EXPR, ORDERED_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case ORDERED_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, ORDERED_EXPR, UNORDERED_EXPR, UNORDERED_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case UNLT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, UNLT_EXPR, GE_EXPR, GE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case UNLE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, UNLE_EXPR, GT_EXPR, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case UNGT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, UNGT_EXPR, LE_EXPR, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case UNGE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, UNGE_EXPR, LT_EXPR, LT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case UNEQ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, UNEQ_EXPR, LTGT_EXPR, LTGT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case LTGT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_truep (op1))
		    {
		      {
/* #line 2970 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_72 (res_code, res_ops, seq, valueize, type, captures, LTGT_EXPR, UNEQ_EXPR, UNEQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_POINTER_DIFF_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op1))
    {
      {
/* #line 109 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:109, %s:%d\n", __FILE__, __LINE__);
	*res_code = NOP_EXPR;
	res_ops[0] = captures[0];
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, op0, 0))
    {
      {
/* #line 135 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:135, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] =  build_zero_cst (type);
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case ADDR_EXPR:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					{
/* #line 1595 "../../gcc/match.pd" */
					  tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 1595 "../../gcc/match.pd" */
					  if (tree_nop_conversion_p (TREE_TYPE(captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE(captures[2]), TREE_TYPE (captures[3])))
					    {
					      {
/* #line 1597 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1598 "../../gcc/match.pd" */
						  if (ptr_difference_const (captures[1], captures[3], &diff))
						    {
						      gimple_seq *lseq = seq;
						      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1599, %s:%d\n", __FILE__, __LINE__);
						      res_ops[0] =  build_int_cst_type (type, diff);
						      *res_code = TREE_CODE (res_ops[0]);
						      return true;
						    }
					      }
					    }
					}
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			{
/* #line 1595 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, op1 };
/* #line 1595 "../../gcc/match.pd" */
			  if (tree_nop_conversion_p (TREE_TYPE(captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE(captures[2]), TREE_TYPE (captures[3])))
			    {
			      {
/* #line 1597 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1598 "../../gcc/match.pd" */
				  if (ptr_difference_const (captures[1], captures[3], &diff))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1599, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] =  build_int_cst_type (type, diff);
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
			      }
			    }
			}
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case ADDR_EXPR:
				      {
					{
/* #line 1602 "../../gcc/match.pd" */
					  tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 1602 "../../gcc/match.pd" */
					  if (tree_nop_conversion_p (TREE_TYPE(captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE(captures[2]), TREE_TYPE (captures[3])))
					    {
					      {
/* #line 1604 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1605 "../../gcc/match.pd" */
						  if (ptr_difference_const (captures[1], captures[3], &diff))
						    {
						      gimple_seq *lseq = seq;
						      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1606, %s:%d\n", __FILE__, __LINE__);
						      res_ops[0] =  build_int_cst_type (type, diff);
						      *res_code = TREE_CODE (res_ops[0]);
						      return true;
						    }
					      }
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case ADDR_EXPR:
		      {
			{
/* #line 1602 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, op1 };
/* #line 1602 "../../gcc/match.pd" */
			  if (tree_nop_conversion_p (TREE_TYPE(captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE(captures[2]), TREE_TYPE (captures[3])))
			    {
			      {
/* #line 1604 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1605 "../../gcc/match.pd" */
				  if (ptr_difference_const (captures[1], captures[3], &diff))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1606, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] =  build_int_cst_type (type, diff);
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
			      }
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    if (gimple *def_stmt = get_def (valueize, op1))
	      {
		if (gassign *def = dyn_cast <gassign *> (def_stmt))
		  switch (gimple_assign_rhs_code (def))
		    {
		    CASE_CONVERT:
		      {
			tree o30 = gimple_assign_rhs1 (def);
			o30 = do_valueize (valueize, o30);
			{
/* #line 1595 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, op1, o30 };
/* #line 1595 "../../gcc/match.pd" */
			  if (tree_nop_conversion_p (TREE_TYPE(captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE(captures[2]), TREE_TYPE (captures[3])))
			    {
			      {
/* #line 1597 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1598 "../../gcc/match.pd" */
				  if (ptr_difference_const (captures[1], captures[3], &diff))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1599, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] =  build_int_cst_type (type, diff);
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
			      }
			    }
			}
		        break;
		      }
		    default:;
		    }
	      }
	    break;
          default:;
          }
	{
/* #line 1595 "../../gcc/match.pd" */
	  tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, op1, op1 };
/* #line 1595 "../../gcc/match.pd" */
	  if (tree_nop_conversion_p (TREE_TYPE(captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE(captures[2]), TREE_TYPE (captures[3])))
	    {
	      {
/* #line 1597 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1598 "../../gcc/match.pd" */
		  if (ptr_difference_const (captures[1], captures[3], &diff))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1599, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  build_int_cst_type (type, diff);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
	      }
	    }
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case ADDR_EXPR:
		      {
			{
/* #line 1602 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, op1, o30 };
/* #line 1602 "../../gcc/match.pd" */
			  if (tree_nop_conversion_p (TREE_TYPE(captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE(captures[2]), TREE_TYPE (captures[3])))
			    {
			      {
/* #line 1604 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1605 "../../gcc/match.pd" */
				  if (ptr_difference_const (captures[1], captures[3], &diff))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1606, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] =  build_int_cst_type (type, diff);
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
			      }
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	{
/* #line 1602 "../../gcc/match.pd" */
	  tree captures[4] ATTRIBUTE_UNUSED = { op0, op0, op1, op1 };
/* #line 1602 "../../gcc/match.pd" */
	  if (tree_nop_conversion_p (TREE_TYPE(captures[0]), TREE_TYPE (captures[1])) && tree_nop_conversion_p (TREE_TYPE(captures[2]), TREE_TYPE (captures[3])))
	    {
	      {
/* #line 1604 "../../gcc/match.pd" */
 poly_int64 diff;
/* #line 1605 "../../gcc/match.pd" */
		  if (ptr_difference_const (captures[1], captures[3], &diff))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1606, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] =  build_int_cst_type (type, diff);
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
	      }
	    }
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case POINTER_PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o20, 0))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o20 };
/* #line 1627 "../../gcc/match.pd" */
			if (!TYPE_SATURATING (type))
			  {
/* #line 1685 "../../gcc/match.pd" */
			    if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
			      {
				{
/* #line 1840 "../../gcc/match.pd" */
 tree stype = signed_type_for (TREE_TYPE (captures[1]));
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1844, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NOP_EXPR;
				    {
				      tree ops1[1], res;
				      ops1[0] = captures[1];
				      code_helper tem_code = VIEW_CONVERT_EXPR;
				      tree tem_ops[3] = { ops1[0] };
				      gimple_resimplify1 (lseq, &tem_code, stype, tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, stype, tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				}
			      }
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case POINTER_PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || operand_equal_p (o30, op0, 0))
		    {
		      {
/* #line 1627 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op0 };
/* #line 1627 "../../gcc/match.pd" */
			if (!TYPE_SATURATING (type))
			  {
/* #line 1685 "../../gcc/match.pd" */
			    if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
			      {
				{
/* #line 1887 "../../gcc/match.pd" */
 tree stype = signed_type_for (TREE_TYPE (captures[1]));
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1891, %s:%d\n", __FILE__, __LINE__);
				    *res_code = NEGATE_EXPR;
				    {
				      tree ops1[1], res;
				      {
					tree ops2[1], res;
					ops2[0] = captures[1];
					code_helper tem_code = VIEW_CONVERT_EXPR;
					tree tem_ops[3] = { ops2[0] };
					gimple_resimplify1 (lseq, &tem_code, stype, tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, stype, tem_ops, lseq);
					if (!res) return false;
					ops1[0] = res;
				      }
				      if (type != TREE_TYPE (ops1[0])
				          && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					{
					  code_helper tem_code = NOP_EXPR;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					  if (!res) return false;
				        }
				      else
				        res = ops1[0];
				      res_ops[0] = res;
				    }
				    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				    return true;
				}
			      }
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case POINTER_PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
				    {
				      {
/* #line 1627 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, o20 };
/* #line 1627 "../../gcc/match.pd" */
					if (!TYPE_SATURATING (type))
					  {
/* #line 1685 "../../gcc/match.pd" */
					    if ((!FLOAT_TYPE_P (type) || flag_associative_math) && !FIXED_POINT_TYPE_P (type))
					      {
						{
/* #line 1941 "../../gcc/match.pd" */
 tree stype = signed_type_for (TREE_TYPE (captures[1]));
						    gimple_seq *lseq = seq;
						    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1945, %s:%d\n", __FILE__, __LINE__);
						    *res_code = MINUS_EXPR;
						    {
						      tree ops1[1], res;
						      {
							tree ops2[1], res;
							ops2[0] = captures[1];
							code_helper tem_code = VIEW_CONVERT_EXPR;
							tree tem_ops[3] = { ops2[0] };
							gimple_resimplify1 (lseq, &tem_code, stype, tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, stype, tem_ops, lseq);
							if (!res) return false;
							ops1[0] = res;
						      }
						      if (type != TREE_TYPE (ops1[0])
						          && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
							{
							  code_helper tem_code = NOP_EXPR;
							  tree tem_ops[3] = { ops1[0] };
							  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
							  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
							  if (!res) return false;
						        }
						      else
						        res = ops1[0];
						      res_ops[0] = res;
						    }
						    {
						      tree ops1[1], res;
						      {
							tree ops2[1], res;
							ops2[0] = captures[2];
							code_helper tem_code = VIEW_CONVERT_EXPR;
							tree tem_ops[3] = { ops2[0] };
							gimple_resimplify1 (lseq, &tem_code, stype, tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, stype, tem_ops, lseq);
							if (!res) return false;
							ops1[0] = res;
						      }
						      if (type != TREE_TYPE (ops1[0])
						          && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
							{
							  code_helper tem_code = NOP_EXPR;
							  tree tem_ops[3] = { ops1[0] };
							  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
							  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
							  if (!res) return false;
						        }
						      else
						        res = ops1[0];
						      res_ops[1] = res;
						    }
						    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						    return true;
						}
					      }
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_zerop (op0))
  {
    {
/* #line 2566 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op1 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2566, %s:%d\n", __FILE__, __LINE__);
      *res_code = NEGATE_EXPR;
      {
	tree ops1[1], res;
	ops1[0] = captures[0];
	if (type != TREE_TYPE (ops1[0])
	    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
	  {
	    code_helper tem_code = NOP_EXPR;
	    tree tem_ops[3] = { ops1[0] };
	    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
	    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
	    if (!res) return false;
	  }
	else
	  res = ops1[0];
	res_ops[0] = res;
      }
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  }
  return false;
}

static bool
gimple_simplify_MULT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF16:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF32:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF64:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF128:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF32X:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF64X:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF128X:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      case CFN_COPYSIGN:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			    if (gimple_simplify_73 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_zerop (op1))
  {
    {
/* #line 139 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:139, %s:%d\n", __FILE__, __LINE__);
      res_ops[0] = captures[1];
      *res_code = TREE_CODE (res_ops[0]);
      return true;
    }
  }
if (real_zerop (op1))
  {
    {
/* #line 147 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 147 "../../gcc/match.pd" */
      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:148, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] = captures[1];
	  *res_code = TREE_CODE (res_ops[0]);
	  return true;
	}
    }
  }
if (real_onep (op1))
  {
    {
/* #line 154 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 154 "../../gcc/match.pd" */
      if (!HONOR_SNANS (type) && (!HONOR_SIGNED_ZEROS (type) || !COMPLEX_FLOAT_TYPE_P (type)))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:157, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] = captures[0];
	  *res_code = TREE_CODE (res_ops[0]);
	  return true;
	}
    }
  }
if (real_minus_onep (op1))
  {
    {
/* #line 162 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 162 "../../gcc/match.pd" */
      if (!HONOR_SNANS (type) && (!HONOR_SIGNED_ZEROS (type) || !COMPLEX_FLOAT_TYPE_P (type)))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:165, %s:%d\n", __FILE__, __LINE__);
	  *res_code = NEGATE_EXPR;
	  res_ops[0] = captures[0];
	  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
    }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (real_onep (o20))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 204 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o21 };
			    if (gimple_simplify_165 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
			      return true;
			  }
		        }
		      switch (TREE_CODE (o21))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o21))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { o40 };
					    if (gimple_simplify_265 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF16:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF32:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF64:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF128:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF32X:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF64X:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF128X:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_COPYSIGN:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if (real_onep (o30))
		    {
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case NEGATE_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 210 "../../gcc/match.pd" */
					    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
					    if (gimple_simplify_269 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_onep (op1))
  {
    {
/* #line 223 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_26 (res_code, res_ops, seq, valueize, type, captures, MULT_EXPR))
        return true;
    }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 301 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				{
/* #line 301 "../../gcc/match.pd" */
 bool overflow_p;
 wide_int mul = wi::mul (wi::to_wide (captures[1]), wi::to_wide (captures[2]), TYPE_SIGN (type), &overflow_p);
/* #line 308 "../../gcc/match.pd" */
				    if (!overflow_p || TYPE_OVERFLOW_WRAPS (type))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:309, %s:%d\n", __FILE__, __LINE__);
					*res_code = MULT_EXPR;
					res_ops[0] = captures[0];
					res_ops[1] =  wide_int_to_tree (type, mul);
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				}
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_pow2p (o21))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 507 "../../gcc/match.pd" */
			    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 507 "../../gcc/match.pd" */
			    if (TYPE_UNSIGNED (TREE_TYPE (captures[0])))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:508, %s:%d\n", __FILE__, __LINE__);
				*res_code = BIT_AND_EXPR;
				res_ops[0] = captures[0];
				{
				  tree ops1[1], res;
				  ops1[0] = captures[1];
				  code_helper tem_code = NEGATE_EXPR;
				  tree tem_ops[3] = { ops1[0] };
				  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				  if (!res) return false;
				  res_ops[1] = res;
				}
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			  }
		        }
		    }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 554 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:554, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[1];
			res_ops[1] = captures[1];
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COPYSIGNF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 608 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_118 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LSHIFT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (integer_onep (o40))
				    {
				      {
/* #line 626 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o40, o41 };
					if (gimple_simplify_24 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LSHIFT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (integer_onep (o30))
				    {
				      {
/* #line 626 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op1, o30, o31 };
					if (gimple_simplify_24 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      case NEGATE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if (gimple_negate_expr_p (o50, valueize))
						    {
						      {
/* #line 1033 "../../gcc/match.pd" */
							tree captures[2] ATTRIBUTE_UNUSED = { o30, o50 };
							if (gimple_simplify_181 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				if (gimple_negate_expr_p (op1, valueize))
				  {
				    {
/* #line 1033 "../../gcc/match.pd" */
				      tree captures[2] ATTRIBUTE_UNUSED = { o30, op1 };
				      if (gimple_simplify_181 (res_code, res_ops, seq, valueize, type, captures))
				        return true;
				    }
				  }
			          break;
			        }
			      case GT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  {
/* #line 1232 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
				    if (gimple_simplify_267 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      case LT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  {
/* #line 1232 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
				    if (gimple_simplify_267 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      case GE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  {
/* #line 1232 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
				    if (gimple_simplify_267 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      case LE_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  {
/* #line 1232 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
				    if (gimple_simplify_267 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      case EXACT_DIV_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o31, 0))
						    {
						      {
/* #line 2540 "../../gcc/match.pd" */
							tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o31 };
							if (gimple_simplify_241 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o31, 0))
				    {
				      {
/* #line 2540 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, o31 };
					if (gimple_simplify_241 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (gimple_negate_expr_p (o20, valueize))
		  {
		    switch (TREE_CODE (op1))
		      {
		      case SSA_NAME:
		        if (gimple *def_stmt = get_def (valueize, op1))
		          {
			    if (gassign *def = dyn_cast <gassign *> (def_stmt))
			      switch (gimple_assign_rhs_code (def))
				{
				CASE_CONVERT:
				  {
				    tree o40 = gimple_assign_rhs1 (def);
				    o40 = do_valueize (valueize, o40);
				    switch (TREE_CODE (o40))
				      {
				      case SSA_NAME:
				        if (gimple *def_stmt = get_def (valueize, o40))
				          {
					    if (gassign *def = dyn_cast <gassign *> (def_stmt))
					      switch (gimple_assign_rhs_code (def))
						{
						case NEGATE_EXPR:
						  {
						    tree o50 = gimple_assign_rhs1 (def);
						    o50 = do_valueize (valueize, o50);
						    {
/* #line 1033 "../../gcc/match.pd" */
						      tree captures[2] ATTRIBUTE_UNUSED = { o50, o20 };
						      if (gimple_simplify_181 (res_code, res_ops, seq, valueize, type, captures))
						        return true;
						    }
						    break;
						  }
						default:;
						}
				          }
				        break;
				      default:;
				      }
				    break;
				  }
				case NEGATE_EXPR:
				  {
				    tree o40 = gimple_assign_rhs1 (def);
				    o40 = do_valueize (valueize, o40);
				    {
/* #line 1033 "../../gcc/match.pd" */
				      tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
				      if (gimple_simplify_181 (res_code, res_ops, seq, valueize, type, captures))
				        return true;
				    }
				    break;
				  }
				default:;
				}
		          }
		        break;
		      default:;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LSHIFT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (integer_onep (o30))
		    {
		      {
/* #line 626 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o31 };
			if (gimple_simplify_24 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_onep (o20))
		    {
		      {
/* #line 626 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, o21 };
			if (gimple_simplify_24 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case RDIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 646 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
/* #line 646 "../../gcc/match.pd" */
				if (flag_associative_math && single_use (captures[0]))
				  {
				    {
/* #line 648 "../../gcc/match.pd" */
 tree tem = const_binop (MULT_EXPR, type, captures[1], captures[3]);
/* #line 650 "../../gcc/match.pd" */
					if (tem)
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:651, %s:%d\n", __FILE__, __LINE__);
					    *res_code = RDIV_EXPR;
					    res_ops[0] =  tem;
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				    }
				  }
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  if (gimple_negate_expr_p (o40, valueize))
				    {
				      {
/* #line 1033 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
					if (gimple_simplify_181 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (gimple_negate_expr_p (op1, valueize))
		  {
		    {
/* #line 1033 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_181 (res_code, res_ops, seq, valueize, type, captures))
		        return true;
		    }
		  }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o21, 0))
				    {
				      {
/* #line 2540 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o21 };
					if (gimple_simplify_241 (res_code, res_ops, seq, valueize, type, captures))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o21, 0))
		    {
		      {
/* #line 2540 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o21 };
			if (gimple_simplify_241 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (gimple_negate_expr_p (op0, valueize))
  {
    switch (TREE_CODE (op1))
      {
      case SSA_NAME:
        if (gimple *def_stmt = get_def (valueize, op1))
          {
	    if (gassign *def = dyn_cast <gassign *> (def_stmt))
	      switch (gimple_assign_rhs_code (def))
		{
		CASE_CONVERT:
		  {
		    tree o30 = gimple_assign_rhs1 (def);
		    o30 = do_valueize (valueize, o30);
		    switch (TREE_CODE (o30))
		      {
		      case SSA_NAME:
		        if (gimple *def_stmt = get_def (valueize, o30))
		          {
			    if (gassign *def = dyn_cast <gassign *> (def_stmt))
			      switch (gimple_assign_rhs_code (def))
				{
				case NEGATE_EXPR:
				  {
				    tree o40 = gimple_assign_rhs1 (def);
				    o40 = do_valueize (valueize, o40);
				    {
/* #line 1033 "../../gcc/match.pd" */
				      tree captures[2] ATTRIBUTE_UNUSED = { o40, op0 };
				      if (gimple_simplify_181 (res_code, res_ops, seq, valueize, type, captures))
				        return true;
				    }
				    break;
				  }
				default:;
				}
		          }
		        break;
		      default:;
		      }
		    break;
		  }
		case NEGATE_EXPR:
		  {
		    tree o30 = gimple_assign_rhs1 (def);
		    o30 = do_valueize (valueize, o30);
		    {
/* #line 1033 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o30, op0 };
		      if (gimple_simplify_181 (res_code, res_ops, seq, valueize, type, captures))
		        return true;
		    }
		    break;
		  }
		default:;
		}
          }
        break;
      default:;
      }
  }
  if (integer_minus_onep (op1))
    {
      {
/* #line 2579 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2579, %s:%d\n", __FILE__, __LINE__);
	*res_code = NEGATE_EXPR;
	res_ops[0] = captures[0];
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 2585 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
			  if (gimple_simplify_17 (res_code, res_ops, seq, valueize, type, captures))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  switch (TREE_CODE (o31))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 2585 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o31, op0 };
			  if (gimple_simplify_17 (res_code, res_ops, seq, valueize, type, captures))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF))
			  return true;
		      }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3915, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_SQRTF;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MULT_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT))
			  return true;
		      }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3915, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_SQRT;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MULT_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL))
			  return true;
		      }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3915, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_SQRTL;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MULT_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF16))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF32))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF64))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF128))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF32X))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF64X))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF128X))
			  return true;
		      }
		    }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
		    {
		      {
/* #line 3897 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o20 };
			if (gimple_simplify_63 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT))
			  return true;
		      }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3915, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_SQRT;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MULT_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_CBRTF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3915, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_CBRTF;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MULT_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_CBRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_CBRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3915, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_CBRT;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MULT_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_CBRTL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3915, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_CBRTL;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MULT_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXPF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXPF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXPF;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POWF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXPF;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOGF;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXP:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXP;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POW:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXPL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXPL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXPL;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POWL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXPL;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOGL;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_EXP:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_EXP;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_POW:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_EXP;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_LOG;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXP2F:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXP2F;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POWF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP2F;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG2F;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXP2:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXP2;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POW:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP2;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG2;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXP2L:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXP2L;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POWL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP2L;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG2L;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_EXP2:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_EXP2;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_POW:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_EXP2;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_LOG2;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXP10F:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXP10F;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POWF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP10F;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10F;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXP10:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXP10;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POW:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP10;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_EXP10L:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_EXP10L;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POWL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP10L;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10L;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_EXP10:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_EXP10;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_POW:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_EXP10;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_LOG10;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POW10F:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_POW10F;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POWF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_POW10F;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10F;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POW10:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_POW10;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POW:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_POW10;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POW10L:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3921, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_POW10L;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = PLUS_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      case CFN_BUILT_IN_POWL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_call_arg (def, 1);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case REAL_CST:
				      {
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op1, o40, o41, op0, o20 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_POW10L;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10L;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gcall *def = dyn_cast <gcall *> (def_stmt))
				  switch (gimple_call_combined_fn (def))
				    {
				    case CFN_BUILT_IN_EXPF:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXPF;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOGF;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_EXP2F:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP2F;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG2F;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_EXP10F:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP10F;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10F;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_POW10F:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_POW10F;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10F;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			      if (gimple_simplify_225 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gcall *def = dyn_cast <gcall *> (def_stmt))
				  switch (gimple_call_combined_fn (def))
				    {
				    case CFN_BUILT_IN_EXP:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_EXP2:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP2;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG2;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_EXP10:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP10;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_POW10:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_POW10;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			      if (gimple_simplify_225 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gcall *def = dyn_cast <gcall *> (def_stmt))
				  switch (gimple_call_combined_fn (def))
				    {
				    case CFN_BUILT_IN_EXPL:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXPL;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOGL;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_EXP2L:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP2L;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG2L;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_EXP10L:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_EXP10L;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10L;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_BUILT_IN_POW10L:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_BUILT_IN_POW10L;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_BUILT_IN_LOG10L;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			      if (gimple_simplify_225 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gcall *def = dyn_cast <gcall *> (def_stmt))
				  switch (gimple_call_combined_fn (def))
				    {
				    case CFN_EXP:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_EXP;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_LOG;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_EXP2:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_EXP2;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_LOG2;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    case CFN_EXP10:
				      {
					tree o50 = gimple_call_arg (def, 0);
					o50 = do_valueize (valueize, o50);
					{
/* #line 3897 "../../gcc/match.pd" */
					  tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 3897 "../../gcc/match.pd" */
					  if (flag_unsafe_math_optimizations)
					    {
/* #line 4057 "../../gcc/match.pd" */
					      if (real_compare (GT_EXPR, TREE_REAL_CST_PTR (captures[1]), &dconst0) && real_isfinite (TREE_REAL_CST_PTR (captures[1])))
						{
						  gimple_seq *lseq = seq;
						  if (lseq
						      && (!single_use (captures[0])
						          || !single_use (captures[3])))
						    lseq = NULL;
						  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4059, %s:%d\n", __FILE__, __LINE__);
						  *res_code = CFN_EXP10;
						  {
						    tree ops1[2], res;
						    {
						      tree ops2[2], res;
						      {
							tree ops3[1], res;
							ops3[0] = captures[1];
							code_helper tem_code = CFN_LOG10;
							tree tem_ops[3] = { ops3[0] };
							gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops3[0]), tem_ops, valueize);
							res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops3[0]), tem_ops, lseq);
							if (!res) return false;
							ops2[0] = res;
						      }
						      ops2[1] = captures[2];
						      code_helper tem_code = MULT_EXPR;
						      tree tem_ops[3] = { ops2[0], ops2[1] };
						      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						      if (!res) return false;
						      ops1[0] = res;
						    }
						    ops1[1] = captures[4];
						    code_helper tem_code = PLUS_EXPR;
						    tree tem_ops[3] = { ops1[0], ops1[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						    if (!res) return false;
						    res_ops[0] = res;
						  }
						  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						  return true;
						}
					    }
					}
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			      if (gimple_simplify_225 (res_code, res_ops, seq, valueize, type, captures, CFN_POW))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_TANF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_COSF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_226 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TANF, CFN_BUILT_IN_COSF, CFN_BUILT_IN_SINF))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_TAN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_COS:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_226 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TAN, CFN_BUILT_IN_COS, CFN_BUILT_IN_SIN))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_TANL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_COSL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_226 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TANL, CFN_BUILT_IN_COSL, CFN_BUILT_IN_SINL))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_TAN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_COS:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_226 (res_code, res_ops, seq, valueize, type, captures, CFN_TAN, CFN_COS, CFN_SIN))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COSF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_TANF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, op0 };
					if (gimple_simplify_226 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TANF, CFN_BUILT_IN_COSF, CFN_BUILT_IN_SINF))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COS:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_TAN:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, op0 };
					if (gimple_simplify_226 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TAN, CFN_BUILT_IN_COS, CFN_BUILT_IN_SIN))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COSL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_TANL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, op0 };
					if (gimple_simplify_226 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TANL, CFN_BUILT_IN_COSL, CFN_BUILT_IN_SINL))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_COS:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_TAN:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op1, o20, op0 };
					if (gimple_simplify_226 (res_code, res_ops, seq, valueize, type, captures, CFN_TAN, CFN_COS, CFN_SIN))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case REAL_CST:
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			      if (gimple_simplify_225 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case REAL_CST:
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			      if (gimple_simplify_225 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case REAL_CST:
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			      if (gimple_simplify_225 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case REAL_CST:
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			      if (gimple_simplify_225 (res_code, res_ops, seq, valueize, type, captures, CFN_POW))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POWF:
			        {
				  tree o50 = gimple_call_arg (def, 0);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_call_arg (def, 1);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_168 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_255 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POW:
			        {
				  tree o50 = gimple_call_arg (def, 0);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_call_arg (def, 1);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_168 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_255 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POWL:
			        {
				  tree o50 = gimple_call_arg (def, 0);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_call_arg (def, 1);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_168 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_255 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_POW:
			        {
				  tree o50 = gimple_call_arg (def, 0);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_call_arg (def, 1);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_168 (res_code, res_ops, seq, valueize, type, captures, CFN_POW))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_255 (res_code, res_ops, seq, valueize, type, captures, CFN_POW))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWIF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POWIF:
			        {
				  tree o50 = gimple_call_arg (def, 0);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_call_arg (def, 1);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 4144 "../../gcc/match.pd" */
					if (flag_unsafe_math_optimizations && canonicalize_math_p ())
					  {
					    gimple_seq *lseq = seq;
					    if (lseq
					        && (!single_use (captures[0])
					            || !single_use (captures[3])))
					      lseq = NULL;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4193, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_POWIF;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] = captures[4];
					      code_helper tem_code = MULT_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWI:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POWI:
			        {
				  tree o50 = gimple_call_arg (def, 0);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_call_arg (def, 1);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 4144 "../../gcc/match.pd" */
					if (flag_unsafe_math_optimizations && canonicalize_math_p ())
					  {
					    gimple_seq *lseq = seq;
					    if (lseq
					        && (!single_use (captures[0])
					            || !single_use (captures[3])))
					      lseq = NULL;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4193, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_POWI;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] = captures[4];
					      code_helper tem_code = MULT_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWIL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_POWIL:
			        {
				  tree o50 = gimple_call_arg (def, 0);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_call_arg (def, 1);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
/* #line 4144 "../../gcc/match.pd" */
					if (flag_unsafe_math_optimizations && canonicalize_math_p ())
					  {
					    gimple_seq *lseq = seq;
					    if (lseq
					        && (!single_use (captures[0])
					            || !single_use (captures[3])))
					      lseq = NULL;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4193, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_POWIL;
					    {
					      tree ops1[2], res;
					      ops1[0] = captures[1];
					      ops1[1] = captures[4];
					      code_helper tem_code = MULT_EXPR;
					      tree tem_ops[3] = { ops1[0], ops1[1] };
					      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[0] = res;
					    }
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGN (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGN;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGN;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGN))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNL;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNL;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNL))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF16;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF16;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF16:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF16))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF32;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF32;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF32:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF64;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF64;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF64:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF128;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF128;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF128:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF32X;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF32X;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF32X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF32X))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF64X;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF64X;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF64X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF64X))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_COPYSIGNF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF128X;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_BUILT_IN_COPYSIGNF128X;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF128X:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COPYSIGNF128X))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_COPYSIGN (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_COPYSIGN;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 549 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    const combined_fn copysigns = CFN_COPYSIGN;
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:549, %s:%d\n", __FILE__, __LINE__);
		    *res_code = copysigns;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 216 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_94 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 594 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_20 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 602 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    if (gimple_simplify_115 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4114 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_9 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
	  return true;
      }
    }
  if (tree_expr_nonnegative_p (op1))
    {
      {
/* #line 4119 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_34 (res_code, res_ops, seq, valueize, type, captures, CFN_COPYSIGN))
	  return true;
      }
    }
  return false;
}

static bool
gimple_simplify_TRUNC_DIV_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LSHIFT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (integer_onep (o30))
		    {
		      {
/* #line 231 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o31 };
/* #line 231 "../../gcc/match.pd" */
			if ((TYPE_UNSIGNED (type) || tree_expr_nonnegative_p (captures[0])) && (!VECTOR_TYPE_P (type) || target_supports_op_p (type, RSHIFT_EXPR, optab_vector) || target_supports_op_p (type, RSHIFT_EXPR, optab_scalar)))
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:235, %s:%d\n", __FILE__, __LINE__);
			    *res_code = RSHIFT_EXPR;
			    res_ops[0] = captures[0];
			    res_ops[1] = captures[2];
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_onep (op1))
  {
    {
/* #line 223 "../../gcc/match.pd" */
      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
      if (gimple_simplify_26 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
        return true;
    }
  }
  if (integer_zerop (op0))
    {
      {
/* #line 245 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_56 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 250 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_129 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 257 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_249 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 286 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_204 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 383 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
						if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 383 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_pow2p (o21))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 498 "../../gcc/match.pd" */
			    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 498 "../../gcc/match.pd" */
			    if (TYPE_UNSIGNED (TREE_TYPE (captures[0])))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:499, %s:%d\n", __FILE__, __LINE__);
				*res_code = BIT_AND_EXPR;
				res_ops[0] = captures[0];
				res_ops[1] =  wide_int_to_tree (type, wi::mask (TYPE_PRECISION (type) - wi::exact_log2 (wi::to_wide (captures[1])), false, TYPE_PRECISION (type)));
				gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			  }
		        }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, TRUNC_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CEIL_DIV_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_onep (op1))
    {
      {
/* #line 223 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_26 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op0))
    {
      {
/* #line 245 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_56 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 250 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_129 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 257 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_249 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 383 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
						if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 383 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, CEIL_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_FLOOR_DIV_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_onep (op1))
    {
      {
/* #line 223 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_26 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op0))
    {
      {
/* #line 245 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_56 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 250 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_129 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 257 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_249 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  {
/* #line 277 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 277 "../../gcc/match.pd" */
    if ((INTEGRAL_TYPE_P (type) || VECTOR_INTEGER_TYPE_P (type)) && TYPE_UNSIGNED (type))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:279, %s:%d\n", __FILE__, __LINE__);
	*res_code = TRUNC_DIV_EXPR;
	res_ops[0] = captures[0];
	res_ops[1] = captures[1];
	gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 383 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
						if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 383 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, FLOOR_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_ROUND_DIV_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_onep (op1))
    {
      {
/* #line 223 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_26 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op0))
    {
      {
/* #line 245 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_56 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 250 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_129 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 257 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_249 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 383 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
						if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 383 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, ROUND_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_EXACT_DIV_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_onep (op1))
    {
      {
/* #line 223 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_26 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op0))
    {
      {
/* #line 245 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_56 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 250 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_129 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 257 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_249 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 262 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_75 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 269 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_193 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 286 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_204 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 383 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
						if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 383 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_231 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 514 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_14 (res_code, res_ops, seq, valueize, type, captures, EXACT_DIV_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_RDIV_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 315 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 315 "../../gcc/match.pd" */
	if (FLOAT_TYPE_P (type) && ! HONOR_NANS (type) && ! HONOR_INFINITIES (type))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:318, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] =  build_one_cst (type);
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 324 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_42 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 324 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_42 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case ABS_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
						    {
						      {
/* #line 332 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o20 };
							if (gimple_simplify_90 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case ABS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o30 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o30, 0) && types_match (o50, o30)))
						    {
						      {
/* #line 332 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o30 };
							if (gimple_simplify_90 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_90 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 332 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_90 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if (real_onep (op1))
    {
      {
/* #line 346 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 346 "../../gcc/match.pd" */
	if (!HONOR_SNANS (type))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:347, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] = captures[0];
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
    }
  if (real_minus_onep (op1))
    {
      {
/* #line 352 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 352 "../../gcc/match.pd" */
	if (!HONOR_SNANS (type))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:353, %s:%d\n", __FILE__, __LINE__);
	    *res_code = NEGATE_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case RDIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 355 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
/* #line 355 "../../gcc/match.pd" */
		    if (flag_reciprocal_math)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[0])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:359, %s:%d\n", __FILE__, __LINE__);
			*res_code = RDIV_EXPR;
			res_ops[0] = captures[1];
			{
			  tree ops1[2], res;
			  ops1[0] = captures[2];
			  ops1[1] = captures[3];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  switch (TREE_CODE (o31))
		    {
		    case REAL_CST:
		      {
			{
/* #line 355 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o31 };
/* #line 355 "../../gcc/match.pd" */
			  if (flag_reciprocal_math)
			    {
			      {
/* #line 364 "../../gcc/match.pd" */
 tree tem = const_binop (RDIV_EXPR, type, build_one_cst (type), captures[3]);
/* #line 366 "../../gcc/match.pd" */
				  if (tem)
				    {
				      gimple_seq *lseq = seq;
				      if (lseq
				          && (!single_use (captures[1])))
				        lseq = NULL;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:367, %s:%d\n", __FILE__, __LINE__);
				      *res_code = RDIV_EXPR;
				      {
					tree ops1[2], res;
					ops1[0] = captures[0];
					ops1[1] =  tem;
					code_helper tem_code = MULT_EXPR;
					tree tem_ops[3] = { ops1[0], ops1[1] };
					gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					if (!res) return false;
					res_ops[0] = res;
				      }
				      res_ops[1] = captures[2];
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
			      }
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case RDIV_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  {
/* #line 355 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o31 };
/* #line 355 "../../gcc/match.pd" */
		    if (flag_reciprocal_math)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:372, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[2];
			  code_helper tem_code = RDIV_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			res_ops[1] = captures[3];
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 377 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:377, %s:%d\n", __FILE__, __LINE__);
		    *res_code = RDIV_EXPR;
		    {
		      tree ops1[1], res;
		      ops1[0] = captures[0];
		      code_helper tem_code = NEGATE_EXPR;
		      tree tem_ops[3] = { ops1[0] };
		      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		      if (!res) return false;
		      res_ops[0] = res;
		    }
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o40, o41 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[1])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3927, %s:%d\n", __FILE__, __LINE__);
					*res_code = MULT_EXPR;
					res_ops[0] = captures[0];
					{
					  tree ops1[1], res;
					  {
					    tree ops2[2], res;
					    ops2[0] = captures[4];
					    ops2[1] = captures[3];
					    code_helper tem_code = RDIV_EXPR;
					    tree tem_ops[3] = { ops2[0], ops2[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
					    if (!res) return false;
					    ops1[0] = res;
					  }
					  code_helper tem_code = CFN_BUILT_IN_SQRTF;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o40, o41 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[1])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3927, %s:%d\n", __FILE__, __LINE__);
					*res_code = MULT_EXPR;
					res_ops[0] = captures[0];
					{
					  tree ops1[1], res;
					  {
					    tree ops2[2], res;
					    ops2[0] = captures[4];
					    ops2[1] = captures[3];
					    code_helper tem_code = RDIV_EXPR;
					    tree tem_ops[3] = { ops2[0], ops2[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
					    if (!res) return false;
					    ops1[0] = res;
					  }
					  code_helper tem_code = CFN_BUILT_IN_SQRT;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o40, o41 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[1])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3927, %s:%d\n", __FILE__, __LINE__);
					*res_code = MULT_EXPR;
					res_ops[0] = captures[0];
					{
					  tree ops1[1], res;
					  {
					    tree ops2[2], res;
					    ops2[0] = captures[4];
					    ops2[1] = captures[3];
					    code_helper tem_code = RDIV_EXPR;
					    tree tem_ops[3] = { ops2[0], ops2[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
					    if (!res) return false;
					    ops1[0] = res;
					  }
					  code_helper tem_code = CFN_BUILT_IN_SQRTL;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o40, o41 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[1])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3927, %s:%d\n", __FILE__, __LINE__);
					*res_code = MULT_EXPR;
					res_ops[0] = captures[0];
					{
					  tree ops1[1], res;
					  {
					    tree ops2[2], res;
					    ops2[0] = captures[4];
					    ops2[1] = captures[3];
					    code_helper tem_code = RDIV_EXPR;
					    tree tem_ops[3] = { ops2[0], ops2[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
					    if (!res) return false;
					    ops1[0] = res;
					  }
					  code_helper tem_code = CFN_SQRT;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTF:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o40, o41 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[1])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3927, %s:%d\n", __FILE__, __LINE__);
					*res_code = MULT_EXPR;
					res_ops[0] = captures[0];
					{
					  tree ops1[1], res;
					  {
					    tree ops2[2], res;
					    ops2[0] = captures[4];
					    ops2[1] = captures[3];
					    code_helper tem_code = RDIV_EXPR;
					    tree tem_ops[3] = { ops2[0], ops2[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
					    if (!res) return false;
					    ops1[0] = res;
					  }
					  code_helper tem_code = CFN_BUILT_IN_CBRTF;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_CBRT:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o40, o41 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[1])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3927, %s:%d\n", __FILE__, __LINE__);
					*res_code = MULT_EXPR;
					res_ops[0] = captures[0];
					{
					  tree ops1[1], res;
					  {
					    tree ops2[2], res;
					    ops2[0] = captures[4];
					    ops2[1] = captures[3];
					    code_helper tem_code = RDIV_EXPR;
					    tree tem_ops[3] = { ops2[0], ops2[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
					    if (!res) return false;
					    ops1[0] = res;
					  }
					  code_helper tem_code = CFN_BUILT_IN_CBRT;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTL:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case RDIV_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  {
/* #line 3897 "../../gcc/match.pd" */
				    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o30, o40, o41 };
/* #line 3897 "../../gcc/match.pd" */
				    if (flag_unsafe_math_optimizations)
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[1])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3927, %s:%d\n", __FILE__, __LINE__);
					*res_code = MULT_EXPR;
					res_ops[0] = captures[0];
					{
					  tree ops1[1], res;
					  {
					    tree ops2[2], res;
					    ops2[0] = captures[4];
					    ops2[1] = captures[3];
					    code_helper tem_code = RDIV_EXPR;
					    tree tem_ops[3] = { ops2[0], ops2[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
					    if (!res) return false;
					    ops1[0] = res;
					  }
					  code_helper tem_code = CFN_BUILT_IN_CBRTL;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXPF:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXPF;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXP;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXPL:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXPL;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_EXP;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2F:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXP2F;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXP2;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2L:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXP2L;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP2:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_EXP2;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10F:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXP10F;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXP10;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10L:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_EXP10L;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP10:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_EXP10;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10F:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_POW10F;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_POW10;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10L:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o30 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (lseq
			    && (!single_use (captures[1])))
			  lseq = NULL;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3933, %s:%d\n", __FILE__, __LINE__);
			*res_code = MULT_EXPR;
			res_ops[0] = captures[0];
			{
			  tree ops1[1], res;
			  {
			    tree ops2[1], res;
			    ops2[0] = captures[2];
			    code_helper tem_code = NEGATE_EXPR;
			    tree tem_ops[3] = { ops2[0] };
			    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
			    if (!res) return false;
			    ops1[0] = res;
			  }
			  code_helper tem_code = CFN_BUILT_IN_POW10L;
			  tree tem_ops[3] = { ops1[0] };
			  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 399 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 399 "../../gcc/match.pd" */
	  if (optimize)
	    {
/* #line 400 "../../gcc/match.pd" */
	      if (flag_reciprocal_math && !real_zerop (captures[1]))
		{
		  {
/* #line 402 "../../gcc/match.pd" */
 tree tem = const_binop (RDIV_EXPR, type, build_one_cst (type), captures[1]);
/* #line 404 "../../gcc/match.pd" */
		      if (tem)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:405, %s:%d\n", __FILE__, __LINE__);
			  *res_code = MULT_EXPR;
			  res_ops[0] = captures[0];
			  res_ops[1] =  tem;
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		  }
		}
	      else
		{
/* #line 406 "../../gcc/match.pd" */
		  if (REAL_CST != COMPLEX_CST)
		    {
		      {
/* #line 407 "../../gcc/match.pd" */
 tree inverse = exact_inverse (type, captures[1]);
/* #line 408 "../../gcc/match.pd" */
			  if (inverse)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:409, %s:%d\n", __FILE__, __LINE__);
			      *res_code = MULT_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] =  inverse;
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
		      }
		    }
		}
	    }
	}
        break;
      }
    case COMPLEX_CST:
      {
	{
/* #line 399 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 399 "../../gcc/match.pd" */
	  if (optimize)
	    {
/* #line 400 "../../gcc/match.pd" */
	      if (flag_reciprocal_math && !real_zerop (captures[1]))
		{
		  {
/* #line 402 "../../gcc/match.pd" */
 tree tem = const_binop (RDIV_EXPR, type, build_one_cst (type), captures[1]);
/* #line 404 "../../gcc/match.pd" */
		      if (tem)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:405, %s:%d\n", __FILE__, __LINE__);
			  *res_code = MULT_EXPR;
			  res_ops[0] = captures[0];
			  res_ops[1] =  tem;
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		  }
		}
	      else
		{
/* #line 406 "../../gcc/match.pd" */
		  if (COMPLEX_CST != COMPLEX_CST)
		    {
		      {
/* #line 407 "../../gcc/match.pd" */
 tree inverse = exact_inverse (type, captures[1]);
/* #line 408 "../../gcc/match.pd" */
			  if (inverse)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:409, %s:%d\n", __FILE__, __LINE__);
			      *res_code = MULT_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] =  inverse;
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
		      }
		    }
		}
	    }
	}
        break;
      }
    case VECTOR_CST:
      {
	{
/* #line 399 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 399 "../../gcc/match.pd" */
	  if (optimize)
	    {
/* #line 400 "../../gcc/match.pd" */
	      if (flag_reciprocal_math && !real_zerop (captures[1]))
		{
		  {
/* #line 402 "../../gcc/match.pd" */
 tree tem = const_binop (RDIV_EXPR, type, build_one_cst (type), captures[1]);
/* #line 404 "../../gcc/match.pd" */
		      if (tem)
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:405, %s:%d\n", __FILE__, __LINE__);
			  *res_code = MULT_EXPR;
			  res_ops[0] = captures[0];
			  res_ops[1] =  tem;
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		  }
		}
	      else
		{
/* #line 406 "../../gcc/match.pd" */
		  if (VECTOR_CST != COMPLEX_CST)
		    {
		      {
/* #line 407 "../../gcc/match.pd" */
 tree inverse = exact_inverse (type, captures[1]);
/* #line 408 "../../gcc/match.pd" */
			  if (inverse)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:409, %s:%d\n", __FILE__, __LINE__);
			      *res_code = MULT_EXPR;
			      res_ops[0] = captures[0];
			      res_ops[1] =  inverse;
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
		      }
		    }
		}
	    }
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SINF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_COSF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_51 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SINF, CFN_BUILT_IN_COSF, CFN_BUILT_IN_TANF))
					  return true;
				      }
				    }
			          break;
			        }
			      case CFN_BUILT_IN_TANF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_5 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SINF, CFN_BUILT_IN_TANF, CFN_BUILT_IN_COSF))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SIN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_COS:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_51 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SIN, CFN_BUILT_IN_COS, CFN_BUILT_IN_TAN))
					  return true;
				      }
				    }
			          break;
			        }
			      case CFN_BUILT_IN_TAN:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_5 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SIN, CFN_BUILT_IN_TAN, CFN_BUILT_IN_COS))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SINL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_COSL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_51 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SINL, CFN_BUILT_IN_COSL, CFN_BUILT_IN_TANL))
					  return true;
				      }
				    }
			          break;
			        }
			      case CFN_BUILT_IN_TANL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_5 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SINL, CFN_BUILT_IN_TANL, CFN_BUILT_IN_COSL))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_SIN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_COS:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_51 (res_code, res_ops, seq, valueize, type, captures, CFN_SIN, CFN_COS, CFN_TAN))
					  return true;
				      }
				    }
			          break;
			        }
			      case CFN_TAN:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_5 (res_code, res_ops, seq, valueize, type, captures, CFN_SIN, CFN_TAN, CFN_COS))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COSF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SINF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_50 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COSF, CFN_BUILT_IN_SINF, CFN_BUILT_IN_TANF))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COS:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SIN:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_50 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COS, CFN_BUILT_IN_SIN, CFN_BUILT_IN_TAN))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_COSL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SINL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_50 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_COSL, CFN_BUILT_IN_SINL, CFN_BUILT_IN_TANL))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_COS:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SIN:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_50 (res_code, res_ops, seq, valueize, type, captures, CFN_COS, CFN_SIN, CFN_TAN))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_TANF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SINF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_167 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TANF, CFN_BUILT_IN_SINF, CFN_BUILT_IN_COSF))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_TAN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SIN:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_167 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TAN, CFN_BUILT_IN_SIN, CFN_BUILT_IN_COS))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_TANL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SINL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_167 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_TANL, CFN_BUILT_IN_SINL, CFN_BUILT_IN_COSL))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_TAN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SIN:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 4144 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
					if (gimple_simplify_167 (res_code, res_ops, seq, valueize, type, captures, CFN_TAN, CFN_SIN, CFN_COS))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			      if (gimple_simplify_227 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			      if (gimple_simplify_227 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			      if (gimple_simplify_227 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 4144 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			      if (gimple_simplify_227 (res_code, res_ops, seq, valueize, type, captures, CFN_POW))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o31 };
		    if (gimple_simplify_253 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF))
		      return true;
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o31 };
		    if (gimple_simplify_253 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW))
		      return true;
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o31 };
		    if (gimple_simplify_253 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL))
		      return true;
		  }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o31 };
		    if (gimple_simplify_253 (res_code, res_ops, seq, valueize, type, captures, CFN_POW))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CEIL_MOD_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op0))
    {
      {
/* #line 416 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_245 (res_code, res_ops, seq, valueize, type, captures, CEIL_MOD_EXPR))
	  return true;
      }
    }
  if (integer_onep (op1))
    {
      {
/* #line 421 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_68 (res_code, res_ops, seq, valueize, type, captures, CEIL_MOD_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 425 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_123 (res_code, res_ops, seq, valueize, type, captures, CEIL_MOD_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 431 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_188 (res_code, res_ops, seq, valueize, type, captures, CEIL_MOD_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CEIL_MOD_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 436 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_52 (res_code, res_ops, seq, valueize, type, captures, CEIL_MOD_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 440 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_108 (res_code, res_ops, seq, valueize, type, captures, CEIL_MOD_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_FLOOR_MOD_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op0))
    {
      {
/* #line 416 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_245 (res_code, res_ops, seq, valueize, type, captures, FLOOR_MOD_EXPR))
	  return true;
      }
    }
  if (integer_onep (op1))
    {
      {
/* #line 421 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_68 (res_code, res_ops, seq, valueize, type, captures, FLOOR_MOD_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 425 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_123 (res_code, res_ops, seq, valueize, type, captures, FLOOR_MOD_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 431 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_188 (res_code, res_ops, seq, valueize, type, captures, FLOOR_MOD_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case FLOOR_MOD_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 436 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_52 (res_code, res_ops, seq, valueize, type, captures, FLOOR_MOD_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 440 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_108 (res_code, res_ops, seq, valueize, type, captures, FLOOR_MOD_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
		    tree o30_pops[1];
		    if (gimple_power_of_two_cand (o30, o30_pops, valueize))
		      {
			tree o40 = o30_pops[0];
			{
/* #line 489 "../../gcc/match.pd" */
			  tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o40 };
			  if (gimple_simplify_131 (res_code, res_ops, seq, valueize, type, captures, FLOOR_MOD_EXPR))
			    return true;
			}
}
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op1_pops[1];
  if (gimple_power_of_two_cand (op1, op1_pops, valueize))
    {
      tree o30 = op1_pops[0];
      {
/* #line 489 "../../gcc/match.pd" */
	tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, op1, o30 };
	if (gimple_simplify_3 (res_code, res_ops, seq, valueize, type, captures, FLOOR_MOD_EXPR))
	  return true;
      }
}
}
  return false;
}

static bool
gimple_simplify_ROUND_MOD_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op0))
    {
      {
/* #line 416 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_245 (res_code, res_ops, seq, valueize, type, captures, ROUND_MOD_EXPR))
	  return true;
      }
    }
  if (integer_onep (op1))
    {
      {
/* #line 421 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_68 (res_code, res_ops, seq, valueize, type, captures, ROUND_MOD_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 425 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_123 (res_code, res_ops, seq, valueize, type, captures, ROUND_MOD_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 431 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_188 (res_code, res_ops, seq, valueize, type, captures, ROUND_MOD_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case ROUND_MOD_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 436 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_52 (res_code, res_ops, seq, valueize, type, captures, ROUND_MOD_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 440 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_108 (res_code, res_ops, seq, valueize, type, captures, ROUND_MOD_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_TRUNC_MOD_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_zerop (op0))
    {
      {
/* #line 416 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_245 (res_code, res_ops, seq, valueize, type, captures, TRUNC_MOD_EXPR))
	  return true;
      }
    }
  if (integer_onep (op1))
    {
      {
/* #line 421 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_68 (res_code, res_ops, seq, valueize, type, captures, TRUNC_MOD_EXPR))
	  return true;
      }
    }
  if (integer_minus_onep (op1))
    {
      {
/* #line 425 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_123 (res_code, res_ops, seq, valueize, type, captures, TRUNC_MOD_EXPR))
	  return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 431 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_188 (res_code, res_ops, seq, valueize, type, captures, TRUNC_MOD_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case TRUNC_MOD_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 436 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_52 (res_code, res_ops, seq, valueize, type, captures, TRUNC_MOD_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 440 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_108 (res_code, res_ops, seq, valueize, type, captures, TRUNC_MOD_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 460 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { op0, o40 };
				    if (gimple_simplify_191 (res_code, res_ops, seq, valueize, type, captures))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		{
		  tree o30_pops[1];
		  if (gimple_power_of_two_cand (o30, o30_pops, valueize))
		    {
		      tree o40 = o30_pops[0];
		      {
/* #line 489 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o40 };
			if (gimple_simplify_131 (res_code, res_ops, seq, valueize, type, captures, TRUNC_MOD_EXPR))
			  return true;
		      }
}
		}
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 460 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    if (gimple_simplify_191 (res_code, res_ops, seq, valueize, type, captures))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case INTEGER_CST:
      {
	{
/* #line 449 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 449 "../../gcc/match.pd" */
	  if (TYPE_SIGN (type) == SIGNED && !TREE_OVERFLOW (captures[1]) && wi::neg_p (wi::to_wide (captures[1])) && !TYPE_OVERFLOW_TRAPS (type) && !sign_bit_p (captures[1], captures[1]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:455, %s:%d\n", __FILE__, __LINE__);
	      *res_code = TRUNC_MOD_EXPR;
	      res_ops[0] = captures[0];
	      {
		tree ops1[1], res;
		ops1[0] = captures[1];
		code_helper tem_code = NEGATE_EXPR;
		tree tem_ops[3] = { ops1[0] };
		gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
		res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
		if (!res) return false;
		res_ops[1] = res;
	      }
	      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
{
  tree op1_pops[1];
  if (gimple_power_of_two_cand (op1, op1_pops, valueize))
    {
      tree o30 = op1_pops[0];
      {
/* #line 489 "../../gcc/match.pd" */
	tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, op1, o30 };
	if (gimple_simplify_3 (res_code, res_ops, seq, valueize, type, captures, TRUNC_MOD_EXPR))
	  return true;
      }
}
}
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POWF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 528 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  const combined_fn pows = CFN_BUILT_IN_POWF;
			  {
/* #line 528 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 529 "../../gcc/match.pd" */
			      if (real_isinteger (&TREE_REAL_CST (captures[1]), &n) && (n & 1) == 0)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:530, %s:%d\n", __FILE__, __LINE__);
				  *res_code = pows;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[1];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			  }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 528 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  const combined_fn pows = CFN_BUILT_IN_POWF;
			  {
/* #line 528 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 529 "../../gcc/match.pd" */
			      if (real_isinteger (&TREE_REAL_CST (captures[1]), &n) && (n & 1) == 0)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:530, %s:%d\n", __FILE__, __LINE__);
				  *res_code = pows;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[1];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			  }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 568 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			  if (gimple_simplify_260 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF, CFN_BUILT_IN_COPYSIGNF))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXPF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXPF;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10F:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10F;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4236, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWF;
			res_ops[0] = captures[0];
			{
			  tree ops1[2], res;
			  ops1[0] = captures[1];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4240, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POWF;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] =  build_real_truncate (type, dconst_third ());
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4244, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POWF;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] = captures[2];
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 3897 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_1 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF, CFN_BUILT_IN_EXPF, CFN_BUILT_IN_LOGF, CFN_BUILT_IN_EXP2F, CFN_BUILT_IN_LOG2F))
	    return true;
	}
        break;
      }
    default:;
    }
if (real_onep (op0))
  {
    {
/* #line 4109 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      if (gimple_simplify_201 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWF))
        return true;
    }
  }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 4402 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  {
/* #line 4402 "../../gcc/match.pd" */
 const REAL_VALUE_TYPE *value = TREE_REAL_CST_PTR (captures[1]);
 REAL_VALUE_TYPE tmp;
/* #line 4408 "../../gcc/match.pd" */
	      if (real_equal (value, &dconst0))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4409, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  build_real (type, dconst1);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 4411 "../../gcc/match.pd" */
		  if (real_equal (value, &dconst1))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4412, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] = captures[0];
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 4414 "../../gcc/match.pd" */
		      if (real_equal (value, &dconstm1))
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4415, %s:%d\n", __FILE__, __LINE__);
			  *res_code = RDIV_EXPR;
			  res_ops[0] =  build_real (type, dconst1);
			  res_ops[1] = captures[0];
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
/* #line 4417 "../../gcc/match.pd" */
			  if (flag_unsafe_math_optimizations && canonicalize_math_p () && real_equal (value, &dconsthalf))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4420, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_SQRTF;
			      res_ops[0] = captures[0];
			      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
/* #line 4422 "../../gcc/match.pd" */
			      if (flag_unsafe_math_optimizations && canonicalize_math_p () && (tmp = real_value_truncate (TYPE_MODE (type), dconst_third ()), real_equal (value, &tmp)))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4426, %s:%d\n", __FILE__, __LINE__);
				  *res_code = CFN_BUILT_IN_CBRTF;
				  res_ops[0] = captures[0];
				  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			}
		    }
		}
	  }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POW (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 528 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  const combined_fn pows = CFN_BUILT_IN_POW;
			  {
/* #line 528 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 529 "../../gcc/match.pd" */
			      if (real_isinteger (&TREE_REAL_CST (captures[1]), &n) && (n & 1) == 0)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:530, %s:%d\n", __FILE__, __LINE__);
				  *res_code = pows;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[1];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			  }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 528 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  const combined_fn pows = CFN_BUILT_IN_POW;
			  {
/* #line 528 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 529 "../../gcc/match.pd" */
			      if (real_isinteger (&TREE_REAL_CST (captures[1]), &n) && (n & 1) == 0)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:530, %s:%d\n", __FILE__, __LINE__);
				  *res_code = pows;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[1];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			  }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 568 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			  if (gimple_simplify_260 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW, CFN_BUILT_IN_COPYSIGN))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4236, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW;
			res_ops[0] = captures[0];
			{
			  tree ops1[2], res;
			  ops1[0] = captures[1];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4240, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POW;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] =  build_real_truncate (type, dconst_third ());
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4244, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POW;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] = captures[2];
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 3897 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_1 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW, CFN_BUILT_IN_EXP, CFN_BUILT_IN_LOG, CFN_BUILT_IN_EXP2, CFN_BUILT_IN_LOG2))
	    return true;
	}
        break;
      }
    default:;
    }
if (real_onep (op0))
  {
    {
/* #line 4109 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      if (gimple_simplify_201 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POW))
        return true;
    }
  }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 4402 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  {
/* #line 4402 "../../gcc/match.pd" */
 const REAL_VALUE_TYPE *value = TREE_REAL_CST_PTR (captures[1]);
 REAL_VALUE_TYPE tmp;
/* #line 4408 "../../gcc/match.pd" */
	      if (real_equal (value, &dconst0))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4409, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  build_real (type, dconst1);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 4411 "../../gcc/match.pd" */
		  if (real_equal (value, &dconst1))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4412, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] = captures[0];
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 4414 "../../gcc/match.pd" */
		      if (real_equal (value, &dconstm1))
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4415, %s:%d\n", __FILE__, __LINE__);
			  *res_code = RDIV_EXPR;
			  res_ops[0] =  build_real (type, dconst1);
			  res_ops[1] = captures[0];
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
/* #line 4417 "../../gcc/match.pd" */
			  if (flag_unsafe_math_optimizations && canonicalize_math_p () && real_equal (value, &dconsthalf))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4420, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_SQRT;
			      res_ops[0] = captures[0];
			      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
/* #line 4422 "../../gcc/match.pd" */
			      if (flag_unsafe_math_optimizations && canonicalize_math_p () && (tmp = real_value_truncate (TYPE_MODE (type), dconst_third ()), real_equal (value, &tmp)))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4426, %s:%d\n", __FILE__, __LINE__);
				  *res_code = CFN_BUILT_IN_CBRT;
				  res_ops[0] = captures[0];
				  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			}
		    }
		}
	  }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POWL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 528 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  const combined_fn pows = CFN_BUILT_IN_POWL;
			  {
/* #line 528 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 529 "../../gcc/match.pd" */
			      if (real_isinteger (&TREE_REAL_CST (captures[1]), &n) && (n & 1) == 0)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:530, %s:%d\n", __FILE__, __LINE__);
				  *res_code = pows;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[1];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			  }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 528 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  const combined_fn pows = CFN_BUILT_IN_POWL;
			  {
/* #line 528 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 529 "../../gcc/match.pd" */
			      if (real_isinteger (&TREE_REAL_CST (captures[1]), &n) && (n & 1) == 0)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:530, %s:%d\n", __FILE__, __LINE__);
				  *res_code = pows;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[1];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			  }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 568 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			  if (gimple_simplify_260 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL, CFN_BUILT_IN_COPYSIGNL))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_EXPL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXPL;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP2L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP2L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_EXP10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_EXP10L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_POW10L:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POW10L;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4236, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_BUILT_IN_POWL;
			res_ops[0] = captures[0];
			{
			  tree ops1[2], res;
			  ops1[0] = captures[1];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_BUILT_IN_CBRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4240, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POWL;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] =  build_real_truncate (type, dconst_third ());
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      case CFN_BUILT_IN_POWL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4244, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_BUILT_IN_POWL;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] = captures[2];
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 3897 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_1 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL, CFN_BUILT_IN_EXPL, CFN_BUILT_IN_LOGL, CFN_BUILT_IN_EXP2L, CFN_BUILT_IN_LOG2L))
	    return true;
	}
        break;
      }
    default:;
    }
if (real_onep (op0))
  {
    {
/* #line 4109 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      if (gimple_simplify_201 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_POWL))
        return true;
    }
  }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 4402 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  {
/* #line 4402 "../../gcc/match.pd" */
 const REAL_VALUE_TYPE *value = TREE_REAL_CST_PTR (captures[1]);
 REAL_VALUE_TYPE tmp;
/* #line 4408 "../../gcc/match.pd" */
	      if (real_equal (value, &dconst0))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4409, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] =  build_real (type, dconst1);
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 4411 "../../gcc/match.pd" */
		  if (real_equal (value, &dconst1))
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4412, %s:%d\n", __FILE__, __LINE__);
		      res_ops[0] = captures[0];
		      *res_code = TREE_CODE (res_ops[0]);
		      return true;
		    }
		  else
		    {
/* #line 4414 "../../gcc/match.pd" */
		      if (real_equal (value, &dconstm1))
			{
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4415, %s:%d\n", __FILE__, __LINE__);
			  *res_code = RDIV_EXPR;
			  res_ops[0] =  build_real (type, dconst1);
			  res_ops[1] = captures[0];
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      else
			{
/* #line 4417 "../../gcc/match.pd" */
			  if (flag_unsafe_math_optimizations && canonicalize_math_p () && real_equal (value, &dconsthalf))
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4420, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_SQRTL;
			      res_ops[0] = captures[0];
			      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			  else
			    {
/* #line 4422 "../../gcc/match.pd" */
			      if (flag_unsafe_math_optimizations && canonicalize_math_p () && (tmp = real_value_truncate (TYPE_MODE (type), dconst_third ()), real_equal (value, &tmp)))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4426, %s:%d\n", __FILE__, __LINE__);
				  *res_code = CFN_BUILT_IN_CBRTL;
				  res_ops[0] = captures[0];
				  gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			}
		    }
		}
	  }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_POW (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 528 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  const combined_fn pows = CFN_POW;
			  {
/* #line 528 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 529 "../../gcc/match.pd" */
			      if (real_isinteger (&TREE_REAL_CST (captures[1]), &n) && (n & 1) == 0)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:530, %s:%d\n", __FILE__, __LINE__);
				  *res_code = pows;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[1];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			  }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 528 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  const combined_fn pows = CFN_POW;
			  {
/* #line 528 "../../gcc/match.pd" */
 HOST_WIDE_INT n;
/* #line 529 "../../gcc/match.pd" */
			      if (real_isinteger (&TREE_REAL_CST (captures[1]), &n) && (n & 1) == 0)
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:530, %s:%d\n", __FILE__, __LINE__);
				  *res_code = pows;
				  res_ops[0] = captures[0];
				  res_ops[1] = captures[1];
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			  }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 568 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			  if (gimple_simplify_260 (res_code, res_ops, seq, valueize, type, captures, CFN_POW, CFN_COPYSIGN))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_EXP:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_EXP;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP2:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_EXP2;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_EXP10:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 3897 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 3897 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations)
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4076, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_EXP10;
			{
			  tree ops1[2], res;
			  ops1[0] = captures[0];
			  ops1[1] = captures[1];
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[0] = res;
			}
			gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 4144 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 4144 "../../gcc/match.pd" */
		    if (flag_unsafe_math_optimizations && canonicalize_math_p ())
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4236, %s:%d\n", __FILE__, __LINE__);
			*res_code = CFN_POW;
			res_ops[0] = captures[0];
			{
			  tree ops1[2], res;
			  ops1[0] = captures[1];
			  ops1[1] =  build_real (type, dconsthalf);
			  code_helper tem_code = MULT_EXPR;
			  tree tem_ops[3] = { ops1[0], ops1[1] };
			  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			  if (!res) return false;
			  res_ops[1] = res;
			}
			gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      case CFN_POW:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  if (tree_expr_nonnegative_p (o20))
		    {
		      {
/* #line 4144 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
/* #line 4144 "../../gcc/match.pd" */
			if (flag_unsafe_math_optimizations && canonicalize_math_p ())
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4244, %s:%d\n", __FILE__, __LINE__);
			    *res_code = CFN_POW;
			    res_ops[0] = captures[0];
			    {
			      tree ops1[2], res;
			      ops1[0] = captures[1];
			      ops1[1] = captures[2];
			      code_helper tem_code = MULT_EXPR;
			      tree tem_ops[3] = { ops1[0], ops1[1] };
			      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			      if (!res) return false;
			      res_ops[1] = res;
			    }
			    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case REAL_CST:
      {
	{
/* #line 3897 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_1 (res_code, res_ops, seq, valueize, type, captures, CFN_POW, CFN_EXP, CFN_LOG, CFN_EXP2, CFN_LOG2))
	    return true;
	}
        break;
      }
    default:;
    }
if (real_onep (op0))
  {
    {
/* #line 4109 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      if (gimple_simplify_201 (res_code, res_ops, seq, valueize, type, captures, CFN_POW))
        return true;
    }
  }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POWIF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 535 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 535 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[1]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:536, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWIF;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[1];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 535 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 535 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[1]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:536, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWIF;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[1];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 576 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
/* #line 576 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[2]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:577, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWIF;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[2];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (real_onep (op0))
  {
    {
/* #line 4431 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      if (gimple_simplify_258 (res_code, res_ops, seq, valueize, type, captures))
        return true;
    }
  }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 4437 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4437 "../../gcc/match.pd" */
	  if (wi::to_wide (captures[1]) == 0)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4438, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_real (type, dconst1);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
/* #line 4440 "../../gcc/match.pd" */
	      if (wi::to_wide (captures[1]) == 1)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4441, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] = captures[0];
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 4443 "../../gcc/match.pd" */
		  if (wi::to_wide (captures[1]) == -1)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4444, %s:%d\n", __FILE__, __LINE__);
		      *res_code = RDIV_EXPR;
		      res_ops[0] =  build_real (type, dconst1);
		      res_ops[1] = captures[0];
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		}
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POWI (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 535 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 535 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[1]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:536, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWI;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[1];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 535 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 535 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[1]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:536, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWI;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[1];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 576 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
/* #line 576 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[2]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:577, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWI;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[2];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (real_onep (op0))
  {
    {
/* #line 4431 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      if (gimple_simplify_258 (res_code, res_ops, seq, valueize, type, captures))
        return true;
    }
  }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 4437 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4437 "../../gcc/match.pd" */
	  if (wi::to_wide (captures[1]) == 0)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4438, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_real (type, dconst1);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
/* #line 4440 "../../gcc/match.pd" */
	      if (wi::to_wide (captures[1]) == 1)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4441, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] = captures[0];
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 4443 "../../gcc/match.pd" */
		  if (wi::to_wide (captures[1]) == -1)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4444, %s:%d\n", __FILE__, __LINE__);
		      *res_code = RDIV_EXPR;
		      res_ops[0] =  build_real (type, dconst1);
		      res_ops[1] = captures[0];
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		}
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_POWIL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 535 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 535 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[1]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:536, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWIL;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[1];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 535 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 535 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[1]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:536, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWIL;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[1];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 576 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
/* #line 576 "../../gcc/match.pd" */
			  if ((wi::to_wide (captures[2]) & 1) == 0)
			    {
			      gimple_seq *lseq = seq;
			      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:577, %s:%d\n", __FILE__, __LINE__);
			      *res_code = CFN_BUILT_IN_POWIL;
			      res_ops[0] = captures[0];
			      res_ops[1] = captures[2];
			      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			      return true;
			    }
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (real_onep (op0))
  {
    {
/* #line 4431 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      if (gimple_simplify_258 (res_code, res_ops, seq, valueize, type, captures))
        return true;
    }
  }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 4437 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4437 "../../gcc/match.pd" */
	  if (wi::to_wide (captures[1]) == 0)
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4438, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] =  build_real (type, dconst1);
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
/* #line 4440 "../../gcc/match.pd" */
	      if (wi::to_wide (captures[1]) == 1)
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4441, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] = captures[0];
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	      else
		{
/* #line 4443 "../../gcc/match.pd" */
		  if (wi::to_wide (captures[1]) == -1)
		    {
		      gimple_seq *lseq = seq;
		      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4444, %s:%d\n", __FILE__, __LINE__);
		      *res_code = RDIV_EXPR;
		      res_ops[0] =  build_real (type, dconst1);
		      res_ops[1] = captures[0];
		      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		      return true;
		    }
		}
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_HYPOTF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 541 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:541, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTF;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 541 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:541, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTF;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 544 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:544, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTF;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 544 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:544, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTF;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 584 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:584, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTF;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[2];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNF:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  {
/* #line 588 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o31 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:588, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTF;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (real_zerop (op1))
  {
    {
/* #line 4104 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4104, %s:%d\n", __FILE__, __LINE__);
      *res_code = ABS_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  }
  if (real_zerop (op0))
    {
      {
/* #line 4104 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4104, %s:%d\n", __FILE__, __LINE__);
	*res_code = ABS_EXPR;
	res_ops[0] = captures[0];
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4144 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4144 "../../gcc/match.pd" */
	if (flag_unsafe_math_optimizations && canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4254, %s:%d\n", __FILE__, __LINE__);
	    *res_code = MULT_EXPR;
	    {
	      tree ops1[1], res;
	      ops1[0] = captures[0];
	      code_helper tem_code = ABS_EXPR;
	      tree tem_ops[3] = { ops1[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	      if (!res) return false;
	      res_ops[0] = res;
	    }
	    res_ops[1] =  build_real_truncate (type, dconst_sqrt2 ());
	    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_HYPOT (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 541 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:541, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOT;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 541 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:541, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOT;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 544 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:544, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOT;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 544 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:544, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOT;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 584 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:584, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOT;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[2];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGN:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  {
/* #line 588 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o31 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:588, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOT;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (real_zerop (op1))
  {
    {
/* #line 4104 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4104, %s:%d\n", __FILE__, __LINE__);
      *res_code = ABS_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  }
  if (real_zerop (op0))
    {
      {
/* #line 4104 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4104, %s:%d\n", __FILE__, __LINE__);
	*res_code = ABS_EXPR;
	res_ops[0] = captures[0];
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4144 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4144 "../../gcc/match.pd" */
	if (flag_unsafe_math_optimizations && canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4254, %s:%d\n", __FILE__, __LINE__);
	    *res_code = MULT_EXPR;
	    {
	      tree ops1[1], res;
	      ops1[0] = captures[0];
	      code_helper tem_code = ABS_EXPR;
	      tree tem_ops[3] = { ops1[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	      if (!res) return false;
	      res_ops[0] = res;
	    }
	    res_ops[1] =  build_real_truncate (type, dconst_sqrt2 ());
	    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_HYPOTL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 541 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:541, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTL;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  {
/* #line 541 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:541, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTL;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 544 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:544, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTL;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  {
/* #line 544 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:544, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTL;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_call_arg (def, 1);
		  o21 = do_valueize (valueize, o21);
		  {
/* #line 584 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:584, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTL;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[2];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_COPYSIGNL:
	        {
		  tree o30 = gimple_call_arg (def, 0);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_call_arg (def, 1);
		  o31 = do_valueize (valueize, o31);
		  {
/* #line 588 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o31 };
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:588, %s:%d\n", __FILE__, __LINE__);
		    *res_code = CFN_BUILT_IN_HYPOTL;
		    res_ops[0] = captures[0];
		    res_ops[1] = captures[1];
		    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
		    return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (real_zerop (op1))
  {
    {
/* #line 4104 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
      gimple_seq *lseq = seq;
      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4104, %s:%d\n", __FILE__, __LINE__);
      *res_code = ABS_EXPR;
      res_ops[0] = captures[0];
      gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
      return true;
    }
  }
  if (real_zerop (op0))
    {
      {
/* #line 4104 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4104, %s:%d\n", __FILE__, __LINE__);
	*res_code = ABS_EXPR;
	res_ops[0] = captures[0];
	gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 4144 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 4144 "../../gcc/match.pd" */
	if (flag_unsafe_math_optimizations && canonicalize_math_p ())
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4254, %s:%d\n", __FILE__, __LINE__);
	    *res_code = MULT_EXPR;
	    {
	      tree ops1[1], res;
	      ops1[0] = captures[0];
	      code_helper tem_code = ABS_EXPR;
	      tree tem_ops[3] = { ops1[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
	      if (!res) return false;
	      res_ops[0] = res;
	    }
	    res_ops[1] =  build_real_truncate (type, dconst_sqrt2 ());
	    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
    }
  return false;
}

static bool
gimple_simplify_LSHIFT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case RSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			  {
			    {
/* #line 2155 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 2155 "../../gcc/match.pd" */
			      if (wi::ltu_p (wi::to_wide (captures[1]), element_precision (type)))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2156, %s:%d\n", __FILE__, __LINE__);
				  *res_code = BIT_AND_EXPR;
				  res_ops[0] = captures[0];
				  {
				    tree ops1[2], res;
				    ops1[0] =  build_minus_one_cst (type);
				    ops1[1] = captures[1];
				    code_helper tem_code = LSHIFT_EXPR;
				    tree tem_ops[3] = { ops1[0], ops1[1] };
				    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				    if (!res) return false;
				    res_ops[1] = res;
				  }
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_onep (op0))
  {
    switch (TREE_CODE (op1))
      {
      case SSA_NAME:
        if (gimple *def_stmt = get_def (valueize, op1))
          {
	    if (gassign *def = dyn_cast <gassign *> (def_stmt))
	      switch (gimple_assign_rhs_code (def))
		{
		case MINUS_EXPR:
		  {
		    tree o30 = gimple_assign_rhs1 (def);
		    o30 = do_valueize (valueize, o30);
		    tree o31 = gimple_assign_rhs2 (def);
		    o31 = do_valueize (valueize, o31);
		    switch (TREE_CODE (o30))
		      {
		      case INTEGER_CST:
		        {
			  {
/* #line 634 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o31 };
/* #line 634 "../../gcc/match.pd" */
			    if (INTEGRAL_TYPE_P (type) && wi::eq_p (wi::to_wide (captures[2]), TYPE_PRECISION (type) - 1) && single_use (captures[1]))
			      {
/* #line 637 "../../gcc/match.pd" */
				if (TYPE_UNSIGNED (type))
				  {
				    gimple_seq *lseq = seq;
				    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:638, %s:%d\n", __FILE__, __LINE__);
				    *res_code = RSHIFT_EXPR;
				    {
				      tree ops1[2], res;
				      ops1[0] = captures[0];
				      ops1[1] = captures[2];
				      code_helper tem_code = LSHIFT_EXPR;
				      tree tem_ops[3] = { ops1[0], ops1[1] };
				      gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				      if (!res) return false;
				      res_ops[0] = res;
				    }
				    res_ops[1] = captures[3];
				    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				    return true;
				  }
				else
				  {
				    {
/* #line 639 "../../gcc/match.pd" */
 tree utype = unsigned_type_for (type);
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:641, %s:%d\n", __FILE__, __LINE__);
					*res_code = NOP_EXPR;
					{
					  tree ops1[2], res;
					  {
					    tree ops2[2], res;
					    {
					      tree ops3[1], res;
					      ops3[0] = captures[0];
					      if (utype != TREE_TYPE (ops3[0])
					          && !useless_type_conversion_p (utype, TREE_TYPE (ops3[0])))
						{
						  code_helper tem_code = NOP_EXPR;
						  tree tem_ops[3] = { ops3[0] };
						  gimple_resimplify1 (lseq, &tem_code, utype, tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, utype, tem_ops, lseq);
						  if (!res) return false;
					        }
					      else
					        res = ops3[0];
					      ops2[0] = res;
					    }
					    ops2[1] = captures[2];
					    code_helper tem_code = LSHIFT_EXPR;
					    tree tem_ops[3] = { ops2[0], ops2[1] };
					    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
					    if (!res) return false;
					    ops1[0] = res;
					  }
					  ops1[1] = captures[3];
					  code_helper tem_code = RSHIFT_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				    }
				  }
			      }
			  }
		          break;
		        }
		      default:;
		      }
		    break;
		  }
		default:;
		}
          }
        break;
      default:;
      }
  }
  if (integer_zerop (op1))
    {
      {
/* #line 2169 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_2 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op0))
    {
      {
/* #line 2172 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_45 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CONSTRUCTOR:
	        {
		  {
/* #line 2178 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (gimple_simplify_65 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
	{
	  {
/* #line 2188 "../../gcc/match.pd" */
	    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	    if (gimple_simplify_46 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
	      return true;
	  }
	}
      break;
    case VECTOR_CST:
      {
	{
/* #line 2178 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_139 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2209 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_25 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2344 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1 };
						if (gimple_simplify_257 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, LSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2344 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1 };
						if (gimple_simplify_257 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, LSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2344 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1 };
						if (gimple_simplify_257 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, LSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2344 "../../gcc/match.pd" */
				tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1 };
				if (gimple_simplify_10 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, LSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2344 "../../gcc/match.pd" */
				tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1 };
				if (gimple_simplify_10 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, LSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2344 "../../gcc/match.pd" */
				tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1 };
				if (gimple_simplify_10 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, LSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_BIT_AND_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
						    {
						      {
/* #line 656 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o20 };
							if (gimple_simplify_274 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  if ((o50 == o30 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o30, 0) && types_match (o50, o30)))
						    {
						      {
/* #line 656 "../../gcc/match.pd" */
							tree captures[1] ATTRIBUTE_UNUSED = { o30 };
							if (gimple_simplify_274 (res_code, res_ops, seq, valueize, type, captures))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 656 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_274 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 656 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_274 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LSHIFT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (integer_onep (o40))
				    {
				      if (integer_minus_onep (o31))
					{
					  {
/* #line 661 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o30, o41 };
/* #line 661 "../../gcc/match.pd" */
					    if (TYPE_UNSIGNED (type))
					      {
						gimple_seq *lseq = seq;
						if (lseq
						    && (!single_use (captures[1])
						        || !single_use (captures[2])))
						  lseq = NULL;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:662, %s:%d\n", __FILE__, __LINE__);
						*res_code = BIT_AND_EXPR;
						res_ops[0] = captures[0];
						{
						  tree ops1[1], res;
						  {
						    tree ops2[2], res;
						    ops2[0] =  build_all_ones_cst (type);
						    ops2[1] = captures[3];
						    code_helper tem_code = LSHIFT_EXPR;
						    tree tem_ops[3] = { ops2[0], ops2[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						    if (!res) return false;
						    ops1[0] = res;
						  }
						  code_helper tem_code = BIT_NOT_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						  if (!res) return false;
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LSHIFT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (integer_onep (o30))
				    {
				      if (integer_minus_onep (o21))
					{
					  {
/* #line 661 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, op0, o20, o31 };
/* #line 661 "../../gcc/match.pd" */
					    if (TYPE_UNSIGNED (type))
					      {
						gimple_seq *lseq = seq;
						if (lseq
						    && (!single_use (captures[1])
						        || !single_use (captures[2])))
						  lseq = NULL;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:662, %s:%d\n", __FILE__, __LINE__);
						*res_code = BIT_AND_EXPR;
						res_ops[0] = captures[0];
						{
						  tree ops1[1], res;
						  {
						    tree ops2[2], res;
						    ops2[0] =  build_all_ones_cst (type);
						    ops2[1] = captures[3];
						    code_helper tem_code = LSHIFT_EXPR;
						    tree tem_ops[3] = { ops2[0], ops2[1] };
						    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops2[0]), tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops2[0]), tem_ops, lseq);
						    if (!res) return false;
						    ops1[0] = res;
						  }
						  code_helper tem_code = BIT_NOT_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						  if (!res) return false;
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case EQ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_zerop (o21))
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case EQ_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if (integer_zerop (o51))
					{
					  {
/* #line 671 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					    if (gimple_simplify_243 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
		  if (integer_all_onesp (o21))
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case EQ_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if (integer_all_onesp (o51))
					{
					  {
/* #line 680 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					    if (gimple_simplify_127 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_XOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
							{
							  {
/* #line 727 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
							    if (gimple_simplify_150 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      if ((o61 == o20 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o20, 0) && types_match (o61, o20)))
							{
							  {
/* #line 727 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
							    if (gimple_simplify_150 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_IOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      if ((o61 == o31 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o31, 0) && types_match (o61, o31)))
							{
							  {
/* #line 727 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o30, o31 };
							    if (gimple_simplify_150 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
						    {
						      if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
							{
							  {
/* #line 727 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o31, o30 };
							    if (gimple_simplify_150 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
				    {
				      {
/* #line 834 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o30, o20, o31 };
					if (gimple_simplify_174 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
				    {
				      {
/* #line 834 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o31, o20, o30 };
					if (gimple_simplify_174 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
			{
			  switch (TREE_CODE (op1))
			    {
			    case INTEGER_CST:
			      {
				{
/* #line 754 "../../gcc/match.pd" */
				  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 754 "../../gcc/match.pd" */
				  if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && wi::bit_and_not (get_nonzero_bits (captures[0]), wi::to_wide (captures[1])) == 0)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:756, %s:%d\n", __FILE__, __LINE__);
				      *res_code = BIT_XOR_EXPR;
				      res_ops[0] = captures[0];
				      res_ops[1] = captures[1];
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				}
			        break;
			      }
			    default:;
			    }
			}
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if (integer_zerop (op1))
    {
      {
/* #line 784 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:784, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[1];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  if (integer_all_onesp (op1))
    {
      {
/* #line 807 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:807, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[0];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 813 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_250 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      {
	switch (TREE_CODE (op1))
	  {
	  case INTEGER_CST:
	    {
	      {
/* #line 819 "../../gcc/match.pd" */
		tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 819 "../../gcc/match.pd" */
		if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && wi::bit_and_not (get_nonzero_bits (captures[0]), wi::to_wide (captures[1])) == 0)
		  {
		    gimple_seq *lseq = seq;
		    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:821, %s:%d\n", __FILE__, __LINE__);
		    res_ops[0] = captures[0];
		    *res_code = TREE_CODE (res_ops[0]);
		    return true;
		  }
	      }
	      break;
	    }
          default:;
          }
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
				    {
				      {
/* #line 834 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o41 };
					if (gimple_simplify_174 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
				    {
				      {
/* #line 834 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { op0, o30, o40 };
					if (gimple_simplify_174 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 842 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
					if (gimple_simplify_178 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 842 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, op1 };
					if (gimple_simplify_178 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
							{
							  {
/* #line 894 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
							    if (gimple_simplify_190 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      switch (TREE_CODE (o51))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o51))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case BIT_NOT_EXPR:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
							{
							  {
/* #line 899 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
							    if (gimple_simplify_192 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				    }
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
							{
							  {
/* #line 899 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
							    if (gimple_simplify_192 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
							{
							  {
/* #line 899 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
							    if (gimple_simplify_192 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      switch (TREE_CODE (o51))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o51))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case BIT_NOT_EXPR:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o21 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o21, 0) && types_match (o70, o21)))
							{
							  {
/* #line 899 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
							    if (gimple_simplify_192 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
				    {
				      {
/* #line 842 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o41, op0 };
					if (gimple_simplify_88 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, o20, 0) && types_match (o41, o20)))
				    {
				      {
/* #line 842 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o40, op0 };
					if (gimple_simplify_88 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_IOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      if ((o61 == o31 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o31, 0) && types_match (o61, o31)))
							{
							  {
/* #line 894 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o30, o31 };
							    if (gimple_simplify_190 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 907 "../../gcc/match.pd" */
						    tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
						    if (gimple_simplify_200 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 907 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_200 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_IOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
						    {
						      if ((o61 == o20 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o20, 0) && types_match (o61, o20)))
							{
							  {
/* #line 899 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
							    if (gimple_simplify_192 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_IOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
							{
							  {
/* #line 899 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
							    if (gimple_simplify_192 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
							{
							  {
/* #line 899 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
							    if (gimple_simplify_192 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_IOR_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      if ((o61 == o40 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o40, 0) && types_match (o61, o40)))
							{
							  {
/* #line 899 "../../gcc/match.pd" */
							    tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
							    if (gimple_simplify_192 (res_code, res_ops, seq, valueize, type, captures))
							      return true;
							  }
						        }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 948 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_81 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_XOR_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 948 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_81 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_XOR_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  switch (TREE_CODE (o50))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o50))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_NOT_EXPR:
							        {
								  tree o60 = gimple_assign_rhs1 (def);
								  o60 = do_valueize (valueize, o60);
								  {
/* #line 907 "../../gcc/match.pd" */
								    tree captures[2] ATTRIBUTE_UNUSED = { o30, o60 };
								    if (gimple_simplify_200 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_NOT_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  {
/* #line 907 "../../gcc/match.pd" */
						    tree captures[2] ATTRIBUTE_UNUSED = { o30, o50 };
						    if (gimple_simplify_200 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_XOR_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 948 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o30, op0 };
			if (gimple_simplify_81 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_XOR_EXPR))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 948 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o31, op0 };
			if (gimple_simplify_81 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_XOR_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_IOR_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if (tree_swap_operands_p (o70, o71))
								    std::swap (o70, o71);
								  if ((o70 == o30 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o30, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o71, o30 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o30 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o30, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o31, o70, o30 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
									  return true;
								      }
								    }
								  if ((o70 == o31 && ! TREE_SIDE_EFFECTS (o70)) || operand_equal_p (o70, o31, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o31, o30, o71, o31 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o31 && ! TREE_SIDE_EFFECTS (o71)) || operand_equal_p (o71, o31, 0))
								    {
								      {
/* #line 960 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o31, o30, o70, o31 };
									if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
									  return true;
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o31, 0))
						    {
						      {
/* #line 970 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op0, o30, o31, o31 };
							if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || operand_equal_p (o60, o30, 0))
						    {
						      {
/* #line 970 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op0, o31, o30, o30 };
							if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o31, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o30, o31, o31 };
					if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o30, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o31, o30, o30 };
					if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  if (tree_swap_operands_p (o50, o51))
						    std::swap (o50, o51);
						  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
						    {
						      {
/* #line 970 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op1, o50, o51, o20 };
							if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
						  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
						    {
						      {
/* #line 970 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { op1, o51, o50, o20 };
							if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case BIT_AND_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, o20, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o41, o20 };
					if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, o20, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op1, o41, o40, o20 };
					if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, o20 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o20, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o50, o20 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o21, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o21, o20, o51, o21 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || operand_equal_p (o51, o21, 0))
				    {
				      {
/* #line 960 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { o21, o20, o50, o21 };
					if (gimple_simplify_12 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  if (tree_swap_operands_p (o40, o41))
				    std::swap (o40, o41);
				  if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || operand_equal_p (o41, op0, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o41, op0 };
					if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || operand_equal_p (o40, op0, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op1, o41, o40, op0 };
					if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o21, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o21 };
					if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || operand_equal_p (o50, o20, 0))
				    {
				      {
/* #line 970 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o21, o20, o20 };
					if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  switch (TREE_CODE (o50))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o50))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1, o50, o61 };
							if (gimple_simplify_36 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
						  if ((o61 == o20 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o20, 0) && types_match (o61, o20)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1, o50, o60 };
							if (gimple_simplify_36 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
						  if ((o60 == o21 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o21, 0) && types_match (o60, o21)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o21, o20, op1, o50, o61 };
							if (gimple_simplify_36 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
						  if ((o61 == o21 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o21, 0) && types_match (o61, o21)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o21, o20, op1, o50, o60 };
							if (gimple_simplify_36 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o21, 0))
		    {
		      {
/* #line 970 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o21 };
			if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || operand_equal_p (op1, o20, 0))
		    {
		      {
/* #line 970 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, o21, o20, o20 };
			if (gimple_simplify_71 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 980 "../../gcc/match.pd" */
					tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1, op1, o51 };
					if (gimple_simplify_198 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 980 "../../gcc/match.pd" */
					tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1, op1, o50 };
					if (gimple_simplify_198 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 980 "../../gcc/match.pd" */
					tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o21, o20, op1, op1, o51 };
					if (gimple_simplify_198 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 980 "../../gcc/match.pd" */
					tree captures[7] ATTRIBUTE_UNUSED = { op0, op0, o21, o20, op1, op1, o50 };
					if (gimple_simplify_198 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || operand_equal_p (o31, op0, 0))
		    {
		      {
/* #line 970 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o31, op0 };
			if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || operand_equal_p (o30, op0, 0))
		    {
		      {
/* #line 970 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op1, o31, o30, op0 };
			if (gimple_simplify_194 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (op1))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, op1))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  switch (TREE_CODE (o60))
						    {
						    case SSA_NAME:
						      if (gimple *def_stmt = get_def (valueize, o60))
						        {
							  if (gassign *def = dyn_cast <gassign *> (def_stmt))
							    switch (gimple_assign_rhs_code (def))
							      {
							      case BIT_AND_EXPR:
							        {
								  tree o70 = gimple_assign_rhs1 (def);
								  o70 = do_valueize (valueize, o70);
								  tree o71 = gimple_assign_rhs2 (def);
								  o71 = do_valueize (valueize, o71);
								  if (tree_swap_operands_p (o70, o71))
								    std::swap (o70, o71);
								  if ((o70 == o30 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o30, 0) && types_match (o70, o30)))
								    {
								      {
/* #line 980 "../../gcc/match.pd" */
									tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1, o60, o71 };
									if (gimple_simplify_140 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o30 && ! TREE_SIDE_EFFECTS (o71)) || (operand_equal_p (o71, o30, 0) && types_match (o71, o30)))
								    {
								      {
/* #line 980 "../../gcc/match.pd" */
									tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1, o60, o70 };
									if (gimple_simplify_140 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o70 == o31 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o31, 0) && types_match (o70, o31)))
								    {
								      {
/* #line 980 "../../gcc/match.pd" */
									tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o31, o30, op1, o60, o71 };
									if (gimple_simplify_140 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
									  return true;
								      }
								    }
								  if ((o71 == o31 && ! TREE_SIDE_EFFECTS (o71)) || (operand_equal_p (o71, o31, 0) && types_match (o71, o31)))
								    {
								      {
/* #line 980 "../../gcc/match.pd" */
									tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o31, o30, op1, o60, o70 };
									if (gimple_simplify_140 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
									  return true;
								      }
								    }
							          break;
							        }
							      default:;
							      }
						        }
						      break;
						    default:;
						    }
					          break;
					        }
					      case BIT_AND_EXPR:
					        {
						  tree o60 = gimple_assign_rhs1 (def);
						  o60 = do_valueize (valueize, o60);
						  tree o61 = gimple_assign_rhs2 (def);
						  o61 = do_valueize (valueize, o61);
						  if (tree_swap_operands_p (o60, o61))
						    std::swap (o60, o61);
						  if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1, op1, o61 };
							if (gimple_simplify_87 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
						  if ((o61 == o30 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o30, 0) && types_match (o61, o30)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1, op1, o60 };
							if (gimple_simplify_87 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
						  if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o31, o30, op1, op1, o61 };
							if (gimple_simplify_87 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
						  if ((o61 == o31 && ! TREE_SIDE_EFFECTS (o61)) || (operand_equal_p (o61, o31, 0) && types_match (o61, o31)))
						    {
						      {
/* #line 980 "../../gcc/match.pd" */
							tree captures[7] ATTRIBUTE_UNUSED = { op0, o20, o31, o30, op1, op1, o60 };
							if (gimple_simplify_87 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
							  return true;
						      }
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 1072 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_23 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 1072 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		    if (gimple_simplify_23 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
		      return true;
		  }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1099 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_214 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1099 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_214 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
				    {
				      {
/* #line 1104 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { o30, o21 };
					if (gimple_simplify_235 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o21))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
				    {
				      {
/* #line 1104 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
					if (gimple_simplify_235 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (o21))
		  {
		    if (CONSTANT_CLASS_P (op1))
		      {
			{
/* #line 1109 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			  gimple_seq *lseq = seq;
			  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1109, %s:%d\n", __FILE__, __LINE__);
			  *res_code = BIT_IOR_EXPR;
			  {
			    tree ops1[2], res;
			    ops1[0] = captures[0];
			    ops1[1] = captures[2];
			    code_helper tem_code = BIT_AND_EXPR;
			    tree tem_ops[3] = { ops1[0], ops1[1] };
			    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			    if (!res) return false;
			    res_ops[0] = res;
			  }
			  {
			    tree ops1[2], res;
			    ops1[0] = captures[1];
			    ops1[1] = captures[2];
			    code_helper tem_code = BIT_AND_EXPR;
			    tree tem_ops[3] = { ops1[0], ops1[1] };
			    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
			    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
			    if (!res) return false;
			    res_ops[1] = res;
			  }
			  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
			  return true;
			}
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_IOR_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1099 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_214 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1099 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_214 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
				    {
				      {
/* #line 1104 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
					if (gimple_simplify_235 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o31))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o31))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
				    {
				      {
/* #line 1104 "../../gcc/match.pd" */
					tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
					if (gimple_simplify_235 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, BIT_IOR_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (CONSTANT_CLASS_P (o21))
		    {
		      if (CONSTANT_CLASS_P (op1))
			{
			  {
/* #line 1115 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			    if (gimple_simplify_216 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  {
    tree op1_pops[1];
    if (gimple_logical_inverted_value (op1, op1_pops, valueize))
      {
	tree o30 = op1_pops[0];
	if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
	  {
	    {
/* #line 1159 "../../gcc/match.pd" */
	      tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	      if (gimple_simplify_149 (res_code, res_ops, seq, valueize, type, captures))
	        return true;
	    }
	  }
}
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 1613 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_8 (res_code, res_ops, seq, valueize, type, captures))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LSHIFT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  switch (TREE_CODE (o31))
						    {
						    case INTEGER_CST:
						      {
							switch (TREE_CODE (op1))
							  {
							  case INTEGER_CST:
							    {
							      {
/* #line 2257 "../../gcc/match.pd" */
								tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o30, o40, o31, op1 };
								if (gimple_simplify_40 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
								  return true;
							      }
							      break;
							    }
						          default:;
						          }
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2257 "../../gcc/match.pd" */
						tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o30, o30, o31, op1 };
						if (gimple_simplify_16 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      case RSHIFT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (o30))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o30))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o40 = gimple_assign_rhs1 (def);
						  o40 = do_valueize (valueize, o40);
						  switch (TREE_CODE (o31))
						    {
						    case INTEGER_CST:
						      {
							switch (TREE_CODE (op1))
							  {
							  case INTEGER_CST:
							    {
							      {
/* #line 2257 "../../gcc/match.pd" */
								tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o30, o40, o31, op1 };
								if (gimple_simplify_40 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
								  return true;
							      }
							      break;
							    }
						          default:;
						          }
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2257 "../../gcc/match.pd" */
						tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o30, o30, o31, op1 };
						if (gimple_simplify_16 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_logical_inverted_value (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
	{
	  {
/* #line 1159 "../../gcc/match.pd" */
	    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
	    if (gimple_simplify_149 (res_code, res_ops, seq, valueize, type, captures))
	      return true;
	  }
        }
}
}
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 1613 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_8 (res_code, res_ops, seq, valueize, type, captures))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2257 "../../gcc/match.pd" */
						tree captures[6] ATTRIBUTE_UNUSED = { op0, op0, o20, o30, o21, op1 };
						if (gimple_simplify_197 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2257 "../../gcc/match.pd" */
				tree captures[6] ATTRIBUTE_UNUSED = { op0, op0, o20, o20, o21, op1 };
				if (gimple_simplify_126 (res_code, res_ops, seq, valueize, type, captures, LSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case RSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2257 "../../gcc/match.pd" */
						tree captures[6] ATTRIBUTE_UNUSED = { op0, op0, o20, o30, o21, op1 };
						if (gimple_simplify_197 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2257 "../../gcc/match.pd" */
				tree captures[6] ATTRIBUTE_UNUSED = { op0, op0, o20, o20, o21, op1 };
				if (gimple_simplify_126 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case ORDERED_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((o21 == o20 && ! TREE_SIDE_EFFECTS (o21)) || (operand_equal_p (o21, o20, 0) && types_match (o21, o20)))
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case ORDERED_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if ((o51 == o50 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o50, 0) && types_match (o51, o50)))
					{
					  {
/* #line 3378 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
/* #line 3378 "../../gcc/match.pd" */
					    if (types_match (captures[0], captures[1]))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3379, %s:%d\n", __FILE__, __LINE__);
						*res_code = ORDERED_EXPR;
						res_ops[0] = captures[0];
						res_ops[1] = captures[1];
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				        }
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  {
/* #line 3385 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, op1, o51 };
					    if (gimple_simplify_224 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 3385 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, op1, o50 };
					    if (gimple_simplify_224 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case ORDERED_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 3385 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
					    if (gimple_simplify_82 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3385 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o21, op0, o20 };
					    if (gimple_simplify_82 (res_code, res_ops, seq, valueize, type, captures))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case GE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case GT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GT_EXPR))
					      return true;
					  }
				        }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, MIN_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o51 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, MAX_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      case EQ_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case LT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, MIN_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o50 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, MAX_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case GT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case LE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, MIN_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o50 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, MAX_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      case GE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, MIN_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o51 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, MAX_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case NE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case EQ_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case EQ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case GT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, GT_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case LT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case NE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case GE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case GE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, MAX_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o50 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, MIN_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      case LE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, MAX_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o51 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, MIN_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case GT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GT_EXPR))
					      return true;
					  }
				        }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o50 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, MAX_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o51 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, MIN_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      case LE_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case EQ_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					{
					  {
/* #line 3401 "../../gcc/match.pd" */
					    tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
					    if (gimple_simplify_228 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, GT_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      case GT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o21, op1, o51 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, MAX_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 4524 "../../gcc/match.pd" */
					tree captures[5] ATTRIBUTE_UNUSED = { op0, o21, o20, op1, o50 };
					if (gimple_simplify_217 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, MIN_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o21))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  switch (TREE_CODE (op1))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 4492 "../../gcc/match.pd" */
							  tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o30, o21, o50, op1 };
							  if (gimple_simplify_213 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o21))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      CASE_CONVERT:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  switch (TREE_CODE (op1))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 4492 "../../gcc/match.pd" */
							  tree captures[6] ATTRIBUTE_UNUSED = { op0, o20, o30, o21, o50, op1 };
							  if (gimple_simplify_213 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_LT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case TRUNC_MOD_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 763 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_195 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case EXACT_DIV_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					  {
					    {
/* #line 1287 "../../gcc/match.pd" */
					      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					      if (gimple_simplify_159 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 1294 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_275 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, o20 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1364 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_111 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1391 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_35 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_DIFF_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1379 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o50 };
					if (gimple_simplify_99 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1406 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o51 };
					if (gimple_simplify_11 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o30, op0 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o31, op0 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MIN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2136 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_261 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, LT_EXPR, BIT_IOR_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2136 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_261 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, LT_EXPR, BIT_AND_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 2938 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_70 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, LE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if (integer_zerop (op1))
			  {
			    {
/* #line 2998 "../../gcc/match.pd" */
			      tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
			      if (gimple_simplify_270 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GT_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3021 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_117 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3042 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_206 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3050 "../../gcc/match.pd" */
		      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		      if (gimple_simplify_79 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GT_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3058 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
				    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3058 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3088 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_184 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3164 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_110 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 3269 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_272 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, LE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3358 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_163 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GT_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3462 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_38 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3462 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, op1 };
		    if (gimple_simplify_130 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
		      return true;
		  }
		  switch (TREE_CODE (o20))
		    {
		    case ADDR_EXPR:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					switch (TREE_CODE (o40))
					  {
					  case ADDR_EXPR:
					    {
					      {
/* #line 3630 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
						if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
				if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 3733 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
			  if (gimple_simplify_43 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, LT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, LT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, LT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, LT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    if (gimple *def_stmt = get_def (valueize, op1))
	      {
		if (gassign *def = dyn_cast <gassign *> (def_stmt))
		  switch (gimple_assign_rhs_code (def))
		    {
		    CASE_CONVERT:
		      {
			tree o30 = gimple_assign_rhs1 (def);
			o30 = do_valueize (valueize, o30);
			switch (TREE_CODE (o30))
			  {
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o30 };
				if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	      }
	    break;
	  case ADDR_EXPR:
	    {
	      {
/* #line 3630 "../../gcc/match.pd" */
		tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
		if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
		  return true;
	      }
	      break;
	    }
          default:;
          }
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 3733 "../../gcc/match.pd" */
	  tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
	  if (gimple_simplify_143 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 3830 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			      if (gimple_simplify_69 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GT_EXPR))
			        return true;
			    }
			  }
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4561 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_146 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, MINUS_EXPR, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case INTEGER_CST:
			  {
			    {
/* #line 3830 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op1, op0, o31 };
			      if (gimple_simplify_69 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LE_EXPR))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 3845 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, op0, o31 };
			if (gimple_simplify_53 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case REALPART_EXPR:
	        {
		  tree o30 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o30) == SSA_NAME
		       || is_gimple_min_invariant (o30)))
		    {
		      o30 = do_valueize (valueize, o30);
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gcall *def = dyn_cast <gcall *> (def_stmt))
			        switch (gimple_call_combined_fn (def))
				  {
				  case CFN_SUB_OVERFLOW:
				    {
				      tree o40 = gimple_call_arg (def, 0);
				      o40 = do_valueize (valueize, o40);
				      tree o41 = gimple_call_arg (def, 1);
				      o41 = do_valueize (valueize, o41);
				      if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
					{
					  {
/* #line 3857 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o30, op0, o41 };
					    if (gimple_simplify_29 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case REALPART_EXPR:
	        {
		  tree o20 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o20) == SSA_NAME
		       || is_gimple_min_invariant (o20)))
		    {
		      o20 = do_valueize (valueize, o20);
		      switch (TREE_CODE (o20))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o20))
			    {
			      if (gcall *def = dyn_cast <gcall *> (def_stmt))
			        switch (gimple_call_combined_fn (def))
				  {
				  case CFN_ADD_OVERFLOW:
				    {
				      tree o30 = gimple_call_arg (def, 0);
				      o30 = do_valueize (valueize, o30);
				      tree o31 = gimple_call_arg (def, 1);
				      o31 = do_valueize (valueize, o31);
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  {
/* #line 3865 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o30, o31 };
					    if (gimple_simplify_112 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				      if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
					{
					  {
/* #line 3865 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o31, o30 };
					    if (gimple_simplify_112 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_all_onesp (o20))
		    {
		      {
/* #line 3875 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, op1 };
			if (gimple_simplify_7 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4561 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_146 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, PLUS_EXPR, LT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_GE_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case TRUNC_MOD_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 763 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_195 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case EXACT_DIV_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					  {
					    {
/* #line 1287 "../../gcc/match.pd" */
					      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					      if (gimple_simplify_159 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 1294 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_275 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, o20 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1364 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_111 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1391 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_35 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_DIFF_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1379 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o50 };
					if (gimple_simplify_99 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1406 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o51 };
					if (gimple_simplify_11 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o30, op0 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o31, op0 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2136 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_261 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, GE_EXPR, BIT_IOR_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MIN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2136 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_261 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, GE_EXPR, BIT_AND_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 2938 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_70 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, GT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if (integer_zerop (op1))
			  {
			    {
/* #line 2998 "../../gcc/match.pd" */
			      tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
			      if (gimple_simplify_270 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, LE_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3013 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_254 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3042 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_206 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3050 "../../gcc/match.pd" */
		      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		      if (gimple_simplify_79 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, LE_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3058 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
				    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3058 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3088 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_184 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3164 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_110 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 3269 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_272 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, GE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3358 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_163 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, LE_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3462 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_38 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3462 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, op1 };
		    if (gimple_simplify_130 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
		      return true;
		  }
		  switch (TREE_CODE (o20))
		    {
		    case ADDR_EXPR:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					switch (TREE_CODE (o40))
					  {
					  case ADDR_EXPR:
					    {
					      {
/* #line 3630 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
						if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
				if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 3733 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
			  if (gimple_simplify_43 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, GE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, GE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, GE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, GE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    if (gimple *def_stmt = get_def (valueize, op1))
	      {
		if (gassign *def = dyn_cast <gassign *> (def_stmt))
		  switch (gimple_assign_rhs_code (def))
		    {
		    CASE_CONVERT:
		      {
			tree o30 = gimple_assign_rhs1 (def);
			o30 = do_valueize (valueize, o30);
			switch (TREE_CODE (o30))
			  {
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o30 };
				if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	      }
	    break;
	  case ADDR_EXPR:
	    {
	      {
/* #line 3630 "../../gcc/match.pd" */
		tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
		if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
		  return true;
	      }
	      break;
	    }
          default:;
          }
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 3733 "../../gcc/match.pd" */
	  tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
	  if (gimple_simplify_143 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 3830 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			      if (gimple_simplify_69 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, LE_EXPR))
			        return true;
			    }
			  }
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4561 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_146 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, MINUS_EXPR, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case INTEGER_CST:
			  {
			    {
/* #line 3830 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op1, op0, o31 };
			      if (gimple_simplify_69 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 3845 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, op0, o31 };
			if (gimple_simplify_53 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case REALPART_EXPR:
	        {
		  tree o30 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o30) == SSA_NAME
		       || is_gimple_min_invariant (o30)))
		    {
		      o30 = do_valueize (valueize, o30);
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gcall *def = dyn_cast <gcall *> (def_stmt))
			        switch (gimple_call_combined_fn (def))
				  {
				  case CFN_SUB_OVERFLOW:
				    {
				      tree o40 = gimple_call_arg (def, 0);
				      o40 = do_valueize (valueize, o40);
				      tree o41 = gimple_call_arg (def, 1);
				      o41 = do_valueize (valueize, o41);
				      if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
					{
					  {
/* #line 3857 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o30, op0, o41 };
					    if (gimple_simplify_29 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case REALPART_EXPR:
	        {
		  tree o20 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o20) == SSA_NAME
		       || is_gimple_min_invariant (o20)))
		    {
		      o20 = do_valueize (valueize, o20);
		      switch (TREE_CODE (o20))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o20))
			    {
			      if (gcall *def = dyn_cast <gcall *> (def_stmt))
			        switch (gimple_call_combined_fn (def))
				  {
				  case CFN_ADD_OVERFLOW:
				    {
				      tree o30 = gimple_call_arg (def, 0);
				      o30 = do_valueize (valueize, o30);
				      tree o31 = gimple_call_arg (def, 1);
				      o31 = do_valueize (valueize, o31);
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  {
/* #line 3865 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o30, o31 };
					    if (gimple_simplify_112 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				      if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
					{
					  {
/* #line 3865 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o31, o30 };
					    if (gimple_simplify_112 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_all_onesp (o20))
		    {
		      {
/* #line 3875 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, op1 };
			if (gimple_simplify_7 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4561 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_146 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, PLUS_EXPR, GE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_GT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case TRUNC_MOD_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 768 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_54 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_minus_onep (o21))
		    {
		      switch (TREE_CODE (op1))
		        {
			case INTEGER_CST:
			  {
			    {
/* #line 1275 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			      if (gimple_simplify_229 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LE_EXPR))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, o20 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case EXACT_DIV_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					  {
					    {
/* #line 1287 "../../gcc/match.pd" */
					      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					      if (gimple_simplify_159 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 1294 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_275 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1364 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_111 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1391 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_35 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_DIFF_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1379 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o50 };
					if (gimple_simplify_99 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1406 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o51 };
					if (gimple_simplify_11 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o30, op0 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o31, op0 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2136 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_261 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, GT_EXPR, BIT_IOR_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MIN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2136 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_261 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, GT_EXPR, BIT_AND_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 2932 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_232 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, GE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if (integer_zerop (op1))
			  {
			    {
/* #line 2998 "../../gcc/match.pd" */
			      tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
			      if (gimple_simplify_270 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LT_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3021 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_117 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3042 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_206 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3050 "../../gcc/match.pd" */
		      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		      if (gimple_simplify_79 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LT_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3058 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
				    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3058 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3088 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_184 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3164 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_110 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 3269 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_272 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, GE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3358 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_163 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3419 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_113 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LT_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3462 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_38 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3462 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, op1 };
		    if (gimple_simplify_130 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
		      return true;
		  }
		  switch (TREE_CODE (o20))
		    {
		    case ADDR_EXPR:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					switch (TREE_CODE (o40))
					  {
					  case ADDR_EXPR:
					    {
					      {
/* #line 3630 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
						if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
				if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 3733 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
			  if (gimple_simplify_43 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, GT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, GT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, GT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, GT_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    if (gimple *def_stmt = get_def (valueize, op1))
	      {
		if (gassign *def = dyn_cast <gassign *> (def_stmt))
		  switch (gimple_assign_rhs_code (def))
		    {
		    CASE_CONVERT:
		      {
			tree o30 = gimple_assign_rhs1 (def);
			o30 = do_valueize (valueize, o30);
			switch (TREE_CODE (o30))
			  {
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o30 };
				if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	      }
	    break;
	  case ADDR_EXPR:
	    {
	      {
/* #line 3630 "../../gcc/match.pd" */
		tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
		if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
		  return true;
	      }
	      break;
	    }
          default:;
          }
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 3733 "../../gcc/match.pd" */
	  tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
	  if (gimple_simplify_143 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 3830 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			      if (gimple_simplify_69 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, LE_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case INTEGER_CST:
			  {
			    {
/* #line 3830 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op1, op0, o31 };
			      if (gimple_simplify_69 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, GT_EXPR))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 3845 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_53 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case REALPART_EXPR:
	        {
		  tree o20 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o20) == SSA_NAME
		       || is_gimple_min_invariant (o20)))
		    {
		      o20 = do_valueize (valueize, o20);
		      switch (TREE_CODE (o20))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o20))
			    {
			      if (gcall *def = dyn_cast <gcall *> (def_stmt))
			        switch (gimple_call_combined_fn (def))
				  {
				  case CFN_SUB_OVERFLOW:
				    {
				      tree o30 = gimple_call_arg (def, 0);
				      o30 = do_valueize (valueize, o30);
				      tree o31 = gimple_call_arg (def, 1);
				      o31 = do_valueize (valueize, o31);
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  {
/* #line 3857 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o30, o31 };
					    if (gimple_simplify_247 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case REALPART_EXPR:
	        {
		  tree o30 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o30) == SSA_NAME
		       || is_gimple_min_invariant (o30)))
		    {
		      o30 = do_valueize (valueize, o30);
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gcall *def = dyn_cast <gcall *> (def_stmt))
			        switch (gimple_call_combined_fn (def))
				  {
				  case CFN_ADD_OVERFLOW:
				    {
				      tree o40 = gimple_call_arg (def, 0);
				      o40 = do_valueize (valueize, o40);
				      tree o41 = gimple_call_arg (def, 1);
				      o41 = do_valueize (valueize, o41);
				      if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
					{
					  {
/* #line 3865 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o30, op0, o41 };
					    if (gimple_simplify_31 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				      if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
					{
					  {
/* #line 3865 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o30, op0, o40 };
					    if (gimple_simplify_31 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (integer_all_onesp (o30))
		    {
		      {
/* #line 3875 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o31, op0 };
			if (gimple_simplify_101 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4561 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_146 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, MINUS_EXPR, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4561 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_146 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, PLUS_EXPR, GT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_LE_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case TRUNC_MOD_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 768 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_54 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1262 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_44 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_minus_onep (o21))
		    {
		      switch (TREE_CODE (op1))
		        {
			case INTEGER_CST:
			  {
			    {
/* #line 1275 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			      if (gimple_simplify_229 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1348 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_109 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o21, o20 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case EXACT_DIV_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					  {
					    {
/* #line 1287 "../../gcc/match.pd" */
					      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					      if (gimple_simplify_159 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 1294 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_275 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1364 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_111 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1391 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_35 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_DIFF_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1379 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o50 };
					if (gimple_simplify_99 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1406 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o51 };
					if (gimple_simplify_11 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o30, op0 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1418 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o31, op0 };
			if (gimple_simplify_222 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MIN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2136 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_261 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, LE_EXPR, BIT_IOR_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2136 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_261 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, LE_EXPR, BIT_AND_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 2932 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_232 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, LT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if (integer_zerop (op1))
			  {
			    {
/* #line 2998 "../../gcc/match.pd" */
			      tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
			      if (gimple_simplify_270 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GE_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3013 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_254 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3042 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_206 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3050 "../../gcc/match.pd" */
		      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		      if (gimple_simplify_79 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GE_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3058 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
				    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3058 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3088 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_184 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3164 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_110 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 3269 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_272 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, LE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3358 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_163 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3419 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_113 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GE_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3462 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_38 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3462 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, op1 };
		    if (gimple_simplify_130 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
		      return true;
		  }
		  switch (TREE_CODE (o20))
		    {
		    case ADDR_EXPR:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					switch (TREE_CODE (o40))
					  {
					  case ADDR_EXPR:
					    {
					      {
/* #line 3630 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
						if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
				if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 3733 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
			  if (gimple_simplify_43 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, LE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, LE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, LE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, LE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    if (gimple *def_stmt = get_def (valueize, op1))
	      {
		if (gassign *def = dyn_cast <gassign *> (def_stmt))
		  switch (gimple_assign_rhs_code (def))
		    {
		    CASE_CONVERT:
		      {
			tree o30 = gimple_assign_rhs1 (def);
			o30 = do_valueize (valueize, o30);
			switch (TREE_CODE (o30))
			  {
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o30 };
				if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	      }
	    break;
	  case ADDR_EXPR:
	    {
	      {
/* #line 3630 "../../gcc/match.pd" */
		tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
		if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
		  return true;
	      }
	      break;
	    }
          default:;
          }
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case INTEGER_CST:
      {
	{
/* #line 3733 "../../gcc/match.pd" */
	  tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
	  if (gimple_simplify_143 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 3830 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			      if (gimple_simplify_69 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, GT_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case INTEGER_CST:
			  {
			    {
/* #line 3830 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op1, op0, o31 };
			      if (gimple_simplify_69 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, LE_EXPR))
			        return true;
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 3845 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_53 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case REALPART_EXPR:
	        {
		  tree o20 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o20) == SSA_NAME
		       || is_gimple_min_invariant (o20)))
		    {
		      o20 = do_valueize (valueize, o20);
		      switch (TREE_CODE (o20))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o20))
			    {
			      if (gcall *def = dyn_cast <gcall *> (def_stmt))
			        switch (gimple_call_combined_fn (def))
				  {
				  case CFN_SUB_OVERFLOW:
				    {
				      tree o30 = gimple_call_arg (def, 0);
				      o30 = do_valueize (valueize, o30);
				      tree o31 = gimple_call_arg (def, 1);
				      o31 = do_valueize (valueize, o31);
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  {
/* #line 3857 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o30, o31 };
					    if (gimple_simplify_247 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case REALPART_EXPR:
	        {
		  tree o30 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o30) == SSA_NAME
		       || is_gimple_min_invariant (o30)))
		    {
		      o30 = do_valueize (valueize, o30);
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gcall *def = dyn_cast <gcall *> (def_stmt))
			        switch (gimple_call_combined_fn (def))
				  {
				  case CFN_ADD_OVERFLOW:
				    {
				      tree o40 = gimple_call_arg (def, 0);
				      o40 = do_valueize (valueize, o40);
				      tree o41 = gimple_call_arg (def, 1);
				      o41 = do_valueize (valueize, o41);
				      if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
					{
					  {
/* #line 3865 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o30, op0, o41 };
					    if (gimple_simplify_31 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				      if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
					{
					  {
/* #line 3865 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o30, op0, o40 };
					    if (gimple_simplify_31 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (integer_all_onesp (o30))
		    {
		      {
/* #line 3875 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op1, o31, op0 };
			if (gimple_simplify_101 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4561 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_146 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, MINUS_EXPR, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4561 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_146 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, PLUS_EXPR, LE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_EQ_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1239 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_158 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1239 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_158 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1239 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_158 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1239 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_158 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case MULT_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					  {
					    {
/* #line 1249 "../../gcc/match.pd" */
					      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					      if (gimple_simplify_64 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case EXACT_DIV_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					  {
					    {
/* #line 1287 "../../gcc/match.pd" */
					      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					      if (gimple_simplify_159 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 1294 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_275 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = EQ_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = EQ_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = EQ_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = EQ_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1371 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
/* #line 1371 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1374, %s:%d\n", __FILE__, __LINE__);
					    *res_code = EQ_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1398 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
/* #line 1398 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[1]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1401, %s:%d\n", __FILE__, __LINE__);
					    *res_code = EQ_EXPR;
					    res_ops[0] = captures[2];
					    res_ops[1] = captures[1];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_DIFF_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1379 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o50 };
					if (gimple_simplify_99 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1406 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o51 };
					if (gimple_simplify_11 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case MINUS_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  switch (TREE_CODE (o50))
						    {
						    case INTEGER_CST:
						      {
							switch (TREE_CODE (o51))
							  {
							  case SSA_NAME:
							    if (gimple *def_stmt = get_def (valueize, o51))
							      {
								if (gassign *def = dyn_cast <gassign *> (def_stmt))
								  switch (gimple_assign_rhs_code (def))
								    {
								    CASE_CONVERT:
								      {
									tree o70 = gimple_assign_rhs1 (def);
									o70 = do_valueize (valueize, o70);
									if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
									  {
									    {
/* #line 1470 "../../gcc/match.pd" */
									      tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
									      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
									        return true;
									    }
									  }
								        break;
								      }
								    default:;
								    }
							      }
							    break;
						          default:;
						          }
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		{
		  tree op1_pops[1];
		  if (gimple_nop_convert (op1, op1_pops, valueize))
		    {
		      tree o40 = op1_pops[0];
		      switch (TREE_CODE (o40))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o40))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case PLUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      switch (TREE_CODE (o51))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o51))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
							{
							  {
/* #line 1427 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o50, o20 };
							    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      switch (TREE_CODE (o50))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o50))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							{
							  {
/* #line 1427 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o51, o20 };
							    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o50, o20 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o51, o20 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  case POINTER_PLUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      switch (TREE_CODE (o50))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o50))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							{
							  {
/* #line 1436 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o20, o51 };
							    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  {
/* #line 1436 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o20, o51 };
					    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
}
		}
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (o30))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (o31))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o31))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o50 = gimple_assign_rhs1 (def);
							o50 = do_valueize (valueize, o50);
							switch (TREE_CODE (op1))
							  {
							  case SSA_NAME:
							    if (gimple *def_stmt = get_def (valueize, op1))
							      {
								if (gassign *def = dyn_cast <gassign *> (def_stmt))
								  switch (gimple_assign_rhs_code (def))
								    {
								    CASE_CONVERT:
								      {
									tree o70 = gimple_assign_rhs1 (def);
									o70 = do_valueize (valueize, o70);
									if ((o70 == o50 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o50, 0) && types_match (o70, o50)))
									  {
									    {
/* #line 1470 "../../gcc/match.pd" */
									      tree captures[2] ATTRIBUTE_UNUSED = { o50, o30 };
									      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
									        return true;
									    }
									  }
								        break;
								      }
								    default:;
								    }
							      }
							    break;
						          default:;
						          }
							if ((op1 == o50 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o50, 0) && types_match (op1, o50)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o50, o30 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o31, o30 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { o31, o30 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case MINUS_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  switch (TREE_CODE (o50))
						    {
						    case INTEGER_CST:
						      {
							if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case MINUS_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (o41))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o41))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, o20, 0) && types_match (o41, o20)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_logical_inverted_value (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
	{
	  if (gimple_truth_valued_p (op1, valueize))
	    {
	      {
/* #line 1169 "../../gcc/match.pd" */
		tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		if (gimple_simplify_57 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
		  return true;
	      }
	    }
        }
}
}
{
  tree op0_pops[1];
  if (gimple_nop_convert (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      switch (TREE_CODE (o20))
        {
	case SSA_NAME:
	  if (gimple *def_stmt = get_def (valueize, o20))
	    {
	      if (gassign *def = dyn_cast <gassign *> (def_stmt))
	        switch (gimple_assign_rhs_code (def))
		  {
		  case PLUS_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      tree o31 = gimple_assign_rhs2 (def);
		      o31 = do_valueize (valueize, o31);
		      if (tree_swap_operands_p (o30, o31))
		        std::swap (o30, o31);
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o50 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o50, 0) && types_match (o70, o50)))
							{
							  {
/* #line 1427 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o50 };
							    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o40 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o40, 0) && types_match (o70, o40)))
							{
							  {
/* #line 1427 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o31, o40 };
							    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o31, o40 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((op1 == o50 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o50, 0) && types_match (op1, o50)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o50 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o60 = gimple_assign_rhs1 (def);
				      o60 = do_valueize (valueize, o60);
				      if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o31, o30 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
			{
			  {
/* #line 1427 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
			    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			      return true;
			  }
		        }
		      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
			{
			  {
/* #line 1427 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o31, o30 };
			    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			      return true;
			  }
		        }
		      break;
		    }
		  case POINTER_PLUS_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      tree o31 = gimple_assign_rhs2 (def);
		      o31 = do_valueize (valueize, o31);
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o40 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o40, 0) && types_match (o70, o40)))
							{
							  {
/* #line 1436 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o40, o31 };
							    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 1436 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o40, o31 };
					    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o60 = gimple_assign_rhs1 (def);
				      o60 = do_valueize (valueize, o60);
				      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
					{
					  {
/* #line 1436 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
					    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
			{
			  {
/* #line 1436 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
			    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			      return true;
			  }
		        }
		      break;
		    }
		  default:;
		  }
	    }
	  break;
        default:;
        }
}
}
if (gimple_truth_valued_p (op0, valueize))
  {
    {
      tree op1_pops[1];
      if (gimple_logical_inverted_value (op1, op1_pops, valueize))
        {
	  tree o30 = op1_pops[0];
	  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
	    {
	      {
/* #line 1169 "../../gcc/match.pd" */
		tree captures[1] ATTRIBUTE_UNUSED = { op0 };
		if (gimple_simplify_57 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
		  return true;
	      }
	    }
}
    }
  }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op1_pops[1];
  if (gimple_nop_convert (op1, op1_pops, valueize))
    {
      tree o30 = op1_pops[0];
      switch (TREE_CODE (o30))
        {
	case SSA_NAME:
	  if (gimple *def_stmt = get_def (valueize, o30))
	    {
	      if (gassign *def = dyn_cast <gassign *> (def_stmt))
	        switch (gimple_assign_rhs_code (def))
		  {
		  case PLUS_EXPR:
		    {
		      tree o40 = gimple_assign_rhs1 (def);
		      o40 = do_valueize (valueize, o40);
		      tree o41 = gimple_assign_rhs2 (def);
		      o41 = do_valueize (valueize, o41);
		      if (tree_swap_operands_p (o40, o41))
		        std::swap (o40, o41);
		      switch (TREE_CODE (o41))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o41))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o60 = gimple_assign_rhs1 (def);
				      o60 = do_valueize (valueize, o60);
				      if ((o60 == op0 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, op0, 0) && types_match (o60, op0)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o40, op0 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (o40))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o40))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o41, op0 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
			{
			  {
/* #line 1427 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o40, op0 };
			    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			      return true;
			  }
		        }
		      if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
			{
			  {
/* #line 1427 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o41, op0 };
			    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			      return true;
			  }
		        }
		      break;
		    }
		  case POINTER_PLUS_EXPR:
		    {
		      tree o40 = gimple_assign_rhs1 (def);
		      o40 = do_valueize (valueize, o40);
		      tree o41 = gimple_assign_rhs2 (def);
		      o41 = do_valueize (valueize, o41);
		      switch (TREE_CODE (o40))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o40))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 1436 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, op0, o41 };
					    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
			{
			  {
/* #line 1436 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, op0, o41 };
			    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			      return true;
			  }
		        }
		      break;
		    }
		  default:;
		  }
	    }
	  break;
        default:;
        }
}
}
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (o21))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, o21))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			  {
			    {
/* #line 1470 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 1460 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_119 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, LT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (o41))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o41))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == op0 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, op0, 0) && types_match (o60, op0)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { op0, o40 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { op0, o40 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  switch (TREE_CODE (o30))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (o31))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, o31))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			  {
			    {
/* #line 1470 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MIN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, EQ_EXPR, LE_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, EQ_EXPR, LE_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2115 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_156 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, EQ_EXPR, GE_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, EQ_EXPR, GE_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2124 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_41 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_with_possible_nonzero_bits2 (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      {
	tree op1_pops[1];
	if (gimple_with_certain_nonzero_bits2 (op1, op1_pops, valueize))
	  {
	    tree o40 = op1_pops[0];
	    {
/* #line 1497 "../../gcc/match.pd" */
	      tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
	      if (gimple_simplify_209 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
	        return true;
	    }
}
      }
}
}
{
  tree op0_pops[1];
  if (gimple_with_certain_nonzero_bits2 (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      {
	tree op1_pops[1];
	if (gimple_with_possible_nonzero_bits2 (op1, op1_pops, valueize))
	  {
	    tree o40 = op1_pops[0];
	    {
/* #line 1497 "../../gcc/match.pd" */
	      tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
	      if (gimple_simplify_209 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
	        return true;
	    }
}
      }
}
}
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MIN_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, EQ_EXPR, LE_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, EQ_EXPR, LE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, EQ_EXPR, GE_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, EQ_EXPR, GE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LSHIFT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (integer_onep (o30))
				    {
				      if (integer_onep (o21))
					{
					  if (integer_zerop (op1))
					    {
					      {
/* #line 2233 "../../gcc/match.pd" */
						tree captures[1] ATTRIBUTE_UNUSED = { o31 };
						if (gimple_simplify_62 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, NE_EXPR))
						  return true;
					      }
					    }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2241 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_125 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 2986 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_76 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 2986 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_196 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if (integer_zerop (op1))
			  {
			    {
/* #line 2998 "../../gcc/match.pd" */
			      tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
			      if (gimple_simplify_270 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, EQ_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3013 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_254 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3042 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_206 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3050 "../../gcc/match.pd" */
		      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		      if (gimple_simplify_79 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, EQ_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3058 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
				    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3058 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3088 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_184 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3164 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_110 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 3269 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_272 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, EQ_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 3342 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			  if (gimple_simplify_74 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, EQ_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (zerop (op1))
		    {
		      {
/* #line 3455 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			if (gimple_simplify_96 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3462 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_38 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3462 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, op1 };
		    if (gimple_simplify_130 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
		      return true;
		  }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 3539 "../../gcc/match.pd" */
						tree captures[4] ATTRIBUTE_UNUSED = { op0, o30, o31, op1 };
						if (gimple_simplify_259 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3539 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_259 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 3546 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_135 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 3552 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_137 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 3552 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_137 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, EQ_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, EQ_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, EQ_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, EQ_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    {
	      {
/* #line 3523 "../../gcc/match.pd" */
		tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		if (gimple_simplify_47 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
		  return true;
	      }
	      break;
	    }
          default:;
          }
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_XOR_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 3552 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_137 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 3552 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_137 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 3557 "../../gcc/match.pd" */
						tree captures[4] ATTRIBUTE_UNUSED = { op0, o30, o31, op1 };
						if (gimple_simplify_22 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case ADDR_EXPR:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					switch (TREE_CODE (o40))
					  {
					  case ADDR_EXPR:
					    {
					      {
/* #line 3630 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
						if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
				if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		      if (integer_zerop (op1))
			{
			  {
/* #line 3562 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			    if (gimple_simplify_105 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			      return true;
			  }
		        }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3557 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_22 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_pow2p (o21))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 3571 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			    if (gimple_simplify_141 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, NE_EXPR))
			      return true;
			  }
		        }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  if (integer_pow2p (o21))
				    {
				      if (integer_zerop (op1))
					{
					  {
/* #line 3597 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o30, o21 };
					    if (gimple_simplify_164 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, GE_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if (integer_pow2p (o21))
		    {
		      if (integer_zerop (op1))
			{
			  {
/* #line 3597 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { o20, o20, o21 };
			    if (gimple_simplify_84 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR, GE_EXPR))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    if (gimple *def_stmt = get_def (valueize, op1))
	      {
		if (gassign *def = dyn_cast <gassign *> (def_stmt))
		  switch (gimple_assign_rhs_code (def))
		    {
		    CASE_CONVERT:
		      {
			tree o30 = gimple_assign_rhs1 (def);
			o30 = do_valueize (valueize, o30);
			switch (TREE_CODE (o30))
			  {
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o30 };
				if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	      }
	    break;
	  case ADDR_EXPR:
	    {
	      {
/* #line 3630 "../../gcc/match.pd" */
		tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
		if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
		  return true;
	      }
	      break;
	    }
          default:;
          }
      if (integer_zerop (op1))
	{
	  {
/* #line 3562 "../../gcc/match.pd" */
	    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	    if (gimple_simplify_105 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
	      return true;
	  }
        }
        break;
      }
    default:;
    }
  {
/* #line 3705 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_103 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 3718 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_59 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if (integer_onep (op1))
    {
      {
/* #line 3811 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 3811 "../../gcc/match.pd" */
	if (TREE_CODE (TREE_TYPE (captures[0])) == BOOLEAN_TYPE && types_match (type, TREE_TYPE (captures[0])))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3813, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] = captures[0];
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4545 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_30 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, MINUS_EXPR, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4545 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_30 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, PLUS_EXPR, EQ_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_NE_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MULT_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1239 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					if (gimple_simplify_158 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1239 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
					if (gimple_simplify_158 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					  return true;
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1239 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
					if (gimple_simplify_158 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1239 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
					if (gimple_simplify_158 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case MULT_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					  {
					    {
/* #line 1249 "../../gcc/match.pd" */
					      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					      if (gimple_simplify_64 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case EXACT_DIV_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
					  {
					    {
/* #line 1287 "../../gcc/match.pd" */
					      tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
					      if (gimple_simplify_159 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 1294 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_275 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case PLUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if (tree_swap_operands_p (o50, o51))
				    std::swap (o50, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NE_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NE_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o50 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NE_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1355 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o21, o20, o51 };
/* #line 1355 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1358, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NE_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1371 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o50 };
/* #line 1371 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[0]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1374, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NE_EXPR;
					    res_ops[0] = captures[0];
					    res_ops[1] = captures[2];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1398 "../../gcc/match.pd" */
					tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, o51 };
/* #line 1398 "../../gcc/match.pd" */
					if (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1])) || TYPE_OVERFLOW_WRAPS (TREE_TYPE (captures[1]))))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:1401, %s:%d\n", __FILE__, __LINE__);
					    *res_code = NE_EXPR;
					    res_ops[0] = captures[2];
					    res_ops[1] = captures[1];
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case POINTER_DIFF_EXPR:
			        {
				  tree o50 = gimple_assign_rhs1 (def);
				  o50 = do_valueize (valueize, o50);
				  tree o51 = gimple_assign_rhs2 (def);
				  o51 = do_valueize (valueize, o51);
				  if ((o51 == o21 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o21, 0) && types_match (o51, o21)))
				    {
				      {
/* #line 1379 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o50 };
					if (gimple_simplify_99 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					  return true;
				      }
				    }
				  if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
				    {
				      {
/* #line 1406 "../../gcc/match.pd" */
					tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, o51 };
					if (gimple_simplify_11 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					  return true;
				      }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case MINUS_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  switch (TREE_CODE (o50))
						    {
						    case INTEGER_CST:
						      {
							switch (TREE_CODE (o51))
							  {
							  case SSA_NAME:
							    if (gimple *def_stmt = get_def (valueize, o51))
							      {
								if (gassign *def = dyn_cast <gassign *> (def_stmt))
								  switch (gimple_assign_rhs_code (def))
								    {
								    CASE_CONVERT:
								      {
									tree o70 = gimple_assign_rhs1 (def);
									o70 = do_valueize (valueize, o70);
									if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
									  {
									    {
/* #line 1470 "../../gcc/match.pd" */
									      tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
									      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
									        return true;
									    }
									  }
								        break;
								      }
								    default:;
								    }
							      }
							    break;
						          default:;
						          }
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		{
		  tree op1_pops[1];
		  if (gimple_nop_convert (op1, op1_pops, valueize))
		    {
		      tree o40 = op1_pops[0];
		      switch (TREE_CODE (o40))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o40))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case PLUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      switch (TREE_CODE (o51))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o51))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o20 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o20, 0) && types_match (o70, o20)))
							{
							  {
/* #line 1427 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o50, o20 };
							    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      switch (TREE_CODE (o50))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o50))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							{
							  {
/* #line 1427 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o51, o20 };
							    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o50, o20 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o51, o20 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  case POINTER_PLUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      switch (TREE_CODE (o50))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, o50))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							{
							  {
/* #line 1436 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o20, o51 };
							    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  {
/* #line 1436 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o40, o20, o51 };
					    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
}
		}
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  switch (TREE_CODE (o30))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (o31))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o31))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o50 = gimple_assign_rhs1 (def);
							o50 = do_valueize (valueize, o50);
							switch (TREE_CODE (op1))
							  {
							  case SSA_NAME:
							    if (gimple *def_stmt = get_def (valueize, op1))
							      {
								if (gassign *def = dyn_cast <gassign *> (def_stmt))
								  switch (gimple_assign_rhs_code (def))
								    {
								    CASE_CONVERT:
								      {
									tree o70 = gimple_assign_rhs1 (def);
									o70 = do_valueize (valueize, o70);
									if ((o70 == o50 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o50, 0) && types_match (o70, o50)))
									  {
									    {
/* #line 1470 "../../gcc/match.pd" */
									      tree captures[2] ATTRIBUTE_UNUSED = { o50, o30 };
									      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
									        return true;
									    }
									  }
								        break;
								      }
								    default:;
								    }
							      }
							    break;
						          default:;
						          }
							if ((op1 == o50 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o50, 0) && types_match (op1, o50)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o50, o30 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o31, o30 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { o31, o30 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  switch (TREE_CODE (o40))
				    {
				    case SSA_NAME:
				      if (gimple *def_stmt = get_def (valueize, o40))
				        {
					  if (gassign *def = dyn_cast <gassign *> (def_stmt))
					    switch (gimple_assign_rhs_code (def))
					      {
					      case MINUS_EXPR:
					        {
						  tree o50 = gimple_assign_rhs1 (def);
						  o50 = do_valueize (valueize, o50);
						  tree o51 = gimple_assign_rhs2 (def);
						  o51 = do_valueize (valueize, o51);
						  switch (TREE_CODE (o50))
						    {
						    case INTEGER_CST:
						      {
							if ((o51 == o20 && ! TREE_SIDE_EFFECTS (o51)) || (operand_equal_p (o51, o20, 0) && types_match (o51, o20)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o20, o50 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
				        }
				      break;
				    default:;
				    }
			          break;
			        }
			      case MINUS_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (o41))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o41))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o20 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o20, 0) && types_match (o60, o20)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((o41 == o20 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, o20, 0) && types_match (o41, o20)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_logical_inverted_value (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
	{
	  if (gimple_truth_valued_p (op1, valueize))
	    {
	      {
/* #line 1169 "../../gcc/match.pd" */
		tree captures[1] ATTRIBUTE_UNUSED = { o20 };
		if (gimple_simplify_57 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
		  return true;
	      }
	    }
        }
}
}
{
  tree op0_pops[1];
  if (gimple_nop_convert (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      switch (TREE_CODE (o20))
        {
	case SSA_NAME:
	  if (gimple *def_stmt = get_def (valueize, o20))
	    {
	      if (gassign *def = dyn_cast <gassign *> (def_stmt))
	        switch (gimple_assign_rhs_code (def))
		  {
		  case PLUS_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      tree o31 = gimple_assign_rhs2 (def);
		      o31 = do_valueize (valueize, o31);
		      if (tree_swap_operands_p (o30, o31))
		        std::swap (o30, o31);
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o50 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o50, 0) && types_match (o70, o50)))
							{
							  {
/* #line 1427 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o50 };
							    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o40 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o40, 0) && types_match (o70, o40)))
							{
							  {
/* #line 1427 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o31, o40 };
							    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o31, o40 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (o31))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o31))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((op1 == o50 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o50, 0) && types_match (op1, o50)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o50 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o60 = gimple_assign_rhs1 (def);
				      o60 = do_valueize (valueize, o60);
				      if ((o60 == o31 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o31, 0) && types_match (o60, o31)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o31, o30 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o31 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o31, 0) && types_match (op1, o31)))
			{
			  {
/* #line 1427 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
			    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			      return true;
			  }
		        }
		      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
			{
			  {
/* #line 1427 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o31, o30 };
			    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			      return true;
			  }
		        }
		      break;
		    }
		  case POINTER_PLUS_EXPR:
		    {
		      tree o30 = gimple_assign_rhs1 (def);
		      o30 = do_valueize (valueize, o30);
		      tree o31 = gimple_assign_rhs2 (def);
		      o31 = do_valueize (valueize, o31);
		      switch (TREE_CODE (o30))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o30))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o40 = gimple_assign_rhs1 (def);
				      o40 = do_valueize (valueize, o40);
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o70 = gimple_assign_rhs1 (def);
						      o70 = do_valueize (valueize, o70);
						      if ((o70 == o40 && ! TREE_SIDE_EFFECTS (o70)) || (operand_equal_p (o70, o40, 0) && types_match (o70, o40)))
							{
							  {
/* #line 1436 "../../gcc/match.pd" */
							    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o40, o31 };
							    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							      return true;
							  }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					{
					  {
/* #line 1436 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o40, o31 };
					    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o60 = gimple_assign_rhs1 (def);
				      o60 = do_valueize (valueize, o60);
				      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
					{
					  {
/* #line 1436 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
					    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
			{
			  {
/* #line 1436 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o30, o31 };
			    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			      return true;
			  }
		        }
		      break;
		    }
		  default:;
		  }
	    }
	  break;
        default:;
        }
}
}
if (gimple_truth_valued_p (op0, valueize))
  {
    {
      tree op1_pops[1];
      if (gimple_logical_inverted_value (op1, op1_pops, valueize))
        {
	  tree o30 = op1_pops[0];
	  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
	    {
	      {
/* #line 1169 "../../gcc/match.pd" */
		tree captures[1] ATTRIBUTE_UNUSED = { op0 };
		if (gimple_simplify_57 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
		  return true;
	      }
	    }
}
    }
  }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op1_pops[1];
  if (gimple_nop_convert (op1, op1_pops, valueize))
    {
      tree o30 = op1_pops[0];
      switch (TREE_CODE (o30))
        {
	case SSA_NAME:
	  if (gimple *def_stmt = get_def (valueize, o30))
	    {
	      if (gassign *def = dyn_cast <gassign *> (def_stmt))
	        switch (gimple_assign_rhs_code (def))
		  {
		  case PLUS_EXPR:
		    {
		      tree o40 = gimple_assign_rhs1 (def);
		      o40 = do_valueize (valueize, o40);
		      tree o41 = gimple_assign_rhs2 (def);
		      o41 = do_valueize (valueize, o41);
		      if (tree_swap_operands_p (o40, o41))
		        std::swap (o40, o41);
		      switch (TREE_CODE (o41))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o41))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o60 = gimple_assign_rhs1 (def);
				      o60 = do_valueize (valueize, o60);
				      if ((o60 == op0 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, op0, 0) && types_match (o60, op0)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o40, op0 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      switch (TREE_CODE (o40))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o40))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 1427 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o41, op0 };
					    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
			{
			  {
/* #line 1427 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o40, op0 };
			    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			      return true;
			  }
		        }
		      if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
			{
			  {
/* #line 1427 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, o41, op0 };
			    if (gimple_simplify_102 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			      return true;
			  }
		        }
		      break;
		    }
		  case POINTER_PLUS_EXPR:
		    {
		      tree o40 = gimple_assign_rhs1 (def);
		      o40 = do_valueize (valueize, o40);
		      tree o41 = gimple_assign_rhs2 (def);
		      o41 = do_valueize (valueize, o41);
		      switch (TREE_CODE (o40))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, o40))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					{
					  {
/* #line 1436 "../../gcc/match.pd" */
					    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, op0, o41 };
					    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					      return true;
					  }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
			{
			  {
/* #line 1436 "../../gcc/match.pd" */
			    tree captures[4] ATTRIBUTE_UNUSED = { op1, o30, op0, o41 };
			    if (gimple_simplify_271 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			      return true;
			  }
		        }
		      break;
		    }
		  default:;
		  }
	    }
	  break;
        default:;
        }
}
}
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1446 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
			if (gimple_simplify_77 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (o21))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, o21))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o40 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o40, 0) && types_match (o60, o40)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o40 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o40, 0) && types_match (op1, o40)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == o21 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o21, 0) && types_match (o50, o21)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			  {
			    {
/* #line 1470 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case TRUNC_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 1460 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_119 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, GE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  switch (TREE_CODE (o30))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o30))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case MINUS_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  tree o41 = gimple_assign_rhs2 (def);
				  o41 = do_valueize (valueize, o41);
				  switch (TREE_CODE (o40))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (o41))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, o41))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == op0 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, op0, 0) && types_match (o60, op0)))
							  {
							    {
/* #line 1470 "../../gcc/match.pd" */
							      tree captures[2] ATTRIBUTE_UNUSED = { op0, o40 };
							      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
							        return true;
							    }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((o41 == op0 && ! TREE_SIDE_EFFECTS (o41)) || (operand_equal_p (o41, op0, 0) && types_match (o41, op0)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { op0, o40 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  switch (TREE_CODE (o30))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (o31))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, o31))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == op0 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, op0, 0) && types_match (o50, op0)))
					  {
					    {
/* #line 1470 "../../gcc/match.pd" */
					      tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
					      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
					        return true;
					    }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
			  {
			    {
/* #line 1470 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			      if (gimple_simplify_18 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MIN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, NE_EXPR, GT_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, NE_EXPR, GT_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2115 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_156 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, NE_EXPR, LT_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, NE_EXPR, LT_EXPR))
			  return true;
		      }
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2124 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_41 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_with_possible_nonzero_bits2 (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      {
	tree op1_pops[1];
	if (gimple_with_certain_nonzero_bits2 (op1, op1_pops, valueize))
	  {
	    tree o40 = op1_pops[0];
	    {
/* #line 1497 "../../gcc/match.pd" */
	      tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
	      if (gimple_simplify_209 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
	        return true;
	    }
}
      }
}
}
{
  tree op0_pops[1];
  if (gimple_with_certain_nonzero_bits2 (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      {
	tree op1_pops[1];
	if (gimple_with_possible_nonzero_bits2 (op1, op1_pops, valueize))
	  {
	    tree o40 = op1_pops[0];
	    {
/* #line 1497 "../../gcc/match.pd" */
	      tree captures[2] ATTRIBUTE_UNUSED = { o40, o20 };
	      if (gimple_simplify_209 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
	        return true;
	    }
}
      }
}
}
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MIN_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, NE_EXPR, GT_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, NE_EXPR, GT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MAX_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, NE_EXPR, LT_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 2108 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_39 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, NE_EXPR, LT_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case LSHIFT_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (integer_onep (o30))
				    {
				      if (integer_onep (o21))
					{
					  if (integer_zerop (op1))
					    {
					      {
/* #line 2233 "../../gcc/match.pd" */
						tree captures[1] ATTRIBUTE_UNUSED = { o31 };
						if (gimple_simplify_62 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, EQ_EXPR))
						  return true;
					      }
					    }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o20))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2241 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_125 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 2986 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_76 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case POINTER_DIFF_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 2986 "../../gcc/match.pd" */
			tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			if (gimple_simplify_196 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      case MULT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if (integer_zerop (op1))
			  {
			    {
/* #line 2998 "../../gcc/match.pd" */
			      tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
			      if (gimple_simplify_270 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, NE_EXPR))
			        return true;
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3021 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_117 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3042 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_206 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3050 "../../gcc/match.pd" */
		      tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		      if (gimple_simplify_79 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, NE_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3058 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
				    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3058 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
		    if (gimple_simplify_207 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3088 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_184 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3148 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_106 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
		  switch (TREE_CODE (o20))
		    {
		    case REAL_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case REAL_CST:
			    {
			      {
/* #line 3164 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_110 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case FLOAT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case REAL_CST:
		      {
			{
/* #line 3269 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_272 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, NE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EXACT_DIV_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 3342 "../../gcc/match.pd" */
			  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
			  if (gimple_simplify_74 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, NE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, NE_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      case ABS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if (zerop (op1))
		    {
		      {
/* #line 3455 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			if (gimple_simplify_96 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3462 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_38 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  {
/* #line 3462 "../../gcc/match.pd" */
		    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, op1 };
		    if (gimple_simplify_130 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
		      return true;
		  }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 3539 "../../gcc/match.pd" */
						tree captures[4] ATTRIBUTE_UNUSED = { op0, o30, o31, op1 };
						if (gimple_simplify_259 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3539 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_259 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_zerop (op1))
		    {
		      {
/* #line 3546 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_135 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 3552 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_137 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 3552 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_137 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
	  else if (gcall *def = dyn_cast <gcall *> (def_stmt))
	    switch (gimple_call_combined_fn (def))
	      {
	      case CFN_BUILT_IN_SQRTF:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTF:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, NE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTF, NE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, NE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRT, NE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_BUILT_IN_SQRTL:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_BUILT_IN_SQRTL:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, NE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_SQRTL, NE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case CFN_SQRT:
	        {
		  tree o20 = gimple_call_arg (def, 0);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gcall *def = dyn_cast <gcall *> (def_stmt))
			    switch (gimple_call_combined_fn (def))
			      {
			      case CFN_SQRT:
			        {
				  tree o40 = gimple_call_arg (def, 0);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3172 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_67 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, NE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case REAL_CST:
		      {
			{
/* #line 3172 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_15 (res_code, res_ops, seq, valueize, type, captures, CFN_SQRT, NE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    {
	      {
/* #line 3523 "../../gcc/match.pd" */
		tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		if (gimple_simplify_47 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
		  return true;
	      }
	      break;
	    }
          default:;
          }
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case BIT_XOR_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 3552 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o31 };
			if (gimple_simplify_137 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 3552 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { op0, o30 };
			if (gimple_simplify_137 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 3557 "../../gcc/match.pd" */
						tree captures[4] ATTRIBUTE_UNUSED = { op0, o30, o31, op1 };
						if (gimple_simplify_22 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    case ADDR_EXPR:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o40 = gimple_assign_rhs1 (def);
					o40 = do_valueize (valueize, o40);
					switch (TREE_CODE (o40))
					  {
					  case ADDR_EXPR:
					    {
					      {
/* #line 3630 "../../gcc/match.pd" */
						tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o40 };
						if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, op1 };
				if (gimple_simplify_161 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		      if (integer_zerop (op1))
			{
			  {
/* #line 3562 "../../gcc/match.pd" */
			    tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			    if (gimple_simplify_105 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			      return true;
			  }
		        }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 3557 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_22 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if (integer_pow2p (o21))
		    {
		      if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			{
			  {
/* #line 3571 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { op0, o20, o21 };
			    if (gimple_simplify_141 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, EQ_EXPR))
			      return true;
			  }
		        }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  if (integer_pow2p (o21))
				    {
				      if (integer_zerop (op1))
					{
					  {
/* #line 3597 "../../gcc/match.pd" */
					    tree captures[3] ATTRIBUTE_UNUSED = { o20, o30, o21 };
					    if (gimple_simplify_164 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, LT_EXPR))
					      return true;
					  }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  if (integer_pow2p (o21))
		    {
		      if (integer_zerop (op1))
			{
			  {
/* #line 3597 "../../gcc/match.pd" */
			    tree captures[3] ATTRIBUTE_UNUSED = { o20, o20, o21 };
			    if (gimple_simplify_84 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR, LT_EXPR))
			      return true;
			  }
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case ADDR_EXPR:
      {
	switch (TREE_CODE (op1))
	  {
	  case SSA_NAME:
	    if (gimple *def_stmt = get_def (valueize, op1))
	      {
		if (gassign *def = dyn_cast <gassign *> (def_stmt))
		  switch (gimple_assign_rhs_code (def))
		    {
		    CASE_CONVERT:
		      {
			tree o30 = gimple_assign_rhs1 (def);
			o30 = do_valueize (valueize, o30);
			switch (TREE_CODE (o30))
			  {
			  case ADDR_EXPR:
			    {
			      {
/* #line 3630 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, o30 };
				if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	      }
	    break;
	  case ADDR_EXPR:
	    {
	      {
/* #line 3630 "../../gcc/match.pd" */
		tree captures[3] ATTRIBUTE_UNUSED = { op0, op0, op1 };
		if (gimple_simplify_138 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
		  return true;
	      }
	      break;
	    }
          default:;
          }
      if (integer_zerop (op1))
	{
	  {
/* #line 3562 "../../gcc/match.pd" */
	    tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	    if (gimple_simplify_105 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
	      return true;
	  }
        }
        break;
      }
    default:;
    }
  {
/* #line 3705 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_103 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case INTEGER_CST:
		      {
			{
/* #line 3718 "../../gcc/match.pd" */
			  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
			  if (gimple_simplify_59 (res_code, res_ops, seq, valueize, type, captures, NE_EXPR))
			    return true;
			}
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if (integer_zerop (op1))
    {
      {
/* #line 3805 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 3805 "../../gcc/match.pd" */
	if (TREE_CODE (TREE_TYPE (captures[0])) == BOOLEAN_TYPE && types_match (type, TREE_TYPE (captures[0])))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3807, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] = captures[0];
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4545 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_30 (res_code, res_ops, seq, valueize, type, captures, PLUS_EXPR, MINUS_EXPR, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case MINUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 4545 "../../gcc/match.pd" */
				tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, o21, op1 };
				if (gimple_simplify_30 (res_code, res_ops, seq, valueize, type, captures, MINUS_EXPR, PLUS_EXPR, NE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_MIN_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MAX_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1994 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_262 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1994 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_262 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MAX_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1994 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o30, op0 };
			if (gimple_simplify_262 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1994 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o31, op0 };
			if (gimple_simplify_262 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 2009 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_246 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 2009 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_246 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  {
/* #line 2016 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 2016 "../../gcc/match.pd" */
    if (INTEGRAL_TYPE_P (type) && TYPE_MIN_VALUE (type) && operand_equal_p (captures[1], TYPE_MIN_VALUE (type), OEP_ONLY_CONST))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2019, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[1];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    else
      {
/* #line 2020 "../../gcc/match.pd" */
	if (INTEGRAL_TYPE_P (type) && TYPE_MAX_VALUE (type) && operand_equal_p (captures[1], TYPE_MAX_VALUE (type), OEP_ONLY_CONST))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2023, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] = captures[0];
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
  }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case INTEGER_CST:
			  {
			    {
/* #line 2049 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
/* #line 2049 "../../gcc/match.pd" */
			      if (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])))
				{
/* #line 2050 "../../gcc/match.pd" */
				  if (tree_int_cst_sgn (captures[2]) > 0)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2051, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] = captures[0];
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				  else
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2052, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] = captures[1];
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				}
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 2049 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
/* #line 2049 "../../gcc/match.pd" */
			      if (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])))
				{
/* #line 2050 "../../gcc/match.pd" */
				  if (tree_int_cst_sgn (captures[2]) > 0)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2051, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] = captures[0];
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				  else
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2052, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] = captures[1];
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				}
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MAX_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2100 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_244 (res_code, res_ops, seq, valueize, type, captures, MIN_EXPR, MAX_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_MAX_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MIN_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
		    {
		      {
/* #line 1998 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
			if (gimple_simplify_160 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 1998 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o21, o20 };
			if (gimple_simplify_160 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case MIN_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o31 == op0 && ! TREE_SIDE_EFFECTS (o31)) || (operand_equal_p (o31, op0, 0) && types_match (o31, op0)))
		    {
		      {
/* #line 1998 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o30, op0 };
			if (gimple_simplify_160 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 1998 "../../gcc/match.pd" */
			tree captures[2] ATTRIBUTE_UNUSED = { o31, op0 };
			if (gimple_simplify_160 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 2002 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { op0 };
			if (gimple_simplify_122 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
		    {
		      {
/* #line 2002 "../../gcc/match.pd" */
			tree captures[1] ATTRIBUTE_UNUSED = { o20 };
			if (gimple_simplify_122 (res_code, res_ops, seq, valueize, type, captures))
			  return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  {
/* #line 2027 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 2027 "../../gcc/match.pd" */
    if (INTEGRAL_TYPE_P (type) && TYPE_MAX_VALUE (type) && operand_equal_p (captures[1], TYPE_MAX_VALUE (type), OEP_ONLY_CONST))
      {
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2030, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[1];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    else
      {
/* #line 2031 "../../gcc/match.pd" */
	if (INTEGRAL_TYPE_P (type) && TYPE_MIN_VALUE (type) && operand_equal_p (captures[1], TYPE_MIN_VALUE (type), OEP_ONLY_CONST))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2034, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] = captures[0];
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
  }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  if (tree_swap_operands_p (o30, o31))
		    std::swap (o30, o31);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      switch (TREE_CODE (o31))
		        {
			case INTEGER_CST:
			  {
			    {
/* #line 2040 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, o31 };
/* #line 2040 "../../gcc/match.pd" */
			      if (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])))
				{
/* #line 2041 "../../gcc/match.pd" */
				  if (tree_int_cst_sgn (captures[2]) > 0)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2042, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] = captures[1];
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				  else
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2043, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] = captures[0];
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				}
			    }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case PLUS_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    {
/* #line 2040 "../../gcc/match.pd" */
			      tree captures[3] ATTRIBUTE_UNUSED = { o20, op0, o21 };
/* #line 2040 "../../gcc/match.pd" */
			      if (TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[0])))
				{
/* #line 2041 "../../gcc/match.pd" */
				  if (tree_int_cst_sgn (captures[2]) > 0)
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2042, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] = captures[1];
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				  else
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2043, %s:%d\n", __FILE__, __LINE__);
				      res_ops[0] = captures[0];
				      *res_code = TREE_CODE (res_ops[0]);
				      return true;
				    }
				}
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = MIN_EXPR;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_NOT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_NOT_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2100 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
				    if (gimple_simplify_244 (res_code, res_ops, seq, valueize, type, captures, MAX_EXPR, MIN_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXF;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMIN (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMIN))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMIN))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMIN))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAX;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINL))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINL))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINL))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXL;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF16))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF16))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF16))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXF16;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF32))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF32))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF32))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXF32;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF64))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF64))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF64))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXF64;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF128))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF128))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF128))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXF128;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF32X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF32X))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF32X))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXF32X;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF64X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF64X))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF64X))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXF64X;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMINF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF128X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF128X))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMINF128X))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMAXF128X;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_FMIN (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_FMIN))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_FMIN))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_4 (res_code, res_ops, seq, valueize, type, captures, CFN_FMIN))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_FMAX;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINF;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAX (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAX))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAX))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAX))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMIN;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXL))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXL))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXL))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINL;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXF16 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF16))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF16))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF16))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINF16;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXF32 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF32))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF32))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF32))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINF32;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXF64 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF64))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF64))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF64))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINF64;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXF128 (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF128))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF128))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF128))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINF128;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXF32X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF32X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF32X))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF32X))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINF32X;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXF64X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF64X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF64X))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF64X))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINF64X;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_FMAXF128X (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF128X))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF128X))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_BUILT_IN_FMAXF128X))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_BUILT_IN_FMINF128X;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_FMAX (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 1990 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_199 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_FMAX))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 2070 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op1, op0 };
	  if (gimple_simplify_179 (res_code, res_ops, seq, valueize, type, captures, CFN_FMAX))
	    return true;
	}
        break;
      }
    default:;
    }
  {
/* #line 2078 "../../gcc/match.pd" */
    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
    if (gimple_simplify_182 (res_code, res_ops, seq, valueize, type, captures, CFN_FMAX))
      return true;
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 2090 "../../gcc/match.pd" */
				    tree captures[4] ATTRIBUTE_UNUSED = { op0, o20, op1, o40 };
/* #line 2090 "../../gcc/match.pd" */
				    if (FLOAT_TYPE_P (TREE_TYPE (captures[1])) || (ANY_INTEGRAL_TYPE_P (TREE_TYPE (captures[1])) && TYPE_OVERFLOW_UNDEFINED (TREE_TYPE (captures[1]))))
				      {
					gimple_seq *lseq = seq;
					if (lseq
					    && (!single_use (captures[0])
					        || !single_use (captures[2])))
					  lseq = NULL;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2093, %s:%d\n", __FILE__, __LINE__);
					*res_code = NEGATE_EXPR;
					{
					  tree ops1[2], res;
					  ops1[0] = captures[1];
					  ops1[1] = captures[3];
					  code_helper tem_code = CFN_FMIN;
					  tree tem_ops[3] = { ops1[0], ops1[1] };
					  gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[0] = res;
					}
					gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_LROTATE_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_all_onesp (op0))
    {
      {
/* #line 2143 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_92 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 2169 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_2 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op0))
    {
      {
/* #line 2172 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_45 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CONSTRUCTOR:
	        {
		  {
/* #line 2178 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (gimple_simplify_65 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case VECTOR_CST:
      {
	{
/* #line 2178 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_139 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
	    return true;
	}
        break;
      }
    case INTEGER_CST:
      {
	{
/* #line 2201 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2201, %s:%d\n", __FILE__, __LINE__);
	  *res_code = RROTATE_EXPR;
	  res_ops[0] = captures[0];
	  res_ops[1] =  const_binop (MINUS_EXPR, TREE_TYPE (captures[1]), build_int_cst (TREE_TYPE (captures[1]), element_precision (type)), captures[1]);
	  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
	  return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LROTATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2209 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_25 (res_code, res_ops, seq, valueize, type, captures, LROTATE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_RROTATE_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (integer_all_onesp (op0))
    {
      {
/* #line 2143 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_92 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 2169 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_2 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op0))
    {
      {
/* #line 2172 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_45 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CONSTRUCTOR:
	        {
		  {
/* #line 2178 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (gimple_simplify_65 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case VECTOR_CST:
      {
	{
/* #line 2178 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_139 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case RROTATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2209 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_25 (res_code, res_ops, seq, valueize, type, captures, RROTATE_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_RSHIFT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case LSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			if ((op1 == o21 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o21, 0) && types_match (op1, o21)))
			  {
			    {
/* #line 2162 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, o21 };
/* #line 2162 "../../gcc/match.pd" */
			      if (TYPE_UNSIGNED (type) && (wi::ltu_p (wi::to_wide (captures[1]), element_precision (type))))
				{
				  gimple_seq *lseq = seq;
				  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2164, %s:%d\n", __FILE__, __LINE__);
				  *res_code = BIT_AND_EXPR;
				  res_ops[0] = captures[0];
				  {
				    tree ops1[2], res;
				    ops1[0] =  build_minus_one_cst (type);
				    ops1[1] = captures[1];
				    code_helper tem_code = RSHIFT_EXPR;
				    tree tem_ops[3] = { ops1[0], ops1[1] };
				    gimple_resimplify2 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
				    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
				    if (!res) return false;
				    res_ops[1] = res;
				  }
				  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				  return true;
				}
			    }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
if (integer_all_onesp (op0))
  {
    {
/* #line 2148 "../../gcc/match.pd" */
      tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 2148 "../../gcc/match.pd" */
      if (!TYPE_UNSIGNED (type) && tree_expr_nonnegative_p (captures[1]))
	{
	  gimple_seq *lseq = seq;
	  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2150, %s:%d\n", __FILE__, __LINE__);
	  res_ops[0] = captures[0];
	  *res_code = TREE_CODE (res_ops[0]);
	  return true;
	}
    }
  }
  if (integer_zerop (op1))
    {
      {
/* #line 2169 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_2 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
	  return true;
      }
    }
  if (integer_zerop (op0))
    {
      {
/* #line 2172 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_45 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CONSTRUCTOR:
	        {
		  {
/* #line 2178 "../../gcc/match.pd" */
		    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
		    if (gimple_simplify_65 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
		      return true;
		  }
	          break;
	        }
	      default:;
	      }
        }
	{
	  {
/* #line 2188 "../../gcc/match.pd" */
	    tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	    if (gimple_simplify_46 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
	      return true;
	  }
	}
      break;
    case VECTOR_CST:
      {
	{
/* #line 2178 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_139 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case RSHIFT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2209 "../../gcc/match.pd" */
				tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op1 };
				if (gimple_simplify_25 (res_code, res_ops, seq, valueize, type, captures, RSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      CASE_CONVERT:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2344 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1 };
						if (gimple_simplify_257 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, RSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      case BIT_XOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2344 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1 };
						if (gimple_simplify_257 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, RSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      case BIT_IOR_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  switch (TREE_CODE (o31))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      {
/* #line 2344 "../../gcc/match.pd" */
						tree captures[5] ATTRIBUTE_UNUSED = { op0, o20, o30, o31, op1 };
						if (gimple_simplify_257 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, RSHIFT_EXPR))
						  return true;
					      }
					      break;
					    }
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case BIT_AND_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2344 "../../gcc/match.pd" */
				tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1 };
				if (gimple_simplify_10 (res_code, res_ops, seq, valueize, type, captures, BIT_AND_EXPR, RSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_XOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2344 "../../gcc/match.pd" */
				tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1 };
				if (gimple_simplify_10 (res_code, res_ops, seq, valueize, type, captures, BIT_XOR_EXPR, RSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case BIT_IOR_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case INTEGER_CST:
			    {
			      {
/* #line 2344 "../../gcc/match.pd" */
				tree captures[5] ATTRIBUTE_UNUSED = { op0, op0, o20, o21, op1 };
				if (gimple_simplify_10 (res_code, res_ops, seq, valueize, type, captures, BIT_IOR_EXPR, RSHIFT_EXPR))
				  return true;
			      }
			      break;
			    }
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_COMPLEX_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case REALPART_EXPR:
	        {
		  tree o20 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
		  if ((TREE_CODE (o20) == SSA_NAME
		       || is_gimple_min_invariant (o20)))
		    {
		      o20 = do_valueize (valueize, o20);
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case IMAGPART_EXPR:
				    {
				      tree o40 = TREE_OPERAND (gimple_assign_rhs1 (def), 0);
				      if ((TREE_CODE (o40) == SSA_NAME
				           || is_gimple_min_invariant (o40)))
				        {
					  o40 = do_valueize (valueize, o40);
					  if ((o40 == o20 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, o20, 0) && types_match (o40, o20)))
					    {
					      {
/* #line 2598 "../../gcc/match.pd" */
						tree captures[1] ATTRIBUTE_UNUSED = { o20 };
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2598, %s:%d\n", __FILE__, __LINE__);
						res_ops[0] = captures[0];
						*res_code = TREE_CODE (res_ops[0]);
						return true;
					      }
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify_UNLE_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3028 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_239 (res_code, res_ops, seq, valueize, type, captures, UNLE_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, UNLE_EXPR, UNGE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, UNLE_EXPR, UNGE_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3797 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_48 (res_code, res_ops, seq, valueize, type, captures, UNLE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_UNGE_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3028 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_239 (res_code, res_ops, seq, valueize, type, captures, UNGE_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, UNGE_EXPR, UNLE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, UNGE_EXPR, UNLE_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3797 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_48 (res_code, res_ops, seq, valueize, type, captures, UNGE_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_UNEQ_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3028 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_239 (res_code, res_ops, seq, valueize, type, captures, UNEQ_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, UNEQ_EXPR, UNEQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, UNEQ_EXPR, UNEQ_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3797 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_48 (res_code, res_ops, seq, valueize, type, captures, UNEQ_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_UNLT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3032 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_236 (res_code, res_ops, seq, valueize, type, captures, UNLT_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, UNLT_EXPR, UNGT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, UNLT_EXPR, UNGT_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3797 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_48 (res_code, res_ops, seq, valueize, type, captures, UNLT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_UNGT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3032 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
	if (gimple_simplify_236 (res_code, res_ops, seq, valueize, type, captures, UNGT_EXPR))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, UNGT_EXPR, UNLT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, UNGT_EXPR, UNLT_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3797 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_48 (res_code, res_ops, seq, valueize, type, captures, UNGT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_LTGT_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if ((op1 == op0 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, op0, 0) && types_match (op1, op0)))
    {
      {
/* #line 3035 "../../gcc/match.pd" */
	tree captures[1] ATTRIBUTE_UNUSED = { op0 };
/* #line 3035 "../../gcc/match.pd" */
	if (!flag_trapping_math)
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:3036, %s:%d\n", __FILE__, __LINE__);
	    res_ops[0] =  constant_boolean_node (false, type);
	    *res_code = TREE_CODE (res_ops[0]);
	    return true;
	  }
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, LTGT_EXPR, LTGT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, LTGT_EXPR, LTGT_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3797 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_48 (res_code, res_ops, seq, valueize, type, captures, LTGT_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_UNORDERED_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, UNORDERED_EXPR, UNORDERED_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, UNORDERED_EXPR, UNORDERED_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3797 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_48 (res_code, res_ops, seq, valueize, type, captures, UNORDERED_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_ORDERED_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NEGATE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  switch (TREE_CODE (op1))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, op1))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case NEGATE_EXPR:
			        {
				  tree o40 = gimple_assign_rhs1 (def);
				  o40 = do_valueize (valueize, o40);
				  {
/* #line 3438 "../../gcc/match.pd" */
				    tree captures[2] ATTRIBUTE_UNUSED = { o20, o40 };
				    if (gimple_simplify_170 (res_code, res_ops, seq, valueize, type, captures, ORDERED_EXPR, ORDERED_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		if (CONSTANT_CLASS_P (op1))
		  {
		    {
/* #line 3444 "../../gcc/match.pd" */
		      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
		      if (gimple_simplify_268 (res_code, res_ops, seq, valueize, type, captures, ORDERED_EXPR, ORDERED_EXPR))
		        return true;
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case REAL_CST:
      {
	{
/* #line 3797 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	  if (gimple_simplify_48 (res_code, res_ops, seq, valueize, type, captures, ORDERED_EXPR))
	    return true;
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LDEXPF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LDEXP (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_LDEXPL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_LDEXP (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SCALBNF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SCALBN (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SCALBNL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SCALBLNF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SCALBLN (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify_CFN_BUILT_IN_SCALBLNL (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1)
{
  if (real_zerop (op0))
    {
      {
/* #line 4125 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_203 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  if (integer_zerop (op1))
    {
      {
/* #line 4129 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	if (gimple_simplify_80 (res_code, res_ops, seq, valueize, type, captures))
	  return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case REAL_CST:
      {
	{
/* #line 4133 "../../gcc/match.pd" */
	  tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
/* #line 4133 "../../gcc/match.pd" */
	  if (!real_isfinite (TREE_REAL_CST_PTR (captures[0])))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4134, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[0];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	}
        break;
      }
    default:;
    }
  return false;
}

static bool
gimple_simplify (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree),
                 code_helper code, const tree type, tree op0, tree op1)
{
  switch (code.get_rep())
    {
    case PLUS_EXPR:
      return gimple_simplify_PLUS_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case POINTER_PLUS_EXPR:
      return gimple_simplify_POINTER_PLUS_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case MINUS_EXPR:
      return gimple_simplify_MINUS_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case BIT_IOR_EXPR:
      return gimple_simplify_BIT_IOR_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case BIT_XOR_EXPR:
      return gimple_simplify_BIT_XOR_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case POINTER_DIFF_EXPR:
      return gimple_simplify_POINTER_DIFF_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case MULT_EXPR:
      return gimple_simplify_MULT_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNF:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGN:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGN (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNL:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNF16:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNF16 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNF32:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNF32 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNF64:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNF64 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNF128:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNF128 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNF32X:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNF32X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNF64X:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNF64X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_COPYSIGNF128X:
      return gimple_simplify_CFN_BUILT_IN_COPYSIGNF128X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_COPYSIGN:
      return gimple_simplify_CFN_COPYSIGN (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case TRUNC_DIV_EXPR:
      return gimple_simplify_TRUNC_DIV_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case CEIL_DIV_EXPR:
      return gimple_simplify_CEIL_DIV_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case FLOOR_DIV_EXPR:
      return gimple_simplify_FLOOR_DIV_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case ROUND_DIV_EXPR:
      return gimple_simplify_ROUND_DIV_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case EXACT_DIV_EXPR:
      return gimple_simplify_EXACT_DIV_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case RDIV_EXPR:
      return gimple_simplify_RDIV_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case CEIL_MOD_EXPR:
      return gimple_simplify_CEIL_MOD_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case FLOOR_MOD_EXPR:
      return gimple_simplify_FLOOR_MOD_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case ROUND_MOD_EXPR:
      return gimple_simplify_ROUND_MOD_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case TRUNC_MOD_EXPR:
      return gimple_simplify_TRUNC_MOD_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_POWF:
      return gimple_simplify_CFN_BUILT_IN_POWF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_POW:
      return gimple_simplify_CFN_BUILT_IN_POW (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_POWL:
      return gimple_simplify_CFN_BUILT_IN_POWL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_POW:
      return gimple_simplify_CFN_POW (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_POWIF:
      return gimple_simplify_CFN_BUILT_IN_POWIF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_POWI:
      return gimple_simplify_CFN_BUILT_IN_POWI (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_POWIL:
      return gimple_simplify_CFN_BUILT_IN_POWIL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_HYPOTF:
      return gimple_simplify_CFN_BUILT_IN_HYPOTF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_HYPOT:
      return gimple_simplify_CFN_BUILT_IN_HYPOT (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_HYPOTL:
      return gimple_simplify_CFN_BUILT_IN_HYPOTL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case LSHIFT_EXPR:
      return gimple_simplify_LSHIFT_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case BIT_AND_EXPR:
      return gimple_simplify_BIT_AND_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case LT_EXPR:
      return gimple_simplify_LT_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case GE_EXPR:
      return gimple_simplify_GE_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case GT_EXPR:
      return gimple_simplify_GT_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case LE_EXPR:
      return gimple_simplify_LE_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case EQ_EXPR:
      return gimple_simplify_EQ_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case NE_EXPR:
      return gimple_simplify_NE_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case MIN_EXPR:
      return gimple_simplify_MIN_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case MAX_EXPR:
      return gimple_simplify_MAX_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINF:
      return gimple_simplify_CFN_BUILT_IN_FMINF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMIN:
      return gimple_simplify_CFN_BUILT_IN_FMIN (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINL:
      return gimple_simplify_CFN_BUILT_IN_FMINL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINF16:
      return gimple_simplify_CFN_BUILT_IN_FMINF16 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINF32:
      return gimple_simplify_CFN_BUILT_IN_FMINF32 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINF64:
      return gimple_simplify_CFN_BUILT_IN_FMINF64 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINF128:
      return gimple_simplify_CFN_BUILT_IN_FMINF128 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINF32X:
      return gimple_simplify_CFN_BUILT_IN_FMINF32X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINF64X:
      return gimple_simplify_CFN_BUILT_IN_FMINF64X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMINF128X:
      return gimple_simplify_CFN_BUILT_IN_FMINF128X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_FMIN:
      return gimple_simplify_CFN_FMIN (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXF:
      return gimple_simplify_CFN_BUILT_IN_FMAXF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAX:
      return gimple_simplify_CFN_BUILT_IN_FMAX (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXL:
      return gimple_simplify_CFN_BUILT_IN_FMAXL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXF16:
      return gimple_simplify_CFN_BUILT_IN_FMAXF16 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXF32:
      return gimple_simplify_CFN_BUILT_IN_FMAXF32 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXF64:
      return gimple_simplify_CFN_BUILT_IN_FMAXF64 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXF128:
      return gimple_simplify_CFN_BUILT_IN_FMAXF128 (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXF32X:
      return gimple_simplify_CFN_BUILT_IN_FMAXF32X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXF64X:
      return gimple_simplify_CFN_BUILT_IN_FMAXF64X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_FMAXF128X:
      return gimple_simplify_CFN_BUILT_IN_FMAXF128X (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_FMAX:
      return gimple_simplify_CFN_FMAX (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case LROTATE_EXPR:
      return gimple_simplify_LROTATE_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case RROTATE_EXPR:
      return gimple_simplify_RROTATE_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case RSHIFT_EXPR:
      return gimple_simplify_RSHIFT_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case COMPLEX_EXPR:
      return gimple_simplify_COMPLEX_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case UNLE_EXPR:
      return gimple_simplify_UNLE_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case UNGE_EXPR:
      return gimple_simplify_UNGE_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case UNEQ_EXPR:
      return gimple_simplify_UNEQ_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case UNLT_EXPR:
      return gimple_simplify_UNLT_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case UNGT_EXPR:
      return gimple_simplify_UNGT_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case LTGT_EXPR:
      return gimple_simplify_LTGT_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case UNORDERED_EXPR:
      return gimple_simplify_UNORDERED_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case ORDERED_EXPR:
      return gimple_simplify_ORDERED_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_LDEXPF:
      return gimple_simplify_CFN_BUILT_IN_LDEXPF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_LDEXP:
      return gimple_simplify_CFN_BUILT_IN_LDEXP (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_LDEXPL:
      return gimple_simplify_CFN_BUILT_IN_LDEXPL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_LDEXP:
      return gimple_simplify_CFN_LDEXP (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_SCALBNF:
      return gimple_simplify_CFN_BUILT_IN_SCALBNF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_SCALBN:
      return gimple_simplify_CFN_BUILT_IN_SCALBN (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_SCALBNL:
      return gimple_simplify_CFN_BUILT_IN_SCALBNL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_SCALBLNF:
      return gimple_simplify_CFN_BUILT_IN_SCALBLNF (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_SCALBLN:
      return gimple_simplify_CFN_BUILT_IN_SCALBLN (res_code, res_ops, seq, valueize, code, type, op0, op1);
    case -CFN_BUILT_IN_SCALBLNL:
      return gimple_simplify_CFN_BUILT_IN_SCALBLNL (res_code, res_ops, seq, valueize, code, type, op0, op1);
    default:;
    }
  return false;
}

static bool
gimple_simplify_COND_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1, tree op2)
{
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case GT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (real_zerop (o21))
		    {
		      if (real_onep (op1))
			{
			  if (real_minus_onep (op2))
			    {
			      {
/* #line 176 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 176 "../../gcc/match.pd" */
				if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				  {
/* #line 179 "../../gcc/match.pd" */
				    if (types_match (type, float_type_node))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:180, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_COPYSIGNF;
					res_ops[0] = captures[1];
					{
					  tree ops1[1], res;
					  ops1[0] = captures[0];
					  if (type != TREE_TYPE (ops1[0])
					      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					    {
					      code_helper tem_code = NOP_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					      if (!res) return false;
					    }
					  else
					    res = ops1[0];
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 181 "../../gcc/match.pd" */
					if (types_match (type, double_type_node))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:182, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_COPYSIGN;
					    res_ops[0] = captures[1];
					    {
					      tree ops1[1], res;
					      ops1[0] = captures[0];
					      if (type != TREE_TYPE (ops1[0])
					          && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						{
						  code_helper tem_code = NOP_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						  if (!res) return false;
					        }
					      else
					        res = ops1[0];
					      res_ops[1] = res;
					    }
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 183 "../../gcc/match.pd" */
					    if (types_match (type, long_double_type_node))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:184, %s:%d\n", __FILE__, __LINE__);
						*res_code = CFN_BUILT_IN_COPYSIGNL;
						res_ops[0] = captures[1];
						{
						  tree ops1[1], res;
						  ops1[0] = captures[0];
						  if (type != TREE_TYPE (ops1[0])
						      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						    {
						      code_helper tem_code = NOP_EXPR;
						      tree tem_ops[3] = { ops1[0] };
						      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						      if (!res) return false;
						    }
						  else
						    res = ops1[0];
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			    }
		        }
		      if (real_minus_onep (op1))
			{
			  if (real_onep (op2))
			    {
			      {
/* #line 191 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op2 };
/* #line 191 "../../gcc/match.pd" */
				if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				  {
/* #line 194 "../../gcc/match.pd" */
				    if (types_match (type, float_type_node))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:195, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_COPYSIGNF;
					res_ops[0] = captures[1];
					{
					  tree ops1[1], res;
					  ops1[0] = captures[0];
					  code_helper tem_code = NEGATE_EXPR;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 196 "../../gcc/match.pd" */
					if (types_match (type, double_type_node))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:197, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_COPYSIGN;
					    res_ops[0] = captures[1];
					    {
					      tree ops1[1], res;
					      ops1[0] = captures[0];
					      code_helper tem_code = NEGATE_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[1] = res;
					    }
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 198 "../../gcc/match.pd" */
					    if (types_match (type, long_double_type_node))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:199, %s:%d\n", __FILE__, __LINE__);
						*res_code = CFN_BUILT_IN_COPYSIGNL;
						res_ops[0] = captures[1];
						{
						  tree ops1[1], res;
						  ops1[0] = captures[0];
						  code_helper tem_code = NEGATE_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						  if (!res) return false;
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			    }
		        }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (op2))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 2695 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case PLUS_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  switch (TREE_CODE (op2))
								    {
								    case INTEGER_CST:
								      {
									{
/* #line 2778 "../../gcc/match.pd" */
									  tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, PLUS_EXPR))
									    return true;
									}
								        break;
								      }
								    default:;
								    }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    case MINUS_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  switch (TREE_CODE (op2))
								    {
								    case INTEGER_CST:
								      {
									{
/* #line 2778 "../../gcc/match.pd" */
									  tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, MINUS_EXPR))
									    return true;
									}
								        break;
								      }
								    default:;
								    }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    switch (TREE_CODE (op2))
			      {
			      case INTEGER_CST:
			        {
				  {
/* #line 2695 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
			  }
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case PLUS_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  switch (TREE_CODE (op2))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 2778 "../../gcc/match.pd" */
							  tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, PLUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    case MINUS_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  switch (TREE_CODE (op2))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 2778 "../../gcc/match.pd" */
							  tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, MINUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case GE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (real_zerop (o21))
		    {
		      if (real_onep (op1))
			{
			  if (real_minus_onep (op2))
			    {
			      {
/* #line 176 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 176 "../../gcc/match.pd" */
				if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				  {
/* #line 179 "../../gcc/match.pd" */
				    if (types_match (type, float_type_node))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:180, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_COPYSIGNF;
					res_ops[0] = captures[1];
					{
					  tree ops1[1], res;
					  ops1[0] = captures[0];
					  if (type != TREE_TYPE (ops1[0])
					      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					    {
					      code_helper tem_code = NOP_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					      if (!res) return false;
					    }
					  else
					    res = ops1[0];
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 181 "../../gcc/match.pd" */
					if (types_match (type, double_type_node))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:182, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_COPYSIGN;
					    res_ops[0] = captures[1];
					    {
					      tree ops1[1], res;
					      ops1[0] = captures[0];
					      if (type != TREE_TYPE (ops1[0])
					          && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						{
						  code_helper tem_code = NOP_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						  if (!res) return false;
					        }
					      else
					        res = ops1[0];
					      res_ops[1] = res;
					    }
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 183 "../../gcc/match.pd" */
					    if (types_match (type, long_double_type_node))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:184, %s:%d\n", __FILE__, __LINE__);
						*res_code = CFN_BUILT_IN_COPYSIGNL;
						res_ops[0] = captures[1];
						{
						  tree ops1[1], res;
						  ops1[0] = captures[0];
						  if (type != TREE_TYPE (ops1[0])
						      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						    {
						      code_helper tem_code = NOP_EXPR;
						      tree tem_ops[3] = { ops1[0] };
						      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						      if (!res) return false;
						    }
						  else
						    res = ops1[0];
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			    }
		        }
		      if (real_minus_onep (op1))
			{
			  if (real_onep (op2))
			    {
			      {
/* #line 191 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op2 };
/* #line 191 "../../gcc/match.pd" */
				if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				  {
/* #line 194 "../../gcc/match.pd" */
				    if (types_match (type, float_type_node))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:195, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_COPYSIGNF;
					res_ops[0] = captures[1];
					{
					  tree ops1[1], res;
					  ops1[0] = captures[0];
					  code_helper tem_code = NEGATE_EXPR;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 196 "../../gcc/match.pd" */
					if (types_match (type, double_type_node))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:197, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_COPYSIGN;
					    res_ops[0] = captures[1];
					    {
					      tree ops1[1], res;
					      ops1[0] = captures[0];
					      code_helper tem_code = NEGATE_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[1] = res;
					    }
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 198 "../../gcc/match.pd" */
					    if (types_match (type, long_double_type_node))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:199, %s:%d\n", __FILE__, __LINE__);
						*res_code = CFN_BUILT_IN_COPYSIGNL;
						res_ops[0] = captures[1];
						{
						  tree ops1[1], res;
						  ops1[0] = captures[0];
						  code_helper tem_code = NEGATE_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						  if (!res) return false;
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			    }
		        }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (op2))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 2695 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case PLUS_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  switch (TREE_CODE (op2))
								    {
								    case INTEGER_CST:
								      {
									{
/* #line 2778 "../../gcc/match.pd" */
									  tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, PLUS_EXPR))
									    return true;
									}
								        break;
								      }
								    default:;
								    }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    case MINUS_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  switch (TREE_CODE (op2))
								    {
								    case INTEGER_CST:
								      {
									{
/* #line 2778 "../../gcc/match.pd" */
									  tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, MINUS_EXPR))
									    return true;
									}
								        break;
								      }
								    default:;
								    }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    switch (TREE_CODE (op2))
			      {
			      case INTEGER_CST:
			        {
				  {
/* #line 2695 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
			  }
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case PLUS_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  switch (TREE_CODE (op2))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 2778 "../../gcc/match.pd" */
							  tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, PLUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    case MINUS_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  switch (TREE_CODE (op2))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 2778 "../../gcc/match.pd" */
							  tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, MINUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case LT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (real_zerop (o21))
		    {
		      if (real_onep (op1))
			{
			  if (real_minus_onep (op2))
			    {
			      {
/* #line 176 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 176 "../../gcc/match.pd" */
				if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				  {
/* #line 179 "../../gcc/match.pd" */
				    if (types_match (type, float_type_node))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:180, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_COPYSIGNF;
					res_ops[0] = captures[1];
					{
					  tree ops1[1], res;
					  ops1[0] = captures[0];
					  code_helper tem_code = NEGATE_EXPR;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 181 "../../gcc/match.pd" */
					if (types_match (type, double_type_node))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:182, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_COPYSIGN;
					    res_ops[0] = captures[1];
					    {
					      tree ops1[1], res;
					      ops1[0] = captures[0];
					      code_helper tem_code = NEGATE_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[1] = res;
					    }
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 183 "../../gcc/match.pd" */
					    if (types_match (type, long_double_type_node))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:184, %s:%d\n", __FILE__, __LINE__);
						*res_code = CFN_BUILT_IN_COPYSIGNL;
						res_ops[0] = captures[1];
						{
						  tree ops1[1], res;
						  ops1[0] = captures[0];
						  code_helper tem_code = NEGATE_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						  if (!res) return false;
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			    }
		        }
		      if (real_minus_onep (op1))
			{
			  if (real_onep (op2))
			    {
			      {
/* #line 191 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op2 };
/* #line 191 "../../gcc/match.pd" */
				if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				  {
/* #line 194 "../../gcc/match.pd" */
				    if (types_match (type, float_type_node))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:195, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_COPYSIGNF;
					res_ops[0] = captures[1];
					{
					  tree ops1[1], res;
					  ops1[0] = captures[0];
					  if (type != TREE_TYPE (ops1[0])
					      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					    {
					      code_helper tem_code = NOP_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					      if (!res) return false;
					    }
					  else
					    res = ops1[0];
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 196 "../../gcc/match.pd" */
					if (types_match (type, double_type_node))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:197, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_COPYSIGN;
					    res_ops[0] = captures[1];
					    {
					      tree ops1[1], res;
					      ops1[0] = captures[0];
					      if (type != TREE_TYPE (ops1[0])
					          && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						{
						  code_helper tem_code = NOP_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						  if (!res) return false;
					        }
					      else
					        res = ops1[0];
					      res_ops[1] = res;
					    }
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 198 "../../gcc/match.pd" */
					    if (types_match (type, long_double_type_node))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:199, %s:%d\n", __FILE__, __LINE__);
						*res_code = CFN_BUILT_IN_COPYSIGNL;
						res_ops[0] = captures[1];
						{
						  tree ops1[1], res;
						  ops1[0] = captures[0];
						  if (type != TREE_TYPE (ops1[0])
						      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						    {
						      code_helper tem_code = NOP_EXPR;
						      tree tem_ops[3] = { ops1[0] };
						      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						      if (!res) return false;
						    }
						  else
						    res = ops1[0];
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			    }
		        }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (op2))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 2695 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case PLUS_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  switch (TREE_CODE (op2))
								    {
								    case INTEGER_CST:
								      {
									{
/* #line 2778 "../../gcc/match.pd" */
									  tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, PLUS_EXPR))
									    return true;
									}
								        break;
								      }
								    default:;
								    }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    case MINUS_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  switch (TREE_CODE (op2))
								    {
								    case INTEGER_CST:
								      {
									{
/* #line 2778 "../../gcc/match.pd" */
									  tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, MINUS_EXPR))
									    return true;
									}
								        break;
								      }
								    default:;
								    }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    switch (TREE_CODE (op2))
			      {
			      case INTEGER_CST:
			        {
				  {
/* #line 2695 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
			  }
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case PLUS_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  switch (TREE_CODE (op2))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 2778 "../../gcc/match.pd" */
							  tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, PLUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    case MINUS_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  switch (TREE_CODE (op2))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 2778 "../../gcc/match.pd" */
							  tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, MINUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case LE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (real_zerop (o21))
		    {
		      if (real_onep (op1))
			{
			  if (real_minus_onep (op2))
			    {
			      {
/* #line 176 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 176 "../../gcc/match.pd" */
				if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				  {
/* #line 179 "../../gcc/match.pd" */
				    if (types_match (type, float_type_node))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:180, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_COPYSIGNF;
					res_ops[0] = captures[1];
					{
					  tree ops1[1], res;
					  ops1[0] = captures[0];
					  code_helper tem_code = NEGATE_EXPR;
					  tree tem_ops[3] = { ops1[0] };
					  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					  if (!res) return false;
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 181 "../../gcc/match.pd" */
					if (types_match (type, double_type_node))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:182, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_COPYSIGN;
					    res_ops[0] = captures[1];
					    {
					      tree ops1[1], res;
					      ops1[0] = captures[0];
					      code_helper tem_code = NEGATE_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					      if (!res) return false;
					      res_ops[1] = res;
					    }
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 183 "../../gcc/match.pd" */
					    if (types_match (type, long_double_type_node))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:184, %s:%d\n", __FILE__, __LINE__);
						*res_code = CFN_BUILT_IN_COPYSIGNL;
						res_ops[0] = captures[1];
						{
						  tree ops1[1], res;
						  ops1[0] = captures[0];
						  code_helper tem_code = NEGATE_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						  if (!res) return false;
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			    }
		        }
		      if (real_minus_onep (op1))
			{
			  if (real_onep (op2))
			    {
			      {
/* #line 191 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op2 };
/* #line 191 "../../gcc/match.pd" */
				if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				  {
/* #line 194 "../../gcc/match.pd" */
				    if (types_match (type, float_type_node))
				      {
					gimple_seq *lseq = seq;
					if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:195, %s:%d\n", __FILE__, __LINE__);
					*res_code = CFN_BUILT_IN_COPYSIGNF;
					res_ops[0] = captures[1];
					{
					  tree ops1[1], res;
					  ops1[0] = captures[0];
					  if (type != TREE_TYPE (ops1[0])
					      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					    {
					      code_helper tem_code = NOP_EXPR;
					      tree tem_ops[3] = { ops1[0] };
					      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					      if (!res) return false;
					    }
					  else
					    res = ops1[0];
					  res_ops[1] = res;
					}
					gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					return true;
				      }
				    else
				      {
/* #line 196 "../../gcc/match.pd" */
					if (types_match (type, double_type_node))
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:197, %s:%d\n", __FILE__, __LINE__);
					    *res_code = CFN_BUILT_IN_COPYSIGN;
					    res_ops[0] = captures[1];
					    {
					      tree ops1[1], res;
					      ops1[0] = captures[0];
					      if (type != TREE_TYPE (ops1[0])
					          && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						{
						  code_helper tem_code = NOP_EXPR;
						  tree tem_ops[3] = { ops1[0] };
						  gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						  res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						  if (!res) return false;
					        }
					      else
					        res = ops1[0];
					      res_ops[1] = res;
					    }
					    gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					    return true;
					  }
					else
					  {
/* #line 198 "../../gcc/match.pd" */
					    if (types_match (type, long_double_type_node))
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:199, %s:%d\n", __FILE__, __LINE__);
						*res_code = CFN_BUILT_IN_COPYSIGNL;
						res_ops[0] = captures[1];
						{
						  tree ops1[1], res;
						  ops1[0] = captures[0];
						  if (type != TREE_TYPE (ops1[0])
						      && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						    {
						      code_helper tem_code = NOP_EXPR;
						      tree tem_ops[3] = { ops1[0] };
						      gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						      res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						      if (!res) return false;
						    }
						  else
						    res = ops1[0];
						  res_ops[1] = res;
						}
						gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
						return true;
					      }
					  }
				      }
				  }
			      }
			    }
		        }
		    }
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (op2))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 2695 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    case PLUS_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if (tree_swap_operands_p (o60, o61))
							  std::swap (o60, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  switch (TREE_CODE (op2))
								    {
								    case INTEGER_CST:
								      {
									{
/* #line 2778 "../../gcc/match.pd" */
									  tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, PLUS_EXPR))
									    return true;
									}
								        break;
								      }
								    default:;
								    }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    case MINUS_EXPR:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							tree o61 = gimple_assign_rhs2 (def);
							o61 = do_valueize (valueize, o61);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (o61))
							      {
							      case INTEGER_CST:
							        {
								  switch (TREE_CODE (op2))
								    {
								    case INTEGER_CST:
								      {
									{
/* #line 2778 "../../gcc/match.pd" */
									  tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, MINUS_EXPR))
									    return true;
									}
								        break;
								      }
								    default:;
								    }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    switch (TREE_CODE (op2))
			      {
			      case INTEGER_CST:
			        {
				  {
/* #line 2695 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
			  }
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    case PLUS_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if (tree_swap_operands_p (o50, o51))
					  std::swap (o50, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  switch (TREE_CODE (op2))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 2778 "../../gcc/match.pd" */
							  tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, PLUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    case MINUS_EXPR:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					tree o51 = gimple_assign_rhs2 (def);
					o51 = do_valueize (valueize, o51);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (o51))
					      {
					      case INTEGER_CST:
					        {
						  switch (TREE_CODE (op2))
						    {
						    case INTEGER_CST:
						      {
							{
/* #line 2778 "../../gcc/match.pd" */
							  tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							  if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, MINUS_EXPR))
							    return true;
							}
						        break;
						      }
						    default:;
						    }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      case EQ_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      CASE_CONVERT:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  switch (TREE_CODE (o21))
				    {
				    case INTEGER_CST:
				      {
					switch (TREE_CODE (op1))
					  {
					  case SSA_NAME:
					    if (gimple *def_stmt = get_def (valueize, op1))
					      {
						if (gassign *def = dyn_cast <gassign *> (def_stmt))
						  switch (gimple_assign_rhs_code (def))
						    {
						    CASE_CONVERT:
						      {
							tree o60 = gimple_assign_rhs1 (def);
							o60 = do_valueize (valueize, o60);
							if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							  {
							    switch (TREE_CODE (op2))
							      {
							      case INTEGER_CST:
							        {
								  {
/* #line 2695 "../../gcc/match.pd" */
								    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
								      return true;
								  }
							          break;
							        }
							      default:;
							      }
							  }
						        break;
						      }
						    default:;
						    }
					      }
					    break;
				          default:;
				          }
					if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
		  switch (TREE_CODE (o21))
		    {
		    case INTEGER_CST:
		      {
			switch (TREE_CODE (op1))
			  {
			  case SSA_NAME:
			    if (gimple *def_stmt = get_def (valueize, op1))
			      {
				if (gassign *def = dyn_cast <gassign *> (def_stmt))
				  switch (gimple_assign_rhs_code (def))
				    {
				    CASE_CONVERT:
				      {
					tree o50 = gimple_assign_rhs1 (def);
					o50 = do_valueize (valueize, o50);
					if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					  {
					    switch (TREE_CODE (op2))
					      {
					      case INTEGER_CST:
					        {
						  {
/* #line 2695 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
						      return true;
						  }
					          break;
					        }
					      default:;
					      }
					  }
				        break;
				      }
				    default:;
				    }
			      }
			    break;
		          default:;
		          }
			if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			  {
			    switch (TREE_CODE (op2))
			      {
			      case INTEGER_CST:
			        {
				  {
/* #line 2695 "../../gcc/match.pd" */
				    tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				    if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				      return true;
				  }
			          break;
			        }
			      default:;
			      }
			  }
		        break;
		      }
		    default:;
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case GT_EXPR:
      {
	tree o20 = TREE_OPERAND (op0, 0);
	if ((TREE_CODE (o20) == SSA_NAME
	     || is_gimple_min_invariant (o20)))
	  {
	    o20 = do_valueize (valueize, o20);
	    tree o21 = TREE_OPERAND (op0, 1);
	    if ((TREE_CODE (o21) == SSA_NAME
	         || is_gimple_min_invariant (o21)))
	      {
		o21 = do_valueize (valueize, o21);
		if (real_zerop (o21))
		  {
		    if (real_onep (op1))
		      {
			if (real_minus_onep (op2))
			  {
			    {
/* #line 176 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 176 "../../gcc/match.pd" */
			      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				{
/* #line 179 "../../gcc/match.pd" */
				  if (types_match (type, float_type_node))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:180, %s:%d\n", __FILE__, __LINE__);
				      *res_code = CFN_BUILT_IN_COPYSIGNF;
				      res_ops[0] = captures[1];
				      {
					tree ops1[1], res;
					ops1[0] = captures[0];
					if (type != TREE_TYPE (ops1[0])
					    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					  {
					    code_helper tem_code = NOP_EXPR;
					    tree tem_ops[3] = { ops1[0] };
					    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					    if (!res) return false;
					  }
					else
					  res = ops1[0];
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 181 "../../gcc/match.pd" */
				      if (types_match (type, double_type_node))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:182, %s:%d\n", __FILE__, __LINE__);
					  *res_code = CFN_BUILT_IN_COPYSIGN;
					  res_ops[0] = captures[1];
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[0];
					    if (type != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[1] = res;
					  }
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 183 "../../gcc/match.pd" */
					  if (types_match (type, long_double_type_node))
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:184, %s:%d\n", __FILE__, __LINE__);
					      *res_code = CFN_BUILT_IN_COPYSIGNL;
					      res_ops[0] = captures[1];
					      {
						tree ops1[1], res;
						ops1[0] = captures[0];
						if (type != TREE_TYPE (ops1[0])
						    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						  {
						    code_helper tem_code = NOP_EXPR;
						    tree tem_ops[3] = { ops1[0] };
						    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						    if (!res) return false;
						  }
						else
						  res = ops1[0];
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  }
		      }
		    if (real_minus_onep (op1))
		      {
			if (real_onep (op2))
			  {
			    {
/* #line 191 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, op2 };
/* #line 191 "../../gcc/match.pd" */
			      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				{
/* #line 194 "../../gcc/match.pd" */
				  if (types_match (type, float_type_node))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:195, %s:%d\n", __FILE__, __LINE__);
				      *res_code = CFN_BUILT_IN_COPYSIGNF;
				      res_ops[0] = captures[1];
				      {
					tree ops1[1], res;
					ops1[0] = captures[0];
					code_helper tem_code = NEGATE_EXPR;
					tree tem_ops[3] = { ops1[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					if (!res) return false;
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 196 "../../gcc/match.pd" */
				      if (types_match (type, double_type_node))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:197, %s:%d\n", __FILE__, __LINE__);
					  *res_code = CFN_BUILT_IN_COPYSIGN;
					  res_ops[0] = captures[1];
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[0];
					    code_helper tem_code = NEGATE_EXPR;
					    tree tem_ops[3] = { ops1[0] };
					    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					    if (!res) return false;
					    res_ops[1] = res;
					  }
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 198 "../../gcc/match.pd" */
					  if (types_match (type, long_double_type_node))
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:199, %s:%d\n", __FILE__, __LINE__);
					      *res_code = CFN_BUILT_IN_COPYSIGNL;
					      res_ops[0] = captures[1];
					      {
						tree ops1[1], res;
						ops1[0] = captures[0];
						code_helper tem_code = NEGATE_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						if (!res) return false;
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  }
		      }
		  }
		switch (TREE_CODE (o20))
		  {
		  case SSA_NAME:
		    if (gimple *def_stmt = get_def (valueize, o20))
		      {
			if (gassign *def = dyn_cast <gassign *> (def_stmt))
			  switch (gimple_assign_rhs_code (def))
			    {
			    CASE_CONVERT:
			      {
				tree o30 = gimple_assign_rhs1 (def);
				o30 = do_valueize (valueize, o30);
				switch (TREE_CODE (o21))
				  {
				  case INTEGER_CST:
				    {
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (op2))
							    {
							    case INTEGER_CST:
							      {
								{
/* #line 2695 "../../gcc/match.pd" */
								  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
								    return true;
								}
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case PLUS_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      tree o61 = gimple_assign_rhs2 (def);
						      o61 = do_valueize (valueize, o61);
						      if (tree_swap_operands_p (o60, o61))
						        std::swap (o60, o61);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (o61))
							    {
							    case INTEGER_CST:
							      {
								switch (TREE_CODE (op2))
								  {
								  case INTEGER_CST:
								    {
								      {
/* #line 2778 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, PLUS_EXPR))
									  return true;
								      }
								      break;
								    }
							          default:;
							          }
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  case MINUS_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      tree o61 = gimple_assign_rhs2 (def);
						      o61 = do_valueize (valueize, o61);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (o61))
							    {
							    case INTEGER_CST:
							      {
								switch (TREE_CODE (op2))
								  {
								  case INTEGER_CST:
								    {
								      {
/* #line 2778 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, MINUS_EXPR))
									  return true;
								      }
								      break;
								    }
							          default:;
							          }
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      break;
				    }
			          default:;
			          }
			        break;
			      }
			    default:;
			    }
		      }
		    break;
	          default:;
	          }
		switch (TREE_CODE (o21))
		  {
		  case INTEGER_CST:
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			{
			  switch (TREE_CODE (op2))
			    {
			    case INTEGER_CST:
			      {
				{
/* #line 2695 "../../gcc/match.pd" */
				  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR))
				    return true;
				}
			        break;
			      }
			    default:;
			    }
		        }
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case PLUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (o51))
					    {
					    case INTEGER_CST:
					      {
						switch (TREE_CODE (op2))
						  {
						  case INTEGER_CST:
						    {
						      {
/* #line 2778 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, PLUS_EXPR))
							  return true;
						      }
						      break;
						    }
					          default:;
					          }
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  case MINUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (o51))
					    {
					    case INTEGER_CST:
					      {
						switch (TREE_CODE (op2))
						  {
						  case INTEGER_CST:
						    {
						      {
/* #line 2778 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GT_EXPR, MINUS_EXPR))
							  return true;
						      }
						      break;
						    }
					          default:;
					          }
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      break;
		    }
	          default:;
	          }
	      }
	  }
        break;
      }
    case GE_EXPR:
      {
	tree o20 = TREE_OPERAND (op0, 0);
	if ((TREE_CODE (o20) == SSA_NAME
	     || is_gimple_min_invariant (o20)))
	  {
	    o20 = do_valueize (valueize, o20);
	    tree o21 = TREE_OPERAND (op0, 1);
	    if ((TREE_CODE (o21) == SSA_NAME
	         || is_gimple_min_invariant (o21)))
	      {
		o21 = do_valueize (valueize, o21);
		if (real_zerop (o21))
		  {
		    if (real_onep (op1))
		      {
			if (real_minus_onep (op2))
			  {
			    {
/* #line 176 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 176 "../../gcc/match.pd" */
			      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				{
/* #line 179 "../../gcc/match.pd" */
				  if (types_match (type, float_type_node))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:180, %s:%d\n", __FILE__, __LINE__);
				      *res_code = CFN_BUILT_IN_COPYSIGNF;
				      res_ops[0] = captures[1];
				      {
					tree ops1[1], res;
					ops1[0] = captures[0];
					if (type != TREE_TYPE (ops1[0])
					    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					  {
					    code_helper tem_code = NOP_EXPR;
					    tree tem_ops[3] = { ops1[0] };
					    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					    if (!res) return false;
					  }
					else
					  res = ops1[0];
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 181 "../../gcc/match.pd" */
				      if (types_match (type, double_type_node))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:182, %s:%d\n", __FILE__, __LINE__);
					  *res_code = CFN_BUILT_IN_COPYSIGN;
					  res_ops[0] = captures[1];
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[0];
					    if (type != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[1] = res;
					  }
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 183 "../../gcc/match.pd" */
					  if (types_match (type, long_double_type_node))
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:184, %s:%d\n", __FILE__, __LINE__);
					      *res_code = CFN_BUILT_IN_COPYSIGNL;
					      res_ops[0] = captures[1];
					      {
						tree ops1[1], res;
						ops1[0] = captures[0];
						if (type != TREE_TYPE (ops1[0])
						    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						  {
						    code_helper tem_code = NOP_EXPR;
						    tree tem_ops[3] = { ops1[0] };
						    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						    if (!res) return false;
						  }
						else
						  res = ops1[0];
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  }
		      }
		    if (real_minus_onep (op1))
		      {
			if (real_onep (op2))
			  {
			    {
/* #line 191 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, op2 };
/* #line 191 "../../gcc/match.pd" */
			      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				{
/* #line 194 "../../gcc/match.pd" */
				  if (types_match (type, float_type_node))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:195, %s:%d\n", __FILE__, __LINE__);
				      *res_code = CFN_BUILT_IN_COPYSIGNF;
				      res_ops[0] = captures[1];
				      {
					tree ops1[1], res;
					ops1[0] = captures[0];
					code_helper tem_code = NEGATE_EXPR;
					tree tem_ops[3] = { ops1[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					if (!res) return false;
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 196 "../../gcc/match.pd" */
				      if (types_match (type, double_type_node))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:197, %s:%d\n", __FILE__, __LINE__);
					  *res_code = CFN_BUILT_IN_COPYSIGN;
					  res_ops[0] = captures[1];
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[0];
					    code_helper tem_code = NEGATE_EXPR;
					    tree tem_ops[3] = { ops1[0] };
					    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					    if (!res) return false;
					    res_ops[1] = res;
					  }
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 198 "../../gcc/match.pd" */
					  if (types_match (type, long_double_type_node))
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:199, %s:%d\n", __FILE__, __LINE__);
					      *res_code = CFN_BUILT_IN_COPYSIGNL;
					      res_ops[0] = captures[1];
					      {
						tree ops1[1], res;
						ops1[0] = captures[0];
						code_helper tem_code = NEGATE_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						if (!res) return false;
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  }
		      }
		  }
		switch (TREE_CODE (o20))
		  {
		  case SSA_NAME:
		    if (gimple *def_stmt = get_def (valueize, o20))
		      {
			if (gassign *def = dyn_cast <gassign *> (def_stmt))
			  switch (gimple_assign_rhs_code (def))
			    {
			    CASE_CONVERT:
			      {
				tree o30 = gimple_assign_rhs1 (def);
				o30 = do_valueize (valueize, o30);
				switch (TREE_CODE (o21))
				  {
				  case INTEGER_CST:
				    {
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (op2))
							    {
							    case INTEGER_CST:
							      {
								{
/* #line 2695 "../../gcc/match.pd" */
								  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
								    return true;
								}
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case PLUS_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      tree o61 = gimple_assign_rhs2 (def);
						      o61 = do_valueize (valueize, o61);
						      if (tree_swap_operands_p (o60, o61))
						        std::swap (o60, o61);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (o61))
							    {
							    case INTEGER_CST:
							      {
								switch (TREE_CODE (op2))
								  {
								  case INTEGER_CST:
								    {
								      {
/* #line 2778 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, PLUS_EXPR))
									  return true;
								      }
								      break;
								    }
							          default:;
							          }
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  case MINUS_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      tree o61 = gimple_assign_rhs2 (def);
						      o61 = do_valueize (valueize, o61);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (o61))
							    {
							    case INTEGER_CST:
							      {
								switch (TREE_CODE (op2))
								  {
								  case INTEGER_CST:
								    {
								      {
/* #line 2778 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, MINUS_EXPR))
									  return true;
								      }
								      break;
								    }
							          default:;
							          }
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      break;
				    }
			          default:;
			          }
			        break;
			      }
			    default:;
			    }
		      }
		    break;
	          default:;
	          }
		switch (TREE_CODE (o21))
		  {
		  case INTEGER_CST:
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			{
			  switch (TREE_CODE (op2))
			    {
			    case INTEGER_CST:
			      {
				{
/* #line 2695 "../../gcc/match.pd" */
				  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR))
				    return true;
				}
			        break;
			      }
			    default:;
			    }
		        }
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case PLUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (o51))
					    {
					    case INTEGER_CST:
					      {
						switch (TREE_CODE (op2))
						  {
						  case INTEGER_CST:
						    {
						      {
/* #line 2778 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, PLUS_EXPR))
							  return true;
						      }
						      break;
						    }
					          default:;
					          }
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  case MINUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (o51))
					    {
					    case INTEGER_CST:
					      {
						switch (TREE_CODE (op2))
						  {
						  case INTEGER_CST:
						    {
						      {
/* #line 2778 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, GE_EXPR, MINUS_EXPR))
							  return true;
						      }
						      break;
						    }
					          default:;
					          }
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      break;
		    }
	          default:;
	          }
	      }
	  }
        break;
      }
    case LT_EXPR:
      {
	tree o20 = TREE_OPERAND (op0, 0);
	if ((TREE_CODE (o20) == SSA_NAME
	     || is_gimple_min_invariant (o20)))
	  {
	    o20 = do_valueize (valueize, o20);
	    tree o21 = TREE_OPERAND (op0, 1);
	    if ((TREE_CODE (o21) == SSA_NAME
	         || is_gimple_min_invariant (o21)))
	      {
		o21 = do_valueize (valueize, o21);
		if (real_zerop (o21))
		  {
		    if (real_onep (op1))
		      {
			if (real_minus_onep (op2))
			  {
			    {
/* #line 176 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 176 "../../gcc/match.pd" */
			      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				{
/* #line 179 "../../gcc/match.pd" */
				  if (types_match (type, float_type_node))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:180, %s:%d\n", __FILE__, __LINE__);
				      *res_code = CFN_BUILT_IN_COPYSIGNF;
				      res_ops[0] = captures[1];
				      {
					tree ops1[1], res;
					ops1[0] = captures[0];
					code_helper tem_code = NEGATE_EXPR;
					tree tem_ops[3] = { ops1[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					if (!res) return false;
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 181 "../../gcc/match.pd" */
				      if (types_match (type, double_type_node))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:182, %s:%d\n", __FILE__, __LINE__);
					  *res_code = CFN_BUILT_IN_COPYSIGN;
					  res_ops[0] = captures[1];
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[0];
					    code_helper tem_code = NEGATE_EXPR;
					    tree tem_ops[3] = { ops1[0] };
					    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					    if (!res) return false;
					    res_ops[1] = res;
					  }
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 183 "../../gcc/match.pd" */
					  if (types_match (type, long_double_type_node))
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:184, %s:%d\n", __FILE__, __LINE__);
					      *res_code = CFN_BUILT_IN_COPYSIGNL;
					      res_ops[0] = captures[1];
					      {
						tree ops1[1], res;
						ops1[0] = captures[0];
						code_helper tem_code = NEGATE_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						if (!res) return false;
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  }
		      }
		    if (real_minus_onep (op1))
		      {
			if (real_onep (op2))
			  {
			    {
/* #line 191 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, op2 };
/* #line 191 "../../gcc/match.pd" */
			      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				{
/* #line 194 "../../gcc/match.pd" */
				  if (types_match (type, float_type_node))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:195, %s:%d\n", __FILE__, __LINE__);
				      *res_code = CFN_BUILT_IN_COPYSIGNF;
				      res_ops[0] = captures[1];
				      {
					tree ops1[1], res;
					ops1[0] = captures[0];
					if (type != TREE_TYPE (ops1[0])
					    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					  {
					    code_helper tem_code = NOP_EXPR;
					    tree tem_ops[3] = { ops1[0] };
					    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					    if (!res) return false;
					  }
					else
					  res = ops1[0];
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 196 "../../gcc/match.pd" */
				      if (types_match (type, double_type_node))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:197, %s:%d\n", __FILE__, __LINE__);
					  *res_code = CFN_BUILT_IN_COPYSIGN;
					  res_ops[0] = captures[1];
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[0];
					    if (type != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[1] = res;
					  }
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 198 "../../gcc/match.pd" */
					  if (types_match (type, long_double_type_node))
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:199, %s:%d\n", __FILE__, __LINE__);
					      *res_code = CFN_BUILT_IN_COPYSIGNL;
					      res_ops[0] = captures[1];
					      {
						tree ops1[1], res;
						ops1[0] = captures[0];
						if (type != TREE_TYPE (ops1[0])
						    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						  {
						    code_helper tem_code = NOP_EXPR;
						    tree tem_ops[3] = { ops1[0] };
						    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						    if (!res) return false;
						  }
						else
						  res = ops1[0];
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  }
		      }
		  }
		switch (TREE_CODE (o20))
		  {
		  case SSA_NAME:
		    if (gimple *def_stmt = get_def (valueize, o20))
		      {
			if (gassign *def = dyn_cast <gassign *> (def_stmt))
			  switch (gimple_assign_rhs_code (def))
			    {
			    CASE_CONVERT:
			      {
				tree o30 = gimple_assign_rhs1 (def);
				o30 = do_valueize (valueize, o30);
				switch (TREE_CODE (o21))
				  {
				  case INTEGER_CST:
				    {
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (op2))
							    {
							    case INTEGER_CST:
							      {
								{
/* #line 2695 "../../gcc/match.pd" */
								  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
								    return true;
								}
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case PLUS_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      tree o61 = gimple_assign_rhs2 (def);
						      o61 = do_valueize (valueize, o61);
						      if (tree_swap_operands_p (o60, o61))
						        std::swap (o60, o61);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (o61))
							    {
							    case INTEGER_CST:
							      {
								switch (TREE_CODE (op2))
								  {
								  case INTEGER_CST:
								    {
								      {
/* #line 2778 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, PLUS_EXPR))
									  return true;
								      }
								      break;
								    }
							          default:;
							          }
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  case MINUS_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      tree o61 = gimple_assign_rhs2 (def);
						      o61 = do_valueize (valueize, o61);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (o61))
							    {
							    case INTEGER_CST:
							      {
								switch (TREE_CODE (op2))
								  {
								  case INTEGER_CST:
								    {
								      {
/* #line 2778 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, MINUS_EXPR))
									  return true;
								      }
								      break;
								    }
							          default:;
							          }
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      break;
				    }
			          default:;
			          }
			        break;
			      }
			    default:;
			    }
		      }
		    break;
	          default:;
	          }
		switch (TREE_CODE (o21))
		  {
		  case INTEGER_CST:
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			{
			  switch (TREE_CODE (op2))
			    {
			    case INTEGER_CST:
			      {
				{
/* #line 2695 "../../gcc/match.pd" */
				  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR))
				    return true;
				}
			        break;
			      }
			    default:;
			    }
		        }
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case PLUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (o51))
					    {
					    case INTEGER_CST:
					      {
						switch (TREE_CODE (op2))
						  {
						  case INTEGER_CST:
						    {
						      {
/* #line 2778 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, PLUS_EXPR))
							  return true;
						      }
						      break;
						    }
					          default:;
					          }
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  case MINUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (o51))
					    {
					    case INTEGER_CST:
					      {
						switch (TREE_CODE (op2))
						  {
						  case INTEGER_CST:
						    {
						      {
/* #line 2778 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LT_EXPR, MINUS_EXPR))
							  return true;
						      }
						      break;
						    }
					          default:;
					          }
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      break;
		    }
	          default:;
	          }
	      }
	  }
        break;
      }
    case LE_EXPR:
      {
	tree o20 = TREE_OPERAND (op0, 0);
	if ((TREE_CODE (o20) == SSA_NAME
	     || is_gimple_min_invariant (o20)))
	  {
	    o20 = do_valueize (valueize, o20);
	    tree o21 = TREE_OPERAND (op0, 1);
	    if ((TREE_CODE (o21) == SSA_NAME
	         || is_gimple_min_invariant (o21)))
	      {
		o21 = do_valueize (valueize, o21);
		if (real_zerop (o21))
		  {
		    if (real_onep (op1))
		      {
			if (real_minus_onep (op2))
			  {
			    {
/* #line 176 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
/* #line 176 "../../gcc/match.pd" */
			      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				{
/* #line 179 "../../gcc/match.pd" */
				  if (types_match (type, float_type_node))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:180, %s:%d\n", __FILE__, __LINE__);
				      *res_code = CFN_BUILT_IN_COPYSIGNF;
				      res_ops[0] = captures[1];
				      {
					tree ops1[1], res;
					ops1[0] = captures[0];
					code_helper tem_code = NEGATE_EXPR;
					tree tem_ops[3] = { ops1[0] };
					gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					if (!res) return false;
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 181 "../../gcc/match.pd" */
				      if (types_match (type, double_type_node))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:182, %s:%d\n", __FILE__, __LINE__);
					  *res_code = CFN_BUILT_IN_COPYSIGN;
					  res_ops[0] = captures[1];
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[0];
					    code_helper tem_code = NEGATE_EXPR;
					    tree tem_ops[3] = { ops1[0] };
					    gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
					    if (!res) return false;
					    res_ops[1] = res;
					  }
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 183 "../../gcc/match.pd" */
					  if (types_match (type, long_double_type_node))
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:184, %s:%d\n", __FILE__, __LINE__);
					      *res_code = CFN_BUILT_IN_COPYSIGNL;
					      res_ops[0] = captures[1];
					      {
						tree ops1[1], res;
						ops1[0] = captures[0];
						code_helper tem_code = NEGATE_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (ops1[0]), tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, TREE_TYPE (ops1[0]), tem_ops, lseq);
						if (!res) return false;
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  }
		      }
		    if (real_minus_onep (op1))
		      {
			if (real_onep (op2))
			  {
			    {
/* #line 191 "../../gcc/match.pd" */
			      tree captures[2] ATTRIBUTE_UNUSED = { o20, op2 };
/* #line 191 "../../gcc/match.pd" */
			      if (!HONOR_NANS (type) && !HONOR_SIGNED_ZEROS (type) && types_match (type, TREE_TYPE (captures[0])))
				{
/* #line 194 "../../gcc/match.pd" */
				  if (types_match (type, float_type_node))
				    {
				      gimple_seq *lseq = seq;
				      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:195, %s:%d\n", __FILE__, __LINE__);
				      *res_code = CFN_BUILT_IN_COPYSIGNF;
				      res_ops[0] = captures[1];
				      {
					tree ops1[1], res;
					ops1[0] = captures[0];
					if (type != TREE_TYPE (ops1[0])
					    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					  {
					    code_helper tem_code = NOP_EXPR;
					    tree tem_ops[3] = { ops1[0] };
					    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
					    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
					    if (!res) return false;
					  }
					else
					  res = ops1[0];
					res_ops[1] = res;
				      }
				      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
				      return true;
				    }
				  else
				    {
/* #line 196 "../../gcc/match.pd" */
				      if (types_match (type, double_type_node))
					{
					  gimple_seq *lseq = seq;
					  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:197, %s:%d\n", __FILE__, __LINE__);
					  *res_code = CFN_BUILT_IN_COPYSIGN;
					  res_ops[0] = captures[1];
					  {
					    tree ops1[1], res;
					    ops1[0] = captures[0];
					    if (type != TREE_TYPE (ops1[0])
					        && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
					      {
						code_helper tem_code = NOP_EXPR;
						tree tem_ops[3] = { ops1[0] };
						gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						if (!res) return false;
					      }
					    else
					      res = ops1[0];
					    res_ops[1] = res;
					  }
					  gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					  return true;
					}
				      else
					{
/* #line 198 "../../gcc/match.pd" */
					  if (types_match (type, long_double_type_node))
					    {
					      gimple_seq *lseq = seq;
					      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:199, %s:%d\n", __FILE__, __LINE__);
					      *res_code = CFN_BUILT_IN_COPYSIGNL;
					      res_ops[0] = captures[1];
					      {
						tree ops1[1], res;
						ops1[0] = captures[0];
						if (type != TREE_TYPE (ops1[0])
						    && !useless_type_conversion_p (type, TREE_TYPE (ops1[0])))
						  {
						    code_helper tem_code = NOP_EXPR;
						    tree tem_ops[3] = { ops1[0] };
						    gimple_resimplify1 (lseq, &tem_code, type, tem_ops, valueize);
						    res = maybe_push_res_to_seq (tem_code, type, tem_ops, lseq);
						    if (!res) return false;
						  }
						else
						  res = ops1[0];
						res_ops[1] = res;
					      }
					      gimple_resimplify2 (lseq, res_code, type, res_ops, valueize);
					      return true;
					    }
					}
				    }
				}
			    }
			  }
		      }
		  }
		switch (TREE_CODE (o20))
		  {
		  case SSA_NAME:
		    if (gimple *def_stmt = get_def (valueize, o20))
		      {
			if (gassign *def = dyn_cast <gassign *> (def_stmt))
			  switch (gimple_assign_rhs_code (def))
			    {
			    CASE_CONVERT:
			      {
				tree o30 = gimple_assign_rhs1 (def);
				o30 = do_valueize (valueize, o30);
				switch (TREE_CODE (o21))
				  {
				  case INTEGER_CST:
				    {
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (op2))
							    {
							    case INTEGER_CST:
							      {
								{
/* #line 2695 "../../gcc/match.pd" */
								  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
								    return true;
								}
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  case PLUS_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      tree o61 = gimple_assign_rhs2 (def);
						      o61 = do_valueize (valueize, o61);
						      if (tree_swap_operands_p (o60, o61))
						        std::swap (o60, o61);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (o61))
							    {
							    case INTEGER_CST:
							      {
								switch (TREE_CODE (op2))
								  {
								  case INTEGER_CST:
								    {
								      {
/* #line 2778 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, PLUS_EXPR))
									  return true;
								      }
								      break;
								    }
							          default:;
							          }
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  case MINUS_EXPR:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      tree o61 = gimple_assign_rhs2 (def);
						      o61 = do_valueize (valueize, o61);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (o61))
							    {
							    case INTEGER_CST:
							      {
								switch (TREE_CODE (op2))
								  {
								  case INTEGER_CST:
								    {
								      {
/* #line 2778 "../../gcc/match.pd" */
									tree captures[4] ATTRIBUTE_UNUSED = { o30, o21, o61, op2 };
									if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, MINUS_EXPR))
									  return true;
								      }
								      break;
								    }
							          default:;
							          }
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      break;
				    }
			          default:;
			          }
			        break;
			      }
			    default:;
			    }
		      }
		    break;
	          default:;
	          }
		switch (TREE_CODE (o21))
		  {
		  case INTEGER_CST:
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			{
			  switch (TREE_CODE (op2))
			    {
			    case INTEGER_CST:
			      {
				{
/* #line 2695 "../../gcc/match.pd" */
				  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR))
				    return true;
				}
			        break;
			      }
			    default:;
			    }
		        }
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  case PLUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if (tree_swap_operands_p (o50, o51))
				        std::swap (o50, o51);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (o51))
					    {
					    case INTEGER_CST:
					      {
						switch (TREE_CODE (op2))
						  {
						  case INTEGER_CST:
						    {
						      {
/* #line 2778 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, PLUS_EXPR))
							  return true;
						      }
						      break;
						    }
					          default:;
					          }
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  case MINUS_EXPR:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      tree o51 = gimple_assign_rhs2 (def);
				      o51 = do_valueize (valueize, o51);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (o51))
					    {
					    case INTEGER_CST:
					      {
						switch (TREE_CODE (op2))
						  {
						  case INTEGER_CST:
						    {
						      {
/* #line 2778 "../../gcc/match.pd" */
							tree captures[4] ATTRIBUTE_UNUSED = { o20, o21, o51, op2 };
							if (gimple_simplify_58 (res_code, res_ops, seq, valueize, type, captures, LE_EXPR, MINUS_EXPR))
							  return true;
						      }
						      break;
						    }
					          default:;
					          }
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      break;
		    }
	          default:;
	          }
	      }
	  }
        break;
      }
    case INTEGER_CST:
      {
	{
/* #line 2664 "../../gcc/match.pd" */
	  tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, op2 };
/* #line 2664 "../../gcc/match.pd" */
	  if (integer_zerop (captures[0]))
	    {
/* #line 2665 "../../gcc/match.pd" */
	      if (!VOID_TYPE_P (TREE_TYPE (captures[2])) || VOID_TYPE_P (type))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2666, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] = captures[2];
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	    }
	  else
	    {
/* #line 2667 "../../gcc/match.pd" */
	      if (!VOID_TYPE_P (TREE_TYPE (captures[1])) || VOID_TYPE_P (type))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2668, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] = captures[1];
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	    }
	}
        break;
      }
    case EQ_EXPR:
      {
	tree o20 = TREE_OPERAND (op0, 0);
	if ((TREE_CODE (o20) == SSA_NAME
	     || is_gimple_min_invariant (o20)))
	  {
	    o20 = do_valueize (valueize, o20);
	    tree o21 = TREE_OPERAND (op0, 1);
	    if ((TREE_CODE (o21) == SSA_NAME
	         || is_gimple_min_invariant (o21)))
	      {
		o21 = do_valueize (valueize, o21);
		if (tree_swap_operands_p (o20, o21))
		  std::swap (o20, o21);
		switch (TREE_CODE (o20))
		  {
		  case SSA_NAME:
		    if (gimple *def_stmt = get_def (valueize, o20))
		      {
			if (gassign *def = dyn_cast <gassign *> (def_stmt))
			  switch (gimple_assign_rhs_code (def))
			    {
			    CASE_CONVERT:
			      {
				tree o30 = gimple_assign_rhs1 (def);
				o30 = do_valueize (valueize, o30);
				switch (TREE_CODE (o21))
				  {
				  case INTEGER_CST:
				    {
				      switch (TREE_CODE (op1))
				        {
					case SSA_NAME:
					  if (gimple *def_stmt = get_def (valueize, op1))
					    {
					      if (gassign *def = dyn_cast <gassign *> (def_stmt))
					        switch (gimple_assign_rhs_code (def))
						  {
						  CASE_CONVERT:
						    {
						      tree o60 = gimple_assign_rhs1 (def);
						      o60 = do_valueize (valueize, o60);
						      if ((o60 == o30 && ! TREE_SIDE_EFFECTS (o60)) || (operand_equal_p (o60, o30, 0) && types_match (o60, o30)))
							{
							  switch (TREE_CODE (op2))
							    {
							    case INTEGER_CST:
							      {
								{
/* #line 2695 "../../gcc/match.pd" */
								  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
								  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
								    return true;
								}
							        break;
							      }
							    default:;
							    }
						        }
						      break;
						    }
						  default:;
						  }
					    }
					  break;
				        default:;
				        }
				      if ((op1 == o30 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o30, 0) && types_match (op1, o30)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o30, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
			          default:;
			          }
			        break;
			      }
			    default:;
			    }
		      }
		    break;
	          default:;
	          }
		switch (TREE_CODE (o21))
		  {
		  case INTEGER_CST:
		    {
		      switch (TREE_CODE (op1))
		        {
			case SSA_NAME:
			  if (gimple *def_stmt = get_def (valueize, op1))
			    {
			      if (gassign *def = dyn_cast <gassign *> (def_stmt))
			        switch (gimple_assign_rhs_code (def))
				  {
				  CASE_CONVERT:
				    {
				      tree o50 = gimple_assign_rhs1 (def);
				      o50 = do_valueize (valueize, o50);
				      if ((o50 == o20 && ! TREE_SIDE_EFFECTS (o50)) || (operand_equal_p (o50, o20, 0) && types_match (o50, o20)))
					{
					  switch (TREE_CODE (op2))
					    {
					    case INTEGER_CST:
					      {
						{
/* #line 2695 "../../gcc/match.pd" */
						  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
						  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
						    return true;
						}
					        break;
					      }
					    default:;
					    }
				        }
				      break;
				    }
				  default:;
				  }
			    }
			  break;
		        default:;
		        }
		      if ((op1 == o20 && ! TREE_SIDE_EFFECTS (op1)) || (operand_equal_p (op1, o20, 0) && types_match (op1, o20)))
			{
			  switch (TREE_CODE (op2))
			    {
			    case INTEGER_CST:
			      {
				{
/* #line 2695 "../../gcc/match.pd" */
				  tree captures[3] ATTRIBUTE_UNUSED = { o20, o21, op2 };
				  if (gimple_simplify_264 (res_code, res_ops, seq, valueize, type, captures, EQ_EXPR))
				    return true;
				}
			        break;
			      }
			    default:;
			    }
		        }
		      break;
		    }
	          default:;
	          }
	      }
	  }
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case COND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  tree o32 = gimple_assign_rhs3 (def);
		  o32 = do_valueize (valueize, o32);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 2861 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, o31, o32, op2 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2861, %s:%d\n", __FILE__, __LINE__);
			*res_code = COND_EXPR;
			res_ops[0] = captures[0];
			res_ops[0] = unshare_expr (res_ops[0]);
			res_ops[1] = captures[1];
			res_ops[2] = captures[3];
			gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op2))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op2))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case COND_EXPR:
	        {
		  tree o40 = gimple_assign_rhs1 (def);
		  o40 = do_valueize (valueize, o40);
		  tree o41 = gimple_assign_rhs2 (def);
		  o41 = do_valueize (valueize, o41);
		  tree o42 = gimple_assign_rhs3 (def);
		  o42 = do_valueize (valueize, o42);
		  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
		    {
		      {
/* #line 2864 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o41, o42 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2864, %s:%d\n", __FILE__, __LINE__);
			*res_code = COND_EXPR;
			res_ops[0] = captures[0];
			res_ops[0] = unshare_expr (res_ops[0]);
			res_ops[1] = captures[1];
			res_ops[2] = captures[3];
			gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
		  {
/* #line 2872 "../../gcc/match.pd" */
		    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o40, o41, o42 };
/* #line 2872 "../../gcc/match.pd" */
		    if (COMPARISON_CLASS_P (captures[0]) && COMPARISON_CLASS_P (captures[2]) && invert_tree_comparison (TREE_CODE (captures[0]), HONOR_NANS (TREE_OPERAND (captures[0], 0))) == TREE_CODE (captures[2]) && operand_equal_p (TREE_OPERAND (captures[0], 0), TREE_OPERAND (captures[2], 0), 0) && operand_equal_p (TREE_OPERAND (captures[0], 1), TREE_OPERAND (captures[2], 1), 0))
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2878, %s:%d\n", __FILE__, __LINE__);
			*res_code = COND_EXPR;
			res_ops[0] = captures[0];
			res_ops[0] = unshare_expr (res_ops[0]);
			res_ops[1] = captures[1];
			res_ops[2] = captures[3];
			gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case COND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  tree o32 = gimple_assign_rhs3 (def);
		  o32 = do_valueize (valueize, o32);
		  {
/* #line 2881 "../../gcc/match.pd" */
		    tree captures[5] ATTRIBUTE_UNUSED = { op0, o30, o31, o32, op2 };
/* #line 2881 "../../gcc/match.pd" */
		    if (COMPARISON_CLASS_P (captures[0]) && COMPARISON_CLASS_P (captures[1]) && invert_tree_comparison (TREE_CODE (captures[0]), HONOR_NANS (TREE_OPERAND (captures[0], 0))) == TREE_CODE (captures[1]) && operand_equal_p (TREE_OPERAND (captures[0], 0), TREE_OPERAND (captures[1], 0), 0) && operand_equal_p (TREE_OPERAND (captures[0], 1), TREE_OPERAND (captures[1], 1), 0))
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2887, %s:%d\n", __FILE__, __LINE__);
			*res_code = COND_EXPR;
			res_ops[0] = captures[0];
			res_ops[0] = unshare_expr (res_ops[0]);
			res_ops[1] = captures[3];
			res_ops[2] = captures[4];
			gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op2 == op1 && ! TREE_SIDE_EFFECTS (op2)) || (operand_equal_p (op2, op1, 0) && types_match (op2, op1)))
    {
      {
/* #line 2892 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2892, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[1];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case NE_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (tree_swap_operands_p (o20, o21))
		    std::swap (o20, o21);
		  switch (TREE_CODE (o20))
		    {
		    case SSA_NAME:
		      if (gimple *def_stmt = get_def (valueize, o20))
		        {
			  if (gassign *def = dyn_cast <gassign *> (def_stmt))
			    switch (gimple_assign_rhs_code (def))
			      {
			      case BIT_AND_EXPR:
			        {
				  tree o30 = gimple_assign_rhs1 (def);
				  o30 = do_valueize (valueize, o30);
				  tree o31 = gimple_assign_rhs2 (def);
				  o31 = do_valueize (valueize, o31);
				  if (tree_swap_operands_p (o30, o31))
				    std::swap (o30, o31);
				  if (integer_pow2p (o31))
				    {
				      if (integer_zerop (o21))
					{
					  switch (TREE_CODE (op1))
					    {
					    case INTEGER_CST:
					      {
						if (integer_zerop (op2))
						  {
						    {
/* #line 3579 "../../gcc/match.pd" */
						      tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
						      if (gimple_simplify_121 (res_code, res_ops, seq, valueize, type, captures))
						        return true;
						    }
						  }
					        break;
					      }
					    default:;
					    }
				        }
				    }
			          break;
			        }
			      default:;
			      }
		        }
		      break;
		    default:;
		    }
	          break;
	        }
	      case LT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  if (integer_zerop (o21))
		    {
		      switch (TREE_CODE (op1))
		        {
			case INTEGER_CST:
			  {
			    if (integer_zerop (op2))
			      {
				{
/* #line 3610 "../../gcc/match.pd" */
				  tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
				  if (gimple_simplify_107 (res_code, res_ops, seq, valueize, type, captures))
				    return true;
				}
			      }
			    break;
			  }
		        default:;
		        }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    case NE_EXPR:
      {
	tree o20 = TREE_OPERAND (op0, 0);
	if ((TREE_CODE (o20) == SSA_NAME
	     || is_gimple_min_invariant (o20)))
	  {
	    o20 = do_valueize (valueize, o20);
	    tree o21 = TREE_OPERAND (op0, 1);
	    if ((TREE_CODE (o21) == SSA_NAME
	         || is_gimple_min_invariant (o21)))
	      {
		o21 = do_valueize (valueize, o21);
		if (tree_swap_operands_p (o20, o21))
		  std::swap (o20, o21);
		switch (TREE_CODE (o20))
		  {
		  case SSA_NAME:
		    if (gimple *def_stmt = get_def (valueize, o20))
		      {
			if (gassign *def = dyn_cast <gassign *> (def_stmt))
			  switch (gimple_assign_rhs_code (def))
			    {
			    case BIT_AND_EXPR:
			      {
				tree o30 = gimple_assign_rhs1 (def);
				o30 = do_valueize (valueize, o30);
				tree o31 = gimple_assign_rhs2 (def);
				o31 = do_valueize (valueize, o31);
				if (tree_swap_operands_p (o30, o31))
				  std::swap (o30, o31);
				if (integer_pow2p (o31))
				  {
				    if (integer_zerop (o21))
				      {
					switch (TREE_CODE (op1))
					  {
					  case INTEGER_CST:
					    {
					      if (integer_zerop (op2))
						{
						  {
/* #line 3579 "../../gcc/match.pd" */
						    tree captures[3] ATTRIBUTE_UNUSED = { o30, o31, op1 };
						    if (gimple_simplify_121 (res_code, res_ops, seq, valueize, type, captures))
						      return true;
						  }
					        }
					      break;
					    }
				          default:;
				          }
				      }
				  }
			        break;
			      }
			    default:;
			    }
		      }
		    break;
	          default:;
	          }
	      }
	  }
        break;
      }
    case LT_EXPR:
      {
	tree o20 = TREE_OPERAND (op0, 0);
	if ((TREE_CODE (o20) == SSA_NAME
	     || is_gimple_min_invariant (o20)))
	  {
	    o20 = do_valueize (valueize, o20);
	    tree o21 = TREE_OPERAND (op0, 1);
	    if ((TREE_CODE (o21) == SSA_NAME
	         || is_gimple_min_invariant (o21)))
	      {
		o21 = do_valueize (valueize, o21);
		if (integer_zerop (o21))
		  {
		    switch (TREE_CODE (op1))
		      {
		      case INTEGER_CST:
		        {
			  if (integer_zerop (op2))
			    {
			      {
/* #line 3610 "../../gcc/match.pd" */
				tree captures[2] ATTRIBUTE_UNUSED = { o20, op1 };
				if (gimple_simplify_107 (res_code, res_ops, seq, valueize, type, captures))
				  return true;
			      }
			    }
		          break;
		        }
		      default:;
		      }
		  }
	      }
	  }
        break;
      }
    default:;
    }
{
  tree op0_pops[1];
  if (gimple_logical_inverted_value (op0, op0_pops, valueize))
    {
      tree o20 = op0_pops[0];
      if (gimple_truth_valued_p (o20, valueize))
	{
	  {
/* #line 2897 "../../gcc/match.pd" */
	    tree captures[3] ATTRIBUTE_UNUSED = { o20, op1, op2 };
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2897, %s:%d\n", __FILE__, __LINE__);
	    *res_code = COND_EXPR;
	    res_ops[0] = captures[0];
	    res_ops[1] = captures[2];
	    res_ops[2] = captures[1];
	    gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
        }
}
}
  return false;
}

static bool
gimple_simplify_VEC_COND_EXPR (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1, tree op2)
{
  switch (TREE_CODE (op0))
    {
    case VECTOR_CST:
      {
	{
/* #line 2671 "../../gcc/match.pd" */
	  tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, op2 };
/* #line 2671 "../../gcc/match.pd" */
	  if (integer_all_onesp (captures[0]))
	    {
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2672, %s:%d\n", __FILE__, __LINE__);
	      res_ops[0] = captures[1];
	      *res_code = TREE_CODE (res_ops[0]);
	      return true;
	    }
	  else
	    {
/* #line 2673 "../../gcc/match.pd" */
	      if (integer_zerop (captures[0]))
		{
		  gimple_seq *lseq = seq;
		  if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2674, %s:%d\n", __FILE__, __LINE__);
		  res_ops[0] = captures[2];
		  *res_code = TREE_CODE (res_ops[0]);
		  return true;
		}
	    }
	}
        break;
      }
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VEC_COND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  tree o32 = gimple_assign_rhs3 (def);
		  o32 = do_valueize (valueize, o32);
		  if ((o30 == op0 && ! TREE_SIDE_EFFECTS (o30)) || (operand_equal_p (o30, op0, 0) && types_match (o30, op0)))
		    {
		      {
/* #line 2861 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, o31, o32, op2 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2861, %s:%d\n", __FILE__, __LINE__);
			*res_code = VEC_COND_EXPR;
			res_ops[0] = captures[0];
			res_ops[0] = unshare_expr (res_ops[0]);
			res_ops[1] = captures[1];
			res_ops[2] = captures[3];
			gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op2))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op2))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VEC_COND_EXPR:
	        {
		  tree o40 = gimple_assign_rhs1 (def);
		  o40 = do_valueize (valueize, o40);
		  tree o41 = gimple_assign_rhs2 (def);
		  o41 = do_valueize (valueize, o41);
		  tree o42 = gimple_assign_rhs3 (def);
		  o42 = do_valueize (valueize, o42);
		  if ((o40 == op0 && ! TREE_SIDE_EFFECTS (o40)) || (operand_equal_p (o40, op0, 0) && types_match (o40, op0)))
		    {
		      {
/* #line 2864 "../../gcc/match.pd" */
			tree captures[4] ATTRIBUTE_UNUSED = { op0, op1, o41, o42 };
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2864, %s:%d\n", __FILE__, __LINE__);
			*res_code = VEC_COND_EXPR;
			res_ops[0] = captures[0];
			res_ops[0] = unshare_expr (res_ops[0]);
			res_ops[1] = captures[1];
			res_ops[2] = captures[3];
			gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		    }
		  {
/* #line 2872 "../../gcc/match.pd" */
		    tree captures[5] ATTRIBUTE_UNUSED = { op0, op1, o40, o41, o42 };
/* #line 2872 "../../gcc/match.pd" */
		    if (COMPARISON_CLASS_P (captures[0]) && COMPARISON_CLASS_P (captures[2]) && invert_tree_comparison (TREE_CODE (captures[0]), HONOR_NANS (TREE_OPERAND (captures[0], 0))) == TREE_CODE (captures[2]) && operand_equal_p (TREE_OPERAND (captures[0], 0), TREE_OPERAND (captures[2], 0), 0) && operand_equal_p (TREE_OPERAND (captures[0], 1), TREE_OPERAND (captures[2], 1), 0))
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2878, %s:%d\n", __FILE__, __LINE__);
			*res_code = VEC_COND_EXPR;
			res_ops[0] = captures[0];
			res_ops[0] = unshare_expr (res_ops[0]);
			res_ops[1] = captures[1];
			res_ops[2] = captures[3];
			gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  switch (TREE_CODE (op1))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op1))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case VEC_COND_EXPR:
	        {
		  tree o30 = gimple_assign_rhs1 (def);
		  o30 = do_valueize (valueize, o30);
		  tree o31 = gimple_assign_rhs2 (def);
		  o31 = do_valueize (valueize, o31);
		  tree o32 = gimple_assign_rhs3 (def);
		  o32 = do_valueize (valueize, o32);
		  {
/* #line 2881 "../../gcc/match.pd" */
		    tree captures[5] ATTRIBUTE_UNUSED = { op0, o30, o31, o32, op2 };
/* #line 2881 "../../gcc/match.pd" */
		    if (COMPARISON_CLASS_P (captures[0]) && COMPARISON_CLASS_P (captures[1]) && invert_tree_comparison (TREE_CODE (captures[0]), HONOR_NANS (TREE_OPERAND (captures[0], 0))) == TREE_CODE (captures[1]) && operand_equal_p (TREE_OPERAND (captures[0], 0), TREE_OPERAND (captures[1], 0), 0) && operand_equal_p (TREE_OPERAND (captures[0], 1), TREE_OPERAND (captures[1], 1), 0))
		      {
			gimple_seq *lseq = seq;
			if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2887, %s:%d\n", __FILE__, __LINE__);
			*res_code = VEC_COND_EXPR;
			res_ops[0] = captures[0];
			res_ops[0] = unshare_expr (res_ops[0]);
			res_ops[1] = captures[3];
			res_ops[2] = captures[4];
			gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			return true;
		      }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  if ((op2 == op1 && ! TREE_SIDE_EFFECTS (op2)) || (operand_equal_p (op2, op1, 0) && types_match (op2, op1)))
    {
      {
/* #line 2892 "../../gcc/match.pd" */
	tree captures[2] ATTRIBUTE_UNUSED = { op0, op1 };
	gimple_seq *lseq = seq;
	if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2892, %s:%d\n", __FILE__, __LINE__);
	res_ops[0] = captures[1];
	*res_code = TREE_CODE (res_ops[0]);
	return true;
      }
    }
  {
    tree op0_pops[1];
    if (gimple_logical_inverted_value (op0, op0_pops, valueize))
      {
	tree o20 = op0_pops[0];
	if (gimple_truth_valued_p (o20, valueize))
	  {
	    {
/* #line 2897 "../../gcc/match.pd" */
	      tree captures[3] ATTRIBUTE_UNUSED = { o20, op1, op2 };
	      gimple_seq *lseq = seq;
	      if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:2897, %s:%d\n", __FILE__, __LINE__);
	      *res_code = VEC_COND_EXPR;
	      res_ops[0] = captures[0];
	      res_ops[1] = captures[2];
	      res_ops[2] = captures[1];
	      gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
	      return true;
	    }
	  }
}
  }
  return false;
}

static bool
gimple_simplify_BIT_FIELD_REF (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree) ATTRIBUTE_UNUSED,
                 code_helper ARG_UNUSED (code), tree ARG_UNUSED (type)
, tree op0, tree op1, tree op2)
{
  {
/* #line 4591 "../../gcc/match.pd" */
    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, op2 };
/* #line 4591 "../../gcc/match.pd" */
    if (TREE_CODE (TREE_TYPE (captures[0])) == COMPLEX_TYPE && tree_int_cst_equal (captures[1], TYPE_SIZE (TREE_TYPE (TREE_TYPE (captures[0])))))
      {
/* #line 4594 "../../gcc/match.pd" */
	if (integer_zerop (captures[2]))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4595, %s:%d\n", __FILE__, __LINE__);
	    *res_code = VIEW_CONVERT_EXPR;
	    {
	      tree ops1[1], res;
	      ops1[0] = captures[0];
	      code_helper tem_code = REALPART_EXPR;
	      tree tem_ops[3] = { ops1[0] };
	      gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
	      res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
	      if (!res) return false;
	      res_ops[0] = res;
	    }
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
	else
	  {
/* #line 4596 "../../gcc/match.pd" */
	    if (tree_int_cst_equal (captures[2], TYPE_SIZE (TREE_TYPE (TREE_TYPE (captures[0])))))
	      {
		gimple_seq *lseq = seq;
		if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4597, %s:%d\n", __FILE__, __LINE__);
		*res_code = VIEW_CONVERT_EXPR;
		{
		  tree ops1[1], res;
		  ops1[0] = captures[0];
		  code_helper tem_code = IMAGPART_EXPR;
		  tree tem_ops[3] = { ops1[0] };
		  gimple_resimplify1 (lseq, &tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, valueize);
		  res = maybe_push_res_to_seq (tem_code, TREE_TYPE (TREE_TYPE (ops1[0])), tem_ops, lseq);
		  if (!res) return false;
		  res_ops[0] = res;
		}
		gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
		return true;
	      }
	  }
      }
    else
      {
/* #line 4598 "../../gcc/match.pd" */
	if (INTEGRAL_TYPE_P (TREE_TYPE (captures[0])) && INTEGRAL_TYPE_P (type) && (!1 || is_gimple_reg (captures[0])) && ((compare_tree_int (captures[1], TYPE_PRECISION (TREE_TYPE (captures[0]))) == 0 && integer_zerop (captures[2])) || (BYTES_BIG_ENDIAN == WORDS_BIG_ENDIAN && TYPE_PRECISION (TREE_TYPE (captures[0])) % BITS_PER_UNIT == 0 && TYPE_PRECISION (type) % BITS_PER_UNIT == 0 && compare_tree_int (captures[2], (BYTES_BIG_ENDIAN ? (TYPE_PRECISION (TREE_TYPE (captures[0])) - TYPE_PRECISION (type)) : 0)) == 0)))
	  {
	    gimple_seq *lseq = seq;
	    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4615, %s:%d\n", __FILE__, __LINE__);
	    *res_code = NOP_EXPR;
	    res_ops[0] = captures[0];
	    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
	    return true;
	  }
      }
  }
  switch (TREE_CODE (op0))
    {
    case SSA_NAME:
      if (gimple *def_stmt = get_def (valueize, op0))
        {
	  if (gassign *def = dyn_cast <gassign *> (def_stmt))
	    switch (gimple_assign_rhs_code (def))
	      {
	      case CONSTRUCTOR:
	        {
		  {
/* #line 4621 "../../gcc/match.pd" */
		    tree captures[3] ATTRIBUTE_UNUSED = { op0, op1, op2 };
/* #line 4621 "../../gcc/match.pd" */
		    if (VECTOR_TYPE_P (TREE_TYPE (captures[0])) && (types_match (type, TREE_TYPE (TREE_TYPE (captures[0]))) || (VECTOR_TYPE_P (type) && types_match (TREE_TYPE (type), TREE_TYPE (TREE_TYPE (captures[0]))))))
		      {
			{
/* #line 4625 "../../gcc/match.pd" */
 tree ctor = (TREE_CODE (captures[0]) == SSA_NAME ? gimple_assign_rhs1 (SSA_NAME_DEF_STMT (captures[0])) : captures[0]);
 tree eltype = TREE_TYPE (TREE_TYPE (ctor));
 unsigned HOST_WIDE_INT width = tree_to_uhwi (TYPE_SIZE (eltype));
 unsigned HOST_WIDE_INT n = tree_to_uhwi (captures[1]);
 unsigned HOST_WIDE_INT idx = tree_to_uhwi (captures[2]);
/* #line 4634 "../../gcc/match.pd" */
			    if (n != 0 && (idx % width) == 0 && (n % width) == 0 && known_le ((idx + n) / width, TYPE_VECTOR_SUBPARTS (TREE_TYPE (ctor))))
			      {
				{
/* #line 4639 "../../gcc/match.pd" */
 idx = idx / width;
 n = n / width;
 poly_uint64 k = 1;
 if (CONSTRUCTOR_NELTS (ctor) != 0) { tree cons_elem = TREE_TYPE (CONSTRUCTOR_ELT (ctor, 0)->value);
 if (TREE_CODE (cons_elem) == VECTOR_TYPE) k = TYPE_VECTOR_SUBPARTS (cons_elem);
 } unsigned HOST_WIDE_INT elt, count, const_k;
/* #line 4655 "../../gcc/match.pd" */
				    if (multiple_p (idx, k, &elt) && multiple_p (n, k, &count))
				      {
/* #line 4656 "../../gcc/match.pd" */
					if (CONSTRUCTOR_NELTS (ctor) == 0)
					  {
					    gimple_seq *lseq = seq;
					    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4657, %s:%d\n", __FILE__, __LINE__);
					    res_ops[0] =  build_constructor (type, NULL);
					    *res_code = TREE_CODE (res_ops[0]);
					    return true;
					  }
					else
					  {
/* #line 4658 "../../gcc/match.pd" */
					    if (count == 1)
					      {
/* #line 4659 "../../gcc/match.pd" */
						if (elt < CONSTRUCTOR_NELTS (ctor))
						  {
						    gimple_seq *lseq = seq;
						    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4660, %s:%d\n", __FILE__, __LINE__);
						    *res_code = VIEW_CONVERT_EXPR;
						    res_ops[0] =  CONSTRUCTOR_ELT (ctor, elt)->value;
						    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						    return true;
						  }
						else
						  {
						    gimple_seq *lseq = seq;
						    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4661, %s:%d\n", __FILE__, __LINE__);
						    res_ops[0] =  build_zero_cst (type);
						    *res_code = TREE_CODE (res_ops[0]);
						    return true;
						  }
					      }
					    else
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4662, %s:%d\n", __FILE__, __LINE__);
 vec<constructor_elt, va_gc> *vals;
 vec_alloc (vals, count);
 for (unsigned i = 0;
 i < count && elt + i < CONSTRUCTOR_NELTS (ctor);
 ++i) CONSTRUCTOR_APPEND_ELT (vals, NULL_TREE, CONSTRUCTOR_ELT (ctor, elt + i)->value);
						res_ops[0] =  build_constructor (type, vals);
						*res_code = TREE_CODE (res_ops[0]);
						return true;
					      }
					  }
				      }
				    else
				      {
/* #line 4672 "../../gcc/match.pd" */
					if (k.is_constant (&const_k) && idx + n <= (idx / const_k + 1) * const_k)
					  {
/* #line 4675 "../../gcc/match.pd" */
					    if (CONSTRUCTOR_NELTS (ctor) <= idx / const_k)
					      {
						gimple_seq *lseq = seq;
						if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4676, %s:%d\n", __FILE__, __LINE__);
						res_ops[0] =  build_zero_cst (type);
						*res_code = TREE_CODE (res_ops[0]);
						return true;
					      }
					    else
					      {
/* #line 4677 "../../gcc/match.pd" */
						if (n == const_k)
						  {
						    gimple_seq *lseq = seq;
						    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4678, %s:%d\n", __FILE__, __LINE__);
						    *res_code = VIEW_CONVERT_EXPR;
						    res_ops[0] =  CONSTRUCTOR_ELT (ctor, idx / const_k)->value;
						    gimple_resimplify1 (lseq, res_code, type, res_ops, valueize);
						    return true;
						  }
						else
						  {
						    gimple_seq *lseq = seq;
						    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4679, %s:%d\n", __FILE__, __LINE__);
						    *res_code = BIT_FIELD_REF;
						    res_ops[0] =  CONSTRUCTOR_ELT (ctor, idx / const_k)->value;
						    res_ops[1] = captures[1];
						    res_ops[2] =  bitsize_int ((idx % const_k) * width);
						    gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
						    return true;
						  }
					      }
					  }
				      }
				}
			      }
			}
		      }
		  }
	          break;
	        }
	      case BIT_INSERT_EXPR:
	        {
		  tree o20 = gimple_assign_rhs1 (def);
		  o20 = do_valueize (valueize, o20);
		  tree o21 = gimple_assign_rhs2 (def);
		  o21 = do_valueize (valueize, o21);
		  tree o22 = gimple_assign_rhs3 (def);
		  o22 = do_valueize (valueize, o22);
		  {
/* #line 4687 "../../gcc/match.pd" */
		    tree captures[5] ATTRIBUTE_UNUSED = { o20, o21, o22, op1, op2 };
		    {
/* #line 4687 "../../gcc/match.pd" */
 unsigned HOST_WIDE_INT isize;
 if (INTEGRAL_TYPE_P (TREE_TYPE (captures[1]))) isize = TYPE_PRECISION (TREE_TYPE (captures[1]));
 else isize = tree_to_uhwi (TYPE_SIZE (TREE_TYPE (captures[1])));
/* #line 4696 "../../gcc/match.pd" */
			if (wi::leu_p (wi::to_wide (captures[2]), wi::to_wide (captures[4])) && wi::leu_p (wi::to_wide (captures[4]) + wi::to_wide (captures[3]), wi::to_wide (captures[2]) + isize))
			  {
			    gimple_seq *lseq = seq;
			    if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4699, %s:%d\n", __FILE__, __LINE__);
			    *res_code = BIT_FIELD_REF;
			    res_ops[0] = captures[1];
			    res_ops[1] = captures[3];
			    res_ops[2] =  wide_int_to_tree (bitsizetype, wi::to_wide (captures[4]) - wi::to_wide (captures[2]));
			    gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
			    return true;
			  }
			else
			  {
/* #line 4702 "../../gcc/match.pd" */
			    if (wi::geu_p (wi::to_wide (captures[2]), wi::to_wide (captures[4]) + wi::to_wide (captures[3])) || wi::geu_p (wi::to_wide (captures[4]), wi::to_wide (captures[2]) + isize))
			      {
				gimple_seq *lseq = seq;
				if (dump_file && (dump_flags & TDF_FOLDING)) fprintf (dump_file, "Applying pattern match.pd:4706, %s:%d\n", __FILE__, __LINE__);
				*res_code = BIT_FIELD_REF;
				res_ops[0] = captures[0];
				res_ops[1] = captures[3];
				res_ops[2] = captures[4];
				gimple_resimplify3 (lseq, res_code, type, res_ops, valueize);
				return true;
			      }
			  }
		    }
		  }
	          break;
	        }
	      default:;
	      }
        }
      break;
    default:;
    }
  return false;
}

static bool
gimple_simplify (code_helper *res_code, tree *res_ops,
                 gimple_seq *seq, tree (*valueize)(tree),
                 code_helper code, const tree type, tree op0, tree op1, tree op2)
{
  switch (code.get_rep())
    {
    case COND_EXPR:
      return gimple_simplify_COND_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1, op2);
    case VEC_COND_EXPR:
      return gimple_simplify_VEC_COND_EXPR (res_code, res_ops, seq, valueize, code, type, op0, op1, op2);
    case BIT_FIELD_REF:
      return gimple_simplify_BIT_FIELD_REF (res_code, res_ops, seq, valueize, code, type, op0, op1, op2);
    default:;
    }
  return false;
}
